#include <phonon_includes.h>

#include <smoke.h>
#include <phonon_smoke.h>

namespace __smokephonon {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //Phonon::AbstractAudioOutput
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::AbstractAudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractAudioOutput*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::AbstractAudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::AbstractAudioOutput*)xptr;
        default: return xptr;
      }
    case 3:   //Phonon::AbstractAudioOutputPrivate
      switch(to) {
        case 3: return (void*)(Phonon::AbstractAudioOutputPrivate*)xptr;
        default: return xptr;
      }
    case 4:   //Phonon::AbstractMediaStream
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::AbstractMediaStream*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)xptr;
        default: return xptr;
      }
    case 5:   //Phonon::AbstractMediaStreamPrivate
      switch(to) {
        case 5: return (void*)(Phonon::AbstractMediaStreamPrivate*)xptr;
        default: return xptr;
      }
    case 6:   //Phonon::AbstractVideoOutput
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AbstractVideoOutput*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::AbstractVideoOutput*)xptr;
        default: return xptr;
      }
    case 7:   //Phonon::AbstractVideoOutputPrivate
      switch(to) {
        case 7: return (void*)(Phonon::AbstractVideoOutputPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //Phonon::AudioDataOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioDataOutput*)xptr;
        case 60: return (void*)(QObject*)(Phonon::AudioDataOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioDataOutput*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)xptr;
        default: return xptr;
      }
    case 9:   //Phonon::AudioOutput
      switch(to) {
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::AudioOutput*)xptr;
        case 60: return (void*)(QObject*)(Phonon::AudioOutput*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::AudioOutput*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 10:   //Phonon::BackendCapabilities::Notifier
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::BackendCapabilities::Notifier*)xptr;
        case 10: return (void*)(Phonon::BackendCapabilities::Notifier*)xptr;
        default: return xptr;
      }
    case 12:   //Phonon::Effect
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::Effect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::Effect*)xptr;
        case 12: return (void*)(Phonon::Effect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::Effect*)xptr;
        default: return xptr;
      }
    case 13:   //Phonon::EffectParameter
      switch(to) {
        case 13: return (void*)(Phonon::EffectParameter*)xptr;
        default: return xptr;
      }
    case 14:   //Phonon::EffectPrivate
      switch(to) {
        case 14: return (void*)(Phonon::EffectPrivate*)xptr;
        default: return xptr;
      }
    case 15:   //Phonon::EffectWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Phonon::EffectWidget*)xptr;
        case 60: return (void*)(QObject*)(Phonon::EffectWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)xptr;
        default: return xptr;
      }
    case 16:   //Phonon::MediaController
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::MediaController*)xptr;
        case 16: return (void*)(Phonon::MediaController*)xptr;
        default: return xptr;
      }
    case 17:   //Phonon::MediaNode
      switch(to) {
        case 17: return (void*)(Phonon::MediaNode*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::MediaNode*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(Phonon::MediaNode*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(Phonon::MediaNode*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(Phonon::MediaNode*)xptr;
        case 12: return (void*)(Phonon::Effect*)(Phonon::MediaNode*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(Phonon::MediaNode*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(Phonon::MediaNode*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(Phonon::MediaNode*)xptr;
        default: return xptr;
      }
    case 18:   //Phonon::MediaNodePrivate
      switch(to) {
        case 18: return (void*)(Phonon::MediaNodePrivate*)xptr;
        default: return xptr;
      }
    case 19:   //Phonon::MediaObject
      switch(to) {
        case 60: return (void*)(QObject*)(Phonon::MediaObject*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::MediaObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 20:   //Phonon::MediaSource
      switch(to) {
        case 20: return (void*)(Phonon::MediaSource*)xptr;
        default: return xptr;
      }
    case 21:   //Phonon::MediaSourcePrivate
      switch(to) {
        case 21: return (void*)(Phonon::MediaSourcePrivate*)xptr;
        default: return xptr;
      }
    case 22:   //Phonon::Mrl
      switch(to) {
        case 72: return (void*)(QUrl*)(Phonon::Mrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)xptr;
        default: return xptr;
      }
    case 23:   //Phonon::ObjectDescriptionData
      switch(to) {
        case 66: return (void*)(QSharedData*)(Phonon::ObjectDescriptionData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)xptr;
        default: return xptr;
      }
    case 24:   //Phonon::ObjectDescriptionModelData
      switch(to) {
        case 24: return (void*)(Phonon::ObjectDescriptionModelData*)xptr;
        default: return xptr;
      }
    case 25:   //Phonon::ObjectDescriptionPrivate
      switch(to) {
        case 25: return (void*)(Phonon::ObjectDescriptionPrivate*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::Path
      switch(to) {
        case 26: return (void*)(Phonon::Path*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::SeekSlider
      switch(to) {
        case 75: return (void*)(QWidget*)(Phonon::SeekSlider*)xptr;
        case 60: return (void*)(QObject*)(Phonon::SeekSlider*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::StreamInterface
      switch(to) {
        case 28: return (void*)(Phonon::StreamInterface*)xptr;
        default: return xptr;
      }
    case 29:   //Phonon::VideoPlayer
      switch(to) {
        case 75: return (void*)(QWidget*)(Phonon::VideoPlayer*)xptr;
        case 60: return (void*)(QObject*)(Phonon::VideoPlayer*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Phonon::VideoWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Phonon::VideoWidget*)xptr;
        case 60: return (void*)(QObject*)(Phonon::VideoWidget*)xptr;
        case 6: return (void*)(Phonon::AbstractVideoOutput*)(Phonon::VideoWidget*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VideoWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 31:   //Phonon::VideoWidgetPrivate
      switch(to) {
        case 31: return (void*)(Phonon::VideoWidgetPrivate*)xptr;
        default: return xptr;
      }
    case 32:   //Phonon::VolumeFaderEffect
      switch(to) {
        case 12: return (void*)(Phonon::Effect*)(Phonon::VolumeFaderEffect*)xptr;
        case 60: return (void*)(QObject*)(Phonon::VolumeFaderEffect*)xptr;
        case 17: return (void*)(Phonon::MediaNode*)(Phonon::VolumeFaderEffect*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)xptr;
        default: return xptr;
      }
    case 33:   //Phonon::VolumeSlider
      switch(to) {
        case 75: return (void*)(QWidget*)(Phonon::VolumeSlider*)xptr;
        case 60: return (void*)(QObject*)(Phonon::VolumeSlider*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractListModel
      switch(to) {
        case 60: return (void*)(QObject*)(QAbstractListModel*)xptr;
        case 34: return (void*)(QAbstractListModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDebug
      switch(to) {
        case 41: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 42:   //QDragEnterEvent
      switch(to) {
        case 42: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDragLeaveEvent
      switch(to) {
        case 43: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDragMoveEvent
      switch(to) {
        case 44: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDropEvent
      switch(to) {
        case 45: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QEvent
      switch(to) {
        case 46: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QFocusEvent
      switch(to) {
        case 47: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QFont
      switch(to) {
        case 48: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 50:   //QHideEvent
      switch(to) {
        case 50: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 51:   //QIODevice
      switch(to) {
        case 60: return (void*)(QObject*)(QIODevice*)xptr;
        case 51: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 52:   //QImage
      switch(to) {
        case 52: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeyEvent
      switch(to) {
        case 54: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QMetaObject
      switch(to) {
        case 55: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 56:   //QMimeData
      switch(to) {
        case 56: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 57:   //QModelIndex
      switch(to) {
        case 57: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QObject*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QObject*)xptr;
        case 2: return (void*)(Phonon::AbstractAudioOutput*)(QObject*)xptr;
        case 8: return (void*)(Phonon::AudioDataOutput*)(QObject*)xptr;
        case 9: return (void*)(Phonon::AudioOutput*)(QObject*)xptr;
        case 12: return (void*)(Phonon::Effect*)(QObject*)xptr;
        case 32: return (void*)(Phonon::VolumeFaderEffect*)(QObject*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QObject*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QObject*)xptr;
        case 19: return (void*)(Phonon::MediaObject*)(QObject*)xptr;
        case 16: return (void*)(Phonon::MediaController*)(QObject*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QObject*)xptr;
        case 4: return (void*)(Phonon::AbstractMediaStream*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEngine
      switch(to) {
        case 61: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEvent
      switch(to) {
        case 62: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QRegExp
      switch(to) {
        case 64: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 65:   //QResizeEvent
      switch(to) {
        case 65: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSharedData
      switch(to) {
        case 66: return (void*)(QSharedData*)xptr;
        case 23: return (void*)(Phonon::ObjectDescriptionData*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QStyle
      switch(to) {
        case 69: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 70:   //QTabletEvent
      switch(to) {
        case 70: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QTimerEvent
      switch(to) {
        case 71: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QUrl
      switch(to) {
        case 72: return (void*)(QUrl*)xptr;
        case 22: return (void*)(Phonon::Mrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 27: return (void*)(Phonon::SeekSlider*)(QWidget*)xptr;
        case 29: return (void*)(Phonon::VideoPlayer*)(QWidget*)xptr;
        case 33: return (void*)(Phonon::VolumeSlider*)(QWidget*)xptr;
        case 15: return (void*)(Phonon::EffectWidget*)(QWidget*)xptr;
        case 30: return (void*)(Phonon::VideoWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    60, 17, 0,	// 1: QObject, Phonon::MediaNode
    60, 0,	// 4: QObject
    17, 0,	// 6: Phonon::MediaNode
    2, 0,	// 8: Phonon::AbstractAudioOutput
    75, 0,	// 10: QWidget
    72, 0,	// 12: QUrl
    66, 0,	// 14: QSharedData
    75, 6, 0,	// 16: QWidget, Phonon::AbstractVideoOutput
    12, 0,	// 19: Phonon::Effect
};

// These are the xenum functions for manipulating enum pointers
void xenum_Phonon(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__EffectParameter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VolumeFaderEffect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__Capture(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaController(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__MediaSource(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Phonon__AudioDataOutput(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Phonon(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractAudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractMediaStream(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AbstractVideoOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioDataOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__AudioOutput(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Capture(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Effect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectParameter(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__EffectWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaController(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaNode(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaObject(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__MediaSource(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Mrl(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__ObjectDescriptionModelData(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__Path(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__SeekSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__StreamInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeFaderEffect(Smoke::Index, void*, Smoke::Stack);
void xcall_Phonon__VolumeSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Phonon", false, 0, xcall_Phonon, xenum_Phonon, Smoke::cf_namespace, 0 },	//1
    { "Phonon::AbstractAudioOutput", false, 1, xcall_Phonon__AbstractAudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractAudioOutput) },	//2
    { "Phonon::AbstractAudioOutputPrivate", true, 0, 0, 0, 0, 0 },	//3
    { "Phonon::AbstractMediaStream", false, 4, xcall_Phonon__AbstractMediaStream, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AbstractMediaStream) },	//4
    { "Phonon::AbstractMediaStreamPrivate", true, 0, 0, 0, 0, 0 },	//5
    { "Phonon::AbstractVideoOutput", false, 6, xcall_Phonon__AbstractVideoOutput, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::AbstractVideoOutput) },	//6
    { "Phonon::AbstractVideoOutputPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "Phonon::AudioDataOutput", false, 8, xcall_Phonon__AudioDataOutput, xenum_Phonon__AudioDataOutput, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioDataOutput) },	//8
    { "Phonon::AudioOutput", false, 8, xcall_Phonon__AudioOutput, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::AudioOutput) },	//9
    { "Phonon::BackendCapabilities::Notifier", true, 0, 0, 0, 0, 0 },	//10
    { "Phonon::Capture", false, 0, xcall_Phonon__Capture, xenum_Phonon__Capture, Smoke::cf_namespace, 0 },	//11
    { "Phonon::Effect", false, 1, xcall_Phonon__Effect, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::Effect) },	//12
    { "Phonon::EffectParameter", false, 0, xcall_Phonon__EffectParameter, xenum_Phonon__EffectParameter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::EffectParameter) },	//13
    { "Phonon::EffectPrivate", true, 0, 0, 0, 0, 0 },	//14
    { "Phonon::EffectWidget", false, 10, xcall_Phonon__EffectWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::EffectWidget) },	//15
    { "Phonon::MediaController", false, 4, xcall_Phonon__MediaController, xenum_Phonon__MediaController, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaController) },	//16
    { "Phonon::MediaNode", false, 0, xcall_Phonon__MediaNode, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::MediaNode) },	//17
    { "Phonon::MediaNodePrivate", true, 0, 0, 0, 0, 0 },	//18
    { "Phonon::MediaObject", false, 1, xcall_Phonon__MediaObject, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::MediaObject) },	//19
    { "Phonon::MediaSource", false, 0, xcall_Phonon__MediaSource, xenum_Phonon__MediaSource, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::MediaSource) },	//20
    { "Phonon::MediaSourcePrivate", true, 0, 0, 0, 0, 0 },	//21
    { "Phonon::Mrl", false, 12, xcall_Phonon__Mrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Mrl) },	//22
    { "Phonon::ObjectDescriptionData", false, 14, xcall_Phonon__ObjectDescriptionData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionData) },	//23
    { "Phonon::ObjectDescriptionModelData", false, 0, xcall_Phonon__ObjectDescriptionModelData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::ObjectDescriptionModelData) },	//24
    { "Phonon::ObjectDescriptionPrivate", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::Path", false, 0, xcall_Phonon__Path, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Phonon::Path) },	//26
    { "Phonon::SeekSlider", false, 10, xcall_Phonon__SeekSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::SeekSlider) },	//27
    { "Phonon::StreamInterface", false, 0, xcall_Phonon__StreamInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Phonon::StreamInterface) },	//28
    { "Phonon::VideoPlayer", false, 10, xcall_Phonon__VideoPlayer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoPlayer) },	//29
    { "Phonon::VideoWidget", false, 16, xcall_Phonon__VideoWidget, xenum_Phonon__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VideoWidget) },	//30
    { "Phonon::VideoWidgetPrivate", true, 0, 0, 0, 0, 0 },	//31
    { "Phonon::VolumeFaderEffect", false, 19, xcall_Phonon__VolumeFaderEffect, xenum_Phonon__VolumeFaderEffect, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeFaderEffect) },	//32
    { "Phonon::VolumeSlider", false, 10, xcall_Phonon__VolumeSlider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Phonon::VolumeSlider) },	//33
    { "QAbstractListModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDebug", true, 0, 0, 0, 0, 0 },	//41
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QFont", true, 0, 0, 0, 0, 0 },	//48
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//49
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//50
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//51
    { "QImage", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//55
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//56
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//64
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QStyle", true, 0, 0, 0, 0, 0 },	//69
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QUrl", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Phonon::AbstractAudioOutput*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Phonon::AbstractAudioOutputPrivate&", 3, Smoke::t_class|Smoke::tf_ref },	//2
    { "Phonon::AbstractMediaStream*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Phonon::AbstractMediaStreamPrivate&", 5, Smoke::t_class|Smoke::tf_ref },	//4
    { "Phonon::AbstractVideoOutput*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Phonon::AbstractVideoOutputPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//6
    { "Phonon::AudioCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "Phonon::AudioCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Phonon::AudioChannelType", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "Phonon::AudioDataOutput*", 8, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Phonon::AudioDataOutput::Channel", 8, Smoke::t_enum|Smoke::tf_stack },	//11
    { "Phonon::AudioOutput*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Phonon::AudioOutputDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "Phonon::AudioOutputDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "Phonon::BackendCapabilities::Notifier*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Phonon::Capture::DeviceType", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Phonon::CaptureCategory", 1, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Phonon::Category", 1, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Phonon::DiscType", 1, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Phonon::Effect*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Phonon::EffectDescription", 0, Smoke::t_voidp|Smoke::tf_stack },	//21
    { "Phonon::EffectParameter", 13, Smoke::t_class|Smoke::tf_stack },	//22
    { "Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref },	//23
    { "Phonon::EffectParameter*", 13, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Phonon::EffectParameter::Hint", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Phonon::EffectPrivate&", 14, Smoke::t_class|Smoke::tf_ref },	//26
    { "Phonon::EffectType", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "Phonon::EffectWidget*", 15, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Phonon::ErrorType", 1, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Phonon::MediaController*", 16, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaController::Feature", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Phonon::MediaController::NavigationMenu", 16, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Phonon::MediaNode*", 17, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Phonon::MediaNodePrivate&", 18, Smoke::t_class|Smoke::tf_ref },	//34
    { "Phonon::MediaObject*", 19, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Phonon::MediaSource", 20, Smoke::t_class|Smoke::tf_stack },	//36
    { "Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref },	//37
    { "Phonon::MediaSource*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Phonon::MediaSource::Type", 20, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Phonon::MediaSourcePrivate&", 21, Smoke::t_class|Smoke::tf_ref },	//40
    { "Phonon::MetaData", 1, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Phonon::Mrl", 22, Smoke::t_class|Smoke::tf_stack },	//42
    { "Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref },	//43
    { "Phonon::Mrl*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "Phonon::ObjectDescription<Phonon::AudioChannelType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "Phonon::ObjectDescription<Phonon::AudioOutputDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "Phonon::ObjectDescription<Phonon::EffectType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//48
    { "Phonon::ObjectDescription<Phonon::SubtitleType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//49
    { "Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//50
    { "Phonon::ObjectDescriptionData", 23, Smoke::t_class|Smoke::tf_stack },	//51
    { "Phonon::ObjectDescriptionData*", 23, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Phonon::ObjectDescriptionModelData*", 24, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Phonon::ObjectDescriptionPrivate*", 25, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Phonon::ObjectDescriptionType", 1, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Phonon::Path", 26, Smoke::t_class|Smoke::tf_stack },	//56
    { "Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref },	//57
    { "Phonon::Path*", 26, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Phonon::SeekSlider*", 27, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Phonon::State", 1, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Phonon::StreamInterface*", 28, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Phonon::SubtitleType", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "Phonon::VideoCaptureDevice", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "Phonon::VideoCaptureDeviceType", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "Phonon::VideoPlayer*", 29, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Phonon::VideoWidget*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Phonon::VideoWidget::AspectRatio", 30, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Phonon::VideoWidget::ScaleMode", 30, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Phonon::VideoWidgetPrivate&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "Phonon::VolumeFaderEffect*", 32, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Phonon::VolumeFaderEffect::FadeCurve", 32, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Phonon::VolumeSlider*", 33, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractListModel*", 34, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//75
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//76
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QDebug", 41, Smoke::t_class|Smoke::tf_stack },	//80
    { "QDragEnterEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QDragLeaveEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QDragMoveEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QDropEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QFlags<Phonon::EffectParameter::Hint>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Phonon::MediaController::Feature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFocusEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QFont", 48, Smoke::t_class|Smoke::tf_stack },	//93
    { "QHideEvent*", 50, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice*", 51, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QImage", 52, Smoke::t_class|Smoke::tf_stack },	//96
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QKeyEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QList<Phonon::AudioCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//99
    { "QList<Phonon::AudioOutputDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<Phonon::Effect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QList<Phonon::EffectDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QList<Phonon::EffectParameter>", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QList<Phonon::MediaController::NavigationMenu>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<Phonon::MediaSource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<Phonon::ObjectDescription<Phonon::AudioChannelType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<Phonon::ObjectDescription<Phonon::SubtitleType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<Phonon::Path>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<Phonon::VideoCaptureDevice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QMetaObject::Call", 55, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QMimeData*", 56, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QModelIndex", 57, Smoke::t_class|Smoke::tf_stack },	//117
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QPaintEngine*", 61, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QPaintEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QPair<QByteArray,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QRegExp&", 64, Smoke::t_class|Smoke::tf_ref },	//126
    { "QResizeEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//129
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//130
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//131
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//132
    { "QStyle&", 69, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTabletEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QTimerEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QUrl", 72, Smoke::t_class|Smoke::tf_stack },	//136
    { "QUrl::FormattingOption", 72, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//138
    { "QVariant::Type", 73, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QVector<qint16>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//216
    { "const Phonon::AbstractVideoOutput&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Phonon::AudioOutputDevice&", 0, Smoke::t_voidp|Smoke::tf_stack },	//218
    { "const Phonon::Capture::DeviceType&", 11, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const Phonon::CaptureCategory&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Phonon::Category&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Phonon::DiscType&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Phonon::EffectParameter&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Phonon::ErrorType&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Phonon::MediaNode&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const Phonon::MediaSource&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const Phonon::MetaData&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const Phonon::Mrl&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const Phonon::ObjectDescription<Phonon::AudioChannelType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const Phonon::ObjectDescription<Phonon::EffectType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const Phonon::ObjectDescription<Phonon::SubtitleType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const Phonon::ObjectDescriptionData&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const Phonon::ObjectDescriptionModelData&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const Phonon::Path&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const Phonon::State&", 1, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const Phonon::StreamInterface&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QFont&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QHash<QByteArray,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QList<Phonon::MediaSource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QList<QPair<QByteArray,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QMetaObject&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMetaObject*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QMimeData*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QModelIndex&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QPair<QByteArray,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QRegExp&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QSize&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//258
    { "const QUrl&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//263
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//264
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//265
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//266
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//267
    { "qint16", 0, Smoke::t_short|Smoke::tf_stack },	//268
    { "qint32", 0, Smoke::t_int|Smoke::tf_stack },	//269
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//271
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//272
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//273
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//274
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//275
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    80, 219, 0,	//1  QDebug, const Phonon::Capture::DeviceType&
    80, 224, 0,	//4  QDebug, const Phonon::ErrorType&
    17, 0,	//7  Phonon::CaptureCategory
    18, 0,	//9  Phonon::Category
    80, 221, 0,	//11  QDebug, const Phonon::Category&
    80, 222, 0,	//14  QDebug, const Phonon::DiscType&
    80, 237, 0,	//17  QDebug, const Phonon::State&
    80, 227, 0,	//20  QDebug, const Phonon::MetaData&
    223, 0,	//23  const Phonon::EffectParameter&
    18, 226, 0,	//25  Phonon::Category, const Phonon::MediaSource&
    80, 226, 0,	//28  QDebug, const Phonon::MediaSource&
    33, 33, 0,	//31  Phonon::MediaNode*, Phonon::MediaNode*
    80, 220, 0,	//34  QDebug, const Phonon::CaptureCategory&
    261, 0,	//37  const char*
    261, 261, 0,	//39  const char*, const char*
    261, 261, 265, 0,	//42  const char*, const char*, int
    115, 265, 274, 0,	//46  QMetaObject::Call, int, void**
    2, 121, 0,	//50  Phonon::AbstractAudioOutputPrivate&, QObject*
    121, 0,	//53  QObject*
    267, 0,	//55  long long
    216, 0,	//57  bool
    239, 0,	//59  const QByteArray&
    29, 257, 0,	//61  Phonon::ErrorType, const QString&
    4, 121, 0,	//64  Phonon::AbstractMediaStreamPrivate&, QObject*
    6, 0,	//67  Phonon::AbstractVideoOutputPrivate&
    217, 0,	//69  const Phonon::AbstractVideoOutput&
    265, 0,	//71  int
    248, 0,	//73  const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&
    18, 121, 0,	//75  Phonon::Category, QObject*
    257, 0,	//78  const QString&
    271, 0,	//80  qreal
    218, 0,	//82  const Phonon::AudioOutputDevice&
    231, 121, 0,	//84  const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*
    223, 260, 0,	//87  const Phonon::EffectParameter&, const QVariant&
    26, 121, 0,	//90  Phonon::EffectPrivate&, QObject*
    231, 0,	//93  const Phonon::ObjectDescription<Phonon::EffectType>&
    265, 257, 87, 260, 260, 260, 247, 257, 0,	//95  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&
    265, 257, 87, 260, 0,	//104  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&
    265, 257, 87, 260, 260, 0,	//109  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&
    265, 257, 87, 260, 260, 260, 0,	//115  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&
    265, 257, 87, 260, 260, 260, 247, 0,	//122  int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&
    20, 142, 0,	//130  Phonon::Effect*, QWidget*
    20, 0,	//133  Phonon::Effect*
    35, 0,	//135  Phonon::MediaObject*
    32, 0,	//137  Phonon::MediaController::NavigationMenu
    230, 0,	//139  const Phonon::ObjectDescription<Phonon::AudioChannelType>&
    232, 0,	//141  const Phonon::ObjectDescription<Phonon::SubtitleType>&
    259, 0,	//143  const QUrl&
    240, 0,	//145  const QFont&
    104, 0,	//147  QList<Phonon::MediaController::NavigationMenu>
    34, 0,	//149  Phonon::MediaNodePrivate&
    225, 0,	//151  const Phonon::MediaNode&
    41, 0,	//153  Phonon::MetaData
    226, 0,	//155  const Phonon::MediaSource&
    242, 0,	//157  const QList<Phonon::MediaSource>&
    246, 0,	//159  const QList<QUrl>&
    269, 0,	//161  qint32
    270, 0,	//163  qint64
    60, 60, 0,	//165  Phonon::State, Phonon::State
    19, 257, 0,	//168  Phonon::DiscType, const QString&
    229, 0,	//171  const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&
    233, 0,	//173  const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&
    16, 17, 0,	//175  Phonon::Capture::DeviceType, Phonon::CaptureCategory
    3, 0,	//178  Phonon::AbstractMediaStream*
    95, 0,	//180  QIODevice*
    40, 0,	//182  Phonon::MediaSourcePrivate&
    253, 0,	//184  const QPair<QByteArray,QString>&
    19, 0,	//186  Phonon::DiscType
    16, 0,	//188  Phonon::Capture::DeviceType
    228, 0,	//190  const Phonon::Mrl&
    89, 0,	//192  QFlags<QUrl::FormattingOption>
    234, 0,	//194  const Phonon::ObjectDescriptionData&
    55, 265, 0,	//196  Phonon::ObjectDescriptionType, int
    54, 0,	//199  Phonon::ObjectDescriptionPrivate*
    265, 241, 0,	//201  int, const QHash<QByteArray,QVariant>&
    252, 0,	//204  const QModelIndex&
    252, 265, 0,	//206  const QModelIndex&, int
    55, 244, 0,	//209  Phonon::ObjectDescriptionType, const QList<QModelIndex>&
    243, 0,	//212  const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&
    55, 251, 165, 265, 265, 252, 0,	//214  Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    265, 265, 252, 0,	//221  int, int, const QModelIndex&
    55, 0,	//225  Phonon::ObjectDescriptionType
    73, 0,	//227  QAbstractListModel*
    235, 0,	//229  const Phonon::ObjectDescriptionModelData&
    265, 265, 0,	//231  int, int
    236, 0,	//234  const Phonon::Path&
    231, 20, 0,	//236  const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*
    20, 20, 0,	//239  Phonon::Effect*, Phonon::Effect*
    142, 0,	//242  QWidget*
    35, 142, 0,	//244  Phonon::MediaObject*, QWidget*
    189, 0,	//247  Qt::Orientation
    256, 0,	//249  const QSize&
    238, 0,	//251  const Phonon::StreamInterface&
    18, 142, 0,	//253  Phonon::Category, QWidget*
    264, 0,	//256  float
    85, 0,	//258  QEvent*
    67, 0,	//260  Phonon::VideoWidget::AspectRatio
    68, 0,	//262  Phonon::VideoWidget::ScaleMode
    69, 142, 0,	//264  Phonon::VideoWidgetPrivate&, QWidget*
    118, 0,	//267  QMouseEvent*
    263, 0,	//269  double
    71, 0,	//271  Phonon::VolumeFaderEffect::FadeCurve
    264, 265, 0,	//273  float, int
    12, 142, 0,	//276  Phonon::AudioOutput*, QWidget*
    12, 0,	//279  Phonon::AudioOutput*
    121, 85, 0,	//281  QObject*, QEvent*
    135, 0,	//284  QTimerEvent*
    77, 0,	//286  QChildEvent*
    141, 0,	//288  QWheelEvent*
    98, 0,	//290  QKeyEvent*
    92, 0,	//292  QFocusEvent*
    124, 0,	//294  QPaintEvent*
    119, 0,	//296  QMoveEvent*
    127, 0,	//298  QResizeEvent*
    78, 0,	//300  QCloseEvent*
    79, 0,	//302  QContextMenuEvent*
    134, 0,	//304  QTabletEvent*
    74, 0,	//306  QActionEvent*
    81, 0,	//308  QDragEnterEvent*
    83, 0,	//310  QDragMoveEvent*
    82, 0,	//312  QDragLeaveEvent*
    84, 0,	//314  QDropEvent*
    128, 0,	//316  QShowEvent*
    94, 0,	//318  QHideEvent*
    215, 0,	//320  _XEvent*
    122, 0,	//322  QPaintDevice::PaintDeviceMetric
    97, 0,	//324  QInputMethodEvent*
    177, 0,	//326  Qt::InputMethodQuery
    133, 0,	//328  QStyle&
    254, 0,	//330  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractAudioOutput",	//1
    "AbstractAudioOutput##",	//2
    "AbstractMediaStream",	//3
    "AbstractMediaStream#",	//4
    "AbstractMediaStream##",	//5
    "AbstractVideoOutput",	//6
    "AbstractVideoOutput#",	//7
    "AccessibilityCategory",	//8
    "AlbumMetaData",	//9
    "AngleMenu",	//10
    "Angles",	//11
    "ArtistMetaData",	//12
    "AspectRatio16_9",	//13
    "AspectRatio4_3",	//14
    "AspectRatioAuto",	//15
    "AspectRatioWidget",	//16
    "AudioCaptureDeviceType",	//17
    "AudioChannelType",	//18
    "AudioChannels",	//19
    "AudioDataOutput",	//20
    "AudioDataOutput#",	//21
    "AudioMenu",	//22
    "AudioOutput",	//23
    "AudioOutput#",	//24
    "AudioOutput$",	//25
    "AudioOutput$#",	//26
    "AudioOutputDeviceType",	//27
    "AudioType",	//28
    "AudioVideoCapture",	//29
    "BluRay",	//30
    "BufferingState",	//31
    "CaptureDevice",	//32
    "Cd",	//33
    "CenterChannel",	//34
    "ChapterMenu",	//35
    "Chapters",	//36
    "CommunicationCaptureCategory",	//37
    "CommunicationCategory",	//38
    "ControlCaptureCategory",	//39
    "DateMetaData",	//40
    "DescriptionMetaData",	//41
    "Disc",	//42
    "DrawChildren",	//43
    "DrawWindowBackground",	//44
    "Dvd",	//45
    "Effect",	//46
    "Effect##",	//47
    "Effect?",	//48
    "Effect?#",	//49
    "EffectParameter",	//50
    "EffectParameter#",	//51
    "EffectParameter$$$#",	//52
    "EffectParameter$$$##",	//53
    "EffectParameter$$$###",	//54
    "EffectParameter$$$###?",	//55
    "EffectParameter$$$###?$",	//56
    "EffectType",	//57
    "EffectWidget",	//58
    "EffectWidget#",	//59
    "EffectWidget##",	//60
    "Empty",	//61
    "ErrorState",	//62
    "Fade12Decibel",	//63
    "Fade3Decibel",	//64
    "Fade6Decibel",	//65
    "Fade9Decibel",	//66
    "FatalError",	//67
    "FitInView",	//68
    "GameCategory",	//69
    "GenreMetaData",	//70
    "IgnoreMask",	//71
    "IntegerHint",	//72
    "Invalid",	//73
    "LastCategory",	//74
    "LeftChannel",	//75
    "LeftSurroundChannel",	//76
    "LoadingState",	//77
    "LocalFile",	//78
    "LogarithmicHint",	//79
    "MediaController",	//80
    "MediaController#",	//81
    "MediaNode",	//82
    "MediaNode#",	//83
    "MediaObject",	//84
    "MediaObject#",	//85
    "MediaSource",	//86
    "MediaSource#",	//87
    "MediaSource$",	//88
    "MediaSource$$",	//89
    "MediaSource?",	//90
    "Mrl",	//91
    "Mrl#",	//92
    "Mrl$",	//93
    "MusicBrainzDiscIdMetaData",	//94
    "MusicCategory",	//95
    "Navigations",	//96
    "NoCaptureCategory",	//97
    "NoCategory",	//98
    "NoDisc",	//99
    "NoError",	//100
    "NormalError",	//101
    "NotificationCategory",	//102
    "ObjectDescriptionData",	//103
    "ObjectDescriptionData#",	//104
    "ObjectDescriptionData$?",	//105
    "ObjectDescriptionModelData",	//106
    "ObjectDescriptionModelData#",	//107
    "Path",	//108
    "Path#",	//109
    "PausedState",	//110
    "PlayingState",	//111
    "Q_COMPLEX_TYPE",	//112
    "Q_DUMMY_TYPE",	//113
    "Q_MOVABLE_TYPE",	//114
    "Q_PRIMITIVE_TYPE",	//115
    "Q_STATIC_TYPE",	//116
    "RecordingCaptureCategory",	//117
    "RightChannel",	//118
    "RightSurroundChannel",	//119
    "RootMenu",	//120
    "ScaleAndCrop",	//121
    "SeekSlider",	//122
    "SeekSlider#",	//123
    "SeekSlider##",	//124
    "StoppedState",	//125
    "Stream",	//126
    "StreamInterface",	//127
    "StreamInterface#",	//128
    "SubtitleMenu",	//129
    "SubtitleType",	//130
    "Subtitles",	//131
    "SubwooferChannel",	//132
    "TitleMenu",	//133
    "TitleMetaData",	//134
    "Titles",	//135
    "ToggledHint",	//136
    "TracknumberMetaData",	//137
    "Url",	//138
    "Vcd",	//139
    "VideoCaptureDeviceType",	//140
    "VideoCategory",	//141
    "VideoPlayer",	//142
    "VideoPlayer#",	//143
    "VideoPlayer$",	//144
    "VideoPlayer$#",	//145
    "VideoType",	//146
    "VideoWidget",	//147
    "VideoWidget#",	//148
    "VideoWidget##",	//149
    "VolumeFaderEffect",	//150
    "VolumeFaderEffect#",	//151
    "VolumeSlider",	//152
    "VolumeSlider#",	//153
    "VolumeSlider##",	//154
    "aboutToFinish",	//155
    "actionEvent",	//156
    "angleChanged",	//157
    "angleChanged$",	//158
    "aspectRatio",	//159
    "audioCaptureDevice",	//160
    "audioDeviceAccessList",	//161
    "audioOutput",	//162
    "autoDelete",	//163
    "autoplayTitles",	//164
    "availableAngles",	//165
    "availableAnglesChanged",	//166
    "availableAnglesChanged$",	//167
    "availableAudioChannels",	//168
    "availableAudioChannelsChanged",	//169
    "availableChapters",	//170
    "availableChaptersChanged",	//171
    "availableChaptersChanged$",	//172
    "availableMenus",	//173
    "availableMenusChanged",	//174
    "availableMenusChanged?",	//175
    "availableSubtitles",	//176
    "availableSubtitlesChanged",	//177
    "availableTitles",	//178
    "availableTitlesChanged",	//179
    "availableTitlesChanged$",	//180
    "brightness",	//181
    "bufferStatus",	//182
    "bufferStatus$",	//183
    "category",	//184
    "categoryToString",	//185
    "categoryToString$",	//186
    "changeEvent",	//187
    "chapterChanged",	//188
    "chapterChanged$",	//189
    "childEvent",	//190
    "clear",	//191
    "clearQueue",	//192
    "closeEvent",	//193
    "connectNotify",	//194
    "connectToSource",	//195
    "connectToSource#",	//196
    "contextMenuEvent",	//197
    "contrast",	//198
    "createPath",	//199
    "createPath##",	//200
    "createPlayer",	//201
    "createPlayer$",	//202
    "createPlayer$#",	//203
    "currentAngle",	//204
    "currentAudioChannel",	//205
    "currentChapter",	//206
    "currentSource",	//207
    "currentSourceChanged",	//208
    "currentSourceChanged#",	//209
    "currentSubtitle",	//210
    "currentTime",	//211
    "currentTitle",	//212
    "customEvent",	//213
    "data",	//214
    "data#",	//215
    "data#$",	//216
    "dataReady",	//217
    "dataReady?",	//218
    "dataSize",	//219
    "defaultValue",	//220
    "description",	//221
    "devType",	//222
    "deviceAccessList",	//223
    "deviceName",	//224
    "discType",	//225
    "disconnect",	//226
    "disconnectNotify",	//227
    "dragEnterEvent",	//228
    "dragLeaveEvent",	//229
    "dragMoveEvent",	//230
    "dropEvent",	//231
    "dropMimeData",	//232
    "dropMimeData$#$$$#",	//233
    "effects",	//234
    "enabledChange",	//235
    "endOfData",	//236
    "endOfMedia",	//237
    "endOfMedia$",	//238
    "enoughData",	//239
    "enqueue",	//240
    "enqueue#",	//241
    "enqueue?",	//242
    "enterEvent",	//243
    "enterFullScreen",	//244
    "error",	//245
    "error$$",	//246
    "errorString",	//247
    "errorType",	//248
    "event",	//249
    "event#",	//250
    "eventFilter",	//251
    "exitFullScreen",	//252
    "fadeCurve",	//253
    "fadeIn",	//254
    "fadeIn$",	//255
    "fadeOut",	//256
    "fadeOut$",	//257
    "fadeTo",	//258
    "fadeTo$$",	//259
    "fileName",	//260
    "finished",	//261
    "flags",	//262
    "flags#",	//263
    "focusInEvent",	//264
    "focusNextPrevChild",	//265
    "focusOutEvent",	//266
    "fontChange",	//267
    "fromIndex",	//268
    "fromIndex$$",	//269
    "hasTracking",	//270
    "hasVideo",	//271
    "hasVideoChanged",	//272
    "hasVideoChanged$",	//273
    "heightForWidth",	//274
    "hideEvent",	//275
    "hue",	//276
    "iconSize",	//277
    "id",	//278
    "index",	//279
    "inputMethodEvent",	//280
    "inputMethodQuery",	//281
    "inputPaths",	//282
    "insertEffect",	//283
    "insertEffect#",	//284
    "insertEffect##",	//285
    "insertEffect?",	//286
    "insertEffect?#",	//287
    "isIconVisible",	//288
    "isLogarithmicControl",	//289
    "isMuteVisible",	//290
    "isMuted",	//291
    "isPaused",	//292
    "isPlaying",	//293
    "isSeekable",	//294
    "isValid",	//295
    "keyPressEvent",	//296
    "keyReleaseEvent",	//297
    "languageChange",	//298
    "leaveEvent",	//299
    "load",	//300
    "load#",	//301
    "maximumValue",	//302
    "maximumVolume",	//303
    "mediaObject",	//304
    "metaData",	//305
    "metaData$",	//306
    "metaDataChanged",	//307
    "metaObject",	//308
    "metric",	//309
    "mimeData",	//310
    "mimeData$?",	//311
    "mimeTypes",	//312
    "mimeTypes$",	//313
    "minimumSizeHint",	//314
    "minimumValue",	//315
    "modelData",	//316
    "modelData#",	//317
    "mouseDoubleClickEvent",	//318
    "mouseMoveEvent",	//319
    "mouseMoveEvent#",	//320
    "mousePressEvent",	//321
    "mouseReleaseEvent",	//322
    "moveDown",	//323
    "moveDown#",	//324
    "moveEvent",	//325
    "moveUp",	//326
    "moveUp#",	//327
    "mrl",	//328
    "mutedChanged",	//329
    "mutedChanged$",	//330
    "name",	//331
    "navigationMenuToString",	//332
    "navigationMenuToString$",	//333
    "needData",	//334
    "nextTitle",	//335
    "operator!=",	//336
    "operator!=#",	//337
    "operator<",	//338
    "operator<#",	//339
    "operator<<",	//340
    "operator<<##",	//341
    "operator<<#$",	//342
    "operator=",	//343
    "operator=#",	//344
    "operator=$",	//345
    "operator==",	//346
    "operator==#",	//347
    "operator>",	//348
    "operator>#",	//349
    "orientation",	//350
    "outputDevice",	//351
    "outputDeviceChanged",	//352
    "outputDeviceChanged?",	//353
    "outputPaths",	//354
    "pageStep",	//355
    "paintEngine",	//356
    "paintEvent",	//357
    "paletteChange",	//358
    "parameterValue",	//359
    "parameterValue#",	//360
    "parameters",	//361
    "pause",	//362
    "phononVersion",	//363
    "play",	//364
    "play#",	//365
    "possibleValues",	//366
    "prefinishMark",	//367
    "prefinishMarkReached",	//368
    "prefinishMarkReached$",	//369
    "previousTitle",	//370
    "property",	//371
    "property$",	//372
    "propertyNames",	//373
    "qHash",	//374
    "qHash#",	//375
    "qt_metacall",	//376
    "qt_metacall$$?",	//377
    "qt_metacast",	//378
    "qt_metacast$",	//379
    "queue",	//380
    "reconnect",	//381
    "reconnect##",	//382
    "registerMetaTypes",	//383
    "remainingTime",	//384
    "removeEffect",	//385
    "removeEffect#",	//386
    "removeRows",	//387
    "removeRows$$",	//388
    "removeRows$$#",	//389
    "reset",	//390
    "resizeEvent",	//391
    "rowCount",	//392
    "rowCount#",	//393
    "sampleRate",	//394
    "saturation",	//395
    "scaleMode",	//396
    "seek",	//397
    "seek$",	//398
    "seekStream",	//399
    "seekStream$",	//400
    "seekableChanged",	//401
    "seekableChanged$",	//402
    "setAspectRatio",	//403
    "setAspectRatio$",	//404
    "setAudioOutput",	//405
    "setAudioOutput#",	//406
    "setAutoDelete",	//407
    "setAutoDelete$",	//408
    "setAutoplayTitles",	//409
    "setAutoplayTitles$",	//410
    "setBrightness",	//411
    "setBrightness$",	//412
    "setContrast",	//413
    "setContrast$",	//414
    "setCurrentAngle",	//415
    "setCurrentAngle$",	//416
    "setCurrentAudioChannel",	//417
    "setCurrentAudioChannel?",	//418
    "setCurrentChapter",	//419
    "setCurrentChapter$",	//420
    "setCurrentMenu",	//421
    "setCurrentMenu$",	//422
    "setCurrentSource",	//423
    "setCurrentSource#",	//424
    "setCurrentSubtitle",	//425
    "setCurrentSubtitle#",	//426
    "setCurrentSubtitle?",	//427
    "setCurrentTitle",	//428
    "setCurrentTitle$",	//429
    "setDataSize",	//430
    "setDataSize$",	//431
    "setFadeCurve",	//432
    "setFadeCurve$",	//433
    "setFullScreen",	//434
    "setFullScreen$",	//435
    "setHue",	//436
    "setHue$",	//437
    "setIconSize",	//438
    "setIconSize#",	//439
    "setIconVisible",	//440
    "setIconVisible$",	//441
    "setMaximumVolume",	//442
    "setMaximumVolume$",	//443
    "setMediaObject",	//444
    "setMediaObject#",	//445
    "setModelData",	//446
    "setModelData?",	//447
    "setMuteVisible",	//448
    "setMuteVisible$",	//449
    "setMuted",	//450
    "setMuted$",	//451
    "setName",	//452
    "setName$",	//453
    "setOrientation",	//454
    "setOrientation$",	//455
    "setOutputDevice",	//456
    "setOutputDevice?",	//457
    "setPageStep",	//458
    "setPageStep$",	//459
    "setParameterValue",	//460
    "setParameterValue##",	//461
    "setPrefinishMark",	//462
    "setPrefinishMark$",	//463
    "setQueue",	//464
    "setQueue?",	//465
    "setSaturation",	//466
    "setSaturation$",	//467
    "setScaleMode",	//468
    "setScaleMode$",	//469
    "setSingleStep",	//470
    "setSingleStep$",	//471
    "setStreamSeekable",	//472
    "setStreamSeekable$",	//473
    "setStreamSize",	//474
    "setStreamSize$",	//475
    "setSubtitleAutodetect",	//476
    "setSubtitleAutodetect$",	//477
    "setSubtitleEncoding",	//478
    "setSubtitleEncoding$",	//479
    "setSubtitleFont",	//480
    "setSubtitleFont#",	//481
    "setTickInterval",	//482
    "setTickInterval$",	//483
    "setTracking",	//484
    "setTracking$",	//485
    "setTransitionTime",	//486
    "setTransitionTime$",	//487
    "setVisible",	//488
    "setVolume",	//489
    "setVolume$",	//490
    "setVolumeDecibel",	//491
    "setVolumeDecibel$",	//492
    "showEvent",	//493
    "singleStep",	//494
    "sink",	//495
    "sizeHint",	//496
    "snapshot",	//497
    "source",	//498
    "state",	//499
    "stateChanged",	//500
    "stateChanged$$",	//501
    "staticMetaObject",	//502
    "stop",	//503
    "stream",	//504
    "streamSeekable",	//505
    "streamSize",	//506
    "styleChange",	//507
    "subtitleAutodetect",	//508
    "subtitleEncoding",	//509
    "subtitleFont",	//510
    "supportedDropActions",	//511
    "supportedFeatures",	//512
    "tabletEvent",	//513
    "tick",	//514
    "tick$",	//515
    "tickInterval",	//516
    "timerEvent",	//517
    "titleChanged",	//518
    "titleChanged$",	//519
    "toEncoded",	//520
    "toEncoded$",	//521
    "totalTime",	//522
    "totalTimeChanged",	//523
    "totalTimeChanged$",	//524
    "tr",	//525
    "tr$",	//526
    "tr$$",	//527
    "tr$$$",	//528
    "trUtf8",	//529
    "trUtf8$",	//530
    "trUtf8$$",	//531
    "trUtf8$$$",	//532
    "transitionTime",	//533
    "tupleIndexAtPositionIndex",	//534
    "tupleIndexAtPositionIndex$",	//535
    "tupleIndexOrder",	//536
    "type",	//537
    "url",	//538
    "videoCaptureDevice",	//539
    "videoDeviceAccessList",	//540
    "videoWidget",	//541
    "volume",	//542
    "volumeChanged",	//543
    "volumeChanged$",	//544
    "volumeDecibel",	//545
    "wheelEvent",	//546
    "windowActivationChange",	//547
    "writeData",	//548
    "writeData#",	//549
    "x11Event",	//550
    "~AbstractAudioOutput",	//551
    "~AbstractMediaStream",	//552
    "~AbstractVideoOutput",	//553
    "~AudioDataOutput",	//554
    "~AudioOutput",	//555
    "~Effect",	//556
    "~EffectParameter",	//557
    "~EffectWidget",	//558
    "~MediaController",	//559
    "~MediaNode",	//560
    "~MediaObject",	//561
    "~MediaSource",	//562
    "~Mrl",	//563
    "~ObjectDescriptionData",	//564
    "~ObjectDescriptionModelData",	//565
    "~Path",	//566
    "~SeekSlider",	//567
    "~StreamInterface",	//568
    "~VideoPlayer",	//569
    "~VideoWidget",	//570
    "~VolumeFaderEffect",	//571
    "~VolumeSlider",	//572
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 340, 1, 2, Smoke::mf_static, 80, 1},	//1 Phonon::operator<<(QDebug, const Phonon::Capture::DeviceType&)
    {1, 340, 4, 2, Smoke::mf_static, 80, 2},	//2 Phonon::operator<<(QDebug, const Phonon::ErrorType&)
    {1, 185, 7, 1, Smoke::mf_static, 130, 3},	//3 Phonon::categoryToString(Phonon::CaptureCategory)
    {1, 185, 9, 1, Smoke::mf_static, 130, 4},	//4 Phonon::categoryToString(Phonon::Category)
    {1, 340, 11, 2, Smoke::mf_static, 80, 5},	//5 Phonon::operator<<(QDebug, const Phonon::Category&)
    {1, 340, 14, 2, Smoke::mf_static, 80, 6},	//6 Phonon::operator<<(QDebug, const Phonon::DiscType&)
    {1, 340, 17, 2, Smoke::mf_static, 80, 7},	//7 Phonon::operator<<(QDebug, const Phonon::State&)
    {1, 340, 20, 2, Smoke::mf_static, 80, 8},	//8 Phonon::operator<<(QDebug, const Phonon::MetaData&)
    {1, 383, 0, 0, Smoke::mf_static, 0, 9},	//9 Phonon::registerMetaTypes()
    {1, 374, 23, 1, Smoke::mf_static, 272, 10},	//10 Phonon::qHash(const Phonon::EffectParameter&)
    {1, 201, 25, 2, Smoke::mf_static, 35, 11},	//11 Phonon::createPlayer(Phonon::Category, const Phonon::MediaSource&)
    {1, 201, 9, 1, Smoke::mf_static, 35, 12},	//12 Phonon::createPlayer(Phonon::Category)
    {1, 340, 28, 2, Smoke::mf_static, 80, 13},	//13 Phonon::operator<<(QDebug, const Phonon::MediaSource&)
    {1, 363, 0, 0, Smoke::mf_static, 261, 14},	//14 Phonon::phononVersion()
    {1, 199, 31, 2, Smoke::mf_static, 56, 15},	//15 Phonon::createPath(Phonon::MediaNode*, Phonon::MediaNode*)
    {1, 340, 34, 2, Smoke::mf_static, 80, 16},	//16 Phonon::operator<<(QDebug, const Phonon::CaptureCategory&)
    {1, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 17},	//17 Phonon::ArtistMetaData (enum)
    {1, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 18},	//18 Phonon::AlbumMetaData (enum)
    {1, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 19},	//19 Phonon::TitleMetaData (enum)
    {1, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 20},	//20 Phonon::DateMetaData (enum)
    {1, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 21},	//21 Phonon::GenreMetaData (enum)
    {1, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 22},	//22 Phonon::TracknumberMetaData (enum)
    {1, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 23},	//23 Phonon::DescriptionMetaData (enum)
    {1, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 24},	//24 Phonon::MusicBrainzDiscIdMetaData (enum)
    {1, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 25},	//25 Phonon::AudioOutputDeviceType (enum)
    {1, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 26},	//26 Phonon::EffectType (enum)
    {1, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 27},	//27 Phonon::AudioChannelType (enum)
    {1, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 28},	//28 Phonon::SubtitleType (enum)
    {1, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 29},	//29 Phonon::AudioCaptureDeviceType (enum)
    {1, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 30},	//30 Phonon::VideoCaptureDeviceType (enum)
    {1, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 31},	//31 Phonon::NoDisc (enum)
    {1, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 32},	//32 Phonon::Cd (enum)
    {1, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 33},	//33 Phonon::Dvd (enum)
    {1, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 34},	//34 Phonon::Vcd (enum)
    {1, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 35},	//35 Phonon::BluRay (enum)
    {1, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//36 Phonon::NoCaptureCategory (enum)
    {1, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//37 Phonon::CommunicationCaptureCategory (enum)
    {1, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 38},	//38 Phonon::RecordingCaptureCategory (enum)
    {1, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 39},	//39 Phonon::ControlCaptureCategory (enum)
    {1, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 40},	//40 Phonon::NoError (enum)
    {1, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 41},	//41 Phonon::NormalError (enum)
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 42},	//42 Phonon::FatalError (enum)
    {1, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 43},	//43 Phonon::NoCategory (enum)
    {1, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 44},	//44 Phonon::NotificationCategory (enum)
    {1, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 45},	//45 Phonon::MusicCategory (enum)
    {1, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 46},	//46 Phonon::VideoCategory (enum)
    {1, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 47},	//47 Phonon::CommunicationCategory (enum)
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 48},	//48 Phonon::GameCategory (enum)
    {1, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 49},	//49 Phonon::AccessibilityCategory (enum)
    {1, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 50},	//50 Phonon::LastCategory (enum)
    {1, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 51},	//51 Phonon::LoadingState (enum)
    {1, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 52},	//52 Phonon::StoppedState (enum)
    {1, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 53},	//53 Phonon::PlayingState (enum)
    {1, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 54},	//54 Phonon::BufferingState (enum)
    {1, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 55},	//55 Phonon::PausedState (enum)
    {1, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 56},	//56 Phonon::ErrorState (enum)
    {2, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//57 Phonon::AbstractAudioOutput::metaObject() const
    {2, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//58 Phonon::AbstractAudioOutput::qt_metacast(const char*)
    {2, 525, 39, 2, Smoke::mf_static, 130, 3},	//59 Phonon::AbstractAudioOutput::tr(const char*, const char*)
    {2, 529, 39, 2, Smoke::mf_static, 130, 4},	//60 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*)
    {2, 525, 42, 3, Smoke::mf_static, 130, 5},	//61 Phonon::AbstractAudioOutput::tr(const char*, const char*, int)
    {2, 529, 42, 3, Smoke::mf_static, 130, 6},	//62 Phonon::AbstractAudioOutput::trUtf8(const char*, const char*, int)
    {2, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//63 Phonon::AbstractAudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {2, 1, 50, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 8},	//64 Phonon::AbstractAudioOutput::AbstractAudioOutput(Phonon::AbstractAudioOutputPrivate&, QObject*)
    {2, 525, 37, 1, Smoke::mf_static, 130, 9},	//65 Phonon::AbstractAudioOutput::tr(const char*)
    {2, 529, 37, 1, Smoke::mf_static, 130, 10},	//66 Phonon::AbstractAudioOutput::trUtf8(const char*)
    {2, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 11},	//67 Phonon::AbstractAudioOutput::staticMetaObject() const
    {2, 551, 0, 0, Smoke::mf_dtor, 0, 12 },	//68 Phonon::AbstractAudioOutput::~AbstractAudioOutput()
    {4, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//69 Phonon::AbstractMediaStream::metaObject() const
    {4, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//70 Phonon::AbstractMediaStream::qt_metacast(const char*)
    {4, 525, 39, 2, Smoke::mf_static, 130, 3},	//71 Phonon::AbstractMediaStream::tr(const char*, const char*)
    {4, 529, 39, 2, Smoke::mf_static, 130, 4},	//72 Phonon::AbstractMediaStream::trUtf8(const char*, const char*)
    {4, 525, 42, 3, Smoke::mf_static, 130, 5},	//73 Phonon::AbstractMediaStream::tr(const char*, const char*, int)
    {4, 529, 42, 3, Smoke::mf_static, 130, 6},	//74 Phonon::AbstractMediaStream::trUtf8(const char*, const char*, int)
    {4, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//75 Phonon::AbstractMediaStream::qt_metacall(QMetaObject::Call, int, void**)
    {4, 3, 53, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 8},	//76 Phonon::AbstractMediaStream::AbstractMediaStream(QObject*)
    {4, 506, 0, 0, Smoke::mf_const|Smoke::mf_protected, 267, 9},	//77 Phonon::AbstractMediaStream::streamSize() const
    {4, 474, 55, 1, Smoke::mf_protected, 0, 10},	//78 Phonon::AbstractMediaStream::setStreamSize(long long)
    {4, 505, 0, 0, Smoke::mf_const|Smoke::mf_protected, 216, 11},	//79 Phonon::AbstractMediaStream::streamSeekable() const
    {4, 472, 57, 1, Smoke::mf_protected, 0, 12},	//80 Phonon::AbstractMediaStream::setStreamSeekable(bool)
    {4, 548, 59, 1, Smoke::mf_protected, 0, 13},	//81 Phonon::AbstractMediaStream::writeData(const QByteArray&)
    {4, 236, 0, 0, Smoke::mf_protected, 0, 14},	//82 Phonon::AbstractMediaStream::endOfData()
    {4, 245, 61, 2, Smoke::mf_protected, 0, 15},	//83 Phonon::AbstractMediaStream::error(Phonon::ErrorType, const QString&)
    {4, 390, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//84 Phonon::AbstractMediaStream::reset() [pure virtual]
    {4, 334, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//85 Phonon::AbstractMediaStream::needData() [pure virtual]
    {4, 239, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//86 Phonon::AbstractMediaStream::enoughData()
    {4, 399, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//87 Phonon::AbstractMediaStream::seekStream(long long)
    {4, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 3, 20},	//88 Phonon::AbstractMediaStream::AbstractMediaStream(Phonon::AbstractMediaStreamPrivate&, QObject*)
    {4, 525, 37, 1, Smoke::mf_static, 130, 21},	//89 Phonon::AbstractMediaStream::tr(const char*)
    {4, 529, 37, 1, Smoke::mf_static, 130, 22},	//90 Phonon::AbstractMediaStream::trUtf8(const char*)
    {4, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 3, 23},	//91 Phonon::AbstractMediaStream::AbstractMediaStream()
    {4, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 24},	//92 Phonon::AbstractMediaStream::staticMetaObject() const
    {4, 552, 0, 0, Smoke::mf_dtor, 0, 25 },	//93 Phonon::AbstractMediaStream::~AbstractMediaStream()
    {6, 6, 67, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 1},	//94 Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    {6, 6, 69, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//95 Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    {6, 553, 0, 0, Smoke::mf_dtor, 0, 3 },	//96 Phonon::AbstractVideoOutput::~AbstractVideoOutput()
    {8, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//97 Phonon::AudioDataOutput::metaObject() const
    {8, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//98 Phonon::AudioDataOutput::qt_metacast(const char*)
    {8, 525, 39, 2, Smoke::mf_static, 130, 3},	//99 Phonon::AudioDataOutput::tr(const char*, const char*)
    {8, 529, 39, 2, Smoke::mf_static, 130, 4},	//100 Phonon::AudioDataOutput::trUtf8(const char*, const char*)
    {8, 525, 42, 3, Smoke::mf_static, 130, 5},	//101 Phonon::AudioDataOutput::tr(const char*, const char*, int)
    {8, 529, 42, 3, Smoke::mf_static, 130, 6},	//102 Phonon::AudioDataOutput::trUtf8(const char*, const char*, int)
    {8, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//103 Phonon::AudioDataOutput::qt_metacall(QMetaObject::Call, int, void**)
    {8, 20, 53, 1, Smoke::mf_ctor, 10, 8},	//104 Phonon::AudioDataOutput::AudioDataOutput(QObject*)
    {8, 219, 0, 0, Smoke::mf_const|Smoke::mf_property, 265, 9},	//105 Phonon::AudioDataOutput::dataSize() const
    {8, 394, 0, 0, Smoke::mf_const, 265, 10},	//106 Phonon::AudioDataOutput::sampleRate() const
    {8, 430, 71, 1, Smoke::mf_property|Smoke::mf_slot, 0, 11},	//107 Phonon::AudioDataOutput::setDataSize(int)
    {8, 217, 73, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//108 Phonon::AudioDataOutput::dataReady(const QMap<Phonon::AudioDataOutput::Channel,QVector<qint16> >&)
    {8, 237, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//109 Phonon::AudioDataOutput::endOfMedia(int)
    {8, 525, 37, 1, Smoke::mf_static, 130, 14},	//110 Phonon::AudioDataOutput::tr(const char*)
    {8, 529, 37, 1, Smoke::mf_static, 130, 15},	//111 Phonon::AudioDataOutput::trUtf8(const char*)
    {8, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//112 Phonon::AudioDataOutput::AudioDataOutput()
    {8, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 17},	//113 Phonon::AudioDataOutput::staticMetaObject() const
    {8, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 18},	//114 Phonon::AudioDataOutput::LeftChannel (enum)
    {8, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 19},	//115 Phonon::AudioDataOutput::RightChannel (enum)
    {8, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 20},	//116 Phonon::AudioDataOutput::CenterChannel (enum)
    {8, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 21},	//117 Phonon::AudioDataOutput::LeftSurroundChannel (enum)
    {8, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 22},	//118 Phonon::AudioDataOutput::RightSurroundChannel (enum)
    {8, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 23},	//119 Phonon::AudioDataOutput::SubwooferChannel (enum)
    {8, 554, 0, 0, Smoke::mf_dtor, 0, 24 },	//120 Phonon::AudioDataOutput::~AudioDataOutput()
    {9, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//121 Phonon::AudioOutput::metaObject() const
    {9, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//122 Phonon::AudioOutput::qt_metacast(const char*)
    {9, 525, 39, 2, Smoke::mf_static, 130, 3},	//123 Phonon::AudioOutput::tr(const char*, const char*)
    {9, 529, 39, 2, Smoke::mf_static, 130, 4},	//124 Phonon::AudioOutput::trUtf8(const char*, const char*)
    {9, 525, 42, 3, Smoke::mf_static, 130, 5},	//125 Phonon::AudioOutput::tr(const char*, const char*, int)
    {9, 529, 42, 3, Smoke::mf_static, 130, 6},	//126 Phonon::AudioOutput::trUtf8(const char*, const char*, int)
    {9, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//127 Phonon::AudioOutput::qt_metacall(QMetaObject::Call, int, void**)
    {9, 23, 75, 2, Smoke::mf_ctor, 12, 8},	//128 Phonon::AudioOutput::AudioOutput(Phonon::Category, QObject*)
    {9, 23, 53, 1, Smoke::mf_ctor, 12, 9},	//129 Phonon::AudioOutput::AudioOutput(QObject*)
    {9, 331, 0, 0, Smoke::mf_const|Smoke::mf_property, 130, 10},	//130 Phonon::AudioOutput::name() const
    {9, 542, 0, 0, Smoke::mf_const, 263, 11},	//131 Phonon::AudioOutput::volume() const
    {9, 545, 0, 0, Smoke::mf_const, 263, 12},	//132 Phonon::AudioOutput::volumeDecibel() const
    {9, 184, 0, 0, Smoke::mf_const, 18, 13},	//133 Phonon::AudioOutput::category() const
    {9, 351, 0, 0, Smoke::mf_const, 47, 14},	//134 Phonon::AudioOutput::outputDevice() const
    {9, 291, 0, 0, Smoke::mf_const|Smoke::mf_property, 216, 15},	//135 Phonon::AudioOutput::isMuted() const
    {9, 452, 78, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//136 Phonon::AudioOutput::setName(const QString&)
    {9, 489, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 17},	//137 Phonon::AudioOutput::setVolume(qreal)
    {9, 491, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 18},	//138 Phonon::AudioOutput::setVolumeDecibel(qreal)
    {9, 456, 82, 1, Smoke::mf_property|Smoke::mf_slot, 216, 19},	//139 Phonon::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&)
    {9, 450, 57, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//140 Phonon::AudioOutput::setMuted(bool)
    {9, 543, 80, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//141 Phonon::AudioOutput::volumeChanged(qreal)
    {9, 329, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//142 Phonon::AudioOutput::mutedChanged(bool)
    {9, 352, 82, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//143 Phonon::AudioOutput::outputDeviceChanged(const Phonon::AudioOutputDevice&)
    {9, 525, 37, 1, Smoke::mf_static, 130, 24},	//144 Phonon::AudioOutput::tr(const char*)
    {9, 529, 37, 1, Smoke::mf_static, 130, 25},	//145 Phonon::AudioOutput::trUtf8(const char*)
    {9, 23, 9, 1, Smoke::mf_ctor, 12, 26},	//146 Phonon::AudioOutput::AudioOutput(Phonon::Category)
    {9, 23, 0, 0, Smoke::mf_ctor, 12, 27},	//147 Phonon::AudioOutput::AudioOutput()
    {9, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 28},	//148 Phonon::AudioOutput::staticMetaObject() const
    {9, 555, 0, 0, Smoke::mf_dtor, 0, 29 },	//149 Phonon::AudioOutput::~AudioOutput()
    {11, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 1},	//150 Phonon::Capture::AudioType (enum)
    {11, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 2},	//151 Phonon::Capture::VideoType (enum)
    {12, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//152 Phonon::Effect::metaObject() const
    {12, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//153 Phonon::Effect::qt_metacast(const char*)
    {12, 525, 39, 2, Smoke::mf_static, 130, 3},	//154 Phonon::Effect::tr(const char*, const char*)
    {12, 529, 39, 2, Smoke::mf_static, 130, 4},	//155 Phonon::Effect::trUtf8(const char*, const char*)
    {12, 525, 42, 3, Smoke::mf_static, 130, 5},	//156 Phonon::Effect::tr(const char*, const char*, int)
    {12, 529, 42, 3, Smoke::mf_static, 130, 6},	//157 Phonon::Effect::trUtf8(const char*, const char*, int)
    {12, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//158 Phonon::Effect::qt_metacall(QMetaObject::Call, int, void**)
    {12, 46, 84, 2, Smoke::mf_ctor, 20, 8},	//159 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&, QObject*)
    {12, 221, 0, 0, Smoke::mf_const, 48, 9},	//160 Phonon::Effect::description() const
    {12, 361, 0, 0, Smoke::mf_const, 103, 10},	//161 Phonon::Effect::parameters() const
    {12, 359, 23, 1, Smoke::mf_const, 138, 11},	//162 Phonon::Effect::parameterValue(const Phonon::EffectParameter&) const
    {12, 460, 87, 2, 0, 0, 12},	//163 Phonon::Effect::setParameterValue(const Phonon::EffectParameter&, const QVariant&)
    {12, 46, 90, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 13},	//164 Phonon::Effect::Effect(Phonon::EffectPrivate&, QObject*)
    {12, 525, 37, 1, Smoke::mf_static, 130, 14},	//165 Phonon::Effect::tr(const char*)
    {12, 529, 37, 1, Smoke::mf_static, 130, 15},	//166 Phonon::Effect::trUtf8(const char*)
    {12, 46, 93, 1, Smoke::mf_ctor, 20, 16},	//167 Phonon::Effect::Effect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {12, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 17},	//168 Phonon::Effect::staticMetaObject() const
    {12, 556, 0, 0, Smoke::mf_dtor, 0, 18 },	//169 Phonon::Effect::~Effect()
    {13, 50, 0, 0, Smoke::mf_ctor, 24, 1},	//170 Phonon::EffectParameter::EffectParameter()
    {13, 331, 0, 0, Smoke::mf_const, 257, 2},	//171 Phonon::EffectParameter::name() const
    {13, 221, 0, 0, Smoke::mf_const, 257, 3},	//172 Phonon::EffectParameter::description() const
    {13, 537, 0, 0, Smoke::mf_const, 139, 4},	//173 Phonon::EffectParameter::type() const
    {13, 289, 0, 0, Smoke::mf_const, 216, 5},	//174 Phonon::EffectParameter::isLogarithmicControl() const
    {13, 315, 0, 0, Smoke::mf_const, 138, 6},	//175 Phonon::EffectParameter::minimumValue() const
    {13, 302, 0, 0, Smoke::mf_const, 138, 7},	//176 Phonon::EffectParameter::maximumValue() const
    {13, 220, 0, 0, Smoke::mf_const, 138, 8},	//177 Phonon::EffectParameter::defaultValue() const
    {13, 366, 0, 0, Smoke::mf_const, 112, 9},	//178 Phonon::EffectParameter::possibleValues() const
    {13, 338, 23, 1, Smoke::mf_const, 216, 10},	//179 Phonon::EffectParameter::operator<(const Phonon::EffectParameter&) const
    {13, 348, 23, 1, Smoke::mf_const, 216, 11},	//180 Phonon::EffectParameter::operator>(const Phonon::EffectParameter&) const
    {13, 346, 23, 1, Smoke::mf_const, 216, 12},	//181 Phonon::EffectParameter::operator==(const Phonon::EffectParameter&) const
    {13, 50, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 13},	//182 Phonon::EffectParameter::EffectParameter(const Phonon::EffectParameter&)
    {13, 343, 23, 1, 0, 23, 14},	//183 Phonon::EffectParameter::operator=(const Phonon::EffectParameter&)
    {13, 50, 95, 8, Smoke::mf_ctor, 24, 15},	//184 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&, const QString&)
    {13, 278, 0, 0, Smoke::mf_const, 265, 16},	//185 Phonon::EffectParameter::id() const
    {13, 50, 104, 4, Smoke::mf_ctor, 24, 17},	//186 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&)
    {13, 50, 109, 5, Smoke::mf_ctor, 24, 18},	//187 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&)
    {13, 50, 115, 6, Smoke::mf_ctor, 24, 19},	//188 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&)
    {13, 50, 122, 7, Smoke::mf_ctor, 24, 20},	//189 Phonon::EffectParameter::EffectParameter(int, const QString&, QFlags<Phonon::EffectParameter::Hint>, const QVariant&, const QVariant&, const QVariant&, const QList<QVariant>&)
    {13, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//190 Phonon::EffectParameter::ToggledHint (enum)
    {13, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//191 Phonon::EffectParameter::LogarithmicHint (enum)
    {13, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//192 Phonon::EffectParameter::IntegerHint (enum)
    {13, 557, 0, 0, Smoke::mf_dtor, 0, 24 },	//193 Phonon::EffectParameter::~EffectParameter()
    {15, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//194 Phonon::EffectWidget::metaObject() const
    {15, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//195 Phonon::EffectWidget::qt_metacast(const char*)
    {15, 525, 39, 2, Smoke::mf_static, 130, 3},	//196 Phonon::EffectWidget::tr(const char*, const char*)
    {15, 529, 39, 2, Smoke::mf_static, 130, 4},	//197 Phonon::EffectWidget::trUtf8(const char*, const char*)
    {15, 525, 42, 3, Smoke::mf_static, 130, 5},	//198 Phonon::EffectWidget::tr(const char*, const char*, int)
    {15, 529, 42, 3, Smoke::mf_static, 130, 6},	//199 Phonon::EffectWidget::trUtf8(const char*, const char*, int)
    {15, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//200 Phonon::EffectWidget::qt_metacall(QMetaObject::Call, int, void**)
    {15, 58, 130, 2, Smoke::mf_ctor, 28, 8},	//201 Phonon::EffectWidget::EffectWidget(Phonon::Effect*, QWidget*)
    {15, 525, 37, 1, Smoke::mf_static, 130, 9},	//202 Phonon::EffectWidget::tr(const char*)
    {15, 529, 37, 1, Smoke::mf_static, 130, 10},	//203 Phonon::EffectWidget::trUtf8(const char*)
    {15, 58, 133, 1, Smoke::mf_ctor, 28, 11},	//204 Phonon::EffectWidget::EffectWidget(Phonon::Effect*)
    {15, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 12},	//205 Phonon::EffectWidget::staticMetaObject() const
    {15, 558, 0, 0, Smoke::mf_dtor, 0, 13 },	//206 Phonon::EffectWidget::~EffectWidget()
    {16, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//207 Phonon::MediaController::metaObject() const
    {16, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//208 Phonon::MediaController::qt_metacast(const char*)
    {16, 525, 39, 2, Smoke::mf_static, 130, 3},	//209 Phonon::MediaController::tr(const char*, const char*)
    {16, 529, 39, 2, Smoke::mf_static, 130, 4},	//210 Phonon::MediaController::trUtf8(const char*, const char*)
    {16, 525, 42, 3, Smoke::mf_static, 130, 5},	//211 Phonon::MediaController::tr(const char*, const char*, int)
    {16, 529, 42, 3, Smoke::mf_static, 130, 6},	//212 Phonon::MediaController::trUtf8(const char*, const char*, int)
    {16, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//213 Phonon::MediaController::qt_metacall(QMetaObject::Call, int, void**)
    {16, 80, 135, 1, Smoke::mf_ctor, 30, 8},	//214 Phonon::MediaController::MediaController(Phonon::MediaObject*)
    {16, 512, 0, 0, Smoke::mf_const, 88, 9},	//215 Phonon::MediaController::supportedFeatures() const
    {16, 165, 0, 0, Smoke::mf_const, 265, 10},	//216 Phonon::MediaController::availableAngles() const
    {16, 204, 0, 0, Smoke::mf_const, 265, 11},	//217 Phonon::MediaController::currentAngle() const
    {16, 170, 0, 0, Smoke::mf_const, 265, 12},	//218 Phonon::MediaController::availableChapters() const
    {16, 206, 0, 0, Smoke::mf_const, 265, 13},	//219 Phonon::MediaController::currentChapter() const
    {16, 332, 137, 1, Smoke::mf_static, 130, 14},	//220 Phonon::MediaController::navigationMenuToString(Phonon::MediaController::NavigationMenu)
    {16, 173, 0, 0, Smoke::mf_const, 104, 15},	//221 Phonon::MediaController::availableMenus() const
    {16, 178, 0, 0, Smoke::mf_const, 265, 16},	//222 Phonon::MediaController::availableTitles() const
    {16, 212, 0, 0, Smoke::mf_const, 265, 17},	//223 Phonon::MediaController::currentTitle() const
    {16, 164, 0, 0, Smoke::mf_const, 216, 18},	//224 Phonon::MediaController::autoplayTitles() const
    {16, 205, 0, 0, Smoke::mf_const, 46, 19},	//225 Phonon::MediaController::currentAudioChannel() const
    {16, 210, 0, 0, Smoke::mf_const, 49, 20},	//226 Phonon::MediaController::currentSubtitle() const
    {16, 508, 0, 0, Smoke::mf_const, 216, 21},	//227 Phonon::MediaController::subtitleAutodetect() const
    {16, 509, 0, 0, Smoke::mf_const, 130, 22},	//228 Phonon::MediaController::subtitleEncoding() const
    {16, 510, 0, 0, Smoke::mf_const, 93, 23},	//229 Phonon::MediaController::subtitleFont() const
    {16, 168, 0, 0, Smoke::mf_const, 106, 24},	//230 Phonon::MediaController::availableAudioChannels() const
    {16, 176, 0, 0, Smoke::mf_const, 107, 25},	//231 Phonon::MediaController::availableSubtitles() const
    {16, 417, 139, 1, 0, 0, 26},	//232 Phonon::MediaController::setCurrentAudioChannel(const Phonon::ObjectDescription<Phonon::AudioChannelType>&)
    {16, 421, 137, 1, 0, 0, 27},	//233 Phonon::MediaController::setCurrentMenu(Phonon::MediaController::NavigationMenu)
    {16, 425, 141, 1, 0, 0, 28},	//234 Phonon::MediaController::setCurrentSubtitle(const Phonon::ObjectDescription<Phonon::SubtitleType>&)
    {16, 425, 143, 1, 0, 0, 29},	//235 Phonon::MediaController::setCurrentSubtitle(const QUrl&)
    {16, 476, 57, 1, 0, 0, 30},	//236 Phonon::MediaController::setSubtitleAutodetect(bool)
    {16, 478, 78, 1, 0, 0, 31},	//237 Phonon::MediaController::setSubtitleEncoding(const QString&)
    {16, 480, 145, 1, 0, 0, 32},	//238 Phonon::MediaController::setSubtitleFont(const QFont&)
    {16, 415, 71, 1, Smoke::mf_slot, 0, 33},	//239 Phonon::MediaController::setCurrentAngle(int)
    {16, 419, 71, 1, Smoke::mf_slot, 0, 34},	//240 Phonon::MediaController::setCurrentChapter(int)
    {16, 428, 71, 1, Smoke::mf_slot, 0, 35},	//241 Phonon::MediaController::setCurrentTitle(int)
    {16, 409, 57, 1, Smoke::mf_slot, 0, 36},	//242 Phonon::MediaController::setAutoplayTitles(bool)
    {16, 335, 0, 0, Smoke::mf_slot, 0, 37},	//243 Phonon::MediaController::nextTitle()
    {16, 370, 0, 0, Smoke::mf_slot, 0, 38},	//244 Phonon::MediaController::previousTitle()
    {16, 166, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//245 Phonon::MediaController::availableAnglesChanged(int)
    {16, 169, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//246 Phonon::MediaController::availableAudioChannelsChanged()
    {16, 171, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//247 Phonon::MediaController::availableChaptersChanged(int)
    {16, 174, 147, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//248 Phonon::MediaController::availableMenusChanged(QList<Phonon::MediaController::NavigationMenu>)
    {16, 177, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//249 Phonon::MediaController::availableSubtitlesChanged()
    {16, 179, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//250 Phonon::MediaController::availableTitlesChanged(int)
    {16, 157, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//251 Phonon::MediaController::angleChanged(int)
    {16, 188, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//252 Phonon::MediaController::chapterChanged(int)
    {16, 518, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//253 Phonon::MediaController::titleChanged(int)
    {16, 525, 37, 1, Smoke::mf_static, 130, 48},	//254 Phonon::MediaController::tr(const char*)
    {16, 529, 37, 1, Smoke::mf_static, 130, 49},	//255 Phonon::MediaController::trUtf8(const char*)
    {16, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 50},	//256 Phonon::MediaController::staticMetaObject() const
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 51},	//257 Phonon::MediaController::Angles (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 52},	//258 Phonon::MediaController::Chapters (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 53},	//259 Phonon::MediaController::Navigations (enum)
    {16, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 54},	//260 Phonon::MediaController::Titles (enum)
    {16, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 55},	//261 Phonon::MediaController::Subtitles (enum)
    {16, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 56},	//262 Phonon::MediaController::AudioChannels (enum)
    {16, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 57},	//263 Phonon::MediaController::RootMenu (enum)
    {16, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 58},	//264 Phonon::MediaController::TitleMenu (enum)
    {16, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 59},	//265 Phonon::MediaController::AudioMenu (enum)
    {16, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 60},	//266 Phonon::MediaController::SubtitleMenu (enum)
    {16, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 61},	//267 Phonon::MediaController::ChapterMenu (enum)
    {16, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 62},	//268 Phonon::MediaController::AngleMenu (enum)
    {16, 559, 0, 0, Smoke::mf_dtor, 0, 63 },	//269 Phonon::MediaController::~MediaController()
    {17, 295, 0, 0, Smoke::mf_const, 216, 1},	//270 Phonon::MediaNode::isValid() const
    {17, 282, 0, 0, Smoke::mf_const, 108, 2},	//271 Phonon::MediaNode::inputPaths() const
    {17, 354, 0, 0, Smoke::mf_const, 108, 3},	//272 Phonon::MediaNode::outputPaths() const
    {17, 82, 149, 1, Smoke::mf_ctor|Smoke::mf_protected, 33, 4},	//273 Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    {17, 82, 151, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 5},	//274 Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    {17, 560, 0, 0, Smoke::mf_dtor, 0, 6 },	//275 Phonon::MediaNode::~MediaNode()
    {19, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//276 Phonon::MediaObject::metaObject() const
    {19, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//277 Phonon::MediaObject::qt_metacast(const char*)
    {19, 525, 39, 2, Smoke::mf_static, 130, 3},	//278 Phonon::MediaObject::tr(const char*, const char*)
    {19, 529, 39, 2, Smoke::mf_static, 130, 4},	//279 Phonon::MediaObject::trUtf8(const char*, const char*)
    {19, 525, 42, 3, Smoke::mf_static, 130, 5},	//280 Phonon::MediaObject::tr(const char*, const char*, int)
    {19, 529, 42, 3, Smoke::mf_static, 130, 6},	//281 Phonon::MediaObject::trUtf8(const char*, const char*, int)
    {19, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//282 Phonon::MediaObject::qt_metacall(QMetaObject::Call, int, void**)
    {19, 84, 53, 1, Smoke::mf_ctor, 35, 8},	//283 Phonon::MediaObject::MediaObject(QObject*)
    {19, 499, 0, 0, Smoke::mf_const, 60, 9},	//284 Phonon::MediaObject::state() const
    {19, 271, 0, 0, Smoke::mf_const, 216, 10},	//285 Phonon::MediaObject::hasVideo() const
    {19, 294, 0, 0, Smoke::mf_const, 216, 11},	//286 Phonon::MediaObject::isSeekable() const
    {19, 516, 0, 0, Smoke::mf_const, 265, 12},	//287 Phonon::MediaObject::tickInterval() const
    {19, 305, 78, 1, Smoke::mf_const, 131, 13},	//288 Phonon::MediaObject::metaData(const QString&) const
    {19, 305, 153, 1, Smoke::mf_const, 131, 14},	//289 Phonon::MediaObject::metaData(Phonon::MetaData) const
    {19, 305, 0, 0, Smoke::mf_const, 120, 15},	//290 Phonon::MediaObject::metaData() const
    {19, 247, 0, 0, Smoke::mf_const, 130, 16},	//291 Phonon::MediaObject::errorString() const
    {19, 248, 0, 0, Smoke::mf_const, 29, 17},	//292 Phonon::MediaObject::errorType() const
    {19, 207, 0, 0, Smoke::mf_const, 36, 18},	//293 Phonon::MediaObject::currentSource() const
    {19, 423, 155, 1, 0, 0, 19},	//294 Phonon::MediaObject::setCurrentSource(const Phonon::MediaSource&)
    {19, 380, 0, 0, Smoke::mf_const, 105, 20},	//295 Phonon::MediaObject::queue() const
    {19, 464, 157, 1, 0, 0, 21},	//296 Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    {19, 464, 159, 1, 0, 0, 22},	//297 Phonon::MediaObject::setQueue(const QList<QUrl>&)
    {19, 240, 155, 1, 0, 0, 23},	//298 Phonon::MediaObject::enqueue(const Phonon::MediaSource&)
    {19, 240, 157, 1, 0, 0, 24},	//299 Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    {19, 240, 159, 1, 0, 0, 25},	//300 Phonon::MediaObject::enqueue(const QList<QUrl>&)
    {19, 192, 0, 0, 0, 0, 26},	//301 Phonon::MediaObject::clearQueue()
    {19, 211, 0, 0, Smoke::mf_const, 267, 27},	//302 Phonon::MediaObject::currentTime() const
    {19, 522, 0, 0, Smoke::mf_const, 267, 28},	//303 Phonon::MediaObject::totalTime() const
    {19, 384, 0, 0, Smoke::mf_const, 267, 29},	//304 Phonon::MediaObject::remainingTime() const
    {19, 367, 0, 0, Smoke::mf_const, 265, 30},	//305 Phonon::MediaObject::prefinishMark() const
    {19, 462, 71, 1, 0, 0, 31},	//306 Phonon::MediaObject::setPrefinishMark(int)
    {19, 533, 0, 0, Smoke::mf_const, 265, 32},	//307 Phonon::MediaObject::transitionTime() const
    {19, 486, 71, 1, 0, 0, 33},	//308 Phonon::MediaObject::setTransitionTime(int)
    {19, 482, 161, 1, Smoke::mf_property|Smoke::mf_slot, 0, 34},	//309 Phonon::MediaObject::setTickInterval(qint32)
    {19, 364, 0, 0, Smoke::mf_slot, 0, 35},	//310 Phonon::MediaObject::play()
    {19, 362, 0, 0, Smoke::mf_slot, 0, 36},	//311 Phonon::MediaObject::pause()
    {19, 503, 0, 0, Smoke::mf_slot, 0, 37},	//312 Phonon::MediaObject::stop()
    {19, 397, 163, 1, Smoke::mf_slot, 0, 38},	//313 Phonon::MediaObject::seek(qint64)
    {19, 191, 0, 0, Smoke::mf_slot, 0, 39},	//314 Phonon::MediaObject::clear()
    {19, 500, 165, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//315 Phonon::MediaObject::stateChanged(Phonon::State, Phonon::State)
    {19, 514, 163, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//316 Phonon::MediaObject::tick(qint64)
    {19, 307, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//317 Phonon::MediaObject::metaDataChanged()
    {19, 401, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//318 Phonon::MediaObject::seekableChanged(bool)
    {19, 272, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//319 Phonon::MediaObject::hasVideoChanged(bool)
    {19, 182, 71, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//320 Phonon::MediaObject::bufferStatus(int)
    {19, 261, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//321 Phonon::MediaObject::finished()
    {19, 208, 155, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//322 Phonon::MediaObject::currentSourceChanged(const Phonon::MediaSource&)
    {19, 155, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//323 Phonon::MediaObject::aboutToFinish()
    {19, 368, 161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//324 Phonon::MediaObject::prefinishMarkReached(qint32)
    {19, 523, 163, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//325 Phonon::MediaObject::totalTimeChanged(qint64)
    {19, 525, 37, 1, Smoke::mf_static, 130, 51},	//326 Phonon::MediaObject::tr(const char*)
    {19, 529, 37, 1, Smoke::mf_static, 130, 52},	//327 Phonon::MediaObject::trUtf8(const char*)
    {19, 84, 0, 0, Smoke::mf_ctor, 35, 53},	//328 Phonon::MediaObject::MediaObject()
    {19, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 54},	//329 Phonon::MediaObject::staticMetaObject() const
    {19, 561, 0, 0, Smoke::mf_dtor, 0, 55 },	//330 Phonon::MediaObject::~MediaObject()
    {20, 86, 0, 0, Smoke::mf_ctor, 38, 1},	//331 Phonon::MediaSource::MediaSource()
    {20, 86, 78, 1, Smoke::mf_ctor, 38, 2},	//332 Phonon::MediaSource::MediaSource(const QString&)
    {20, 86, 143, 1, Smoke::mf_ctor, 38, 3},	//333 Phonon::MediaSource::MediaSource(const QUrl&)
    {20, 86, 168, 2, Smoke::mf_ctor, 38, 4},	//334 Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    {20, 86, 171, 1, Smoke::mf_ctor, 38, 5},	//335 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    {20, 86, 173, 1, Smoke::mf_ctor, 38, 6},	//336 Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    {20, 86, 175, 2, Smoke::mf_ctor, 38, 7},	//337 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    {20, 86, 7, 1, Smoke::mf_ctor, 38, 8},	//338 Phonon::MediaSource::MediaSource(Phonon::CaptureCategory)
    {20, 86, 178, 1, Smoke::mf_ctor, 38, 9},	//339 Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    {20, 86, 180, 1, Smoke::mf_ctor, 38, 10},	//340 Phonon::MediaSource::MediaSource(QIODevice*)
    {20, 86, 155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 11},	//341 Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    {20, 343, 155, 1, 0, 37, 12},	//342 Phonon::MediaSource::operator=(const Phonon::MediaSource&)
    {20, 346, 155, 1, Smoke::mf_const, 216, 13},	//343 Phonon::MediaSource::operator==(const Phonon::MediaSource&) const
    {20, 407, 57, 1, 0, 0, 14},	//344 Phonon::MediaSource::setAutoDelete(bool)
    {20, 163, 0, 0, Smoke::mf_const, 216, 15},	//345 Phonon::MediaSource::autoDelete() const
    {20, 537, 0, 0, Smoke::mf_const, 39, 16},	//346 Phonon::MediaSource::type() const
    {20, 260, 0, 0, Smoke::mf_const, 130, 17},	//347 Phonon::MediaSource::fileName() const
    {20, 328, 0, 0, Smoke::mf_const, 42, 18},	//348 Phonon::MediaSource::mrl() const
    {20, 538, 0, 0, Smoke::mf_const, 136, 19},	//349 Phonon::MediaSource::url() const
    {20, 225, 0, 0, Smoke::mf_const, 19, 20},	//350 Phonon::MediaSource::discType() const
    {20, 223, 0, 0, Smoke::mf_const, 245, 21},	//351 Phonon::MediaSource::deviceAccessList() const
    {20, 540, 0, 0, Smoke::mf_const, 245, 22},	//352 Phonon::MediaSource::videoDeviceAccessList() const
    {20, 161, 0, 0, Smoke::mf_const, 245, 23},	//353 Phonon::MediaSource::audioDeviceAccessList() const
    {20, 224, 0, 0, Smoke::mf_const, 130, 24},	//354 Phonon::MediaSource::deviceName() const
    {20, 504, 0, 0, Smoke::mf_const, 3, 25},	//355 Phonon::MediaSource::stream() const
    {20, 160, 0, 0, Smoke::mf_const, 45, 26},	//356 Phonon::MediaSource::audioCaptureDevice() const
    {20, 539, 0, 0, Smoke::mf_const, 50, 27},	//357 Phonon::MediaSource::videoCaptureDevice() const
    {20, 86, 182, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 28},	//358 Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    {20, 86, 184, 1, Smoke::mf_ctor|Smoke::mf_protected, 38, 29},	//359 Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    {20, 86, 186, 1, Smoke::mf_ctor, 38, 30},	//360 Phonon::MediaSource::MediaSource(Phonon::DiscType)
    {20, 86, 188, 1, Smoke::mf_ctor, 38, 31},	//361 Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    {20, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//362 Phonon::MediaSource::Invalid (enum)
    {20, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//363 Phonon::MediaSource::LocalFile (enum)
    {20, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//364 Phonon::MediaSource::Url (enum)
    {20, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//365 Phonon::MediaSource::Disc (enum)
    {20, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//366 Phonon::MediaSource::Stream (enum)
    {20, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 37},	//367 Phonon::MediaSource::CaptureDevice (enum)
    {20, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 38},	//368 Phonon::MediaSource::Empty (enum)
    {20, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 39},	//369 Phonon::MediaSource::AudioVideoCapture (enum)
    {20, 562, 0, 0, Smoke::mf_dtor, 0, 40 },	//370 Phonon::MediaSource::~MediaSource()
    {22, 91, 0, 0, Smoke::mf_ctor, 44, 1},	//371 Phonon::Mrl::Mrl()
    {22, 91, 190, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 2},	//372 Phonon::Mrl::Mrl(const Phonon::Mrl&)
    {22, 91, 143, 1, Smoke::mf_ctor, 44, 3},	//373 Phonon::Mrl::Mrl(const QUrl&)
    {22, 91, 78, 1, Smoke::mf_ctor, 44, 4},	//374 Phonon::Mrl::Mrl(const QString&)
    {22, 343, 190, 1, 0, 43, 5},	//375 Phonon::Mrl::operator=(const Phonon::Mrl&)
    {22, 343, 78, 1, 0, 43, 6},	//376 Phonon::Mrl::operator=(const QString&)
    {22, 520, 192, 1, Smoke::mf_const, 76, 7},	//377 Phonon::Mrl::toEncoded(QFlags<QUrl::FormattingOption>) const
    {22, 520, 0, 0, Smoke::mf_const, 76, 8},	//378 Phonon::Mrl::toEncoded() const
    {22, 563, 0, 0, Smoke::mf_dtor, 0, 9 },	//379 Phonon::Mrl::~Mrl()
    {23, 346, 194, 1, Smoke::mf_const, 216, 1},	//380 Phonon::ObjectDescriptionData::operator==(const Phonon::ObjectDescriptionData&) const
    {23, 331, 0, 0, Smoke::mf_const, 130, 2},	//381 Phonon::ObjectDescriptionData::name() const
    {23, 221, 0, 0, Smoke::mf_const, 130, 3},	//382 Phonon::ObjectDescriptionData::description() const
    {23, 371, 37, 1, Smoke::mf_const, 138, 4},	//383 Phonon::ObjectDescriptionData::property(const char*) const
    {23, 373, 0, 0, Smoke::mf_const, 110, 5},	//384 Phonon::ObjectDescriptionData::propertyNames() const
    {23, 295, 0, 0, Smoke::mf_const, 216, 6},	//385 Phonon::ObjectDescriptionData::isValid() const
    {23, 279, 0, 0, Smoke::mf_const, 265, 7},	//386 Phonon::ObjectDescriptionData::index() const
    {23, 268, 196, 2, Smoke::mf_static, 52, 8},	//387 Phonon::ObjectDescriptionData::fromIndex(Phonon::ObjectDescriptionType, int)
    {23, 103, 199, 1, Smoke::mf_ctor, 52, 9},	//388 Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    {23, 103, 201, 2, Smoke::mf_ctor, 52, 10},	//389 Phonon::ObjectDescriptionData::ObjectDescriptionData(int, const QHash<QByteArray,QVariant>&)
    {23, 103, 194, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 11},	//390 Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    {23, 103, 0, 0, Smoke::mf_ctor, 52, 12},	//391 Phonon::ObjectDescriptionData::ObjectDescriptionData()
    {23, 564, 0, 0, Smoke::mf_dtor, 0, 13 },	//392 Phonon::ObjectDescriptionData::~ObjectDescriptionData()
    {24, 392, 204, 1, Smoke::mf_const, 265, 1},	//393 Phonon::ObjectDescriptionModelData::rowCount(const QModelIndex&) const
    {24, 214, 206, 2, Smoke::mf_const, 138, 2},	//394 Phonon::ObjectDescriptionModelData::data(const QModelIndex&, int) const
    {24, 262, 204, 1, Smoke::mf_const, 91, 3},	//395 Phonon::ObjectDescriptionModelData::flags(const QModelIndex&) const
    {24, 536, 0, 0, Smoke::mf_const, 113, 4},	//396 Phonon::ObjectDescriptionModelData::tupleIndexOrder() const
    {24, 534, 71, 1, Smoke::mf_const, 265, 5},	//397 Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex(int) const
    {24, 310, 209, 2, Smoke::mf_const, 116, 6},	//398 Phonon::ObjectDescriptionModelData::mimeData(Phonon::ObjectDescriptionType, const QList<QModelIndex>&) const
    {24, 326, 204, 1, 0, 0, 7},	//399 Phonon::ObjectDescriptionModelData::moveUp(const QModelIndex&)
    {24, 323, 204, 1, 0, 0, 8},	//400 Phonon::ObjectDescriptionModelData::moveDown(const QModelIndex&)
    {24, 446, 212, 1, 0, 0, 9},	//401 Phonon::ObjectDescriptionModelData::setModelData(const QList<QExplicitlySharedDataPointer<Phonon::ObjectDescriptionData> >&)
    {24, 316, 0, 0, Smoke::mf_const, 111, 10},	//402 Phonon::ObjectDescriptionModelData::modelData() const
    {24, 316, 204, 1, Smoke::mf_const, 86, 11},	//403 Phonon::ObjectDescriptionModelData::modelData(const QModelIndex&) const
    {24, 511, 0, 0, Smoke::mf_const, 90, 12},	//404 Phonon::ObjectDescriptionModelData::supportedDropActions() const
    {24, 232, 214, 6, 0, 216, 13},	//405 Phonon::ObjectDescriptionModelData::dropMimeData(Phonon::ObjectDescriptionType, const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {24, 387, 221, 3, 0, 216, 14},	//406 Phonon::ObjectDescriptionModelData::removeRows(int, int, const QModelIndex&)
    {24, 312, 225, 1, Smoke::mf_const, 131, 15},	//407 Phonon::ObjectDescriptionModelData::mimeTypes(Phonon::ObjectDescriptionType) const
    {24, 106, 227, 1, Smoke::mf_ctor, 53, 16},	//408 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    {24, 106, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 17},	//409 Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    {24, 392, 0, 0, Smoke::mf_const, 265, 18},	//410 Phonon::ObjectDescriptionModelData::rowCount() const
    {24, 214, 204, 1, Smoke::mf_const, 138, 19},	//411 Phonon::ObjectDescriptionModelData::data(const QModelIndex&) const
    {24, 387, 231, 2, 0, 216, 20},	//412 Phonon::ObjectDescriptionModelData::removeRows(int, int)
    {24, 565, 0, 0, Smoke::mf_dtor, 0, 21 },	//413 Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData()
    {26, 108, 0, 0, Smoke::mf_ctor, 58, 1},	//414 Phonon::Path::Path()
    {26, 108, 234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//415 Phonon::Path::Path(const Phonon::Path&)
    {26, 295, 0, 0, Smoke::mf_const, 216, 3},	//416 Phonon::Path::isValid() const
    {26, 283, 236, 2, 0, 20, 4},	//417 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&, Phonon::Effect*)
    {26, 283, 239, 2, 0, 216, 5},	//418 Phonon::Path::insertEffect(Phonon::Effect*, Phonon::Effect*)
    {26, 385, 133, 1, 0, 216, 6},	//419 Phonon::Path::removeEffect(Phonon::Effect*)
    {26, 234, 0, 0, Smoke::mf_const, 101, 7},	//420 Phonon::Path::effects() const
    {26, 381, 31, 2, 0, 216, 8},	//421 Phonon::Path::reconnect(Phonon::MediaNode*, Phonon::MediaNode*)
    {26, 226, 0, 0, 0, 216, 9},	//422 Phonon::Path::disconnect()
    {26, 343, 234, 1, 0, 57, 10},	//423 Phonon::Path::operator=(const Phonon::Path&)
    {26, 346, 234, 1, Smoke::mf_const, 216, 11},	//424 Phonon::Path::operator==(const Phonon::Path&) const
    {26, 336, 234, 1, Smoke::mf_const, 216, 12},	//425 Phonon::Path::operator!=(const Phonon::Path&) const
    {26, 498, 0, 0, Smoke::mf_const, 33, 13},	//426 Phonon::Path::source() const
    {26, 495, 0, 0, Smoke::mf_const, 33, 14},	//427 Phonon::Path::sink() const
    {26, 283, 93, 1, 0, 20, 15},	//428 Phonon::Path::insertEffect(const Phonon::ObjectDescription<Phonon::EffectType>&)
    {26, 283, 133, 1, 0, 216, 16},	//429 Phonon::Path::insertEffect(Phonon::Effect*)
    {26, 566, 0, 0, Smoke::mf_dtor, 0, 17 },	//430 Phonon::Path::~Path()
    {27, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//431 Phonon::SeekSlider::metaObject() const
    {27, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//432 Phonon::SeekSlider::qt_metacast(const char*)
    {27, 525, 39, 2, Smoke::mf_static, 130, 3},	//433 Phonon::SeekSlider::tr(const char*, const char*)
    {27, 529, 39, 2, Smoke::mf_static, 130, 4},	//434 Phonon::SeekSlider::trUtf8(const char*, const char*)
    {27, 525, 42, 3, Smoke::mf_static, 130, 5},	//435 Phonon::SeekSlider::tr(const char*, const char*, int)
    {27, 529, 42, 3, Smoke::mf_static, 130, 6},	//436 Phonon::SeekSlider::trUtf8(const char*, const char*, int)
    {27, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//437 Phonon::SeekSlider::qt_metacall(QMetaObject::Call, int, void**)
    {27, 122, 242, 1, Smoke::mf_ctor, 59, 8},	//438 Phonon::SeekSlider::SeekSlider(QWidget*)
    {27, 122, 244, 2, Smoke::mf_ctor, 59, 9},	//439 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*, QWidget*)
    {27, 270, 0, 0, Smoke::mf_const|Smoke::mf_property, 216, 10},	//440 Phonon::SeekSlider::hasTracking() const
    {27, 484, 57, 1, Smoke::mf_property, 0, 11},	//441 Phonon::SeekSlider::setTracking(bool)
    {27, 355, 0, 0, Smoke::mf_const|Smoke::mf_property, 265, 12},	//442 Phonon::SeekSlider::pageStep() const
    {27, 458, 71, 1, Smoke::mf_property, 0, 13},	//443 Phonon::SeekSlider::setPageStep(int)
    {27, 494, 0, 0, Smoke::mf_const|Smoke::mf_property, 265, 14},	//444 Phonon::SeekSlider::singleStep() const
    {27, 470, 71, 1, Smoke::mf_property, 0, 15},	//445 Phonon::SeekSlider::setSingleStep(int)
    {27, 350, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 16},	//446 Phonon::SeekSlider::orientation() const
    {27, 288, 0, 0, Smoke::mf_const|Smoke::mf_property, 216, 17},	//447 Phonon::SeekSlider::isIconVisible() const
    {27, 277, 0, 0, Smoke::mf_const|Smoke::mf_property, 129, 18},	//448 Phonon::SeekSlider::iconSize() const
    {27, 304, 0, 0, Smoke::mf_const, 35, 19},	//449 Phonon::SeekSlider::mediaObject() const
    {27, 454, 247, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//450 Phonon::SeekSlider::setOrientation(Qt::Orientation)
    {27, 440, 57, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//451 Phonon::SeekSlider::setIconVisible(bool)
    {27, 438, 249, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//452 Phonon::SeekSlider::setIconSize(const QSize&)
    {27, 444, 135, 1, Smoke::mf_slot, 0, 23},	//453 Phonon::SeekSlider::setMediaObject(Phonon::MediaObject*)
    {27, 525, 37, 1, Smoke::mf_static, 130, 24},	//454 Phonon::SeekSlider::tr(const char*)
    {27, 529, 37, 1, Smoke::mf_static, 130, 25},	//455 Phonon::SeekSlider::trUtf8(const char*)
    {27, 122, 0, 0, Smoke::mf_ctor, 59, 26},	//456 Phonon::SeekSlider::SeekSlider()
    {27, 122, 135, 1, Smoke::mf_ctor, 59, 27},	//457 Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    {27, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 28},	//458 Phonon::SeekSlider::staticMetaObject() const
    {27, 567, 0, 0, Smoke::mf_dtor, 0, 29 },	//459 Phonon::SeekSlider::~SeekSlider()
    {28, 548, 59, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//460 Phonon::StreamInterface::writeData(const QByteArray&) [pure virtual]
    {28, 236, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//461 Phonon::StreamInterface::endOfData() [pure virtual]
    {28, 474, 55, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//462 Phonon::StreamInterface::setStreamSize(long long) [pure virtual]
    {28, 472, 57, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//463 Phonon::StreamInterface::setStreamSeekable(bool) [pure virtual]
    {28, 195, 155, 1, 0, 0, 5},	//464 Phonon::StreamInterface::connectToSource(const Phonon::MediaSource&)
    {28, 334, 0, 0, 0, 0, 6},	//465 Phonon::StreamInterface::needData()
    {28, 239, 0, 0, 0, 0, 7},	//466 Phonon::StreamInterface::enoughData()
    {28, 399, 55, 1, 0, 0, 8},	//467 Phonon::StreamInterface::seekStream(long long)
    {28, 390, 0, 0, 0, 0, 9},	//468 Phonon::StreamInterface::reset()
    {28, 127, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 61, 10},	//469 Phonon::StreamInterface::StreamInterface()
    {28, 127, 251, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 11},	//470 Phonon::StreamInterface::StreamInterface(const Phonon::StreamInterface&)
    {28, 568, 0, 0, Smoke::mf_dtor, 0, 12 },	//471 Phonon::StreamInterface::~StreamInterface()
    {29, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//472 Phonon::VideoPlayer::metaObject() const
    {29, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//473 Phonon::VideoPlayer::qt_metacast(const char*)
    {29, 525, 39, 2, Smoke::mf_static, 130, 3},	//474 Phonon::VideoPlayer::tr(const char*, const char*)
    {29, 529, 39, 2, Smoke::mf_static, 130, 4},	//475 Phonon::VideoPlayer::trUtf8(const char*, const char*)
    {29, 525, 42, 3, Smoke::mf_static, 130, 5},	//476 Phonon::VideoPlayer::tr(const char*, const char*, int)
    {29, 529, 42, 3, Smoke::mf_static, 130, 6},	//477 Phonon::VideoPlayer::trUtf8(const char*, const char*, int)
    {29, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//478 Phonon::VideoPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {29, 142, 253, 2, Smoke::mf_ctor, 65, 8},	//479 Phonon::VideoPlayer::VideoPlayer(Phonon::Category, QWidget*)
    {29, 142, 242, 1, Smoke::mf_ctor, 65, 9},	//480 Phonon::VideoPlayer::VideoPlayer(QWidget*)
    {29, 522, 0, 0, Smoke::mf_const, 267, 10},	//481 Phonon::VideoPlayer::totalTime() const
    {29, 211, 0, 0, Smoke::mf_const, 267, 11},	//482 Phonon::VideoPlayer::currentTime() const
    {29, 542, 0, 0, Smoke::mf_const, 264, 12},	//483 Phonon::VideoPlayer::volume() const
    {29, 293, 0, 0, Smoke::mf_const, 216, 13},	//484 Phonon::VideoPlayer::isPlaying() const
    {29, 292, 0, 0, Smoke::mf_const, 216, 14},	//485 Phonon::VideoPlayer::isPaused() const
    {29, 304, 0, 0, Smoke::mf_const, 35, 15},	//486 Phonon::VideoPlayer::mediaObject() const
    {29, 162, 0, 0, Smoke::mf_const, 12, 16},	//487 Phonon::VideoPlayer::audioOutput() const
    {29, 541, 0, 0, Smoke::mf_const, 66, 17},	//488 Phonon::VideoPlayer::videoWidget() const
    {29, 300, 155, 1, Smoke::mf_slot, 0, 18},	//489 Phonon::VideoPlayer::load(const Phonon::MediaSource&)
    {29, 364, 155, 1, Smoke::mf_slot, 0, 19},	//490 Phonon::VideoPlayer::play(const Phonon::MediaSource&)
    {29, 364, 0, 0, Smoke::mf_slot, 0, 20},	//491 Phonon::VideoPlayer::play()
    {29, 362, 0, 0, Smoke::mf_slot, 0, 21},	//492 Phonon::VideoPlayer::pause()
    {29, 503, 0, 0, Smoke::mf_slot, 0, 22},	//493 Phonon::VideoPlayer::stop()
    {29, 397, 163, 1, Smoke::mf_slot, 0, 23},	//494 Phonon::VideoPlayer::seek(qint64)
    {29, 489, 256, 1, Smoke::mf_slot, 0, 24},	//495 Phonon::VideoPlayer::setVolume(float)
    {29, 261, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//496 Phonon::VideoPlayer::finished()
    {29, 249, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 216, 26},	//497 Phonon::VideoPlayer::event(QEvent*)
    {29, 525, 37, 1, Smoke::mf_static, 130, 27},	//498 Phonon::VideoPlayer::tr(const char*)
    {29, 529, 37, 1, Smoke::mf_static, 130, 28},	//499 Phonon::VideoPlayer::trUtf8(const char*)
    {29, 142, 9, 1, Smoke::mf_ctor, 65, 29},	//500 Phonon::VideoPlayer::VideoPlayer(Phonon::Category)
    {29, 142, 0, 0, Smoke::mf_ctor, 65, 30},	//501 Phonon::VideoPlayer::VideoPlayer()
    {29, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 31},	//502 Phonon::VideoPlayer::staticMetaObject() const
    {29, 569, 0, 0, Smoke::mf_dtor, 0, 32 },	//503 Phonon::VideoPlayer::~VideoPlayer()
    {30, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//504 Phonon::VideoWidget::metaObject() const
    {30, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//505 Phonon::VideoWidget::qt_metacast(const char*)
    {30, 525, 39, 2, Smoke::mf_static, 130, 3},	//506 Phonon::VideoWidget::tr(const char*, const char*)
    {30, 529, 39, 2, Smoke::mf_static, 130, 4},	//507 Phonon::VideoWidget::trUtf8(const char*, const char*)
    {30, 525, 42, 3, Smoke::mf_static, 130, 5},	//508 Phonon::VideoWidget::tr(const char*, const char*, int)
    {30, 529, 42, 3, Smoke::mf_static, 130, 6},	//509 Phonon::VideoWidget::trUtf8(const char*, const char*, int)
    {30, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//510 Phonon::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {30, 147, 242, 1, Smoke::mf_ctor, 66, 8},	//511 Phonon::VideoWidget::VideoWidget(QWidget*)
    {30, 159, 0, 0, Smoke::mf_const|Smoke::mf_property, 67, 9},	//512 Phonon::VideoWidget::aspectRatio() const
    {30, 396, 0, 0, Smoke::mf_const|Smoke::mf_property, 68, 10},	//513 Phonon::VideoWidget::scaleMode() const
    {30, 181, 0, 0, Smoke::mf_const, 263, 11},	//514 Phonon::VideoWidget::brightness() const
    {30, 198, 0, 0, Smoke::mf_const, 263, 12},	//515 Phonon::VideoWidget::contrast() const
    {30, 276, 0, 0, Smoke::mf_const, 263, 13},	//516 Phonon::VideoWidget::hue() const
    {30, 395, 0, 0, Smoke::mf_const, 263, 14},	//517 Phonon::VideoWidget::saturation() const
    {30, 497, 0, 0, Smoke::mf_const, 96, 15},	//518 Phonon::VideoWidget::snapshot() const
    {30, 434, 57, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//519 Phonon::VideoWidget::setFullScreen(bool)
    {30, 252, 0, 0, Smoke::mf_slot, 0, 17},	//520 Phonon::VideoWidget::exitFullScreen()
    {30, 244, 0, 0, Smoke::mf_slot, 0, 18},	//521 Phonon::VideoWidget::enterFullScreen()
    {30, 403, 260, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//522 Phonon::VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio)
    {30, 468, 262, 1, Smoke::mf_property|Smoke::mf_slot, 0, 20},	//523 Phonon::VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode)
    {30, 411, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//524 Phonon::VideoWidget::setBrightness(qreal)
    {30, 413, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//525 Phonon::VideoWidget::setContrast(qreal)
    {30, 436, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//526 Phonon::VideoWidget::setHue(qreal)
    {30, 466, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//527 Phonon::VideoWidget::setSaturation(qreal)
    {30, 147, 264, 2, Smoke::mf_ctor|Smoke::mf_protected, 66, 25},	//528 Phonon::VideoWidget::VideoWidget(Phonon::VideoWidgetPrivate&, QWidget*)
    {30, 319, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//529 Phonon::VideoWidget::mouseMoveEvent(QMouseEvent*)
    {30, 249, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 216, 27},	//530 Phonon::VideoWidget::event(QEvent*)
    {30, 525, 37, 1, Smoke::mf_static, 130, 28},	//531 Phonon::VideoWidget::tr(const char*)
    {30, 529, 37, 1, Smoke::mf_static, 130, 29},	//532 Phonon::VideoWidget::trUtf8(const char*)
    {30, 147, 0, 0, Smoke::mf_ctor, 66, 30},	//533 Phonon::VideoWidget::VideoWidget()
    {30, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 31},	//534 Phonon::VideoWidget::staticMetaObject() const
    {30, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//535 Phonon::VideoWidget::AspectRatioAuto (enum)
    {30, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//536 Phonon::VideoWidget::AspectRatioWidget (enum)
    {30, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 34},	//537 Phonon::VideoWidget::AspectRatio4_3 (enum)
    {30, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 35},	//538 Phonon::VideoWidget::AspectRatio16_9 (enum)
    {30, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//539 Phonon::VideoWidget::FitInView (enum)
    {30, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 37},	//540 Phonon::VideoWidget::ScaleAndCrop (enum)
    {30, 570, 0, 0, Smoke::mf_dtor, 0, 38 },	//541 Phonon::VideoWidget::~VideoWidget()
    {32, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//542 Phonon::VolumeFaderEffect::metaObject() const
    {32, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//543 Phonon::VolumeFaderEffect::qt_metacast(const char*)
    {32, 525, 39, 2, Smoke::mf_static, 130, 3},	//544 Phonon::VolumeFaderEffect::tr(const char*, const char*)
    {32, 529, 39, 2, Smoke::mf_static, 130, 4},	//545 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*)
    {32, 525, 42, 3, Smoke::mf_static, 130, 5},	//546 Phonon::VolumeFaderEffect::tr(const char*, const char*, int)
    {32, 529, 42, 3, Smoke::mf_static, 130, 6},	//547 Phonon::VolumeFaderEffect::trUtf8(const char*, const char*, int)
    {32, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//548 Phonon::VolumeFaderEffect::qt_metacall(QMetaObject::Call, int, void**)
    {32, 150, 53, 1, Smoke::mf_ctor, 70, 8},	//549 Phonon::VolumeFaderEffect::VolumeFaderEffect(QObject*)
    {32, 542, 0, 0, Smoke::mf_const|Smoke::mf_property, 264, 9},	//550 Phonon::VolumeFaderEffect::volume() const
    {32, 545, 0, 0, Smoke::mf_const|Smoke::mf_property, 263, 10},	//551 Phonon::VolumeFaderEffect::volumeDecibel() const
    {32, 253, 0, 0, Smoke::mf_const|Smoke::mf_property, 71, 11},	//552 Phonon::VolumeFaderEffect::fadeCurve() const
    {32, 254, 71, 1, Smoke::mf_slot, 0, 12},	//553 Phonon::VolumeFaderEffect::fadeIn(int)
    {32, 256, 71, 1, Smoke::mf_slot, 0, 13},	//554 Phonon::VolumeFaderEffect::fadeOut(int)
    {32, 489, 256, 1, Smoke::mf_property|Smoke::mf_slot, 0, 14},	//555 Phonon::VolumeFaderEffect::setVolume(float)
    {32, 491, 269, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//556 Phonon::VolumeFaderEffect::setVolumeDecibel(double)
    {32, 432, 271, 1, Smoke::mf_property|Smoke::mf_slot, 0, 16},	//557 Phonon::VolumeFaderEffect::setFadeCurve(Phonon::VolumeFaderEffect::FadeCurve)
    {32, 258, 273, 2, Smoke::mf_slot, 0, 17},	//558 Phonon::VolumeFaderEffect::fadeTo(float, int)
    {32, 525, 37, 1, Smoke::mf_static, 130, 18},	//559 Phonon::VolumeFaderEffect::tr(const char*)
    {32, 529, 37, 1, Smoke::mf_static, 130, 19},	//560 Phonon::VolumeFaderEffect::trUtf8(const char*)
    {32, 150, 0, 0, Smoke::mf_ctor, 70, 20},	//561 Phonon::VolumeFaderEffect::VolumeFaderEffect()
    {32, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 21},	//562 Phonon::VolumeFaderEffect::staticMetaObject() const
    {32, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//563 Phonon::VolumeFaderEffect::Fade3Decibel (enum)
    {32, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 23},	//564 Phonon::VolumeFaderEffect::Fade6Decibel (enum)
    {32, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 24},	//565 Phonon::VolumeFaderEffect::Fade9Decibel (enum)
    {32, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 25},	//566 Phonon::VolumeFaderEffect::Fade12Decibel (enum)
    {32, 571, 0, 0, Smoke::mf_dtor, 0, 26 },	//567 Phonon::VolumeFaderEffect::~VolumeFaderEffect()
    {33, 308, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//568 Phonon::VolumeSlider::metaObject() const
    {33, 378, 37, 1, Smoke::mf_virtual, 273, 2},	//569 Phonon::VolumeSlider::qt_metacast(const char*)
    {33, 525, 39, 2, Smoke::mf_static, 130, 3},	//570 Phonon::VolumeSlider::tr(const char*, const char*)
    {33, 529, 39, 2, Smoke::mf_static, 130, 4},	//571 Phonon::VolumeSlider::trUtf8(const char*, const char*)
    {33, 525, 42, 3, Smoke::mf_static, 130, 5},	//572 Phonon::VolumeSlider::tr(const char*, const char*, int)
    {33, 529, 42, 3, Smoke::mf_static, 130, 6},	//573 Phonon::VolumeSlider::trUtf8(const char*, const char*, int)
    {33, 376, 46, 3, Smoke::mf_virtual, 265, 7},	//574 Phonon::VolumeSlider::qt_metacall(QMetaObject::Call, int, void**)
    {33, 152, 242, 1, Smoke::mf_ctor, 72, 8},	//575 Phonon::VolumeSlider::VolumeSlider(QWidget*)
    {33, 152, 276, 2, Smoke::mf_ctor, 72, 9},	//576 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*, QWidget*)
    {33, 270, 0, 0, Smoke::mf_const|Smoke::mf_property, 216, 10},	//577 Phonon::VolumeSlider::hasTracking() const
    {33, 484, 57, 1, Smoke::mf_property, 0, 11},	//578 Phonon::VolumeSlider::setTracking(bool)
    {33, 355, 0, 0, Smoke::mf_const|Smoke::mf_property, 265, 12},	//579 Phonon::VolumeSlider::pageStep() const
    {33, 458, 71, 1, Smoke::mf_property, 0, 13},	//580 Phonon::VolumeSlider::setPageStep(int)
    {33, 494, 0, 0, Smoke::mf_const|Smoke::mf_property, 265, 14},	//581 Phonon::VolumeSlider::singleStep() const
    {33, 470, 71, 1, Smoke::mf_property, 0, 15},	//582 Phonon::VolumeSlider::setSingleStep(int)
    {33, 290, 0, 0, Smoke::mf_const|Smoke::mf_property, 216, 16},	//583 Phonon::VolumeSlider::isMuteVisible() const
    {33, 277, 0, 0, Smoke::mf_const|Smoke::mf_property, 129, 17},	//584 Phonon::VolumeSlider::iconSize() const
    {33, 303, 0, 0, Smoke::mf_const, 263, 18},	//585 Phonon::VolumeSlider::maximumVolume() const
    {33, 350, 0, 0, Smoke::mf_const|Smoke::mf_property, 189, 19},	//586 Phonon::VolumeSlider::orientation() const
    {33, 162, 0, 0, Smoke::mf_const, 12, 20},	//587 Phonon::VolumeSlider::audioOutput() const
    {33, 442, 80, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//588 Phonon::VolumeSlider::setMaximumVolume(qreal)
    {33, 454, 247, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//589 Phonon::VolumeSlider::setOrientation(Qt::Orientation)
    {33, 448, 57, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//590 Phonon::VolumeSlider::setMuteVisible(bool)
    {33, 438, 249, 1, Smoke::mf_property|Smoke::mf_slot, 0, 24},	//591 Phonon::VolumeSlider::setIconSize(const QSize&)
    {33, 405, 279, 1, Smoke::mf_slot, 0, 25},	//592 Phonon::VolumeSlider::setAudioOutput(Phonon::AudioOutput*)
    {33, 525, 37, 1, Smoke::mf_static, 130, 26},	//593 Phonon::VolumeSlider::tr(const char*)
    {33, 529, 37, 1, Smoke::mf_static, 130, 27},	//594 Phonon::VolumeSlider::trUtf8(const char*)
    {33, 152, 0, 0, Smoke::mf_ctor, 72, 28},	//595 Phonon::VolumeSlider::VolumeSlider()
    {33, 152, 279, 1, Smoke::mf_ctor, 72, 29},	//596 Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    {33, 502, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 30},	//597 Phonon::VolumeSlider::staticMetaObject() const
    {33, 572, 0, 0, Smoke::mf_dtor, 0, 31 },	//598 Phonon::VolumeSlider::~VolumeSlider()
    {49, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 1},	//599 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {49, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 2},	//600 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {49, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 3},	//601 QGlobalSpace::Q_STATIC_TYPE (enum)
    {49, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 4},	//602 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {49, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 5},	//603 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {60, 249, 258, 1, Smoke::mf_virtual, 216, 0},	//604 QObject::event(QEvent*)
    {60, 251, 281, 2, Smoke::mf_virtual, 216, 0},	//605 QObject::eventFilter(QObject*, QEvent*)
    {60, 517, 284, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QObject::timerEvent(QTimerEvent*)
    {60, 190, 286, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QObject::childEvent(QChildEvent*)
    {60, 213, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QObject::customEvent(QEvent*)
    {60, 194, 37, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QObject::connectNotify(const char*)
    {60, 227, 37, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QObject::disconnectNotify(const char*)
    {75, 222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 265, 0},	//611 QWidget::devType() const
    {75, 488, 57, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//612 QWidget::setVisible(bool)
    {75, 496, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 129, 0},	//613 QWidget::sizeHint() const
    {75, 314, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 129, 0},	//614 QWidget::minimumSizeHint() const
    {75, 274, 71, 1, Smoke::mf_const|Smoke::mf_virtual, 265, 0},	//615 QWidget::heightForWidth(int) const
    {75, 356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 123, 0},	//616 QWidget::paintEngine() const
    {75, 249, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//617 QWidget::event(QEvent*)
    {75, 321, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//618 QWidget::mousePressEvent(QMouseEvent*)
    {75, 322, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//619 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 318, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//620 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 319, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//621 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 546, 288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//622 QWidget::wheelEvent(QWheelEvent*)
    {75, 296, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//623 QWidget::keyPressEvent(QKeyEvent*)
    {75, 297, 290, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 264, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QWidget::focusInEvent(QFocusEvent*)
    {75, 266, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QWidget::focusOutEvent(QFocusEvent*)
    {75, 243, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//627 QWidget::enterEvent(QEvent*)
    {75, 299, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//628 QWidget::leaveEvent(QEvent*)
    {75, 357, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//629 QWidget::paintEvent(QPaintEvent*)
    {75, 325, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//630 QWidget::moveEvent(QMoveEvent*)
    {75, 391, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QWidget::resizeEvent(QResizeEvent*)
    {75, 193, 300, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//632 QWidget::closeEvent(QCloseEvent*)
    {75, 197, 302, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//633 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 513, 304, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QWidget::tabletEvent(QTabletEvent*)
    {75, 156, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QWidget::actionEvent(QActionEvent*)
    {75, 228, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 230, 310, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 229, 312, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 231, 314, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QWidget::dropEvent(QDropEvent*)
    {75, 493, 316, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QWidget::showEvent(QShowEvent*)
    {75, 275, 318, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QWidget::hideEvent(QHideEvent*)
    {75, 550, 320, 1, Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//642 QWidget::x11Event(_XEvent*)
    {75, 187, 258, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QWidget::changeEvent(QEvent*)
    {75, 309, 322, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 265, 0},	//644 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 280, 324, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 281, 326, 1, Smoke::mf_const|Smoke::mf_virtual, 138, 0},	//646 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 265, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//647 QWidget::focusNextPrevChild(bool)
    {75, 507, 328, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QWidget::styleChange(QStyle&)
    {75, 235, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//649 QWidget::enabledChange(bool)
    {75, 358, 330, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//650 QWidget::paletteChange(const QPalette&)
    {75, 267, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QWidget::fontChange(const QFont&)
    {75, 547, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QWidget::windowActivationChange(bool)
    {75, 298, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    299,  // Phonon::MediaObject::enqueue(const QList<Phonon::MediaSource>&)
    300,  // Phonon::MediaObject::enqueue(const QList<QUrl>&)
    0,
    288,  // Phonon::MediaObject::metaData(const QString&) const
    289,  // Phonon::MediaObject::metaData(Phonon::MetaData) const
    0,
    296,  // Phonon::MediaObject::setQueue(const QList<Phonon::MediaSource>&)
    297,  // Phonon::MediaObject::setQueue(const QList<QUrl>&)
    0,
    408,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(QAbstractListModel*)
    409,  // Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData(const Phonon::ObjectDescriptionModelData&)
    0,
    372,  // Phonon::Mrl::Mrl(const Phonon::Mrl&)
    373,  // Phonon::Mrl::Mrl(const QUrl&)
    0,
    388,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(Phonon::ObjectDescriptionPrivate*)
    390,  // Phonon::ObjectDescriptionData::ObjectDescriptionData(const Phonon::ObjectDescriptionData&)
    0,
    333,  // Phonon::MediaSource::MediaSource(const QUrl&)
    339,  // Phonon::MediaSource::MediaSource(Phonon::AbstractMediaStream*)
    340,  // Phonon::MediaSource::MediaSource(QIODevice*)
    341,  // Phonon::MediaSource::MediaSource(const Phonon::MediaSource&)
    358,  // Phonon::MediaSource::MediaSource(Phonon::MediaSourcePrivate&)
    0,
    332,  // Phonon::MediaSource::MediaSource(const QString&)
    338,  // Phonon::MediaSource::MediaSource(Phonon::CaptureCategory)
    360,  // Phonon::MediaSource::MediaSource(Phonon::DiscType)
    361,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType)
    0,
    334,  // Phonon::MediaSource::MediaSource(Phonon::DiscType, const QString&)
    337,  // Phonon::MediaSource::MediaSource(Phonon::Capture::DeviceType, Phonon::CaptureCategory)
    0,
    335,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::AudioCaptureDeviceType>&)
    336,  // Phonon::MediaSource::MediaSource(const Phonon::ObjectDescription<Phonon::VideoCaptureDeviceType>&)
    359,  // Phonon::MediaSource::MediaSource(const QPair<QByteArray,QString>&)
    0,
    3,  // Phonon::categoryToString(Phonon::CaptureCategory)
    4,  // Phonon::categoryToString(Phonon::Category)
    0,
    1,  // Phonon::operator<<(QDebug, const Phonon::Capture::DeviceType&)
    2,  // Phonon::operator<<(QDebug, const Phonon::ErrorType&)
    5,  // Phonon::operator<<(QDebug, const Phonon::Category&)
    6,  // Phonon::operator<<(QDebug, const Phonon::DiscType&)
    7,  // Phonon::operator<<(QDebug, const Phonon::State&)
    8,  // Phonon::operator<<(QDebug, const Phonon::MetaData&)
    16,  // Phonon::operator<<(QDebug, const Phonon::CaptureCategory&)
    0,
    273,  // Phonon::MediaNode::MediaNode(Phonon::MediaNodePrivate&)
    274,  // Phonon::MediaNode::MediaNode(const Phonon::MediaNode&)
    0,
    438,  // Phonon::SeekSlider::SeekSlider(QWidget*)
    457,  // Phonon::SeekSlider::SeekSlider(Phonon::MediaObject*)
    0,
    94,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(Phonon::AbstractVideoOutputPrivate&)
    95,  // Phonon::AbstractVideoOutput::AbstractVideoOutput(const Phonon::AbstractVideoOutput&)
    0,
    575,  // Phonon::VolumeSlider::VolumeSlider(QWidget*)
    596,  // Phonon::VolumeSlider::VolumeSlider(Phonon::AudioOutput*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 8, 49},	// Phonon::AccessibilityCategory
    {1, 9, 18},	// Phonon::AlbumMetaData
    {1, 12, 17},	// Phonon::ArtistMetaData
    {1, 17, 29},	// Phonon::AudioCaptureDeviceType
    {1, 18, 27},	// Phonon::AudioChannelType
    {1, 27, 25},	// Phonon::AudioOutputDeviceType
    {1, 30, 35},	// Phonon::BluRay
    {1, 31, 54},	// Phonon::BufferingState
    {1, 33, 32},	// Phonon::Cd
    {1, 37, 37},	// Phonon::CommunicationCaptureCategory
    {1, 38, 47},	// Phonon::CommunicationCategory
    {1, 39, 39},	// Phonon::ControlCaptureCategory
    {1, 40, 20},	// Phonon::DateMetaData
    {1, 41, 23},	// Phonon::DescriptionMetaData
    {1, 45, 33},	// Phonon::Dvd
    {1, 57, 26},	// Phonon::EffectType
    {1, 62, 56},	// Phonon::ErrorState
    {1, 67, 42},	// Phonon::FatalError
    {1, 69, 48},	// Phonon::GameCategory
    {1, 70, 21},	// Phonon::GenreMetaData
    {1, 74, 50},	// Phonon::LastCategory
    {1, 77, 51},	// Phonon::LoadingState
    {1, 94, 24},	// Phonon::MusicBrainzDiscIdMetaData
    {1, 95, 45},	// Phonon::MusicCategory
    {1, 97, 36},	// Phonon::NoCaptureCategory
    {1, 98, 43},	// Phonon::NoCategory
    {1, 99, 31},	// Phonon::NoDisc
    {1, 100, 40},	// Phonon::NoError
    {1, 101, 41},	// Phonon::NormalError
    {1, 102, 44},	// Phonon::NotificationCategory
    {1, 110, 55},	// Phonon::PausedState
    {1, 111, 53},	// Phonon::PlayingState
    {1, 117, 38},	// Phonon::RecordingCaptureCategory
    {1, 125, 52},	// Phonon::StoppedState
    {1, 130, 28},	// Phonon::SubtitleType
    {1, 134, 19},	// Phonon::TitleMetaData
    {1, 137, 22},	// Phonon::TracknumberMetaData
    {1, 139, 34},	// Phonon::Vcd
    {1, 140, 30},	// Phonon::VideoCaptureDeviceType
    {1, 141, 46},	// Phonon::VideoCategory
    {1, 186, -37},	// Phonon::categoryToString$
    {1, 200, 15},	// Phonon::createPath##
    {1, 202, 12},	// Phonon::createPlayer$
    {1, 203, 11},	// Phonon::createPlayer$#
    {1, 341, 13},	// Phonon::operator<<##
    {1, 342, -40},	// Phonon::operator<<#$
    {1, 363, 14},	// Phonon::phononVersion
    {1, 375, 10},	// Phonon::qHash#
    {1, 383, 9},	// Phonon::registerMetaTypes
    {2, 2, 64},	// Phonon::AbstractAudioOutput::AbstractAudioOutput##
    {2, 308, 57},	// Phonon::AbstractAudioOutput::metaObject
    {2, 377, 63},	// Phonon::AbstractAudioOutput::qt_metacall$$?
    {2, 379, 58},	// Phonon::AbstractAudioOutput::qt_metacast$
    {2, 502, 67},	// Phonon::AbstractAudioOutput::staticMetaObject
    {2, 526, 65},	// Phonon::AbstractAudioOutput::tr$
    {2, 527, 59},	// Phonon::AbstractAudioOutput::tr$$
    {2, 528, 61},	// Phonon::AbstractAudioOutput::tr$$$
    {2, 530, 66},	// Phonon::AbstractAudioOutput::trUtf8$
    {2, 531, 60},	// Phonon::AbstractAudioOutput::trUtf8$$
    {2, 532, 62},	// Phonon::AbstractAudioOutput::trUtf8$$$
    {2, 551, 68},	// Phonon::AbstractAudioOutput::~AbstractAudioOutput
    {4, 3, 91},	// Phonon::AbstractMediaStream::AbstractMediaStream
    {4, 4, 76},	// Phonon::AbstractMediaStream::AbstractMediaStream#
    {4, 5, 88},	// Phonon::AbstractMediaStream::AbstractMediaStream##
    {4, 236, 82},	// Phonon::AbstractMediaStream::endOfData
    {4, 239, 86},	// Phonon::AbstractMediaStream::enoughData
    {4, 246, 83},	// Phonon::AbstractMediaStream::error$$
    {4, 308, 69},	// Phonon::AbstractMediaStream::metaObject
    {4, 334, 85},	// Phonon::AbstractMediaStream::needData
    {4, 377, 75},	// Phonon::AbstractMediaStream::qt_metacall$$?
    {4, 379, 70},	// Phonon::AbstractMediaStream::qt_metacast$
    {4, 390, 84},	// Phonon::AbstractMediaStream::reset
    {4, 400, 87},	// Phonon::AbstractMediaStream::seekStream$
    {4, 473, 80},	// Phonon::AbstractMediaStream::setStreamSeekable$
    {4, 475, 78},	// Phonon::AbstractMediaStream::setStreamSize$
    {4, 502, 92},	// Phonon::AbstractMediaStream::staticMetaObject
    {4, 505, 79},	// Phonon::AbstractMediaStream::streamSeekable
    {4, 506, 77},	// Phonon::AbstractMediaStream::streamSize
    {4, 526, 89},	// Phonon::AbstractMediaStream::tr$
    {4, 527, 71},	// Phonon::AbstractMediaStream::tr$$
    {4, 528, 73},	// Phonon::AbstractMediaStream::tr$$$
    {4, 530, 90},	// Phonon::AbstractMediaStream::trUtf8$
    {4, 531, 72},	// Phonon::AbstractMediaStream::trUtf8$$
    {4, 532, 74},	// Phonon::AbstractMediaStream::trUtf8$$$
    {4, 549, 81},	// Phonon::AbstractMediaStream::writeData#
    {4, 552, 93},	// Phonon::AbstractMediaStream::~AbstractMediaStream
    {6, 7, -54},	// Phonon::AbstractVideoOutput::AbstractVideoOutput#
    {6, 553, 96},	// Phonon::AbstractVideoOutput::~AbstractVideoOutput
    {8, 20, 112},	// Phonon::AudioDataOutput::AudioDataOutput
    {8, 21, 104},	// Phonon::AudioDataOutput::AudioDataOutput#
    {8, 34, 116},	// Phonon::AudioDataOutput::CenterChannel
    {8, 75, 114},	// Phonon::AudioDataOutput::LeftChannel
    {8, 76, 117},	// Phonon::AudioDataOutput::LeftSurroundChannel
    {8, 118, 115},	// Phonon::AudioDataOutput::RightChannel
    {8, 119, 118},	// Phonon::AudioDataOutput::RightSurroundChannel
    {8, 132, 119},	// Phonon::AudioDataOutput::SubwooferChannel
    {8, 218, 108},	// Phonon::AudioDataOutput::dataReady?
    {8, 219, 105},	// Phonon::AudioDataOutput::dataSize
    {8, 238, 109},	// Phonon::AudioDataOutput::endOfMedia$
    {8, 308, 97},	// Phonon::AudioDataOutput::metaObject
    {8, 377, 103},	// Phonon::AudioDataOutput::qt_metacall$$?
    {8, 379, 98},	// Phonon::AudioDataOutput::qt_metacast$
    {8, 394, 106},	// Phonon::AudioDataOutput::sampleRate
    {8, 431, 107},	// Phonon::AudioDataOutput::setDataSize$
    {8, 502, 113},	// Phonon::AudioDataOutput::staticMetaObject
    {8, 526, 110},	// Phonon::AudioDataOutput::tr$
    {8, 527, 99},	// Phonon::AudioDataOutput::tr$$
    {8, 528, 101},	// Phonon::AudioDataOutput::tr$$$
    {8, 530, 111},	// Phonon::AudioDataOutput::trUtf8$
    {8, 531, 100},	// Phonon::AudioDataOutput::trUtf8$$
    {8, 532, 102},	// Phonon::AudioDataOutput::trUtf8$$$
    {8, 554, 120},	// Phonon::AudioDataOutput::~AudioDataOutput
    {9, 23, 147},	// Phonon::AudioOutput::AudioOutput
    {9, 24, 129},	// Phonon::AudioOutput::AudioOutput#
    {9, 25, 146},	// Phonon::AudioOutput::AudioOutput$
    {9, 26, 128},	// Phonon::AudioOutput::AudioOutput$#
    {9, 184, 133},	// Phonon::AudioOutput::category
    {9, 291, 135},	// Phonon::AudioOutput::isMuted
    {9, 308, 121},	// Phonon::AudioOutput::metaObject
    {9, 330, 142},	// Phonon::AudioOutput::mutedChanged$
    {9, 331, 130},	// Phonon::AudioOutput::name
    {9, 351, 134},	// Phonon::AudioOutput::outputDevice
    {9, 353, 143},	// Phonon::AudioOutput::outputDeviceChanged?
    {9, 377, 127},	// Phonon::AudioOutput::qt_metacall$$?
    {9, 379, 122},	// Phonon::AudioOutput::qt_metacast$
    {9, 451, 140},	// Phonon::AudioOutput::setMuted$
    {9, 453, 136},	// Phonon::AudioOutput::setName$
    {9, 457, 139},	// Phonon::AudioOutput::setOutputDevice?
    {9, 490, 137},	// Phonon::AudioOutput::setVolume$
    {9, 492, 138},	// Phonon::AudioOutput::setVolumeDecibel$
    {9, 502, 148},	// Phonon::AudioOutput::staticMetaObject
    {9, 526, 144},	// Phonon::AudioOutput::tr$
    {9, 527, 123},	// Phonon::AudioOutput::tr$$
    {9, 528, 125},	// Phonon::AudioOutput::tr$$$
    {9, 530, 145},	// Phonon::AudioOutput::trUtf8$
    {9, 531, 124},	// Phonon::AudioOutput::trUtf8$$
    {9, 532, 126},	// Phonon::AudioOutput::trUtf8$$$
    {9, 542, 131},	// Phonon::AudioOutput::volume
    {9, 544, 141},	// Phonon::AudioOutput::volumeChanged$
    {9, 545, 132},	// Phonon::AudioOutput::volumeDecibel
    {9, 555, 149},	// Phonon::AudioOutput::~AudioOutput
    {11, 28, 150},	// Phonon::Capture::AudioType
    {11, 146, 151},	// Phonon::Capture::VideoType
    {12, 47, 164},	// Phonon::Effect::Effect##
    {12, 48, 167},	// Phonon::Effect::Effect?
    {12, 49, 159},	// Phonon::Effect::Effect?#
    {12, 221, 160},	// Phonon::Effect::description
    {12, 308, 152},	// Phonon::Effect::metaObject
    {12, 360, 162},	// Phonon::Effect::parameterValue#
    {12, 361, 161},	// Phonon::Effect::parameters
    {12, 377, 158},	// Phonon::Effect::qt_metacall$$?
    {12, 379, 153},	// Phonon::Effect::qt_metacast$
    {12, 461, 163},	// Phonon::Effect::setParameterValue##
    {12, 502, 168},	// Phonon::Effect::staticMetaObject
    {12, 526, 165},	// Phonon::Effect::tr$
    {12, 527, 154},	// Phonon::Effect::tr$$
    {12, 528, 156},	// Phonon::Effect::tr$$$
    {12, 530, 166},	// Phonon::Effect::trUtf8$
    {12, 531, 155},	// Phonon::Effect::trUtf8$$
    {12, 532, 157},	// Phonon::Effect::trUtf8$$$
    {12, 556, 169},	// Phonon::Effect::~Effect
    {13, 50, 170},	// Phonon::EffectParameter::EffectParameter
    {13, 51, 182},	// Phonon::EffectParameter::EffectParameter#
    {13, 52, 186},	// Phonon::EffectParameter::EffectParameter$$$#
    {13, 53, 187},	// Phonon::EffectParameter::EffectParameter$$$##
    {13, 54, 188},	// Phonon::EffectParameter::EffectParameter$$$###
    {13, 55, 189},	// Phonon::EffectParameter::EffectParameter$$$###?
    {13, 56, 184},	// Phonon::EffectParameter::EffectParameter$$$###?$
    {13, 72, 192},	// Phonon::EffectParameter::IntegerHint
    {13, 79, 191},	// Phonon::EffectParameter::LogarithmicHint
    {13, 136, 190},	// Phonon::EffectParameter::ToggledHint
    {13, 220, 177},	// Phonon::EffectParameter::defaultValue
    {13, 221, 172},	// Phonon::EffectParameter::description
    {13, 278, 185},	// Phonon::EffectParameter::id
    {13, 289, 174},	// Phonon::EffectParameter::isLogarithmicControl
    {13, 302, 176},	// Phonon::EffectParameter::maximumValue
    {13, 315, 175},	// Phonon::EffectParameter::minimumValue
    {13, 331, 171},	// Phonon::EffectParameter::name
    {13, 339, 179},	// Phonon::EffectParameter::operator<#
    {13, 344, 183},	// Phonon::EffectParameter::operator=#
    {13, 347, 181},	// Phonon::EffectParameter::operator==#
    {13, 349, 180},	// Phonon::EffectParameter::operator>#
    {13, 366, 178},	// Phonon::EffectParameter::possibleValues
    {13, 537, 173},	// Phonon::EffectParameter::type
    {13, 557, 193},	// Phonon::EffectParameter::~EffectParameter
    {15, 59, 204},	// Phonon::EffectWidget::EffectWidget#
    {15, 60, 201},	// Phonon::EffectWidget::EffectWidget##
    {15, 308, 194},	// Phonon::EffectWidget::metaObject
    {15, 377, 200},	// Phonon::EffectWidget::qt_metacall$$?
    {15, 379, 195},	// Phonon::EffectWidget::qt_metacast$
    {15, 502, 205},	// Phonon::EffectWidget::staticMetaObject
    {15, 526, 202},	// Phonon::EffectWidget::tr$
    {15, 527, 196},	// Phonon::EffectWidget::tr$$
    {15, 528, 198},	// Phonon::EffectWidget::tr$$$
    {15, 530, 203},	// Phonon::EffectWidget::trUtf8$
    {15, 531, 197},	// Phonon::EffectWidget::trUtf8$$
    {15, 532, 199},	// Phonon::EffectWidget::trUtf8$$$
    {15, 558, 206},	// Phonon::EffectWidget::~EffectWidget
    {16, 10, 268},	// Phonon::MediaController::AngleMenu
    {16, 11, 257},	// Phonon::MediaController::Angles
    {16, 19, 262},	// Phonon::MediaController::AudioChannels
    {16, 22, 265},	// Phonon::MediaController::AudioMenu
    {16, 35, 267},	// Phonon::MediaController::ChapterMenu
    {16, 36, 258},	// Phonon::MediaController::Chapters
    {16, 81, 214},	// Phonon::MediaController::MediaController#
    {16, 96, 259},	// Phonon::MediaController::Navigations
    {16, 120, 263},	// Phonon::MediaController::RootMenu
    {16, 129, 266},	// Phonon::MediaController::SubtitleMenu
    {16, 131, 261},	// Phonon::MediaController::Subtitles
    {16, 133, 264},	// Phonon::MediaController::TitleMenu
    {16, 135, 260},	// Phonon::MediaController::Titles
    {16, 158, 251},	// Phonon::MediaController::angleChanged$
    {16, 164, 224},	// Phonon::MediaController::autoplayTitles
    {16, 165, 216},	// Phonon::MediaController::availableAngles
    {16, 167, 245},	// Phonon::MediaController::availableAnglesChanged$
    {16, 168, 230},	// Phonon::MediaController::availableAudioChannels
    {16, 169, 246},	// Phonon::MediaController::availableAudioChannelsChanged
    {16, 170, 218},	// Phonon::MediaController::availableChapters
    {16, 172, 247},	// Phonon::MediaController::availableChaptersChanged$
    {16, 173, 221},	// Phonon::MediaController::availableMenus
    {16, 175, 248},	// Phonon::MediaController::availableMenusChanged?
    {16, 176, 231},	// Phonon::MediaController::availableSubtitles
    {16, 177, 249},	// Phonon::MediaController::availableSubtitlesChanged
    {16, 178, 222},	// Phonon::MediaController::availableTitles
    {16, 180, 250},	// Phonon::MediaController::availableTitlesChanged$
    {16, 189, 252},	// Phonon::MediaController::chapterChanged$
    {16, 204, 217},	// Phonon::MediaController::currentAngle
    {16, 205, 225},	// Phonon::MediaController::currentAudioChannel
    {16, 206, 219},	// Phonon::MediaController::currentChapter
    {16, 210, 226},	// Phonon::MediaController::currentSubtitle
    {16, 212, 223},	// Phonon::MediaController::currentTitle
    {16, 308, 207},	// Phonon::MediaController::metaObject
    {16, 333, 220},	// Phonon::MediaController::navigationMenuToString$
    {16, 335, 243},	// Phonon::MediaController::nextTitle
    {16, 370, 244},	// Phonon::MediaController::previousTitle
    {16, 377, 213},	// Phonon::MediaController::qt_metacall$$?
    {16, 379, 208},	// Phonon::MediaController::qt_metacast$
    {16, 410, 242},	// Phonon::MediaController::setAutoplayTitles$
    {16, 416, 239},	// Phonon::MediaController::setCurrentAngle$
    {16, 418, 232},	// Phonon::MediaController::setCurrentAudioChannel?
    {16, 420, 240},	// Phonon::MediaController::setCurrentChapter$
    {16, 422, 233},	// Phonon::MediaController::setCurrentMenu$
    {16, 426, 235},	// Phonon::MediaController::setCurrentSubtitle#
    {16, 427, 234},	// Phonon::MediaController::setCurrentSubtitle?
    {16, 429, 241},	// Phonon::MediaController::setCurrentTitle$
    {16, 477, 236},	// Phonon::MediaController::setSubtitleAutodetect$
    {16, 479, 237},	// Phonon::MediaController::setSubtitleEncoding$
    {16, 481, 238},	// Phonon::MediaController::setSubtitleFont#
    {16, 502, 256},	// Phonon::MediaController::staticMetaObject
    {16, 508, 227},	// Phonon::MediaController::subtitleAutodetect
    {16, 509, 228},	// Phonon::MediaController::subtitleEncoding
    {16, 510, 229},	// Phonon::MediaController::subtitleFont
    {16, 512, 215},	// Phonon::MediaController::supportedFeatures
    {16, 519, 253},	// Phonon::MediaController::titleChanged$
    {16, 526, 254},	// Phonon::MediaController::tr$
    {16, 527, 209},	// Phonon::MediaController::tr$$
    {16, 528, 211},	// Phonon::MediaController::tr$$$
    {16, 530, 255},	// Phonon::MediaController::trUtf8$
    {16, 531, 210},	// Phonon::MediaController::trUtf8$$
    {16, 532, 212},	// Phonon::MediaController::trUtf8$$$
    {16, 559, 269},	// Phonon::MediaController::~MediaController
    {17, 83, -48},	// Phonon::MediaNode::MediaNode#
    {17, 282, 271},	// Phonon::MediaNode::inputPaths
    {17, 295, 270},	// Phonon::MediaNode::isValid
    {17, 354, 272},	// Phonon::MediaNode::outputPaths
    {17, 560, 275},	// Phonon::MediaNode::~MediaNode
    {19, 84, 328},	// Phonon::MediaObject::MediaObject
    {19, 85, 283},	// Phonon::MediaObject::MediaObject#
    {19, 155, 323},	// Phonon::MediaObject::aboutToFinish
    {19, 183, 320},	// Phonon::MediaObject::bufferStatus$
    {19, 191, 314},	// Phonon::MediaObject::clear
    {19, 192, 301},	// Phonon::MediaObject::clearQueue
    {19, 207, 293},	// Phonon::MediaObject::currentSource
    {19, 209, 322},	// Phonon::MediaObject::currentSourceChanged#
    {19, 211, 302},	// Phonon::MediaObject::currentTime
    {19, 241, 298},	// Phonon::MediaObject::enqueue#
    {19, 242, -1},	// Phonon::MediaObject::enqueue?
    {19, 247, 291},	// Phonon::MediaObject::errorString
    {19, 248, 292},	// Phonon::MediaObject::errorType
    {19, 261, 321},	// Phonon::MediaObject::finished
    {19, 271, 285},	// Phonon::MediaObject::hasVideo
    {19, 273, 319},	// Phonon::MediaObject::hasVideoChanged$
    {19, 294, 286},	// Phonon::MediaObject::isSeekable
    {19, 305, 290},	// Phonon::MediaObject::metaData
    {19, 306, -4},	// Phonon::MediaObject::metaData$
    {19, 307, 317},	// Phonon::MediaObject::metaDataChanged
    {19, 308, 276},	// Phonon::MediaObject::metaObject
    {19, 362, 311},	// Phonon::MediaObject::pause
    {19, 364, 310},	// Phonon::MediaObject::play
    {19, 367, 305},	// Phonon::MediaObject::prefinishMark
    {19, 369, 324},	// Phonon::MediaObject::prefinishMarkReached$
    {19, 377, 282},	// Phonon::MediaObject::qt_metacall$$?
    {19, 379, 277},	// Phonon::MediaObject::qt_metacast$
    {19, 380, 295},	// Phonon::MediaObject::queue
    {19, 384, 304},	// Phonon::MediaObject::remainingTime
    {19, 398, 313},	// Phonon::MediaObject::seek$
    {19, 402, 318},	// Phonon::MediaObject::seekableChanged$
    {19, 424, 294},	// Phonon::MediaObject::setCurrentSource#
    {19, 463, 306},	// Phonon::MediaObject::setPrefinishMark$
    {19, 465, -7},	// Phonon::MediaObject::setQueue?
    {19, 483, 309},	// Phonon::MediaObject::setTickInterval$
    {19, 487, 308},	// Phonon::MediaObject::setTransitionTime$
    {19, 499, 284},	// Phonon::MediaObject::state
    {19, 501, 315},	// Phonon::MediaObject::stateChanged$$
    {19, 502, 329},	// Phonon::MediaObject::staticMetaObject
    {19, 503, 312},	// Phonon::MediaObject::stop
    {19, 515, 316},	// Phonon::MediaObject::tick$
    {19, 516, 287},	// Phonon::MediaObject::tickInterval
    {19, 522, 303},	// Phonon::MediaObject::totalTime
    {19, 524, 325},	// Phonon::MediaObject::totalTimeChanged$
    {19, 526, 326},	// Phonon::MediaObject::tr$
    {19, 527, 278},	// Phonon::MediaObject::tr$$
    {19, 528, 280},	// Phonon::MediaObject::tr$$$
    {19, 530, 327},	// Phonon::MediaObject::trUtf8$
    {19, 531, 279},	// Phonon::MediaObject::trUtf8$$
    {19, 532, 281},	// Phonon::MediaObject::trUtf8$$$
    {19, 533, 307},	// Phonon::MediaObject::transitionTime
    {19, 561, 330},	// Phonon::MediaObject::~MediaObject
    {20, 29, 369},	// Phonon::MediaSource::AudioVideoCapture
    {20, 32, 367},	// Phonon::MediaSource::CaptureDevice
    {20, 42, 365},	// Phonon::MediaSource::Disc
    {20, 61, 368},	// Phonon::MediaSource::Empty
    {20, 73, 362},	// Phonon::MediaSource::Invalid
    {20, 78, 363},	// Phonon::MediaSource::LocalFile
    {20, 86, 331},	// Phonon::MediaSource::MediaSource
    {20, 87, -19},	// Phonon::MediaSource::MediaSource#
    {20, 88, -25},	// Phonon::MediaSource::MediaSource$
    {20, 89, -30},	// Phonon::MediaSource::MediaSource$$
    {20, 90, -33},	// Phonon::MediaSource::MediaSource?
    {20, 126, 366},	// Phonon::MediaSource::Stream
    {20, 138, 364},	// Phonon::MediaSource::Url
    {20, 160, 356},	// Phonon::MediaSource::audioCaptureDevice
    {20, 161, 353},	// Phonon::MediaSource::audioDeviceAccessList
    {20, 163, 345},	// Phonon::MediaSource::autoDelete
    {20, 223, 351},	// Phonon::MediaSource::deviceAccessList
    {20, 224, 354},	// Phonon::MediaSource::deviceName
    {20, 225, 350},	// Phonon::MediaSource::discType
    {20, 260, 347},	// Phonon::MediaSource::fileName
    {20, 328, 348},	// Phonon::MediaSource::mrl
    {20, 344, 342},	// Phonon::MediaSource::operator=#
    {20, 347, 343},	// Phonon::MediaSource::operator==#
    {20, 408, 344},	// Phonon::MediaSource::setAutoDelete$
    {20, 504, 355},	// Phonon::MediaSource::stream
    {20, 537, 346},	// Phonon::MediaSource::type
    {20, 538, 349},	// Phonon::MediaSource::url
    {20, 539, 357},	// Phonon::MediaSource::videoCaptureDevice
    {20, 540, 352},	// Phonon::MediaSource::videoDeviceAccessList
    {20, 562, 370},	// Phonon::MediaSource::~MediaSource
    {22, 91, 371},	// Phonon::Mrl::Mrl
    {22, 92, -13},	// Phonon::Mrl::Mrl#
    {22, 93, 374},	// Phonon::Mrl::Mrl$
    {22, 344, 375},	// Phonon::Mrl::operator=#
    {22, 345, 376},	// Phonon::Mrl::operator=$
    {22, 520, 378},	// Phonon::Mrl::toEncoded
    {22, 521, 377},	// Phonon::Mrl::toEncoded$
    {22, 563, 379},	// Phonon::Mrl::~Mrl
    {23, 103, 391},	// Phonon::ObjectDescriptionData::ObjectDescriptionData
    {23, 104, -16},	// Phonon::ObjectDescriptionData::ObjectDescriptionData#
    {23, 105, 389},	// Phonon::ObjectDescriptionData::ObjectDescriptionData$?
    {23, 221, 382},	// Phonon::ObjectDescriptionData::description
    {23, 269, 387},	// Phonon::ObjectDescriptionData::fromIndex$$
    {23, 279, 386},	// Phonon::ObjectDescriptionData::index
    {23, 295, 385},	// Phonon::ObjectDescriptionData::isValid
    {23, 331, 381},	// Phonon::ObjectDescriptionData::name
    {23, 347, 380},	// Phonon::ObjectDescriptionData::operator==#
    {23, 372, 383},	// Phonon::ObjectDescriptionData::property$
    {23, 373, 384},	// Phonon::ObjectDescriptionData::propertyNames
    {23, 564, 392},	// Phonon::ObjectDescriptionData::~ObjectDescriptionData
    {24, 107, -10},	// Phonon::ObjectDescriptionModelData::ObjectDescriptionModelData#
    {24, 215, 411},	// Phonon::ObjectDescriptionModelData::data#
    {24, 216, 394},	// Phonon::ObjectDescriptionModelData::data#$
    {24, 233, 405},	// Phonon::ObjectDescriptionModelData::dropMimeData$#$$$#
    {24, 263, 395},	// Phonon::ObjectDescriptionModelData::flags#
    {24, 311, 398},	// Phonon::ObjectDescriptionModelData::mimeData$?
    {24, 313, 407},	// Phonon::ObjectDescriptionModelData::mimeTypes$
    {24, 316, 402},	// Phonon::ObjectDescriptionModelData::modelData
    {24, 317, 403},	// Phonon::ObjectDescriptionModelData::modelData#
    {24, 324, 400},	// Phonon::ObjectDescriptionModelData::moveDown#
    {24, 327, 399},	// Phonon::ObjectDescriptionModelData::moveUp#
    {24, 388, 412},	// Phonon::ObjectDescriptionModelData::removeRows$$
    {24, 389, 406},	// Phonon::ObjectDescriptionModelData::removeRows$$#
    {24, 392, 410},	// Phonon::ObjectDescriptionModelData::rowCount
    {24, 393, 393},	// Phonon::ObjectDescriptionModelData::rowCount#
    {24, 447, 401},	// Phonon::ObjectDescriptionModelData::setModelData?
    {24, 511, 404},	// Phonon::ObjectDescriptionModelData::supportedDropActions
    {24, 535, 397},	// Phonon::ObjectDescriptionModelData::tupleIndexAtPositionIndex$
    {24, 536, 396},	// Phonon::ObjectDescriptionModelData::tupleIndexOrder
    {24, 565, 413},	// Phonon::ObjectDescriptionModelData::~ObjectDescriptionModelData
    {26, 108, 414},	// Phonon::Path::Path
    {26, 109, 415},	// Phonon::Path::Path#
    {26, 226, 422},	// Phonon::Path::disconnect
    {26, 234, 420},	// Phonon::Path::effects
    {26, 284, 429},	// Phonon::Path::insertEffect#
    {26, 285, 418},	// Phonon::Path::insertEffect##
    {26, 286, 428},	// Phonon::Path::insertEffect?
    {26, 287, 417},	// Phonon::Path::insertEffect?#
    {26, 295, 416},	// Phonon::Path::isValid
    {26, 337, 425},	// Phonon::Path::operator!=#
    {26, 344, 423},	// Phonon::Path::operator=#
    {26, 347, 424},	// Phonon::Path::operator==#
    {26, 382, 421},	// Phonon::Path::reconnect##
    {26, 386, 419},	// Phonon::Path::removeEffect#
    {26, 495, 427},	// Phonon::Path::sink
    {26, 498, 426},	// Phonon::Path::source
    {26, 566, 430},	// Phonon::Path::~Path
    {27, 122, 456},	// Phonon::SeekSlider::SeekSlider
    {27, 123, -51},	// Phonon::SeekSlider::SeekSlider#
    {27, 124, 439},	// Phonon::SeekSlider::SeekSlider##
    {27, 270, 440},	// Phonon::SeekSlider::hasTracking
    {27, 277, 448},	// Phonon::SeekSlider::iconSize
    {27, 288, 447},	// Phonon::SeekSlider::isIconVisible
    {27, 304, 449},	// Phonon::SeekSlider::mediaObject
    {27, 308, 431},	// Phonon::SeekSlider::metaObject
    {27, 350, 446},	// Phonon::SeekSlider::orientation
    {27, 355, 442},	// Phonon::SeekSlider::pageStep
    {27, 377, 437},	// Phonon::SeekSlider::qt_metacall$$?
    {27, 379, 432},	// Phonon::SeekSlider::qt_metacast$
    {27, 439, 452},	// Phonon::SeekSlider::setIconSize#
    {27, 441, 451},	// Phonon::SeekSlider::setIconVisible$
    {27, 445, 453},	// Phonon::SeekSlider::setMediaObject#
    {27, 455, 450},	// Phonon::SeekSlider::setOrientation$
    {27, 459, 443},	// Phonon::SeekSlider::setPageStep$
    {27, 471, 445},	// Phonon::SeekSlider::setSingleStep$
    {27, 485, 441},	// Phonon::SeekSlider::setTracking$
    {27, 494, 444},	// Phonon::SeekSlider::singleStep
    {27, 502, 458},	// Phonon::SeekSlider::staticMetaObject
    {27, 526, 454},	// Phonon::SeekSlider::tr$
    {27, 527, 433},	// Phonon::SeekSlider::tr$$
    {27, 528, 435},	// Phonon::SeekSlider::tr$$$
    {27, 530, 455},	// Phonon::SeekSlider::trUtf8$
    {27, 531, 434},	// Phonon::SeekSlider::trUtf8$$
    {27, 532, 436},	// Phonon::SeekSlider::trUtf8$$$
    {27, 567, 459},	// Phonon::SeekSlider::~SeekSlider
    {28, 127, 469},	// Phonon::StreamInterface::StreamInterface
    {28, 128, 470},	// Phonon::StreamInterface::StreamInterface#
    {28, 196, 464},	// Phonon::StreamInterface::connectToSource#
    {28, 236, 461},	// Phonon::StreamInterface::endOfData
    {28, 239, 466},	// Phonon::StreamInterface::enoughData
    {28, 334, 465},	// Phonon::StreamInterface::needData
    {28, 390, 468},	// Phonon::StreamInterface::reset
    {28, 400, 467},	// Phonon::StreamInterface::seekStream$
    {28, 473, 463},	// Phonon::StreamInterface::setStreamSeekable$
    {28, 475, 462},	// Phonon::StreamInterface::setStreamSize$
    {28, 549, 460},	// Phonon::StreamInterface::writeData#
    {28, 568, 471},	// Phonon::StreamInterface::~StreamInterface
    {29, 142, 501},	// Phonon::VideoPlayer::VideoPlayer
    {29, 143, 480},	// Phonon::VideoPlayer::VideoPlayer#
    {29, 144, 500},	// Phonon::VideoPlayer::VideoPlayer$
    {29, 145, 479},	// Phonon::VideoPlayer::VideoPlayer$#
    {29, 162, 487},	// Phonon::VideoPlayer::audioOutput
    {29, 211, 482},	// Phonon::VideoPlayer::currentTime
    {29, 250, 497},	// Phonon::VideoPlayer::event#
    {29, 261, 496},	// Phonon::VideoPlayer::finished
    {29, 292, 485},	// Phonon::VideoPlayer::isPaused
    {29, 293, 484},	// Phonon::VideoPlayer::isPlaying
    {29, 301, 489},	// Phonon::VideoPlayer::load#
    {29, 304, 486},	// Phonon::VideoPlayer::mediaObject
    {29, 308, 472},	// Phonon::VideoPlayer::metaObject
    {29, 362, 492},	// Phonon::VideoPlayer::pause
    {29, 364, 491},	// Phonon::VideoPlayer::play
    {29, 365, 490},	// Phonon::VideoPlayer::play#
    {29, 377, 478},	// Phonon::VideoPlayer::qt_metacall$$?
    {29, 379, 473},	// Phonon::VideoPlayer::qt_metacast$
    {29, 398, 494},	// Phonon::VideoPlayer::seek$
    {29, 490, 495},	// Phonon::VideoPlayer::setVolume$
    {29, 502, 502},	// Phonon::VideoPlayer::staticMetaObject
    {29, 503, 493},	// Phonon::VideoPlayer::stop
    {29, 522, 481},	// Phonon::VideoPlayer::totalTime
    {29, 526, 498},	// Phonon::VideoPlayer::tr$
    {29, 527, 474},	// Phonon::VideoPlayer::tr$$
    {29, 528, 476},	// Phonon::VideoPlayer::tr$$$
    {29, 530, 499},	// Phonon::VideoPlayer::trUtf8$
    {29, 531, 475},	// Phonon::VideoPlayer::trUtf8$$
    {29, 532, 477},	// Phonon::VideoPlayer::trUtf8$$$
    {29, 541, 488},	// Phonon::VideoPlayer::videoWidget
    {29, 542, 483},	// Phonon::VideoPlayer::volume
    {29, 569, 503},	// Phonon::VideoPlayer::~VideoPlayer
    {30, 13, 538},	// Phonon::VideoWidget::AspectRatio16_9
    {30, 14, 537},	// Phonon::VideoWidget::AspectRatio4_3
    {30, 15, 535},	// Phonon::VideoWidget::AspectRatioAuto
    {30, 16, 536},	// Phonon::VideoWidget::AspectRatioWidget
    {30, 68, 539},	// Phonon::VideoWidget::FitInView
    {30, 121, 540},	// Phonon::VideoWidget::ScaleAndCrop
    {30, 147, 533},	// Phonon::VideoWidget::VideoWidget
    {30, 148, 511},	// Phonon::VideoWidget::VideoWidget#
    {30, 149, 528},	// Phonon::VideoWidget::VideoWidget##
    {30, 159, 512},	// Phonon::VideoWidget::aspectRatio
    {30, 181, 514},	// Phonon::VideoWidget::brightness
    {30, 198, 515},	// Phonon::VideoWidget::contrast
    {30, 244, 521},	// Phonon::VideoWidget::enterFullScreen
    {30, 250, 530},	// Phonon::VideoWidget::event#
    {30, 252, 520},	// Phonon::VideoWidget::exitFullScreen
    {30, 276, 516},	// Phonon::VideoWidget::hue
    {30, 308, 504},	// Phonon::VideoWidget::metaObject
    {30, 320, 529},	// Phonon::VideoWidget::mouseMoveEvent#
    {30, 377, 510},	// Phonon::VideoWidget::qt_metacall$$?
    {30, 379, 505},	// Phonon::VideoWidget::qt_metacast$
    {30, 395, 517},	// Phonon::VideoWidget::saturation
    {30, 396, 513},	// Phonon::VideoWidget::scaleMode
    {30, 404, 522},	// Phonon::VideoWidget::setAspectRatio$
    {30, 412, 524},	// Phonon::VideoWidget::setBrightness$
    {30, 414, 525},	// Phonon::VideoWidget::setContrast$
    {30, 435, 519},	// Phonon::VideoWidget::setFullScreen$
    {30, 437, 526},	// Phonon::VideoWidget::setHue$
    {30, 467, 527},	// Phonon::VideoWidget::setSaturation$
    {30, 469, 523},	// Phonon::VideoWidget::setScaleMode$
    {30, 497, 518},	// Phonon::VideoWidget::snapshot
    {30, 502, 534},	// Phonon::VideoWidget::staticMetaObject
    {30, 526, 531},	// Phonon::VideoWidget::tr$
    {30, 527, 506},	// Phonon::VideoWidget::tr$$
    {30, 528, 508},	// Phonon::VideoWidget::tr$$$
    {30, 530, 532},	// Phonon::VideoWidget::trUtf8$
    {30, 531, 507},	// Phonon::VideoWidget::trUtf8$$
    {30, 532, 509},	// Phonon::VideoWidget::trUtf8$$$
    {30, 570, 541},	// Phonon::VideoWidget::~VideoWidget
    {32, 63, 566},	// Phonon::VolumeFaderEffect::Fade12Decibel
    {32, 64, 563},	// Phonon::VolumeFaderEffect::Fade3Decibel
    {32, 65, 564},	// Phonon::VolumeFaderEffect::Fade6Decibel
    {32, 66, 565},	// Phonon::VolumeFaderEffect::Fade9Decibel
    {32, 150, 561},	// Phonon::VolumeFaderEffect::VolumeFaderEffect
    {32, 151, 549},	// Phonon::VolumeFaderEffect::VolumeFaderEffect#
    {32, 253, 552},	// Phonon::VolumeFaderEffect::fadeCurve
    {32, 255, 553},	// Phonon::VolumeFaderEffect::fadeIn$
    {32, 257, 554},	// Phonon::VolumeFaderEffect::fadeOut$
    {32, 259, 558},	// Phonon::VolumeFaderEffect::fadeTo$$
    {32, 308, 542},	// Phonon::VolumeFaderEffect::metaObject
    {32, 377, 548},	// Phonon::VolumeFaderEffect::qt_metacall$$?
    {32, 379, 543},	// Phonon::VolumeFaderEffect::qt_metacast$
    {32, 433, 557},	// Phonon::VolumeFaderEffect::setFadeCurve$
    {32, 490, 555},	// Phonon::VolumeFaderEffect::setVolume$
    {32, 492, 556},	// Phonon::VolumeFaderEffect::setVolumeDecibel$
    {32, 502, 562},	// Phonon::VolumeFaderEffect::staticMetaObject
    {32, 526, 559},	// Phonon::VolumeFaderEffect::tr$
    {32, 527, 544},	// Phonon::VolumeFaderEffect::tr$$
    {32, 528, 546},	// Phonon::VolumeFaderEffect::tr$$$
    {32, 530, 560},	// Phonon::VolumeFaderEffect::trUtf8$
    {32, 531, 545},	// Phonon::VolumeFaderEffect::trUtf8$$
    {32, 532, 547},	// Phonon::VolumeFaderEffect::trUtf8$$$
    {32, 542, 550},	// Phonon::VolumeFaderEffect::volume
    {32, 545, 551},	// Phonon::VolumeFaderEffect::volumeDecibel
    {32, 571, 567},	// Phonon::VolumeFaderEffect::~VolumeFaderEffect
    {33, 152, 595},	// Phonon::VolumeSlider::VolumeSlider
    {33, 153, -57},	// Phonon::VolumeSlider::VolumeSlider#
    {33, 154, 576},	// Phonon::VolumeSlider::VolumeSlider##
    {33, 162, 587},	// Phonon::VolumeSlider::audioOutput
    {33, 270, 577},	// Phonon::VolumeSlider::hasTracking
    {33, 277, 584},	// Phonon::VolumeSlider::iconSize
    {33, 290, 583},	// Phonon::VolumeSlider::isMuteVisible
    {33, 303, 585},	// Phonon::VolumeSlider::maximumVolume
    {33, 308, 568},	// Phonon::VolumeSlider::metaObject
    {33, 350, 586},	// Phonon::VolumeSlider::orientation
    {33, 355, 579},	// Phonon::VolumeSlider::pageStep
    {33, 377, 574},	// Phonon::VolumeSlider::qt_metacall$$?
    {33, 379, 569},	// Phonon::VolumeSlider::qt_metacast$
    {33, 406, 592},	// Phonon::VolumeSlider::setAudioOutput#
    {33, 439, 591},	// Phonon::VolumeSlider::setIconSize#
    {33, 443, 588},	// Phonon::VolumeSlider::setMaximumVolume$
    {33, 449, 590},	// Phonon::VolumeSlider::setMuteVisible$
    {33, 455, 589},	// Phonon::VolumeSlider::setOrientation$
    {33, 459, 580},	// Phonon::VolumeSlider::setPageStep$
    {33, 471, 582},	// Phonon::VolumeSlider::setSingleStep$
    {33, 485, 578},	// Phonon::VolumeSlider::setTracking$
    {33, 494, 581},	// Phonon::VolumeSlider::singleStep
    {33, 502, 597},	// Phonon::VolumeSlider::staticMetaObject
    {33, 526, 593},	// Phonon::VolumeSlider::tr$
    {33, 527, 570},	// Phonon::VolumeSlider::tr$$
    {33, 528, 572},	// Phonon::VolumeSlider::tr$$$
    {33, 530, 594},	// Phonon::VolumeSlider::trUtf8$
    {33, 531, 571},	// Phonon::VolumeSlider::trUtf8$$
    {33, 532, 573},	// Phonon::VolumeSlider::trUtf8$$$
    {33, 572, 598},	// Phonon::VolumeSlider::~VolumeSlider
    {49, 112, 599},	// QGlobalSpace::Q_COMPLEX_TYPE
    {49, 113, 603},	// QGlobalSpace::Q_DUMMY_TYPE
    {49, 114, 602},	// QGlobalSpace::Q_MOVABLE_TYPE
    {49, 115, 600},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {49, 116, 601},	// QGlobalSpace::Q_STATIC_TYPE
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *phonon_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_phonon_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    phonon_Smoke = new Smoke(
        "phonon",
        __smokephonon::classes, 75,
        __smokephonon::methods, 654,
        __smokephonon::methodMaps, 577,
        __smokephonon::methodNames, 572,
        __smokephonon::types, 275,
        __smokephonon::inheritanceList,
        __smokephonon::argumentList,
        __smokephonon::ambiguousMethodList,
        __smokephonon::cast );
    initialized = true;
}

void delete_phonon_Smoke() { delete phonon_Smoke; }

}
