#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 16: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 48: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 28: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 88: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 16:   //QFrame
      switch(to) {
        case 48: return (void*)(QWidget*)(QFrame*)xptr;
        case 28: return (void*)(QObject*)(QFrame*)xptr;
        case 16: return (void*)(QFrame*)xptr;
        case 88: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 87: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 18:   //QHideEvent
      switch(to) {
        case 18: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QIODevice
      switch(to) {
        case 28: return (void*)(QObject*)(QIODevice*)xptr;
        case 19: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QMenu
      switch(to) {
        case 23: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QMouseEvent
      switch(to) {
        case 26: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QMoveEvent
      switch(to) {
        case 27: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QObject
      switch(to) {
        case 28: return (void*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 82: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 84: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 50: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 88: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 49: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 81: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 54: return (void*)(QsciLexer*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 87: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 85: return (void*)(QsciMacro*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 83: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 29:   //QPaintEngine
      switch(to) {
        case 29: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEvent
      switch(to) {
        case 30: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QPainter
      switch(to) {
        case 31: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 32:   //QPalette
      switch(to) {
        case 32: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 33:   //QPixmap
      switch(to) {
        case 33: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 34:   //QPoint
      switch(to) {
        case 34: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 35:   //QPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)xptr;
        case 86: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 36:   //QRect
      switch(to) {
        case 36: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 37:   //QRegExp
      switch(to) {
        case 37: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 38:   //QResizeEvent
      switch(to) {
        case 38: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QScrollBar
      switch(to) {
        case 39: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 40:   //QSettings
      switch(to) {
        case 40: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QVariant
      switch(to) {
        case 46: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 47:   //QWheelEvent
      switch(to) {
        case 47: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QWidget
      switch(to) {
        case 28: return (void*)(QObject*)(QWidget*)xptr;
        case 48: return (void*)(QWidget*)xptr;
        case 88: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 87: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 49:   //QsciAPIs
      switch(to) {
        case 50: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 28: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 49: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 50:   //QsciAbstractAPIs
      switch(to) {
        case 28: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 50: return (void*)(QsciAbstractAPIs*)xptr;
        case 49: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 51:   //QsciCommand
      switch(to) {
        case 51: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 52:   //QsciCommandSet
      switch(to) {
        case 52: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 53:   //QsciDocument
      switch(to) {
        case 53: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexer
      switch(to) {
        case 28: return (void*)(QObject*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 82: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 84: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 81: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 83: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerBash
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 55: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerBatch
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 56: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCMake
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 57: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerCPP
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 58: return (void*)(QsciLexerCPP*)xptr;
        case 67: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 60: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 68: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 69: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerCSS
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 59: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerCSharp
      switch(to) {
        case 58: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 60: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerCustom
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 61: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerD
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 62: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerDiff
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 63: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerFortran
      switch(to) {
        case 65: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 64: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerFortran77
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 65: return (void*)(QsciLexerFortran77*)xptr;
        case 64: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerHTML
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 66: return (void*)(QsciLexerHTML*)xptr;
        case 83: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerIDL
      switch(to) {
        case 58: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 67: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerJava
      switch(to) {
        case 58: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 68: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerJavaScript
      switch(to) {
        case 58: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 69: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerLua
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 70: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerMakefile
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 71: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerPOV
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 72: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPascal
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 73: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerPerl
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 74: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerPostScript
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 75: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerProperties
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 76: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerPython
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 77: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerRuby
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 78: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerSQL
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 79: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerTCL
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 80: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 81:   //QsciLexerTeX
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 81: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 82:   //QsciLexerVHDL
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 82: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 83:   //QsciLexerXML
      switch(to) {
        case 66: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 54: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 83: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 84:   //QsciLexerYAML
      switch(to) {
        case 54: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 28: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 84: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 85:   //QsciMacro
      switch(to) {
        case 28: return (void*)(QObject*)(QsciMacro*)xptr;
        case 85: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 86:   //QsciPrinter
      switch(to) {
        case 35: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 86: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 87:   //QsciScintilla
      switch(to) {
        case 88: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 48: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 28: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 87: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 88:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 16: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 48: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 28: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 88: return (void*)(QsciScintillaBase*)xptr;
        case 87: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 89:   //QsciStyle
      switch(to) {
        case 89: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 90:   //QsciStyledText
      switch(to) {
        case 90: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: QsciAbstractAPIs
    28, 0,	// 3: QObject
    54, 0,	// 5: QsciLexer
    58, 0,	// 7: QsciLexerCPP
    65, 0,	// 9: QsciLexerFortran77
    66, 0,	// 11: QsciLexerHTML
    35, 0,	// 13: QPrinter
    88, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciCommand(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QFrame", true, 0, 0, 0, 0, 0 },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//17
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QMenu", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QObject", true, 0, 0, 0, 0, 0 },	//28
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QPainter", true, 0, 0, 0, 0, 0 },	//31
    { "QPalette", true, 0, 0, 0, 0, 0 },	//32
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//33
    { "QPoint", true, 0, 0, 0, 0, 0 },	//34
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//35
    { "QRect", true, 0, 0, 0, 0, 0 },	//36
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//37
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//39
    { "QSettings", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QVariant", true, 0, 0, 0, 0, 0 },	//46
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QWidget", true, 0, 0, 0, 0, 0 },	//48
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//49
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//50
    { "QsciCommand", false, 0, xcall_QsciCommand, xenum_QsciCommand, 0, sizeof(QsciCommand) },	//51
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//52
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//53
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//54
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//55
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//56
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//57
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//58
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//59
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//60
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//61
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//62
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//63
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//64
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//65
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//66
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//67
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//68
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//69
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//70
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//71
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//72
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//73
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//74
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//75
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//76
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//77
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//78
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//79
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//80
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//81
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//82
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//83
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//84
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//85
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//86
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//87
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//88
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//89
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//90
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QFont", 15, Smoke::t_class|Smoke::tf_stack },	//14
    { "QHideEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QIODevice*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "QMenu*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QMouseEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "QPaintEngine*", 29, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPaintEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QPainter&", 31, Smoke::t_class|Smoke::tf_ref },	//31
    { "QPainter*", 31, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QPrinter::PrinterMode", 35, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QRect&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QRegExp&", 37, Smoke::t_class|Smoke::tf_ref },	//35
    { "QResizeEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QScrollBar*", 39, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QSettings&", 40, Smoke::t_class|Smoke::tf_ref },	//38
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//40
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//43
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//44
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//45
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QVariant", 46, Smoke::t_class|Smoke::tf_stack },	//48
    { "QWheelEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QWidget*", 48, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QsciAPIs*", 49, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QsciAbstractAPIs*", 50, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciCommand*", 51, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciCommand::Command", 51, Smoke::t_enum|Smoke::tf_stack },	//54
    { "QsciCommandSet*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciDocument", 53, Smoke::t_class|Smoke::tf_stack },	//56
    { "QsciDocument&", 53, Smoke::t_class|Smoke::tf_ref },	//57
    { "QsciDocument*", 53, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexer*", 54, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerBash*", 55, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerBatch*", 56, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerCMake*", 57, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerCPP*", 58, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerCSS*", 59, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerCSharp*", 60, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerCustom*", 61, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerD*", 62, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerDiff*", 63, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerFortran*", 64, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerFortran77*", 65, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerHTML*", 66, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerIDL*", 67, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerJava*", 68, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerJavaScript*", 69, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerLua*", 70, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerMakefile*", 71, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPOV*", 72, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QsciLexerPascal*", 73, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerPerl*", 74, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerPostScript*", 75, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerProperties*", 76, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerPython*", 77, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerPython::IndentationWarning", 77, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QsciLexerRuby*", 78, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciLexerSQL*", 79, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciLexerTCL*", 80, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciLexerTeX*", 81, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciLexerVHDL*", 82, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QsciLexerXML*", 83, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QsciLexerYAML*", 84, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QsciMacro*", 85, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QsciPrinter*", 86, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QsciScintilla*", 87, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QsciScintilla::AnnotationDisplay", 87, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::AutoCompletionSource", 87, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::AutoCompletionUseSingle", 87, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::BraceMatch", 87, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::CallTipsPosition", 87, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::CallTipsStyle", 87, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::EdgeMode", 87, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintilla::EolMode", 87, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QsciScintilla::FoldStyle", 87, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QsciScintilla::IndentState", 87, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciScintilla::IndicatorStyle", 87, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QsciScintilla::MarginType", 87, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QsciScintilla::MarkerSymbol", 87, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QsciScintilla::TabDrawMode", 87, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QsciScintilla::WhitespaceVisibility", 87, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QsciScintilla::WrapIndentMode", 87, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QsciScintilla::WrapMode", 87, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QsciScintilla::WrapVisualFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QsciScintillaBase*", 88, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QsciStyle*", 89, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QsciStyle::TextCase", 89, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QsciStyledText", 90, Smoke::t_class|Smoke::tf_stack },	//115
    { "QsciStyledText*", 90, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//190
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//191
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//192
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//193
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//194
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QImage&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//202
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QPalette&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QPixmap&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QPoint&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QRect&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QRegExp&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const QsciDocument&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QsciStyle&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QsciStyledText&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//217
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//218
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//220
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//221
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//222
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//224
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//225
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    12, 0,	//1  QEvent*
    49, 0,	//3  QWheelEvent*
    27, 12, 0,	//5  QObject*, QEvent*
    47, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    215, 0,	//12  const char*
    28, 0,	//14  QPaintDevice::PaintDeviceMetric
    191, 0,	//16  bool
    217, 0,	//18  int
    18, 0,	//20  QKeyEvent*
    26, 0,	//22  QMoveEvent*
    5, 0,	//24  QCloseEvent*
    46, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    39, 0,	//30  QShowEvent*
    15, 0,	//32  QHideEvent*
    190, 0,	//34  _XEvent*
    45, 0,	//36  QStyle&
    204, 0,	//38  const QPalette&
    197, 0,	//40  const QFont&
    215, 215, 0,	//42  const char*, const char*
    215, 215, 217, 0,	//45  const char*, const char*, int
    23, 217, 224, 0,	//49  QMetaObject::Call, int, void**
    59, 0,	//53  QsciLexer*
    209, 0,	//55  const QString&
    210, 43, 0,	//57  const QStringList&, QStringList&
    210, 217, 99, 21, 0,	//60  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    38, 215, 0,	//65  QSettings&, const char*
    54, 0,	//68  QsciCommand::Command
    38, 0,	//70  QSettings&
    212, 0,	//72  const QsciDocument&
    27, 0,	//74  QObject*
    219, 0,	//76  int*
    52, 0,	//78  QsciAbstractAPIs*
    196, 0,	//80  const QColor&
    93, 0,	//82  QsciScintilla*
    196, 217, 0,	//84  const QColor&, int
    191, 217, 0,	//87  bool, int
    197, 217, 0,	//90  const QFont&, int
    38, 209, 0,	//93  QSettings&, const QString&
    27, 191, 0,	//96  QObject*, bool
    217, 217, 0,	//99  int, int
    217, 213, 0,	//102  int, const QsciStyle&
    83, 0,	//105  QsciLexerPython::IndentationWarning
    209, 93, 0,	//107  const QString&, QsciScintilla*
    33, 0,	//110  QPrinter::PrinterMode
    31, 191, 34, 217, 0,	//112  QPainter&, bool, QRect&, int
    112, 217, 217, 0,	//117  QsciScintillaBase*, int, int
    110, 0,	//121  QsciScintilla::WrapMode
    112, 0,	//123  QsciScintillaBase*
    112, 217, 0,	//125  QsciScintillaBase*, int
    50, 0,	//128  QWidget*
    217, 218, 218, 0,	//130  int, int&, int&
    217, 209, 217, 0,	//134  int, const QString&, int
    217, 209, 213, 0,	//138  int, const QString&, const QsciStyle&
    217, 214, 0,	//142  int, const QsciStyledText&
    217, 199, 0,	//145  int, const QList<QsciStyledText>&
    217, 217, 217, 217, 217, 0,	//148  int, int, int, int, int
    101, 0,	//154  QsciScintilla::EolMode
    209, 191, 191, 191, 191, 191, 217, 217, 191, 191, 0,	//156  const QString&, bool, bool, bool, bool, bool, int, int, bool, bool
    209, 191, 191, 191, 191, 191, 191, 0,	//167  const QString&, bool, bool, bool, bool, bool, bool
    219, 219, 0,	//175  int*, int*
    219, 219, 219, 219, 0,	//178  int*, int*, int*, int*
    104, 217, 0,	//183  QsciScintilla::IndicatorStyle, int
    193, 0,	//186  char
    206, 0,	//188  const QPoint&
    217, 219, 219, 0,	//190  int, int*, int*
    106, 217, 0,	//194  QsciScintilla::MarkerSymbol, int
    193, 217, 0,	//197  char, int
    205, 217, 0,	//200  const QPixmap&, int
    198, 217, 0,	//203  const QImage&, int
    217, 221, 0,	//206  int, unsigned int
    16, 0,	//209  QIODevice*
    217, 205, 0,	//211  int, const QPixmap&
    217, 198, 0,	//214  int, const QImage&
    196, 196, 0,	//217  const QColor&, const QColor&
    94, 0,	//220  QsciScintilla::AnnotationDisplay
    210, 0,	//222  const QStringList&
    98, 0,	//224  QsciScintilla::CallTipsPosition
    99, 0,	//226  QsciScintilla::CallTipsStyle
    200, 0,	//228  const QList<int>&
    217, 196, 0,	//230  int, const QColor&
    100, 0,	//233  QsciScintilla::EdgeMode
    217, 105, 0,	//235  int, QsciScintilla::MarginType
    107, 0,	//238  QsciScintilla::TabDrawMode
    111, 111, 217, 0,	//240  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    109, 0,	//244  QsciScintilla::WrapIndentMode
    217, 210, 0,	//246  int, const QStringList&
    209, 217, 217, 0,	//249  const QString&, int, int
    95, 0,	//253  QsciScintilla::AutoCompletionSource
    96, 0,	//255  QsciScintilla::AutoCompletionUseSingle
    97, 0,	//257  QsciScintilla::BraceMatch
    102, 217, 0,	//259  QsciScintilla::FoldStyle, int
    217, 191, 0,	//262  int, bool
    217, 209, 0,	//265  int, const QString&
    217, 217, 217, 217, 0,	//268  int, int, int, int
    108, 0,	//273  QsciScintilla::WhitespaceVisibility
    217, 217, 157, 0,	//275  int, int, Qt::KeyboardModifiers
    7, 0,	//279  QContextMenuEvent*
    209, 191, 191, 191, 191, 0,	//281  const QString&, bool, bool, bool, bool
    209, 191, 191, 191, 191, 191, 0,	//287  const QString&, bool, bool, bool, bool, bool
    209, 191, 191, 191, 191, 191, 217, 0,	//294  const QString&, bool, bool, bool, bool, bool, int
    209, 191, 191, 191, 191, 191, 217, 217, 0,	//302  const QString&, bool, bool, bool, bool, bool, int, int
    209, 191, 191, 191, 191, 191, 217, 217, 191, 0,	//311  const QString&, bool, bool, bool, bool, bool, int, int, bool
    209, 191, 191, 191, 0,	//321  const QString&, bool, bool, bool
    104, 0,	//326  QsciScintilla::IndicatorStyle
    106, 0,	//328  QsciScintilla::MarkerSymbol
    205, 0,	//330  const QPixmap&
    198, 0,	//332  const QImage&
    111, 0,	//334  QsciScintilla::WrapVisualFlag
    111, 111, 0,	//336  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    102, 0,	//339  QsciScintilla::FoldStyle
    37, 0,	//341  QScrollBar*
    221, 222, 220, 0,	//343  unsigned int, unsigned long, long
    221, 222, 223, 0,	//347  unsigned int, unsigned long, void*
    221, 222, 215, 0,	//351  unsigned int, unsigned long, const char*
    221, 215, 0,	//355  unsigned int, const char*
    221, 215, 215, 0,	//358  unsigned int, const char*, const char*
    221, 220, 0,	//362  unsigned int, long
    221, 217, 0,	//365  unsigned int, int
    221, 220, 220, 194, 0,	//368  unsigned int, long, long, char*
    221, 222, 196, 0,	//373  unsigned int, unsigned long, const QColor&
    221, 196, 0,	//377  unsigned int, const QColor&
    221, 222, 32, 207, 220, 220, 0,	//380  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    221, 222, 205, 0,	//387  unsigned int, unsigned long, const QPixmap&
    221, 222, 198, 0,	//391  unsigned int, unsigned long, const QImage&
    221, 0,	//395  unsigned int
    217, 218, 0,	//397  int, int&
    215, 217, 217, 217, 0,	//400  const char*, int, int, int
    215, 217, 0,	//405  const char*, int
    217, 217, 217, 0,	//408  int, int, int
    217, 217, 215, 217, 217, 217, 217, 217, 217, 217, 0,	//412  int, int, const char*, int, int, int, int, int, int, int
    203, 0,	//423  const QMimeData*
    203, 192, 0,	//425  const QMimeData*, bool&
    195, 191, 0,	//428  const QByteArray&, bool
    8, 0,	//431  QDragEnterEvent*
    9, 0,	//433  QDragLeaveEvent*
    10, 0,	//435  QDragMoveEvent*
    11, 0,	//437  QDropEvent*
    13, 0,	//439  QFocusEvent*
    17, 0,	//441  QInputMethodEvent*
    151, 0,	//443  Qt::InputMethodQuery
    25, 0,	//445  QMouseEvent*
    30, 0,	//447  QPaintEvent*
    36, 0,	//449  QResizeEvent*
    221, 222, 0,	//451  unsigned int, unsigned long
    217, 209, 196, 196, 197, 191, 0,	//454  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    114, 0,	//461  QsciStyle::TextCase
    213, 0,	//463  const QsciStyle&
    217, 209, 196, 196, 197, 0,	//465  int, const QString&, const QColor&, const QColor&, const QFont&
    209, 217, 0,	//471  const QString&, int
    209, 213, 0,	//474  const QString&, const QsciStyle&
    214, 0,	//477  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AcusAlways",	//54
    "AcusExplicit",	//55
    "AcusNever",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationIndented",	//60
    "AnnotationStandard",	//61
    "Array",	//62
    "ArrayParenthesis",	//63
    "Asm",	//64
    "Assignment",	//65
    "AtRule",	//66
    "Attribute",	//67
    "Auto",	//68
    "B0",	//69
    "B1",	//70
    "B10",	//71
    "B2",	//72
    "B3",	//73
    "B4",	//74
    "B5",	//75
    "B6",	//76
    "B7",	//77
    "B8",	//78
    "B9",	//79
    "Background",	//80
    "BackquoteString",	//81
    "Backtab",	//82
    "BacktickHereDocument",	//83
    "BacktickHereDocumentVar",	//84
    "Backticks",	//85
    "BackticksVar",	//86
    "BadDirective",	//87
    "BadStringCharacter",	//88
    "Base85String",	//89
    "BasicFunctions",	//90
    "BlockForeach",	//91
    "BlockIf",	//92
    "BlockMacro",	//93
    "BlockWhile",	//94
    "Bookmark",	//95
    "BottomLeftCorner",	//96
    "Box",	//97
    "BoxIndicator",	//98
    "BoxedFoldStyle",	//99
    "BoxedMinus",	//100
    "BoxedMinusConnected",	//101
    "BoxedPlus",	//102
    "BoxedPlusConnected",	//103
    "BoxedTreeFoldStyle",	//104
    "C5E",	//105
    "CDATA",	//106
    "CSS1Property",	//107
    "CSS2Property",	//108
    "CSS3Property",	//109
    "CallTipsAboveText",	//110
    "CallTipsBelowText",	//111
    "CallTipsContext",	//112
    "CallTipsNoAutoCompletionContext",	//113
    "CallTipsNoContext",	//114
    "CallTipsNone",	//115
    "Cancel",	//116
    "Cassette",	//117
    "CharLeft",	//118
    "CharLeftExtend",	//119
    "CharLeftRectExtend",	//120
    "CharRight",	//121
    "CharRightExtend",	//122
    "CharRightRectExtend",	//123
    "Character",	//124
    "Cicero",	//125
    "Circle",	//126
    "CircledFoldStyle",	//127
    "CircledMinus",	//128
    "CircledMinusConnected",	//129
    "CircledPlus",	//130
    "CircledPlusConnected",	//131
    "CircledTreeFoldStyle",	//132
    "ClassName",	//133
    "ClassSelector",	//134
    "ClassVariable",	//135
    "Color",	//136
    "Comm10E",	//137
    "Command",	//138
    "Comment",	//139
    "CommentBlock",	//140
    "CommentBox",	//141
    "CommentDoc",	//142
    "CommentDocKeyword",	//143
    "CommentDocKeywordError",	//144
    "CommentLine",	//145
    "CommentLineDoc",	//146
    "CommentLineHash",	//147
    "CommentNested",	//148
    "CommentParenthesis",	//149
    "Continuation",	//150
    "CoroutinesIOSystemFacilities",	//151
    "CurrentPage",	//152
    "Custom",	//153
    "DLE",	//154
    "DSCComment",	//155
    "DSCCommentValue",	//156
    "DashesIndicator",	//157
    "DataSection",	//158
    "Decorator",	//159
    "Default",	//160
    "DefaultValue",	//161
    "Delete",	//162
    "DeleteBack",	//163
    "DeleteBackNotLine",	//164
    "DeleteLineLeft",	//165
    "DeleteLineRight",	//166
    "DeleteWordLeft",	//167
    "DeleteWordRight",	//168
    "DeleteWordRightEnd",	//169
    "DemotedKeyword",	//170
    "DevicePixel",	//171
    "DiagonalIndicator",	//172
    "DictionaryParenthesis",	//173
    "Didot",	//174
    "Directive",	//175
    "DocumentDelimiter",	//176
    "DocumentEnd",	//177
    "DocumentEndExtend",	//178
    "DocumentStart",	//179
    "DocumentStartExtend",	//180
    "DotBoxIndicator",	//181
    "DotsIndicator",	//182
    "DottedOperator",	//183
    "DoubleQuotedHereDocument",	//184
    "DoubleQuotedHereDocumentVar",	//185
    "DoubleQuotedString",	//186
    "DoubleQuotedStringVar",	//187
    "DownTriangle",	//188
    "DrawChildren",	//189
    "DrawWindowBackground",	//190
    "DuplexAuto",	//191
    "DuplexLongSide",	//192
    "DuplexNone",	//193
    "DuplexShortSide",	//194
    "EdgeBackground",	//195
    "EdgeLine",	//196
    "EdgeMultipleLines",	//197
    "EdgeNone",	//198
    "EditToggleOvertype",	//199
    "Entity",	//200
    "Envelope",	//201
    "EnvelopeManual",	//202
    "EolMac",	//203
    "EolUnix",	//204
    "EolWindows",	//205
    "Error",	//206
    "EscapeSequence",	//207
    "Executive",	//208
    "ExpandKeyword",	//209
    "ExtendedCSSProperty",	//210
    "ExtendedFunction",	//211
    "ExtendedPseudoClass",	//212
    "ExtendedPseudoElement",	//213
    "ExternalCommand",	//214
    "FirstPageFirst",	//215
    "Folio",	//216
    "FormSource",	//217
    "FormatBody",	//218
    "FormatIdentifier",	//219
    "Formfeed",	//220
    "FullBoxIndicator",	//221
    "FullRectangle",	//222
    "Function",	//223
    "FunctionMethodName",	//224
    "Global",	//225
    "GlobalClass",	//226
    "GrayScale",	//227
    "Group",	//228
    "HLine",	//229
    "HSSLanguage",	//230
    "HTMLComment",	//231
    "HTMLDoubleQuotedString",	//232
    "HTMLNumber",	//233
    "HTMLSingleQuotedString",	//234
    "HTMLValue",	//235
    "Hash",	//236
    "HashQuotedString",	//237
    "Header",	//238
    "HereDocument",	//239
    "HereDocumentDelimiter",	//240
    "HexNumber",	//241
    "HexString",	//242
    "HiddenIndicator",	//243
    "HideCommandChar",	//244
    "HighResolution",	//245
    "HighlightedIdentifier",	//246
    "Home",	//247
    "HomeDisplay",	//248
    "HomeDisplayExtend",	//249
    "HomeExtend",	//250
    "HomeRectExtend",	//251
    "HomeWrap",	//252
    "HomeWrapExtend",	//253
    "IDSelector",	//254
    "ITCLKeyword",	//255
    "Identifier",	//256
    "Idle",	//257
    "IgnoreMask",	//258
    "ImmediateEvalLiteral",	//259
    "Important",	//260
    "InactiveComment",	//261
    "InactiveCommentDoc",	//262
    "InactiveCommentDocKeyword",	//263
    "InactiveCommentDocKeywordError",	//264
    "InactiveCommentLine",	//265
    "InactiveCommentLineDoc",	//266
    "InactiveDefault",	//267
    "InactiveDoubleQuotedString",	//268
    "InactiveEscapeSequence",	//269
    "InactiveGlobalClass",	//270
    "InactiveHashQuotedString",	//271
    "InactiveIdentifier",	//272
    "InactiveKeyword",	//273
    "InactiveKeywordSet2",	//274
    "InactiveNumber",	//275
    "InactiveOperator",	//276
    "InactivePreProcessor",	//277
    "InactivePreProcessorComment",	//278
    "InactivePreProcessorCommentLineDoc",	//279
    "InactiveRawString",	//280
    "InactiveRegex",	//281
    "InactiveSingleQuotedString",	//282
    "InactiveTaskMarker",	//283
    "InactiveTripleQuotedVerbatimString",	//284
    "InactiveUUID",	//285
    "InactiveUnclosedString",	//286
    "InactiveUserLiteral",	//287
    "InactiveVerbatimString",	//288
    "Inch",	//289
    "Inconsistent",	//290
    "InstanceVariable",	//291
    "IntrinsicFunction",	//292
    "Invisible",	//293
    "JavaScriptComment",	//294
    "JavaScriptCommentDoc",	//295
    "JavaScriptCommentLine",	//296
    "JavaScriptDefault",	//297
    "JavaScriptDoubleQuotedString",	//298
    "JavaScriptKeyword",	//299
    "JavaScriptNumber",	//300
    "JavaScriptRegex",	//301
    "JavaScriptSingleQuotedString",	//302
    "JavaScriptStart",	//303
    "JavaScriptSymbol",	//304
    "JavaScriptUnclosedString",	//305
    "JavaScriptWord",	//306
    "Key",	//307
    "Keyword",	//308
    "KeywordDoc",	//309
    "KeywordSecondary",	//310
    "KeywordSet2",	//311
    "KeywordSet3",	//312
    "KeywordSet5",	//313
    "KeywordSet6",	//314
    "KeywordSet7",	//315
    "KeywordSet8",	//316
    "KeywordSet9",	//317
    "Label",	//318
    "Landscape",	//319
    "LargeCapacity",	//320
    "LargeFormat",	//321
    "LastPageFirst",	//322
    "Ledger",	//323
    "LeftRectangle",	//324
    "LeftSideRoundedSplitter",	//325
    "LeftSideSplitter",	//326
    "Legal",	//327
    "LessLanguage",	//328
    "Letter",	//329
    "LineAdded",	//330
    "LineChanged",	//331
    "LineComment",	//332
    "LineCopy",	//333
    "LineCut",	//334
    "LineDelete",	//335
    "LineDown",	//336
    "LineDownExtend",	//337
    "LineDownRectExtend",	//338
    "LineDuplicate",	//339
    "LineEnd",	//340
    "LineEndDisplay",	//341
    "LineEndDisplayExtend",	//342
    "LineEndExtend",	//343
    "LineEndRectExtend",	//344
    "LineEndWrap",	//345
    "LineEndWrapExtend",	//346
    "LineRemoved",	//347
    "LineScrollDown",	//348
    "LineScrollUp",	//349
    "LineTranspose",	//350
    "LineUp",	//351
    "LineUpExtend",	//352
    "LineUpRectExtend",	//353
    "Literal",	//354
    "LiteralString",	//355
    "Lower",	//356
    "LowerCase",	//357
    "Manual",	//358
    "MaxPageSource",	//359
    "MediaRule",	//360
    "Middle",	//361
    "Millimeter",	//362
    "Minus",	//363
    "MoNone",	//364
    "MoSublineSelect",	//365
    "Modifier",	//366
    "ModuleName",	//367
    "MoveSelectedLinesDown",	//368
    "MoveSelectedLinesUp",	//369
    "NPageSize",	//370
    "NPaperSize",	//371
    "Name",	//372
    "NativeFormat",	//373
    "Newline",	//374
    "NoBraceMatch",	//375
    "NoFoldStyle",	//376
    "NoFrame",	//377
    "NoWarning",	//378
    "Number",	//379
    "NumberMargin",	//380
    "ObjectsCSGAppearance",	//381
    "OnlyOne",	//382
    "Operator",	//383
    "OriginalCase",	//384
    "OtherInTag",	//385
    "PHPComment",	//386
    "PHPCommentLine",	//387
    "PHPDefault",	//388
    "PHPDoubleQuotedString",	//389
    "PHPDoubleQuotedVariable",	//390
    "PHPKeyword",	//391
    "PHPNumber",	//392
    "PHPOperator",	//393
    "PHPSingleQuotedString",	//394
    "PHPStart",	//395
    "PHPVariable",	//396
    "POD",	//397
    "PODVerbatim",	//398
    "PageDown",	//399
    "PageDownExtend",	//400
    "PageDownRectExtend",	//401
    "PageRange",	//402
    "PageUp",	//403
    "PageUpExtend",	//404
    "PageUpRectExtend",	//405
    "Panel",	//406
    "ParaDown",	//407
    "ParaDownExtend",	//408
    "ParaUp",	//409
    "ParaUpExtend",	//410
    "ParameterExpansion",	//411
    "Paste",	//412
    "PdfFormat",	//413
    "PercentStringQ",	//414
    "PercentStringq",	//415
    "PercentStringr",	//416
    "PercentStringw",	//417
    "PercentStringx",	//418
    "Pica",	//419
    "Plain",	//420
    "PlainFoldStyle",	//421
    "PlainIndicator",	//422
    "Plus",	//423
    "PlusComment",	//424
    "PlusKeyword",	//425
    "PlusPrompt",	//426
    "Point",	//427
    "Portrait",	//428
    "Position",	//429
    "PostScriptFormat",	//430
    "PreProcessor",	//431
    "PreProcessorComment",	//432
    "PreProcessorCommentLineDoc",	//433
    "PreProcessorParenthesis",	//434
    "PredefinedFunctions",	//435
    "PredefinedIdentifiers",	//436
    "Preprocessor",	//437
    "PrinterResolution",	//438
    "ProcedureParenthesis",	//439
    "PseudoClass",	//440
    "PseudoElement",	//441
    "PythonClassName",	//442
    "PythonComment",	//443
    "PythonDefault",	//444
    "PythonDoubleQuotedString",	//445
    "PythonFunctionMethodName",	//446
    "PythonIdentifier",	//447
    "PythonKeyword",	//448
    "PythonNumber",	//449
    "PythonOperator",	//450
    "PythonSingleQuotedString",	//451
    "PythonStart",	//452
    "PythonTripleDoubleQuotedString",	//453
    "PythonTripleSingleQuotedString",	//454
    "QSCN_SELCHANGED",	//455
    "QSCN_SELCHANGED$",	//456
    "Q_COMPLEX_TYPE",	//457
    "Q_DUMMY_TYPE",	//458
    "Q_MOVABLE_TYPE",	//459
    "Q_PRIMITIVE_TYPE",	//460
    "Q_STATIC_TYPE",	//461
    "QsciAPIs",	//462
    "QsciAPIs#",	//463
    "QsciAbstractAPIs",	//464
    "QsciAbstractAPIs#",	//465
    "QsciDocument",	//466
    "QsciDocument#",	//467
    "QsciLexer",	//468
    "QsciLexer#",	//469
    "QsciLexerBash",	//470
    "QsciLexerBash#",	//471
    "QsciLexerBatch",	//472
    "QsciLexerBatch#",	//473
    "QsciLexerCMake",	//474
    "QsciLexerCMake#",	//475
    "QsciLexerCPP",	//476
    "QsciLexerCPP#",	//477
    "QsciLexerCPP#$",	//478
    "QsciLexerCSS",	//479
    "QsciLexerCSS#",	//480
    "QsciLexerCSharp",	//481
    "QsciLexerCSharp#",	//482
    "QsciLexerCustom",	//483
    "QsciLexerCustom#",	//484
    "QsciLexerD",	//485
    "QsciLexerD#",	//486
    "QsciLexerDiff",	//487
    "QsciLexerDiff#",	//488
    "QsciLexerFortran",	//489
    "QsciLexerFortran#",	//490
    "QsciLexerFortran77",	//491
    "QsciLexerFortran77#",	//492
    "QsciLexerHTML",	//493
    "QsciLexerHTML#",	//494
    "QsciLexerIDL",	//495
    "QsciLexerIDL#",	//496
    "QsciLexerJava",	//497
    "QsciLexerJava#",	//498
    "QsciLexerJavaScript",	//499
    "QsciLexerJavaScript#",	//500
    "QsciLexerLua",	//501
    "QsciLexerLua#",	//502
    "QsciLexerMakefile",	//503
    "QsciLexerMakefile#",	//504
    "QsciLexerPOV",	//505
    "QsciLexerPOV#",	//506
    "QsciLexerPascal",	//507
    "QsciLexerPascal#",	//508
    "QsciLexerPerl",	//509
    "QsciLexerPerl#",	//510
    "QsciLexerPostScript",	//511
    "QsciLexerPostScript#",	//512
    "QsciLexerProperties",	//513
    "QsciLexerProperties#",	//514
    "QsciLexerPython",	//515
    "QsciLexerPython#",	//516
    "QsciLexerRuby",	//517
    "QsciLexerRuby#",	//518
    "QsciLexerSQL",	//519
    "QsciLexerSQL#",	//520
    "QsciLexerTCL",	//521
    "QsciLexerTCL#",	//522
    "QsciLexerTeX",	//523
    "QsciLexerTeX#",	//524
    "QsciLexerVHDL",	//525
    "QsciLexerVHDL#",	//526
    "QsciLexerXML",	//527
    "QsciLexerXML#",	//528
    "QsciLexerYAML",	//529
    "QsciLexerYAML#",	//530
    "QsciMacro",	//531
    "QsciMacro#",	//532
    "QsciMacro$#",	//533
    "QsciPrinter",	//534
    "QsciPrinter$",	//535
    "QsciScintilla",	//536
    "QsciScintilla#",	//537
    "QsciScintillaBase",	//538
    "QsciScintillaBase#",	//539
    "QsciStyle",	//540
    "QsciStyle#",	//541
    "QsciStyle$",	//542
    "QsciStyle$$###",	//543
    "QsciStyle$$###$",	//544
    "QsciStyledText",	//545
    "QsciStyledText#",	//546
    "QsciStyledText$#",	//547
    "QsciStyledText$$",	//548
    "QuotedIdentifier",	//549
    "QuotedKeyword",	//550
    "QuotedOperator",	//551
    "QuotedString",	//552
    "QuotedStringQ",	//553
    "QuotedStringQQ",	//554
    "QuotedStringQQVar",	//555
    "QuotedStringQR",	//556
    "QuotedStringQRVar",	//557
    "QuotedStringQW",	//558
    "QuotedStringQX",	//559
    "QuotedStringQXVar",	//560
    "Raised",	//561
    "RawString",	//562
    "Rectangle",	//563
    "Redo",	//564
    "Reference",	//565
    "Regex",	//566
    "RegexVar",	//567
    "RightArrow",	//568
    "RightTriangle",	//569
    "RoundBoxIndicator",	//570
    "RoundedBottomLeftCorner",	//571
    "SCEN_CHANGE",	//572
    "SCN_AUTOCCANCELLED",	//573
    "SCN_AUTOCCHARDELETED",	//574
    "SCN_AUTOCCOMPLETED",	//575
    "SCN_AUTOCCOMPLETED$$$$",	//576
    "SCN_AUTOCSELECTION",	//577
    "SCN_AUTOCSELECTION$$",	//578
    "SCN_AUTOCSELECTION$$$$",	//579
    "SCN_CALLTIPCLICK",	//580
    "SCN_CALLTIPCLICK$",	//581
    "SCN_CHARADDED",	//582
    "SCN_CHARADDED$",	//583
    "SCN_DOUBLECLICK",	//584
    "SCN_DOUBLECLICK$$$",	//585
    "SCN_DWELLEND",	//586
    "SCN_DWELLEND$$$",	//587
    "SCN_DWELLSTART",	//588
    "SCN_DWELLSTART$$$",	//589
    "SCN_FOCUSIN",	//590
    "SCN_FOCUSOUT",	//591
    "SCN_HOTSPOTCLICK",	//592
    "SCN_HOTSPOTCLICK$$",	//593
    "SCN_HOTSPOTDOUBLECLICK",	//594
    "SCN_HOTSPOTDOUBLECLICK$$",	//595
    "SCN_HOTSPOTRELEASECLICK",	//596
    "SCN_HOTSPOTRELEASECLICK$$",	//597
    "SCN_INDICATORCLICK",	//598
    "SCN_INDICATORCLICK$$",	//599
    "SCN_INDICATORRELEASE",	//600
    "SCN_INDICATORRELEASE$$",	//601
    "SCN_MACRORECORD",	//602
    "SCN_MACRORECORD$$$",	//603
    "SCN_MARGINCLICK",	//604
    "SCN_MARGINCLICK$$$",	//605
    "SCN_MARGINRIGHTCLICK",	//606
    "SCN_MARGINRIGHTCLICK$$$",	//607
    "SCN_MODIFIED",	//608
    "SCN_MODIFIED$$$$$$$$$$",	//609
    "SCN_MODIFYATTEMPTRO",	//610
    "SCN_NEEDSHOWN",	//611
    "SCN_NEEDSHOWN$$",	//612
    "SCN_PAINTED",	//613
    "SCN_SAVEPOINTLEFT",	//614
    "SCN_SAVEPOINTREACHED",	//615
    "SCN_STYLENEEDED",	//616
    "SCN_STYLENEEDED$",	//617
    "SCN_UPDATEUI",	//618
    "SCN_UPDATEUI$",	//619
    "SCN_USERLISTSELECTION",	//620
    "SCN_USERLISTSELECTION$$",	//621
    "SCN_USERLISTSELECTION$$$$",	//622
    "SCN_ZOOM",	//623
    "SCSSLanguage",	//624
    "SC_ORDER_CUSTOM",	//625
    "SC_ORDER_PERFORMSORT",	//626
    "SC_ORDER_PRESORTED",	//627
    "SGMLBlockDefault",	//628
    "SGMLCommand",	//629
    "SGMLComment",	//630
    "SGMLDefault",	//631
    "SGMLDoubleQuotedString",	//632
    "SGMLEntity",	//633
    "SGMLError",	//634
    "SGMLParameter",	//635
    "SGMLParameterComment",	//636
    "SGMLSingleQuotedString",	//637
    "SGMLSpecial",	//638
    "Scalar",	//639
    "ScreenResolution",	//640
    "Script",	//641
    "ScrollToEnd",	//642
    "ScrollToStart",	//643
    "Section",	//644
    "SelectAll",	//645
    "Selection",	//646
    "SelectionCopy",	//647
    "SelectionCut",	//648
    "SelectionDuplicate",	//649
    "SelectionLowerCase",	//650
    "SelectionUpperCase",	//651
    "SendScintilla",	//652
    "SendScintilla$",	//653
    "SendScintilla$#",	//654
    "SendScintilla$$",	//655
    "SendScintilla$$#",	//656
    "SendScintilla$$##$$",	//657
    "SendScintilla$$$",	//658
    "SendScintilla$$$$",	//659
    "SendScintillaPtrResult",	//660
    "SendScintillaPtrResult$",	//661
    "Shadow_Mask",	//662
    "Shape_Mask",	//663
    "SingleQuotedHereDocument",	//664
    "SingleQuotedString",	//665
    "SloppyBraceMatch",	//666
    "SmallFormat",	//667
    "SmallRectangle",	//668
    "Spaces",	//669
    "Special",	//670
    "SquiggleIndicator",	//671
    "SquiggleLowIndicator",	//672
    "SquigglePixmapIndicator",	//673
    "StandardFunction",	//674
    "StandardOperator",	//675
    "StandardPackage",	//676
    "StandardType",	//677
    "Stderr",	//678
    "Stdin",	//679
    "Stdout",	//680
    "StraightBoxIndicator",	//681
    "StrictBraceMatch",	//682
    "StrikeIndicator",	//683
    "String",	//684
    "StringLeftQuote",	//685
    "StringRightQuote",	//686
    "StringTableMathsFunctions",	//687
    "StringVariable",	//688
    "StutteredPageDown",	//689
    "StutteredPageDownExtend",	//690
    "StutteredPageUp",	//691
    "StutteredPageUpExtend",	//692
    "StyledPanel",	//693
    "SubroutinePrototype",	//694
    "Substitution",	//695
    "SubstitutionBrace",	//696
    "SubstitutionVar",	//697
    "Sunken",	//698
    "Symbol",	//699
    "SymbolMargin",	//700
    "SymbolMarginColor",	//701
    "SymbolMarginDefaultBackgroundColor",	//702
    "SymbolMarginDefaultForegroundColor",	//703
    "SymbolTable",	//704
    "SyntaxErrorMarker",	//705
    "TCLKeyword",	//706
    "TTIndicator",	//707
    "Tab",	//708
    "TabLongArrow",	//709
    "TabStrikeOut",	//710
    "Tabloid",	//711
    "Tabs",	//712
    "TabsAfterSpaces",	//713
    "Tag",	//714
    "Target",	//715
    "TaskMarker",	//716
    "Text",	//717
    "TextBlockMarker",	//718
    "TextColorIndicator",	//719
    "TextMargin",	//720
    "TextMarginRightJustified",	//721
    "ThickCompositionIndicator",	//722
    "ThinCompositionIndicator",	//723
    "ThreeDots",	//724
    "ThreeRightArrows",	//725
    "TkCommand",	//726
    "TkKeyword",	//727
    "Tractor",	//728
    "Translation",	//729
    "TriangleCharacterIndicator",	//730
    "TriangleIndicator",	//731
    "TripleDoubleQuotedString",	//732
    "TripleQuotedVerbatimString",	//733
    "TripleSingleQuotedString",	//734
    "Typedefs",	//735
    "TypesModifiersItems",	//736
    "UUID",	//737
    "UnclosedString",	//738
    "Underline",	//739
    "Undo",	//740
    "UnknownAttribute",	//741
    "UnknownProperty",	//742
    "UnknownPseudoClass",	//743
    "UnknownTag",	//744
    "UpperCase",	//745
    "UserLiteral",	//746
    "VBScriptComment",	//747
    "VBScriptDefault",	//748
    "VBScriptIdentifier",	//749
    "VBScriptKeyword",	//750
    "VBScriptNumber",	//751
    "VBScriptStart",	//752
    "VBScriptString",	//753
    "VBScriptUnclosedString",	//754
    "VCHome",	//755
    "VCHomeExtend",	//756
    "VCHomeRectExtend",	//757
    "VCHomeWrap",	//758
    "VCHomeWrapExtend",	//759
    "VLine",	//760
    "Value",	//761
    "Variable",	//762
    "VerbatimString",	//763
    "VerticalCentreCaret",	//764
    "VerticalLine",	//765
    "WinPanel",	//766
    "WordLeft",	//767
    "WordLeftEnd",	//768
    "WordLeftEndExtend",	//769
    "WordLeftExtend",	//770
    "WordPartLeft",	//771
    "WordPartLeftExtend",	//772
    "WordPartRight",	//773
    "WordPartRightExtend",	//774
    "WordRight",	//775
    "WordRightEnd",	//776
    "WordRightEndExtend",	//777
    "WordRightExtend",	//778
    "WrapCharacter",	//779
    "WrapFlagByBorder",	//780
    "WrapFlagByText",	//781
    "WrapFlagInMargin",	//782
    "WrapFlagNone",	//783
    "WrapIndentFixed",	//784
    "WrapIndentIndented",	//785
    "WrapIndentSame",	//786
    "WrapNone",	//787
    "WrapWhitespace",	//788
    "WrapWord",	//789
    "WsInvisible",	//790
    "WsVisible",	//791
    "WsVisibleAfterIndent",	//792
    "WsVisibleOnlyInIndent",	//793
    "XMLEnd",	//794
    "XMLStart",	//795
    "XMLTagEnd",	//796
    "ZoomIn",	//797
    "ZoomOut",	//798
    "actionEvent",	//799
    "add",	//800
    "add$",	//801
    "addEdgeColumn",	//802
    "addEdgeColumn$#",	//803
    "alternateKey",	//804
    "annotate",	//805
    "annotate$#",	//806
    "annotate$$#",	//807
    "annotate$$$",	//808
    "annotate$?",	//809
    "annotation",	//810
    "annotation$",	//811
    "annotationDisplay",	//812
    "apiContext",	//813
    "apiContext$$$",	//814
    "apiPreparationCancelled",	//815
    "apiPreparationFinished",	//816
    "apiPreparationStarted",	//817
    "apis",	//818
    "append",	//819
    "append$",	//820
    "apply",	//821
    "apply#",	//822
    "autoCompleteFromAPIs",	//823
    "autoCompleteFromAll",	//824
    "autoCompleteFromDocument",	//825
    "autoCompletionCaseSensitivity",	//826
    "autoCompletionFillups",	//827
    "autoCompletionFillupsEnabled",	//828
    "autoCompletionReplaceWord",	//829
    "autoCompletionSelected",	//830
    "autoCompletionSelected$",	//831
    "autoCompletionShowSingle",	//832
    "autoCompletionSource",	//833
    "autoCompletionThreshold",	//834
    "autoCompletionUseSingle",	//835
    "autoCompletionWordSeparators",	//836
    "autoIndent",	//837
    "autoIndentStyle",	//838
    "backslashEscapes",	//839
    "backspaceUnindents",	//840
    "beginUndoAction",	//841
    "blockEnd",	//842
    "blockEnd$",	//843
    "blockLookback",	//844
    "blockStart",	//845
    "blockStart$",	//846
    "blockStartKeyword",	//847
    "blockStartKeyword$",	//848
    "boundTo",	//849
    "boundTo$",	//850
    "braceMatching",	//851
    "braceStyle",	//852
    "bytes",	//853
    "bytes$$",	//854
    "bytesAsText",	//855
    "bytesAsText$",	//856
    "callTip",	//857
    "callTips",	//858
    "callTips?$$?",	//859
    "callTipsPosition",	//860
    "callTipsStyle",	//861
    "callTipsVisible",	//862
    "canInsertFromMimeData",	//863
    "canInsertFromMimeData#",	//864
    "cancelList",	//865
    "cancelPreparation",	//866
    "caseSensitive",	//867
    "caseSensitiveTags",	//868
    "changeEvent",	//869
    "changeEvent#",	//870
    "changeable",	//871
    "childEvent",	//872
    "clear",	//873
    "clearAlternateKeys",	//874
    "clearAnnotations",	//875
    "clearAnnotations$",	//876
    "clearEdgeColumns",	//877
    "clearFolds",	//878
    "clearIndicatorRange",	//879
    "clearIndicatorRange$$$$$",	//880
    "clearKeys",	//881
    "clearMarginText",	//882
    "clearMarginText$",	//883
    "clearRegisteredImages",	//884
    "closeEvent",	//885
    "color",	//886
    "color$",	//887
    "colorChanged",	//888
    "colorChanged#$",	//889
    "command",	//890
    "commandKey",	//891
    "commandKey$$",	//892
    "commands",	//893
    "connectNotify",	//894
    "contextMenuEvent",	//895
    "contextMenuEvent#",	//896
    "contractedFolds",	//897
    "convertEols",	//898
    "convertEols$",	//899
    "copy",	//900
    "copyAvailable",	//901
    "copyAvailable$",	//902
    "createStandardContextMenu",	//903
    "cursorPositionChanged",	//904
    "cursorPositionChanged$$",	//905
    "customEvent",	//906
    "cut",	//907
    "defaultColor",	//908
    "defaultColor$",	//909
    "defaultEolFill",	//910
    "defaultEolFill$",	//911
    "defaultFont",	//912
    "defaultFont$",	//913
    "defaultPaper",	//914
    "defaultPaper$",	//915
    "defaultPreparedName",	//916
    "defaultStyle",	//917
    "description",	//918
    "description$",	//919
    "devType",	//920
    "disconnectNotify",	//921
    "djangoTemplates",	//922
    "document",	//923
    "dollarsAllowed",	//924
    "dottedWords",	//925
    "dragEnterEvent",	//926
    "dragEnterEvent#",	//927
    "dragLeaveEvent",	//928
    "dragLeaveEvent#",	//929
    "dragMoveEvent",	//930
    "dragMoveEvent#",	//931
    "dropEvent",	//932
    "dropEvent#",	//933
    "edgeColor",	//934
    "edgeColumn",	//935
    "edgeMode",	//936
    "editor",	//937
    "enabledChange",	//938
    "endRecording",	//939
    "endUndoAction",	//940
    "ensureCursorVisible",	//941
    "ensureLineVisible",	//942
    "ensureLineVisible$",	//943
    "enterEvent",	//944
    "eolFill",	//945
    "eolFill$",	//946
    "eolFillChanged",	//947
    "eolFillChanged$$",	//948
    "eolMode",	//949
    "eolVisibility",	//950
    "event",	//951
    "event#",	//952
    "eventFilter",	//953
    "execute",	//954
    "extraAscent",	//955
    "extraDescent",	//956
    "fillIndicatorRange",	//957
    "fillIndicatorRange$$$$$",	//958
    "find",	//959
    "find$",	//960
    "findFirst",	//961
    "findFirst$$$$$",	//962
    "findFirst$$$$$$",	//963
    "findFirst$$$$$$$",	//964
    "findFirst$$$$$$$$",	//965
    "findFirst$$$$$$$$$",	//966
    "findFirst$$$$$$$$$$",	//967
    "findFirstInSelection",	//968
    "findFirstInSelection$$$$",	//969
    "findFirstInSelection$$$$$",	//970
    "findFirstInSelection$$$$$$",	//971
    "findFirstInSelection$$$$$$$",	//972
    "findNext",	//973
    "firstVisibleLine",	//974
    "focusInEvent",	//975
    "focusInEvent#",	//976
    "focusNextPrevChild",	//977
    "focusNextPrevChild$",	//978
    "focusOutEvent",	//979
    "focusOutEvent#",	//980
    "foldAll",	//981
    "foldAll$",	//982
    "foldAtBegin",	//983
    "foldAtElse",	//984
    "foldAtParenthesis",	//985
    "foldComments",	//986
    "foldCompact",	//987
    "foldDirectives",	//988
    "foldLine",	//989
    "foldLine$",	//990
    "foldOnlyBegin",	//991
    "foldPODBlocks",	//992
    "foldPackages",	//993
    "foldPreprocessor",	//994
    "foldQuotes",	//995
    "foldScriptComments",	//996
    "foldScriptHeredocs",	//997
    "folding",	//998
    "font",	//999
    "font$",	//1000
    "fontChange",	//1001
    "fontChanged",	//1002
    "fontChanged#$",	//1003
    "formatPage",	//1004
    "formatPage#$#$",	//1005
    "fromMimeData",	//1006
    "fromMimeData#$",	//1007
    "getCursorPosition",	//1008
    "getCursorPosition$$",	//1009
    "getSelection",	//1010
    "getSelection$$$$",	//1011
    "hasSelectedText",	//1012
    "hashComments",	//1013
    "heightForWidth",	//1014
    "hideEvent",	//1015
    "highlightBackQuotedStrings",	//1016
    "highlightEscapeSequences",	//1017
    "highlightHashQuotedStrings",	//1018
    "highlightSubidentifiers",	//1019
    "highlightTripleQuotedStrings",	//1020
    "hotspot",	//1021
    "indent",	//1022
    "indent$",	//1023
    "indentation",	//1024
    "indentation$",	//1025
    "indentationGuideView",	//1026
    "indentationGuides",	//1027
    "indentationWarning",	//1028
    "indentationWidth",	//1029
    "indentationsUseTabs",	//1030
    "indicatorClicked",	//1031
    "indicatorClicked$$$",	//1032
    "indicatorDefine",	//1033
    "indicatorDefine$",	//1034
    "indicatorDefine$$",	//1035
    "indicatorDrawUnder",	//1036
    "indicatorDrawUnder$",	//1037
    "indicatorReleased",	//1038
    "indicatorReleased$$$",	//1039
    "initialSpaces",	//1040
    "inputMethodEvent",	//1041
    "inputMethodEvent#",	//1042
    "inputMethodQuery",	//1043
    "inputMethodQuery$",	//1044
    "insert",	//1045
    "insert$",	//1046
    "insertAt",	//1047
    "insertAt$$$",	//1048
    "installedAPIFiles",	//1049
    "isCallTipActive",	//1050
    "isListActive",	//1051
    "isModified",	//1052
    "isPrepared",	//1053
    "isPrepared$",	//1054
    "isReadOnly",	//1055
    "isRedoAvailable",	//1056
    "isUndoAvailable",	//1057
    "isUtf8",	//1058
    "isWordCharacter",	//1059
    "isWordCharacter$",	//1060
    "key",	//1061
    "keyPressEvent",	//1062
    "keyPressEvent#",	//1063
    "keyReleaseEvent",	//1064
    "keywords",	//1065
    "keywords$",	//1066
    "language",	//1067
    "languageChange",	//1068
    "leaveEvent",	//1069
    "length",	//1070
    "level",	//1071
    "lexer",	//1072
    "lexerId",	//1073
    "lineAt",	//1074
    "lineAt#",	//1075
    "lineIndexFromPosition",	//1076
    "lineIndexFromPosition$$$",	//1077
    "lineLength",	//1078
    "lineLength$",	//1079
    "lines",	//1080
    "linesChanged",	//1081
    "load",	//1082
    "load$",	//1083
    "loadPrepared",	//1084
    "loadPrepared$",	//1085
    "magnification",	//1086
    "makoTemplates",	//1087
    "marginBackgroundColor",	//1088
    "marginBackgroundColor$",	//1089
    "marginClicked",	//1090
    "marginClicked$$$",	//1091
    "marginLineNumbers",	//1092
    "marginLineNumbers$",	//1093
    "marginMarkerMask",	//1094
    "marginMarkerMask$",	//1095
    "marginOptions",	//1096
    "marginRightClicked",	//1097
    "marginRightClicked$$$",	//1098
    "marginSensitivity",	//1099
    "marginSensitivity$",	//1100
    "marginType",	//1101
    "marginType$",	//1102
    "marginWidth",	//1103
    "marginWidth$",	//1104
    "margins",	//1105
    "markerAdd",	//1106
    "markerAdd$$",	//1107
    "markerDefine",	//1108
    "markerDefine#",	//1109
    "markerDefine#$",	//1110
    "markerDefine$",	//1111
    "markerDefine$$",	//1112
    "markerDelete",	//1113
    "markerDelete$",	//1114
    "markerDelete$$",	//1115
    "markerDeleteAll",	//1116
    "markerDeleteAll$",	//1117
    "markerDeleteHandle",	//1118
    "markerDeleteHandle$",	//1119
    "markerFindNext",	//1120
    "markerFindNext$$",	//1121
    "markerFindPrevious",	//1122
    "markerFindPrevious$$",	//1123
    "markerLine",	//1124
    "markerLine$",	//1125
    "markersAtLine",	//1126
    "markersAtLine$",	//1127
    "metaObject",	//1128
    "metric",	//1129
    "minimumSizeHint",	//1130
    "modificationAttempted",	//1131
    "modificationChanged",	//1132
    "modificationChanged$",	//1133
    "mouseDoubleClickEvent",	//1134
    "mouseDoubleClickEvent#",	//1135
    "mouseMoveEvent",	//1136
    "mouseMoveEvent#",	//1137
    "mousePressEvent",	//1138
    "mousePressEvent#",	//1139
    "mouseReleaseEvent",	//1140
    "mouseReleaseEvent#",	//1141
    "moveEvent",	//1142
    "moveToMatchingBrace",	//1143
    "operator=",	//1144
    "operator=#",	//1145
    "overwriteMode",	//1146
    "paintEngine",	//1147
    "paintEvent",	//1148
    "paintEvent#",	//1149
    "paletteChange",	//1150
    "paper",	//1151
    "paper$",	//1152
    "paperChanged",	//1153
    "paperChanged#$",	//1154
    "paste",	//1155
    "play",	//1156
    "pool",	//1157
    "positionFromLineIndex",	//1158
    "positionFromLineIndex$$",	//1159
    "prepare",	//1160
    "printRange",	//1161
    "printRange#",	//1162
    "printRange#$",	//1163
    "printRange#$$",	//1164
    "processComments",	//1165
    "processIf",	//1166
    "propertyChanged",	//1167
    "propertyChanged$$",	//1168
    "qt_metacall",	//1169
    "qt_metacall$$?",	//1170
    "qt_metacast",	//1171
    "qt_metacast$",	//1172
    "quotedIdentifiers",	//1173
    "read",	//1174
    "read#",	//1175
    "readProperties",	//1176
    "readProperties#$",	//1177
    "readSettings",	//1178
    "readSettings#",	//1179
    "readSettings#$",	//1180
    "recolor",	//1181
    "recolor$",	//1182
    "recolor$$",	//1183
    "redo",	//1184
    "refresh",	//1185
    "refreshProperties",	//1186
    "registerImage",	//1187
    "registerImage$#",	//1188
    "remove",	//1189
    "remove$",	//1190
    "removeSelectedText",	//1191
    "replace",	//1192
    "replace$",	//1193
    "replaceHorizontalScrollBar",	//1194
    "replaceHorizontalScrollBar#",	//1195
    "replaceSelectedText",	//1196
    "replaceSelectedText$",	//1197
    "replaceVerticalScrollBar",	//1198
    "replaceVerticalScrollBar#",	//1199
    "resetFoldMarginColors",	//1200
    "resetHotspotBackgroundColor",	//1201
    "resetHotspotForegroundColor",	//1202
    "resetMatchedBraceIndicator",	//1203
    "resetSelectionBackgroundColor",	//1204
    "resetSelectionForegroundColor",	//1205
    "resetUnmatchedBraceIndicator",	//1206
    "resizeEvent",	//1207
    "resizeEvent#",	//1208
    "save",	//1209
    "savePrepared",	//1210
    "savePrepared$",	//1211
    "scriptsStyled",	//1212
    "scrollContentsBy",	//1213
    "scrollContentsBy$$",	//1214
    "scrollWidth",	//1215
    "scrollWidthTracking",	//1216
    "selectAll",	//1217
    "selectAll$",	//1218
    "selectToMatchingBrace",	//1219
    "selectedText",	//1220
    "selectionChanged",	//1221
    "selectionToEol",	//1222
    "setAPIs",	//1223
    "setAPIs#",	//1224
    "setAlternateKey",	//1225
    "setAlternateKey$",	//1226
    "setAnnotationDisplay",	//1227
    "setAnnotationDisplay$",	//1228
    "setAutoCompletionCaseSensitivity",	//1229
    "setAutoCompletionCaseSensitivity$",	//1230
    "setAutoCompletionFillups",	//1231
    "setAutoCompletionFillups$",	//1232
    "setAutoCompletionFillupsEnabled",	//1233
    "setAutoCompletionFillupsEnabled$",	//1234
    "setAutoCompletionReplaceWord",	//1235
    "setAutoCompletionReplaceWord$",	//1236
    "setAutoCompletionShowSingle",	//1237
    "setAutoCompletionShowSingle$",	//1238
    "setAutoCompletionSource",	//1239
    "setAutoCompletionSource$",	//1240
    "setAutoCompletionThreshold",	//1241
    "setAutoCompletionThreshold$",	//1242
    "setAutoCompletionUseSingle",	//1243
    "setAutoCompletionUseSingle$",	//1244
    "setAutoCompletionWordSeparators",	//1245
    "setAutoCompletionWordSeparators?",	//1246
    "setAutoIndent",	//1247
    "setAutoIndent$",	//1248
    "setAutoIndentStyle",	//1249
    "setAutoIndentStyle$",	//1250
    "setBackslashEscapes",	//1251
    "setBackslashEscapes$",	//1252
    "setBackspaceUnindents",	//1253
    "setBackspaceUnindents$",	//1254
    "setBraceMatching",	//1255
    "setBraceMatching$",	//1256
    "setCallTipsBackgroundColor",	//1257
    "setCallTipsBackgroundColor#",	//1258
    "setCallTipsForegroundColor",	//1259
    "setCallTipsForegroundColor#",	//1260
    "setCallTipsHighlightColor",	//1261
    "setCallTipsHighlightColor#",	//1262
    "setCallTipsPosition",	//1263
    "setCallTipsPosition$",	//1264
    "setCallTipsStyle",	//1265
    "setCallTipsStyle$",	//1266
    "setCallTipsVisible",	//1267
    "setCallTipsVisible$",	//1268
    "setCaretForegroundColor",	//1269
    "setCaretForegroundColor#",	//1270
    "setCaretLineBackgroundColor",	//1271
    "setCaretLineBackgroundColor#",	//1272
    "setCaretLineVisible",	//1273
    "setCaretLineVisible$",	//1274
    "setCaretWidth",	//1275
    "setCaretWidth$",	//1276
    "setCaseSensitiveTags",	//1277
    "setCaseSensitiveTags$",	//1278
    "setChangeable",	//1279
    "setChangeable$",	//1280
    "setColor",	//1281
    "setColor#",	//1282
    "setColor#$",	//1283
    "setContractedFolds",	//1284
    "setContractedFolds?",	//1285
    "setCursorPosition",	//1286
    "setCursorPosition$$",	//1287
    "setDefaultColor",	//1288
    "setDefaultColor#",	//1289
    "setDefaultFont",	//1290
    "setDefaultFont#",	//1291
    "setDefaultPaper",	//1292
    "setDefaultPaper#",	//1293
    "setDescription",	//1294
    "setDescription$",	//1295
    "setDjangoTemplates",	//1296
    "setDjangoTemplates$",	//1297
    "setDocument",	//1298
    "setDocument#",	//1299
    "setDollarsAllowed",	//1300
    "setDollarsAllowed$",	//1301
    "setDottedWords",	//1302
    "setDottedWords$",	//1303
    "setEdgeColor",	//1304
    "setEdgeColor#",	//1305
    "setEdgeColumn",	//1306
    "setEdgeColumn$",	//1307
    "setEdgeMode",	//1308
    "setEdgeMode$",	//1309
    "setEditor",	//1310
    "setEditor#",	//1311
    "setEolFill",	//1312
    "setEolFill$",	//1313
    "setEolFill$$",	//1314
    "setEolMode",	//1315
    "setEolMode$",	//1316
    "setEolVisibility",	//1317
    "setEolVisibility$",	//1318
    "setExtraAscent",	//1319
    "setExtraAscent$",	//1320
    "setExtraDescent",	//1321
    "setExtraDescent$",	//1322
    "setFirstVisibleLine",	//1323
    "setFirstVisibleLine$",	//1324
    "setFoldAtBegin",	//1325
    "setFoldAtBegin$",	//1326
    "setFoldAtElse",	//1327
    "setFoldAtElse$",	//1328
    "setFoldAtParenthesis",	//1329
    "setFoldAtParenthesis$",	//1330
    "setFoldComments",	//1331
    "setFoldComments$",	//1332
    "setFoldCompact",	//1333
    "setFoldCompact$",	//1334
    "setFoldDirectives",	//1335
    "setFoldDirectives$",	//1336
    "setFoldMarginColors",	//1337
    "setFoldMarginColors##",	//1338
    "setFoldOnlyBegin",	//1339
    "setFoldOnlyBegin$",	//1340
    "setFoldPODBlocks",	//1341
    "setFoldPODBlocks$",	//1342
    "setFoldPackages",	//1343
    "setFoldPackages$",	//1344
    "setFoldPreprocessor",	//1345
    "setFoldPreprocessor$",	//1346
    "setFoldQuotes",	//1347
    "setFoldQuotes$",	//1348
    "setFoldScriptComments",	//1349
    "setFoldScriptComments$",	//1350
    "setFoldScriptHeredocs",	//1351
    "setFoldScriptHeredocs$",	//1352
    "setFolding",	//1353
    "setFolding$",	//1354
    "setFolding$$",	//1355
    "setFont",	//1356
    "setFont#",	//1357
    "setFont#$",	//1358
    "setHSSLanguage",	//1359
    "setHSSLanguage$",	//1360
    "setHashComments",	//1361
    "setHashComments$",	//1362
    "setHighlightBackQuotedStrings",	//1363
    "setHighlightBackQuotedStrings$",	//1364
    "setHighlightEscapeSequences",	//1365
    "setHighlightEscapeSequences$",	//1366
    "setHighlightHashQuotedStrings",	//1367
    "setHighlightHashQuotedStrings$",	//1368
    "setHighlightSubidentifiers",	//1369
    "setHighlightSubidentifiers$",	//1370
    "setHighlightTripleQuotedStrings",	//1371
    "setHighlightTripleQuotedStrings$",	//1372
    "setHotspot",	//1373
    "setHotspot$",	//1374
    "setHotspotBackgroundColor",	//1375
    "setHotspotBackgroundColor#",	//1376
    "setHotspotForegroundColor",	//1377
    "setHotspotForegroundColor#",	//1378
    "setHotspotUnderline",	//1379
    "setHotspotUnderline$",	//1380
    "setHotspotWrap",	//1381
    "setHotspotWrap$",	//1382
    "setIndentation",	//1383
    "setIndentation$$",	//1384
    "setIndentationGuides",	//1385
    "setIndentationGuides$",	//1386
    "setIndentationGuidesBackgroundColor",	//1387
    "setIndentationGuidesBackgroundColor#",	//1388
    "setIndentationGuidesForegroundColor",	//1389
    "setIndentationGuidesForegroundColor#",	//1390
    "setIndentationWarning",	//1391
    "setIndentationWarning$",	//1392
    "setIndentationWidth",	//1393
    "setIndentationWidth$",	//1394
    "setIndentationsUseTabs",	//1395
    "setIndentationsUseTabs$",	//1396
    "setIndicatorDrawUnder",	//1397
    "setIndicatorDrawUnder$",	//1398
    "setIndicatorDrawUnder$$",	//1399
    "setIndicatorForegroundColor",	//1400
    "setIndicatorForegroundColor#",	//1401
    "setIndicatorForegroundColor#$",	//1402
    "setIndicatorHoverForegroundColor",	//1403
    "setIndicatorHoverForegroundColor#",	//1404
    "setIndicatorHoverForegroundColor#$",	//1405
    "setIndicatorHoverStyle",	//1406
    "setIndicatorHoverStyle$",	//1407
    "setIndicatorHoverStyle$$",	//1408
    "setIndicatorOutlineColor",	//1409
    "setIndicatorOutlineColor#",	//1410
    "setIndicatorOutlineColor#$",	//1411
    "setInitialSpaces",	//1412
    "setInitialSpaces$",	//1413
    "setKey",	//1414
    "setKey$",	//1415
    "setLessLanguage",	//1416
    "setLessLanguage$",	//1417
    "setLevel",	//1418
    "setLevel$",	//1419
    "setLexer",	//1420
    "setLexer#",	//1421
    "setMagnification",	//1422
    "setMagnification$",	//1423
    "setMakoTemplates",	//1424
    "setMakoTemplates$",	//1425
    "setMarginBackgroundColor",	//1426
    "setMarginBackgroundColor$#",	//1427
    "setMarginLineNumbers",	//1428
    "setMarginLineNumbers$$",	//1429
    "setMarginMarkerMask",	//1430
    "setMarginMarkerMask$$",	//1431
    "setMarginOptions",	//1432
    "setMarginOptions$",	//1433
    "setMarginSensitivity",	//1434
    "setMarginSensitivity$$",	//1435
    "setMarginText",	//1436
    "setMarginText$#",	//1437
    "setMarginText$$#",	//1438
    "setMarginText$$$",	//1439
    "setMarginText$?",	//1440
    "setMarginType",	//1441
    "setMarginType$$",	//1442
    "setMarginWidth",	//1443
    "setMarginWidth$$",	//1444
    "setMargins",	//1445
    "setMargins$",	//1446
    "setMarginsBackgroundColor",	//1447
    "setMarginsBackgroundColor#",	//1448
    "setMarginsFont",	//1449
    "setMarginsFont#",	//1450
    "setMarginsForegroundColor",	//1451
    "setMarginsForegroundColor#",	//1452
    "setMarkerBackgroundColor",	//1453
    "setMarkerBackgroundColor#",	//1454
    "setMarkerBackgroundColor#$",	//1455
    "setMarkerForegroundColor",	//1456
    "setMarkerForegroundColor#",	//1457
    "setMarkerForegroundColor#$",	//1458
    "setMatchedBraceBackgroundColor",	//1459
    "setMatchedBraceBackgroundColor#",	//1460
    "setMatchedBraceForegroundColor",	//1461
    "setMatchedBraceForegroundColor#",	//1462
    "setMatchedBraceIndicator",	//1463
    "setMatchedBraceIndicator$",	//1464
    "setModified",	//1465
    "setModified$",	//1466
    "setOverwriteMode",	//1467
    "setOverwriteMode$",	//1468
    "setPaper",	//1469
    "setPaper#",	//1470
    "setPaper#$",	//1471
    "setProcessComments",	//1472
    "setProcessComments$",	//1473
    "setProcessIf",	//1474
    "setProcessIf$",	//1475
    "setQuotedIdentifiers",	//1476
    "setQuotedIdentifiers$",	//1477
    "setReadOnly",	//1478
    "setReadOnly$",	//1479
    "setSCSSLanguage",	//1480
    "setSCSSLanguage$",	//1481
    "setScriptsStyled",	//1482
    "setScriptsStyled$",	//1483
    "setScrollBars",	//1484
    "setScrollWidth",	//1485
    "setScrollWidth$",	//1486
    "setScrollWidthTracking",	//1487
    "setScrollWidthTracking$",	//1488
    "setSelection",	//1489
    "setSelection$$$$",	//1490
    "setSelectionBackgroundColor",	//1491
    "setSelectionBackgroundColor#",	//1492
    "setSelectionForegroundColor",	//1493
    "setSelectionForegroundColor#",	//1494
    "setSelectionToEol",	//1495
    "setSelectionToEol$",	//1496
    "setSmartHighlighting",	//1497
    "setSmartHighlighting$",	//1498
    "setStringsOverNewlineAllowed",	//1499
    "setStringsOverNewlineAllowed$",	//1500
    "setStylePreprocessor",	//1501
    "setStylePreprocessor$",	//1502
    "setStyling",	//1503
    "setStyling$#",	//1504
    "setStyling$$",	//1505
    "setTabDrawMode",	//1506
    "setTabDrawMode$",	//1507
    "setTabIndents",	//1508
    "setTabIndents$",	//1509
    "setTabWidth",	//1510
    "setTabWidth$",	//1511
    "setText",	//1512
    "setText$",	//1513
    "setTextCase",	//1514
    "setTextCase$",	//1515
    "setTokenize",	//1516
    "setTokenize$",	//1517
    "setUnmatchedBraceBackgroundColor",	//1518
    "setUnmatchedBraceBackgroundColor#",	//1519
    "setUnmatchedBraceForegroundColor",	//1520
    "setUnmatchedBraceForegroundColor#",	//1521
    "setUnmatchedBraceIndicator",	//1522
    "setUnmatchedBraceIndicator$",	//1523
    "setUtf8",	//1524
    "setUtf8$",	//1525
    "setV2UnicodeAllowed",	//1526
    "setV2UnicodeAllowed$",	//1527
    "setV3BinaryOctalAllowed",	//1528
    "setV3BinaryOctalAllowed$",	//1529
    "setV3BytesAllowed",	//1530
    "setV3BytesAllowed$",	//1531
    "setVerbatimStringEscapeSequencesAllowed",	//1532
    "setVerbatimStringEscapeSequencesAllowed$",	//1533
    "setVisible",	//1534
    "setVisible$",	//1535
    "setWhitespaceBackgroundColor",	//1536
    "setWhitespaceBackgroundColor#",	//1537
    "setWhitespaceForegroundColor",	//1538
    "setWhitespaceForegroundColor#",	//1539
    "setWhitespaceSize",	//1540
    "setWhitespaceSize$",	//1541
    "setWhitespaceVisibility",	//1542
    "setWhitespaceVisibility$",	//1543
    "setWrapIndentMode",	//1544
    "setWrapIndentMode$",	//1545
    "setWrapMode",	//1546
    "setWrapMode$",	//1547
    "setWrapVisualFlags",	//1548
    "setWrapVisualFlags$",	//1549
    "setWrapVisualFlags$$",	//1550
    "setWrapVisualFlags$$$",	//1551
    "showEvent",	//1552
    "showUserList",	//1553
    "showUserList$?",	//1554
    "sizeHint",	//1555
    "smartHighlighting",	//1556
    "standardCommands",	//1557
    "startRecording",	//1558
    "startStyling",	//1559
    "startStyling$",	//1560
    "startStyling$$",	//1561
    "staticMetaObject",	//1562
    "stringsOverNewlineAllowed",	//1563
    "style",	//1564
    "styleBitsNeeded",	//1565
    "styleChange",	//1566
    "stylePreprocessor",	//1567
    "styleText",	//1568
    "styleText$$",	//1569
    "tabDrawMode",	//1570
    "tabIndents",	//1571
    "tabWidth",	//1572
    "tabletEvent",	//1573
    "text",	//1574
    "text$",	//1575
    "text$$",	//1576
    "textAsBytes",	//1577
    "textAsBytes$",	//1578
    "textCase",	//1579
    "textChanged",	//1580
    "textHeight",	//1581
    "textHeight$",	//1582
    "timerEvent",	//1583
    "toMimeData",	//1584
    "toMimeData#$",	//1585
    "tokenize",	//1586
    "tr",	//1587
    "tr$",	//1588
    "tr$$",	//1589
    "tr$$$",	//1590
    "trUtf8",	//1591
    "trUtf8$",	//1592
    "trUtf8$$",	//1593
    "trUtf8$$$",	//1594
    "undo",	//1595
    "unindent",	//1596
    "unindent$",	//1597
    "updateAutoCompletionList",	//1598
    "updateAutoCompletionList??",	//1599
    "userListActivated",	//1600
    "userListActivated$$",	//1601
    "v2UnicodeAllowed",	//1602
    "v3BinaryOctalAllowed",	//1603
    "v3BytesAllowed",	//1604
    "validKey",	//1605
    "validKey$",	//1606
    "verbatimStringEscapeSequencesAllowed",	//1607
    "viewportEvent",	//1608
    "visible",	//1609
    "wheelEvent",	//1610
    "whitespaceSize",	//1611
    "whitespaceVisibility",	//1612
    "windowActivationChange",	//1613
    "wordAtLineIndex",	//1614
    "wordAtLineIndex$$",	//1615
    "wordAtPoint",	//1616
    "wordAtPoint#",	//1617
    "wordCharacters",	//1618
    "wrapIndentMode",	//1619
    "wrapMode",	//1620
    "write",	//1621
    "write#",	//1622
    "writeProperties",	//1623
    "writeProperties#$",	//1624
    "writeSettings",	//1625
    "writeSettings#",	//1626
    "writeSettings#$",	//1627
    "x11Event",	//1628
    "zoomIn",	//1629
    "zoomIn$",	//1630
    "zoomOut",	//1631
    "zoomOut$",	//1632
    "zoomTo",	//1633
    "zoomTo$",	//1634
    "~QsciAPIs",	//1635
    "~QsciAbstractAPIs",	//1636
    "~QsciCommand",	//1637
    "~QsciDocument",	//1638
    "~QsciLexer",	//1639
    "~QsciLexerBash",	//1640
    "~QsciLexerBatch",	//1641
    "~QsciLexerCMake",	//1642
    "~QsciLexerCPP",	//1643
    "~QsciLexerCSS",	//1644
    "~QsciLexerCSharp",	//1645
    "~QsciLexerCustom",	//1646
    "~QsciLexerD",	//1647
    "~QsciLexerDiff",	//1648
    "~QsciLexerFortran",	//1649
    "~QsciLexerFortran77",	//1650
    "~QsciLexerHTML",	//1651
    "~QsciLexerIDL",	//1652
    "~QsciLexerJava",	//1653
    "~QsciLexerJavaScript",	//1654
    "~QsciLexerLua",	//1655
    "~QsciLexerMakefile",	//1656
    "~QsciLexerPOV",	//1657
    "~QsciLexerPascal",	//1658
    "~QsciLexerPerl",	//1659
    "~QsciLexerPostScript",	//1660
    "~QsciLexerProperties",	//1661
    "~QsciLexerPython",	//1662
    "~QsciLexerRuby",	//1663
    "~QsciLexerSQL",	//1664
    "~QsciLexerTCL",	//1665
    "~QsciLexerTeX",	//1666
    "~QsciLexerVHDL",	//1667
    "~QsciLexerXML",	//1668
    "~QsciLexerYAML",	//1669
    "~QsciMacro",	//1670
    "~QsciPrinter",	//1671
    "~QsciScintilla",	//1672
    "~QsciScintillaBase",	//1673
    "~QsciStyle",	//1674
    "~QsciStyledText",	//1675
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1130, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1555, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 40, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 951, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1608, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1610, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {16, 869, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {17, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {17, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {17, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {17, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {17, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {28, 951, 1, 1, Smoke::mf_virtual, 191, 0},	//12 QObject::event(QEvent*)
    {28, 953, 5, 2, Smoke::mf_virtual, 191, 0},	//13 QObject::eventFilter(QObject*, QEvent*)
    {28, 1583, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::timerEvent(QTimerEvent*)
    {28, 872, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::childEvent(QChildEvent*)
    {28, 906, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::customEvent(QEvent*)
    {28, 894, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::connectNotify(const char*)
    {28, 921, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::disconnectNotify(const char*)
    {35, 920, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//19 QPrinter::devType() const
    {35, 1147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//20 QPrinter::paintEngine() const
    {35, 1129, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//21 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {35, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 4},	//22 QPrinter::ScreenResolution (enum)
    {35, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 5},	//23 QPrinter::PrinterResolution (enum)
    {35, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 6},	//24 QPrinter::HighResolution (enum)
    {48, 920, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//25 QWidget::devType() const
    {48, 1534, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//26 QWidget::setVisible(bool)
    {48, 1014, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 217, 0},	//27 QWidget::heightForWidth(int) const
    {48, 1147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 29, 0},	//28 QWidget::paintEngine() const
    {48, 1064, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QWidget::keyReleaseEvent(QKeyEvent*)
    {48, 944, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QWidget::enterEvent(QEvent*)
    {48, 1069, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QWidget::leaveEvent(QEvent*)
    {48, 1142, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QWidget::moveEvent(QMoveEvent*)
    {48, 885, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//33 QWidget::closeEvent(QCloseEvent*)
    {48, 1573, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::tabletEvent(QTabletEvent*)
    {48, 799, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::actionEvent(QActionEvent*)
    {48, 1552, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::showEvent(QShowEvent*)
    {48, 1015, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::hideEvent(QHideEvent*)
    {48, 1628, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 0},	//38 QWidget::x11Event(_XEvent*)
    {48, 1129, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 217, 0},	//39 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {48, 1566, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::styleChange(QStyle&)
    {48, 938, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::enabledChange(bool)
    {48, 1150, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::paletteChange(const QPalette&)
    {48, 1001, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//43 QWidget::fontChange(const QFont&)
    {48, 1613, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//44 QWidget::windowActivationChange(bool)
    {48, 1068, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//45 QWidget::languageChange()
    {49, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//46 QsciAPIs::metaObject() const
    {49, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//47 QsciAPIs::qt_metacast(const char*)
    {49, 1587, 42, 2, Smoke::mf_static, 41, 3},	//48 QsciAPIs::tr(const char*, const char*)
    {49, 1591, 42, 2, Smoke::mf_static, 41, 4},	//49 QsciAPIs::trUtf8(const char*, const char*)
    {49, 1587, 45, 3, Smoke::mf_static, 41, 5},	//50 QsciAPIs::tr(const char*, const char*, int)
    {49, 1591, 45, 3, Smoke::mf_static, 41, 6},	//51 QsciAPIs::trUtf8(const char*, const char*, int)
    {49, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//52 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {49, 462, 53, 1, Smoke::mf_ctor, 51, 8},	//53 QsciAPIs::QsciAPIs(QsciLexer*)
    {49, 800, 55, 1, 0, 0, 9},	//54 QsciAPIs::add(const QString&)
    {49, 873, 0, 0, 0, 0, 10},	//55 QsciAPIs::clear()
    {49, 1082, 55, 1, 0, 191, 11},	//56 QsciAPIs::load(const QString&)
    {49, 1189, 55, 1, 0, 0, 12},	//57 QsciAPIs::remove(const QString&)
    {49, 1160, 0, 0, 0, 0, 13},	//58 QsciAPIs::prepare()
    {49, 866, 0, 0, 0, 0, 14},	//59 QsciAPIs::cancelPreparation()
    {49, 916, 0, 0, Smoke::mf_const, 41, 15},	//60 QsciAPIs::defaultPreparedName() const
    {49, 1053, 55, 1, Smoke::mf_const, 191, 16},	//61 QsciAPIs::isPrepared(const QString&) const
    {49, 1084, 55, 1, 0, 191, 17},	//62 QsciAPIs::loadPrepared(const QString&)
    {49, 1210, 55, 1, Smoke::mf_const, 191, 18},	//63 QsciAPIs::savePrepared(const QString&) const
    {49, 1598, 57, 2, Smoke::mf_virtual, 0, 19},	//64 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {49, 830, 55, 1, Smoke::mf_virtual, 0, 20},	//65 QsciAPIs::autoCompletionSelected(const QString&)
    {49, 858, 60, 4, Smoke::mf_virtual, 42, 21},	//66 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {49, 951, 1, 1, Smoke::mf_virtual, 191, 22},	//67 QsciAPIs::event(QEvent*)
    {49, 1049, 0, 0, Smoke::mf_const, 42, 23},	//68 QsciAPIs::installedAPIFiles() const
    {49, 815, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//69 QsciAPIs::apiPreparationCancelled()
    {49, 817, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//70 QsciAPIs::apiPreparationStarted()
    {49, 816, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//71 QsciAPIs::apiPreparationFinished()
    {49, 1587, 12, 1, Smoke::mf_static, 41, 27},	//72 QsciAPIs::tr(const char*)
    {49, 1591, 12, 1, Smoke::mf_static, 41, 28},	//73 QsciAPIs::trUtf8(const char*)
    {49, 1053, 0, 0, Smoke::mf_const, 191, 29},	//74 QsciAPIs::isPrepared() const
    {49, 1084, 0, 0, 0, 191, 30},	//75 QsciAPIs::loadPrepared()
    {49, 1210, 0, 0, Smoke::mf_const, 191, 31},	//76 QsciAPIs::savePrepared() const
    {49, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 32},	//77 QsciAPIs::staticMetaObject() const
    {49, 1635, 0, 0, Smoke::mf_dtor, 0, 33 },	//78 QsciAPIs::~QsciAPIs()
    {50, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//79 QsciAbstractAPIs::metaObject() const
    {50, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//80 QsciAbstractAPIs::qt_metacast(const char*)
    {50, 1587, 42, 2, Smoke::mf_static, 41, 3},	//81 QsciAbstractAPIs::tr(const char*, const char*)
    {50, 1591, 42, 2, Smoke::mf_static, 41, 4},	//82 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {50, 1587, 45, 3, Smoke::mf_static, 41, 5},	//83 QsciAbstractAPIs::tr(const char*, const char*, int)
    {50, 1591, 45, 3, Smoke::mf_static, 41, 6},	//84 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {50, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//85 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {50, 464, 53, 1, Smoke::mf_ctor, 52, 8},	//86 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {50, 1072, 0, 0, Smoke::mf_const, 59, 9},	//87 QsciAbstractAPIs::lexer() const
    {50, 1598, 57, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//88 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {50, 830, 55, 1, Smoke::mf_virtual, 0, 11},	//89 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {50, 858, 60, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 42, 12},	//90 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {50, 1587, 12, 1, Smoke::mf_static, 41, 13},	//91 QsciAbstractAPIs::tr(const char*)
    {50, 1591, 12, 1, Smoke::mf_static, 41, 14},	//92 QsciAbstractAPIs::trUtf8(const char*)
    {50, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 15},	//93 QsciAbstractAPIs::staticMetaObject() const
    {50, 1636, 0, 0, Smoke::mf_dtor, 0, 16 },	//94 QsciAbstractAPIs::~QsciAbstractAPIs()
    {51, 890, 0, 0, Smoke::mf_const, 54, 1},	//95 QsciCommand::command() const
    {51, 954, 0, 0, 0, 0, 2},	//96 QsciCommand::execute()
    {51, 1414, 18, 1, 0, 0, 3},	//97 QsciCommand::setKey(int)
    {51, 1225, 18, 1, 0, 0, 4},	//98 QsciCommand::setAlternateKey(int)
    {51, 1061, 0, 0, Smoke::mf_const, 217, 5},	//99 QsciCommand::key() const
    {51, 804, 0, 0, Smoke::mf_const, 217, 6},	//100 QsciCommand::alternateKey() const
    {51, 1605, 18, 1, Smoke::mf_static, 191, 7},	//101 QsciCommand::validKey(int)
    {51, 918, 0, 0, Smoke::mf_const, 41, 8},	//102 QsciCommand::description() const
    {51, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 9},	//103 QsciCommand::LineDown (enum)
    {51, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 10},	//104 QsciCommand::LineDownExtend (enum)
    {51, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 11},	//105 QsciCommand::LineDownRectExtend (enum)
    {51, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 12},	//106 QsciCommand::LineScrollDown (enum)
    {51, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 13},	//107 QsciCommand::LineUp (enum)
    {51, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 14},	//108 QsciCommand::LineUpExtend (enum)
    {51, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 15},	//109 QsciCommand::LineUpRectExtend (enum)
    {51, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 16},	//110 QsciCommand::LineScrollUp (enum)
    {51, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 17},	//111 QsciCommand::ScrollToStart (enum)
    {51, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 18},	//112 QsciCommand::ScrollToEnd (enum)
    {51, 764, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 19},	//113 QsciCommand::VerticalCentreCaret (enum)
    {51, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 20},	//114 QsciCommand::ParaDown (enum)
    {51, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 21},	//115 QsciCommand::ParaDownExtend (enum)
    {51, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 22},	//116 QsciCommand::ParaUp (enum)
    {51, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 23},	//117 QsciCommand::ParaUpExtend (enum)
    {51, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 24},	//118 QsciCommand::CharLeft (enum)
    {51, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 25},	//119 QsciCommand::CharLeftExtend (enum)
    {51, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 26},	//120 QsciCommand::CharLeftRectExtend (enum)
    {51, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 27},	//121 QsciCommand::CharRight (enum)
    {51, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 28},	//122 QsciCommand::CharRightExtend (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 29},	//123 QsciCommand::CharRightRectExtend (enum)
    {51, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 30},	//124 QsciCommand::WordLeft (enum)
    {51, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 31},	//125 QsciCommand::WordLeftExtend (enum)
    {51, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 32},	//126 QsciCommand::WordRight (enum)
    {51, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 33},	//127 QsciCommand::WordRightExtend (enum)
    {51, 768, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 34},	//128 QsciCommand::WordLeftEnd (enum)
    {51, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 35},	//129 QsciCommand::WordLeftEndExtend (enum)
    {51, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 36},	//130 QsciCommand::WordRightEnd (enum)
    {51, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 37},	//131 QsciCommand::WordRightEndExtend (enum)
    {51, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//132 QsciCommand::WordPartLeft (enum)
    {51, 772, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//133 QsciCommand::WordPartLeftExtend (enum)
    {51, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//134 QsciCommand::WordPartRight (enum)
    {51, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//135 QsciCommand::WordPartRightExtend (enum)
    {51, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//136 QsciCommand::Home (enum)
    {51, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//137 QsciCommand::HomeExtend (enum)
    {51, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 44},	//138 QsciCommand::HomeRectExtend (enum)
    {51, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 45},	//139 QsciCommand::HomeDisplay (enum)
    {51, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 46},	//140 QsciCommand::HomeDisplayExtend (enum)
    {51, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 47},	//141 QsciCommand::HomeWrap (enum)
    {51, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 48},	//142 QsciCommand::HomeWrapExtend (enum)
    {51, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 49},	//143 QsciCommand::VCHome (enum)
    {51, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 50},	//144 QsciCommand::VCHomeExtend (enum)
    {51, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 51},	//145 QsciCommand::VCHomeRectExtend (enum)
    {51, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 52},	//146 QsciCommand::VCHomeWrap (enum)
    {51, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 53},	//147 QsciCommand::VCHomeWrapExtend (enum)
    {51, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 54},	//148 QsciCommand::LineEnd (enum)
    {51, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 55},	//149 QsciCommand::LineEndExtend (enum)
    {51, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 56},	//150 QsciCommand::LineEndRectExtend (enum)
    {51, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 57},	//151 QsciCommand::LineEndDisplay (enum)
    {51, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 58},	//152 QsciCommand::LineEndDisplayExtend (enum)
    {51, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 59},	//153 QsciCommand::LineEndWrap (enum)
    {51, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 60},	//154 QsciCommand::LineEndWrapExtend (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 61},	//155 QsciCommand::DocumentStart (enum)
    {51, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 62},	//156 QsciCommand::DocumentStartExtend (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 63},	//157 QsciCommand::DocumentEnd (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 64},	//158 QsciCommand::DocumentEndExtend (enum)
    {51, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 65},	//159 QsciCommand::PageUp (enum)
    {51, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 66},	//160 QsciCommand::PageUpExtend (enum)
    {51, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 67},	//161 QsciCommand::PageUpRectExtend (enum)
    {51, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 68},	//162 QsciCommand::PageDown (enum)
    {51, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 69},	//163 QsciCommand::PageDownExtend (enum)
    {51, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 70},	//164 QsciCommand::PageDownRectExtend (enum)
    {51, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 71},	//165 QsciCommand::StutteredPageUp (enum)
    {51, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 72},	//166 QsciCommand::StutteredPageUpExtend (enum)
    {51, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 73},	//167 QsciCommand::StutteredPageDown (enum)
    {51, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 74},	//168 QsciCommand::StutteredPageDownExtend (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 75},	//169 QsciCommand::Delete (enum)
    {51, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 76},	//170 QsciCommand::DeleteBack (enum)
    {51, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 77},	//171 QsciCommand::DeleteBackNotLine (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 78},	//172 QsciCommand::DeleteWordLeft (enum)
    {51, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 79},	//173 QsciCommand::DeleteWordRight (enum)
    {51, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 80},	//174 QsciCommand::DeleteWordRightEnd (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 81},	//175 QsciCommand::DeleteLineLeft (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 82},	//176 QsciCommand::DeleteLineRight (enum)
    {51, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 83},	//177 QsciCommand::LineDelete (enum)
    {51, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 84},	//178 QsciCommand::LineCut (enum)
    {51, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 85},	//179 QsciCommand::LineCopy (enum)
    {51, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 86},	//180 QsciCommand::LineTranspose (enum)
    {51, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 87},	//181 QsciCommand::LineDuplicate (enum)
    {51, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 88},	//182 QsciCommand::SelectAll (enum)
    {51, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 89},	//183 QsciCommand::MoveSelectedLinesUp (enum)
    {51, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 90},	//184 QsciCommand::MoveSelectedLinesDown (enum)
    {51, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 91},	//185 QsciCommand::SelectionDuplicate (enum)
    {51, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 92},	//186 QsciCommand::SelectionLowerCase (enum)
    {51, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 93},	//187 QsciCommand::SelectionUpperCase (enum)
    {51, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 94},	//188 QsciCommand::SelectionCut (enum)
    {51, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 95},	//189 QsciCommand::SelectionCopy (enum)
    {51, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 96},	//190 QsciCommand::Paste (enum)
    {51, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 97},	//191 QsciCommand::EditToggleOvertype (enum)
    {51, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 98},	//192 QsciCommand::Newline (enum)
    {51, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 99},	//193 QsciCommand::Formfeed (enum)
    {51, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 100},	//194 QsciCommand::Tab (enum)
    {51, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 101},	//195 QsciCommand::Backtab (enum)
    {51, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 102},	//196 QsciCommand::Cancel (enum)
    {51, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 103},	//197 QsciCommand::Undo (enum)
    {51, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 104},	//198 QsciCommand::Redo (enum)
    {51, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 105},	//199 QsciCommand::ZoomIn (enum)
    {51, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 106},	//200 QsciCommand::ZoomOut (enum)
    {51, 1637, 0, 0, Smoke::mf_dtor, 0, 107 },	//201 QsciCommand::~QsciCommand()
    {52, 1178, 65, 2, 0, 191, 1},	//202 QsciCommandSet::readSettings(QSettings&, const char*)
    {52, 1625, 65, 2, 0, 191, 2},	//203 QsciCommandSet::writeSettings(QSettings&, const char*)
    {52, 893, 0, 0, 0, 19, 3},	//204 QsciCommandSet::commands()
    {52, 881, 0, 0, 0, 0, 4},	//205 QsciCommandSet::clearKeys()
    {52, 874, 0, 0, 0, 0, 5},	//206 QsciCommandSet::clearAlternateKeys()
    {52, 849, 18, 1, Smoke::mf_const, 53, 6},	//207 QsciCommandSet::boundTo(int) const
    {52, 959, 68, 1, Smoke::mf_const, 53, 7},	//208 QsciCommandSet::find(QsciCommand::Command) const
    {52, 1178, 70, 1, 0, 191, 8},	//209 QsciCommandSet::readSettings(QSettings&)
    {52, 1625, 70, 1, 0, 191, 9},	//210 QsciCommandSet::writeSettings(QSettings&)
    {53, 466, 0, 0, Smoke::mf_ctor, 58, 1},	//211 QsciDocument::QsciDocument()
    {53, 466, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//212 QsciDocument::QsciDocument(const QsciDocument&)
    {53, 1144, 72, 1, 0, 57, 3},	//213 QsciDocument::operator=(const QsciDocument&)
    {53, 1638, 0, 0, Smoke::mf_dtor, 0, 4 },	//214 QsciDocument::~QsciDocument()
    {54, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//215 QsciLexer::metaObject() const
    {54, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//216 QsciLexer::qt_metacast(const char*)
    {54, 1587, 42, 2, Smoke::mf_static, 41, 3},	//217 QsciLexer::tr(const char*, const char*)
    {54, 1591, 42, 2, Smoke::mf_static, 41, 4},	//218 QsciLexer::trUtf8(const char*, const char*)
    {54, 1587, 45, 3, Smoke::mf_static, 41, 5},	//219 QsciLexer::tr(const char*, const char*, int)
    {54, 1591, 45, 3, Smoke::mf_static, 41, 6},	//220 QsciLexer::trUtf8(const char*, const char*, int)
    {54, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//221 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 468, 74, 1, Smoke::mf_ctor, 59, 8},	//222 QsciLexer::QsciLexer(QObject*)
    {54, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 9},	//223 QsciLexer::language() const [pure virtual]
    {54, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//224 QsciLexer::lexer() const
    {54, 1073, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//225 QsciLexer::lexerId() const
    {54, 818, 0, 0, Smoke::mf_const, 52, 12},	//226 QsciLexer::apis() const
    {54, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//227 QsciLexer::autoCompletionFillups() const
    {54, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 14},	//228 QsciLexer::autoCompletionWordSeparators() const
    {54, 838, 0, 0, 0, 217, 15},	//229 QsciLexer::autoIndentStyle()
    {54, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//230 QsciLexer::blockEnd(int*) const
    {54, 844, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 17},	//231 QsciLexer::blockLookback() const
    {54, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 18},	//232 QsciLexer::blockStart(int*) const
    {54, 847, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//233 QsciLexer::blockStartKeyword(int*) const
    {54, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 20},	//234 QsciLexer::braceStyle() const
    {54, 867, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 21},	//235 QsciLexer::caseSensitive() const
    {54, 886, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 22},	//236 QsciLexer::color(int) const
    {54, 945, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 23},	//237 QsciLexer::eolFill(int) const
    {54, 999, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 24},	//238 QsciLexer::font(int) const
    {54, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 25},	//239 QsciLexer::indentationGuideView() const
    {54, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 26},	//240 QsciLexer::keywords(int) const
    {54, 917, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 27},	//241 QsciLexer::defaultStyle() const
    {54, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 41, 28},	//242 QsciLexer::description(int) const [pure virtual]
    {54, 1151, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 29},	//243 QsciLexer::paper(int) const
    {54, 908, 0, 0, Smoke::mf_const, 6, 30},	//244 QsciLexer::defaultColor() const
    {54, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 31},	//245 QsciLexer::defaultColor(int) const
    {54, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 32},	//246 QsciLexer::defaultEolFill(int) const
    {54, 912, 0, 0, Smoke::mf_const, 14, 33},	//247 QsciLexer::defaultFont() const
    {54, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 34},	//248 QsciLexer::defaultFont(int) const
    {54, 914, 0, 0, Smoke::mf_const, 6, 35},	//249 QsciLexer::defaultPaper() const
    {54, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 36},	//250 QsciLexer::defaultPaper(int) const
    {54, 937, 0, 0, Smoke::mf_const, 93, 37},	//251 QsciLexer::editor() const
    {54, 1223, 78, 1, 0, 0, 38},	//252 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {54, 1288, 80, 1, 0, 0, 39},	//253 QsciLexer::setDefaultColor(const QColor&)
    {54, 1290, 40, 1, 0, 0, 40},	//254 QsciLexer::setDefaultFont(const QFont&)
    {54, 1292, 80, 1, 0, 0, 41},	//255 QsciLexer::setDefaultPaper(const QColor&)
    {54, 1310, 82, 1, Smoke::mf_virtual, 0, 42},	//256 QsciLexer::setEditor(QsciScintilla*)
    {54, 1178, 65, 2, 0, 191, 43},	//257 QsciLexer::readSettings(QSettings&, const char*)
    {54, 1186, 0, 0, Smoke::mf_virtual, 0, 44},	//258 QsciLexer::refreshProperties()
    {54, 1565, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 45},	//259 QsciLexer::styleBitsNeeded() const
    {54, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 46},	//260 QsciLexer::wordCharacters() const
    {54, 1625, 65, 2, Smoke::mf_const, 191, 47},	//261 QsciLexer::writeSettings(QSettings&, const char*) const
    {54, 1249, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//262 QsciLexer::setAutoIndentStyle(int)
    {54, 1281, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//263 QsciLexer::setColor(const QColor&, int)
    {54, 1312, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//264 QsciLexer::setEolFill(bool, int)
    {54, 1356, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//265 QsciLexer::setFont(const QFont&, int)
    {54, 1469, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//266 QsciLexer::setPaper(const QColor&, int)
    {54, 888, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//267 QsciLexer::colorChanged(const QColor&, int)
    {54, 947, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//268 QsciLexer::eolFillChanged(bool, int)
    {54, 1002, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//269 QsciLexer::fontChanged(const QFont&, int)
    {54, 1153, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//270 QsciLexer::paperChanged(const QColor&, int)
    {54, 1167, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//271 QsciLexer::propertyChanged(const char*, const char*)
    {54, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 58},	//272 QsciLexer::readProperties(QSettings&, const QString&)
    {54, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 59},	//273 QsciLexer::writeProperties(QSettings&, const QString&) const
    {54, 1587, 12, 1, Smoke::mf_static, 41, 60},	//274 QsciLexer::tr(const char*)
    {54, 1591, 12, 1, Smoke::mf_static, 41, 61},	//275 QsciLexer::trUtf8(const char*)
    {54, 468, 0, 0, Smoke::mf_ctor, 59, 62},	//276 QsciLexer::QsciLexer()
    {54, 842, 0, 0, Smoke::mf_const, 215, 63},	//277 QsciLexer::blockEnd() const
    {54, 845, 0, 0, Smoke::mf_const, 215, 64},	//278 QsciLexer::blockStart() const
    {54, 847, 0, 0, Smoke::mf_const, 215, 65},	//279 QsciLexer::blockStartKeyword() const
    {54, 1178, 70, 1, 0, 191, 66},	//280 QsciLexer::readSettings(QSettings&)
    {54, 1625, 70, 1, Smoke::mf_const, 191, 67},	//281 QsciLexer::writeSettings(QSettings&) const
    {54, 1281, 80, 1, Smoke::mf_slot, 0, 68},	//282 QsciLexer::setColor(const QColor&)
    {54, 1312, 16, 1, Smoke::mf_slot, 0, 69},	//283 QsciLexer::setEolFill(bool)
    {54, 1356, 40, 1, Smoke::mf_slot, 0, 70},	//284 QsciLexer::setFont(const QFont&)
    {54, 1469, 80, 1, Smoke::mf_slot, 0, 71},	//285 QsciLexer::setPaper(const QColor&)
    {54, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 72},	//286 QsciLexer::staticMetaObject() const
    {54, 1639, 0, 0, Smoke::mf_dtor, 0, 73 },	//287 QsciLexer::~QsciLexer()
    {55, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//288 QsciLexerBash::metaObject() const
    {55, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//289 QsciLexerBash::qt_metacast(const char*)
    {55, 1587, 42, 2, Smoke::mf_static, 41, 3},	//290 QsciLexerBash::tr(const char*, const char*)
    {55, 1591, 42, 2, Smoke::mf_static, 41, 4},	//291 QsciLexerBash::trUtf8(const char*, const char*)
    {55, 1587, 45, 3, Smoke::mf_static, 41, 5},	//292 QsciLexerBash::tr(const char*, const char*, int)
    {55, 1591, 45, 3, Smoke::mf_static, 41, 6},	//293 QsciLexerBash::trUtf8(const char*, const char*, int)
    {55, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//294 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {55, 470, 74, 1, Smoke::mf_ctor, 60, 8},	//295 QsciLexerBash::QsciLexerBash(QObject*)
    {55, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//296 QsciLexerBash::language() const
    {55, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//297 QsciLexerBash::lexer() const
    {55, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//298 QsciLexerBash::braceStyle() const
    {55, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//299 QsciLexerBash::wordCharacters() const
    {55, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//300 QsciLexerBash::defaultColor(int) const
    {55, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//301 QsciLexerBash::defaultEolFill(int) const
    {55, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//302 QsciLexerBash::defaultFont(int) const
    {55, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//303 QsciLexerBash::defaultPaper(int) const
    {55, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//304 QsciLexerBash::keywords(int) const
    {55, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//305 QsciLexerBash::description(int) const
    {55, 1186, 0, 0, Smoke::mf_virtual, 0, 19},	//306 QsciLexerBash::refreshProperties()
    {55, 986, 0, 0, Smoke::mf_const, 191, 20},	//307 QsciLexerBash::foldComments() const
    {55, 987, 0, 0, Smoke::mf_const, 191, 21},	//308 QsciLexerBash::foldCompact() const
    {55, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//309 QsciLexerBash::setFoldComments(bool)
    {55, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//310 QsciLexerBash::setFoldCompact(bool)
    {55, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//311 QsciLexerBash::readProperties(QSettings&, const QString&)
    {55, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 25},	//312 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {55, 1587, 12, 1, Smoke::mf_static, 41, 26},	//313 QsciLexerBash::tr(const char*)
    {55, 1591, 12, 1, Smoke::mf_static, 41, 27},	//314 QsciLexerBash::trUtf8(const char*)
    {55, 470, 0, 0, Smoke::mf_ctor, 60, 28},	//315 QsciLexerBash::QsciLexerBash()
    {55, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//316 QsciLexerBash::staticMetaObject() const
    {55, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//317 QsciLexerBash::Default (enum)
    {55, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//318 QsciLexerBash::Error (enum)
    {55, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//319 QsciLexerBash::Comment (enum)
    {55, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//320 QsciLexerBash::Number (enum)
    {55, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//321 QsciLexerBash::Keyword (enum)
    {55, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//322 QsciLexerBash::DoubleQuotedString (enum)
    {55, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//323 QsciLexerBash::SingleQuotedString (enum)
    {55, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//324 QsciLexerBash::Operator (enum)
    {55, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//325 QsciLexerBash::Identifier (enum)
    {55, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//326 QsciLexerBash::Scalar (enum)
    {55, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//327 QsciLexerBash::ParameterExpansion (enum)
    {55, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//328 QsciLexerBash::Backticks (enum)
    {55, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//329 QsciLexerBash::HereDocumentDelimiter (enum)
    {55, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//330 QsciLexerBash::SingleQuotedHereDocument (enum)
    {55, 1640, 0, 0, Smoke::mf_dtor, 0, 44 },	//331 QsciLexerBash::~QsciLexerBash()
    {56, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//332 QsciLexerBatch::metaObject() const
    {56, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//333 QsciLexerBatch::qt_metacast(const char*)
    {56, 1587, 42, 2, Smoke::mf_static, 41, 3},	//334 QsciLexerBatch::tr(const char*, const char*)
    {56, 1591, 42, 2, Smoke::mf_static, 41, 4},	//335 QsciLexerBatch::trUtf8(const char*, const char*)
    {56, 1587, 45, 3, Smoke::mf_static, 41, 5},	//336 QsciLexerBatch::tr(const char*, const char*, int)
    {56, 1591, 45, 3, Smoke::mf_static, 41, 6},	//337 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {56, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//338 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {56, 472, 74, 1, Smoke::mf_ctor, 61, 8},	//339 QsciLexerBatch::QsciLexerBatch(QObject*)
    {56, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//340 QsciLexerBatch::language() const
    {56, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//341 QsciLexerBatch::lexer() const
    {56, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//342 QsciLexerBatch::wordCharacters() const
    {56, 867, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//343 QsciLexerBatch::caseSensitive() const
    {56, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//344 QsciLexerBatch::defaultColor(int) const
    {56, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//345 QsciLexerBatch::defaultEolFill(int) const
    {56, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//346 QsciLexerBatch::defaultFont(int) const
    {56, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//347 QsciLexerBatch::defaultPaper(int) const
    {56, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//348 QsciLexerBatch::keywords(int) const
    {56, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//349 QsciLexerBatch::description(int) const
    {56, 1587, 12, 1, Smoke::mf_static, 41, 19},	//350 QsciLexerBatch::tr(const char*)
    {56, 1591, 12, 1, Smoke::mf_static, 41, 20},	//351 QsciLexerBatch::trUtf8(const char*)
    {56, 472, 0, 0, Smoke::mf_ctor, 61, 21},	//352 QsciLexerBatch::QsciLexerBatch()
    {56, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 22},	//353 QsciLexerBatch::staticMetaObject() const
    {56, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//354 QsciLexerBatch::Default (enum)
    {56, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//355 QsciLexerBatch::Comment (enum)
    {56, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//356 QsciLexerBatch::Keyword (enum)
    {56, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//357 QsciLexerBatch::Label (enum)
    {56, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//358 QsciLexerBatch::HideCommandChar (enum)
    {56, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//359 QsciLexerBatch::ExternalCommand (enum)
    {56, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//360 QsciLexerBatch::Variable (enum)
    {56, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//361 QsciLexerBatch::Operator (enum)
    {56, 1641, 0, 0, Smoke::mf_dtor, 0, 31 },	//362 QsciLexerBatch::~QsciLexerBatch()
    {57, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//363 QsciLexerCMake::metaObject() const
    {57, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//364 QsciLexerCMake::qt_metacast(const char*)
    {57, 1587, 42, 2, Smoke::mf_static, 41, 3},	//365 QsciLexerCMake::tr(const char*, const char*)
    {57, 1591, 42, 2, Smoke::mf_static, 41, 4},	//366 QsciLexerCMake::trUtf8(const char*, const char*)
    {57, 1587, 45, 3, Smoke::mf_static, 41, 5},	//367 QsciLexerCMake::tr(const char*, const char*, int)
    {57, 1591, 45, 3, Smoke::mf_static, 41, 6},	//368 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {57, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//369 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {57, 474, 74, 1, Smoke::mf_ctor, 62, 8},	//370 QsciLexerCMake::QsciLexerCMake(QObject*)
    {57, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//371 QsciLexerCMake::language() const
    {57, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//372 QsciLexerCMake::lexer() const
    {57, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//373 QsciLexerCMake::defaultColor(int) const
    {57, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//374 QsciLexerCMake::defaultFont(int) const
    {57, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//375 QsciLexerCMake::defaultPaper(int) const
    {57, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//376 QsciLexerCMake::keywords(int) const
    {57, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//377 QsciLexerCMake::description(int) const
    {57, 1186, 0, 0, Smoke::mf_virtual, 0, 16},	//378 QsciLexerCMake::refreshProperties()
    {57, 984, 0, 0, Smoke::mf_const, 191, 17},	//379 QsciLexerCMake::foldAtElse() const
    {57, 1327, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//380 QsciLexerCMake::setFoldAtElse(bool)
    {57, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 19},	//381 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {57, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//382 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {57, 1587, 12, 1, Smoke::mf_static, 41, 21},	//383 QsciLexerCMake::tr(const char*)
    {57, 1591, 12, 1, Smoke::mf_static, 41, 22},	//384 QsciLexerCMake::trUtf8(const char*)
    {57, 474, 0, 0, Smoke::mf_ctor, 62, 23},	//385 QsciLexerCMake::QsciLexerCMake()
    {57, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 24},	//386 QsciLexerCMake::staticMetaObject() const
    {57, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//387 QsciLexerCMake::Default (enum)
    {57, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//388 QsciLexerCMake::Comment (enum)
    {57, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//389 QsciLexerCMake::String (enum)
    {57, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//390 QsciLexerCMake::StringLeftQuote (enum)
    {57, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//391 QsciLexerCMake::StringRightQuote (enum)
    {57, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//392 QsciLexerCMake::Function (enum)
    {57, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//393 QsciLexerCMake::Variable (enum)
    {57, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//394 QsciLexerCMake::Label (enum)
    {57, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//395 QsciLexerCMake::KeywordSet3 (enum)
    {57, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//396 QsciLexerCMake::BlockWhile (enum)
    {57, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//397 QsciLexerCMake::BlockForeach (enum)
    {57, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//398 QsciLexerCMake::BlockIf (enum)
    {57, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//399 QsciLexerCMake::BlockMacro (enum)
    {57, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//400 QsciLexerCMake::StringVariable (enum)
    {57, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//401 QsciLexerCMake::Number (enum)
    {57, 1642, 0, 0, Smoke::mf_dtor, 0, 40 },	//402 QsciLexerCMake::~QsciLexerCMake()
    {58, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//403 QsciLexerCPP::metaObject() const
    {58, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//404 QsciLexerCPP::qt_metacast(const char*)
    {58, 1587, 42, 2, Smoke::mf_static, 41, 3},	//405 QsciLexerCPP::tr(const char*, const char*)
    {58, 1591, 42, 2, Smoke::mf_static, 41, 4},	//406 QsciLexerCPP::trUtf8(const char*, const char*)
    {58, 1587, 45, 3, Smoke::mf_static, 41, 5},	//407 QsciLexerCPP::tr(const char*, const char*, int)
    {58, 1591, 45, 3, Smoke::mf_static, 41, 6},	//408 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {58, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//409 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {58, 476, 96, 2, Smoke::mf_ctor, 63, 8},	//410 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {58, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//411 QsciLexerCPP::language() const
    {58, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//412 QsciLexerCPP::lexer() const
    {58, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//413 QsciLexerCPP::autoCompletionWordSeparators() const
    {58, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//414 QsciLexerCPP::blockEnd(int*) const
    {58, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//415 QsciLexerCPP::blockStart(int*) const
    {58, 847, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//416 QsciLexerCPP::blockStartKeyword(int*) const
    {58, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//417 QsciLexerCPP::braceStyle() const
    {58, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//418 QsciLexerCPP::wordCharacters() const
    {58, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//419 QsciLexerCPP::defaultColor(int) const
    {58, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 18},	//420 QsciLexerCPP::defaultEolFill(int) const
    {58, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//421 QsciLexerCPP::defaultFont(int) const
    {58, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//422 QsciLexerCPP::defaultPaper(int) const
    {58, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//423 QsciLexerCPP::keywords(int) const
    {58, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 22},	//424 QsciLexerCPP::description(int) const
    {58, 1186, 0, 0, Smoke::mf_virtual, 0, 23},	//425 QsciLexerCPP::refreshProperties()
    {58, 984, 0, 0, Smoke::mf_const, 191, 24},	//426 QsciLexerCPP::foldAtElse() const
    {58, 986, 0, 0, Smoke::mf_const, 191, 25},	//427 QsciLexerCPP::foldComments() const
    {58, 987, 0, 0, Smoke::mf_const, 191, 26},	//428 QsciLexerCPP::foldCompact() const
    {58, 994, 0, 0, Smoke::mf_const, 191, 27},	//429 QsciLexerCPP::foldPreprocessor() const
    {58, 1567, 0, 0, Smoke::mf_const, 191, 28},	//430 QsciLexerCPP::stylePreprocessor() const
    {58, 1300, 16, 1, 0, 0, 29},	//431 QsciLexerCPP::setDollarsAllowed(bool)
    {58, 924, 0, 0, Smoke::mf_const, 191, 30},	//432 QsciLexerCPP::dollarsAllowed() const
    {58, 1371, 16, 1, 0, 0, 31},	//433 QsciLexerCPP::setHighlightTripleQuotedStrings(bool)
    {58, 1020, 0, 0, Smoke::mf_const, 191, 32},	//434 QsciLexerCPP::highlightTripleQuotedStrings() const
    {58, 1367, 16, 1, 0, 0, 33},	//435 QsciLexerCPP::setHighlightHashQuotedStrings(bool)
    {58, 1018, 0, 0, Smoke::mf_const, 191, 34},	//436 QsciLexerCPP::highlightHashQuotedStrings() const
    {58, 1363, 16, 1, 0, 0, 35},	//437 QsciLexerCPP::setHighlightBackQuotedStrings(bool)
    {58, 1016, 0, 0, Smoke::mf_const, 191, 36},	//438 QsciLexerCPP::highlightBackQuotedStrings() const
    {58, 1365, 16, 1, 0, 0, 37},	//439 QsciLexerCPP::setHighlightEscapeSequences(bool)
    {58, 1017, 0, 0, Smoke::mf_const, 191, 38},	//440 QsciLexerCPP::highlightEscapeSequences() const
    {58, 1532, 16, 1, 0, 0, 39},	//441 QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed(bool)
    {58, 1607, 0, 0, Smoke::mf_const, 191, 40},	//442 QsciLexerCPP::verbatimStringEscapeSequencesAllowed() const
    {58, 1327, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 41},	//443 QsciLexerCPP::setFoldAtElse(bool)
    {58, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//444 QsciLexerCPP::setFoldComments(bool)
    {58, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//445 QsciLexerCPP::setFoldCompact(bool)
    {58, 1345, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//446 QsciLexerCPP::setFoldPreprocessor(bool)
    {58, 1501, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 45},	//447 QsciLexerCPP::setStylePreprocessor(bool)
    {58, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 46},	//448 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {58, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 47},	//449 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {58, 1587, 12, 1, Smoke::mf_static, 41, 48},	//450 QsciLexerCPP::tr(const char*)
    {58, 1591, 12, 1, Smoke::mf_static, 41, 49},	//451 QsciLexerCPP::trUtf8(const char*)
    {58, 476, 0, 0, Smoke::mf_ctor, 63, 50},	//452 QsciLexerCPP::QsciLexerCPP()
    {58, 476, 74, 1, Smoke::mf_ctor, 63, 51},	//453 QsciLexerCPP::QsciLexerCPP(QObject*)
    {58, 842, 0, 0, Smoke::mf_const, 215, 52},	//454 QsciLexerCPP::blockEnd() const
    {58, 845, 0, 0, Smoke::mf_const, 215, 53},	//455 QsciLexerCPP::blockStart() const
    {58, 847, 0, 0, Smoke::mf_const, 215, 54},	//456 QsciLexerCPP::blockStartKeyword() const
    {58, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 55},	//457 QsciLexerCPP::staticMetaObject() const
    {58, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//458 QsciLexerCPP::Default (enum)
    {58, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//459 QsciLexerCPP::InactiveDefault (enum)
    {58, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//460 QsciLexerCPP::Comment (enum)
    {58, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//461 QsciLexerCPP::InactiveComment (enum)
    {58, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//462 QsciLexerCPP::CommentLine (enum)
    {58, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//463 QsciLexerCPP::InactiveCommentLine (enum)
    {58, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//464 QsciLexerCPP::CommentDoc (enum)
    {58, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//465 QsciLexerCPP::InactiveCommentDoc (enum)
    {58, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//466 QsciLexerCPP::Number (enum)
    {58, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//467 QsciLexerCPP::InactiveNumber (enum)
    {58, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//468 QsciLexerCPP::Keyword (enum)
    {58, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//469 QsciLexerCPP::InactiveKeyword (enum)
    {58, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//470 QsciLexerCPP::DoubleQuotedString (enum)
    {58, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//471 QsciLexerCPP::InactiveDoubleQuotedString (enum)
    {58, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//472 QsciLexerCPP::SingleQuotedString (enum)
    {58, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//473 QsciLexerCPP::InactiveSingleQuotedString (enum)
    {58, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//474 QsciLexerCPP::UUID (enum)
    {58, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//475 QsciLexerCPP::InactiveUUID (enum)
    {58, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//476 QsciLexerCPP::PreProcessor (enum)
    {58, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//477 QsciLexerCPP::InactivePreProcessor (enum)
    {58, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//478 QsciLexerCPP::Operator (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//479 QsciLexerCPP::InactiveOperator (enum)
    {58, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//480 QsciLexerCPP::Identifier (enum)
    {58, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//481 QsciLexerCPP::InactiveIdentifier (enum)
    {58, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//482 QsciLexerCPP::UnclosedString (enum)
    {58, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//483 QsciLexerCPP::InactiveUnclosedString (enum)
    {58, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 82},	//484 QsciLexerCPP::VerbatimString (enum)
    {58, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 83},	//485 QsciLexerCPP::InactiveVerbatimString (enum)
    {58, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 84},	//486 QsciLexerCPP::Regex (enum)
    {58, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 85},	//487 QsciLexerCPP::InactiveRegex (enum)
    {58, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 86},	//488 QsciLexerCPP::CommentLineDoc (enum)
    {58, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 87},	//489 QsciLexerCPP::InactiveCommentLineDoc (enum)
    {58, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 88},	//490 QsciLexerCPP::KeywordSet2 (enum)
    {58, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 89},	//491 QsciLexerCPP::InactiveKeywordSet2 (enum)
    {58, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 90},	//492 QsciLexerCPP::CommentDocKeyword (enum)
    {58, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 91},	//493 QsciLexerCPP::InactiveCommentDocKeyword (enum)
    {58, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//494 QsciLexerCPP::CommentDocKeywordError (enum)
    {58, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//495 QsciLexerCPP::InactiveCommentDocKeywordError (enum)
    {58, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//496 QsciLexerCPP::GlobalClass (enum)
    {58, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//497 QsciLexerCPP::InactiveGlobalClass (enum)
    {58, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//498 QsciLexerCPP::RawString (enum)
    {58, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//499 QsciLexerCPP::InactiveRawString (enum)
    {58, 733, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//500 QsciLexerCPP::TripleQuotedVerbatimString (enum)
    {58, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//501 QsciLexerCPP::InactiveTripleQuotedVerbatimString (enum)
    {58, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//502 QsciLexerCPP::HashQuotedString (enum)
    {58, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//503 QsciLexerCPP::InactiveHashQuotedString (enum)
    {58, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//504 QsciLexerCPP::PreProcessorComment (enum)
    {58, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//505 QsciLexerCPP::InactivePreProcessorComment (enum)
    {58, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//506 QsciLexerCPP::PreProcessorCommentLineDoc (enum)
    {58, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//507 QsciLexerCPP::InactivePreProcessorCommentLineDoc (enum)
    {58, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//508 QsciLexerCPP::UserLiteral (enum)
    {58, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//509 QsciLexerCPP::InactiveUserLiteral (enum)
    {58, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//510 QsciLexerCPP::TaskMarker (enum)
    {58, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//511 QsciLexerCPP::InactiveTaskMarker (enum)
    {58, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//512 QsciLexerCPP::EscapeSequence (enum)
    {58, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//513 QsciLexerCPP::InactiveEscapeSequence (enum)
    {58, 1643, 0, 0, Smoke::mf_dtor, 0, 112 },	//514 QsciLexerCPP::~QsciLexerCPP()
    {59, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//515 QsciLexerCSS::metaObject() const
    {59, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//516 QsciLexerCSS::qt_metacast(const char*)
    {59, 1587, 42, 2, Smoke::mf_static, 41, 3},	//517 QsciLexerCSS::tr(const char*, const char*)
    {59, 1591, 42, 2, Smoke::mf_static, 41, 4},	//518 QsciLexerCSS::trUtf8(const char*, const char*)
    {59, 1587, 45, 3, Smoke::mf_static, 41, 5},	//519 QsciLexerCSS::tr(const char*, const char*, int)
    {59, 1591, 45, 3, Smoke::mf_static, 41, 6},	//520 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {59, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//521 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {59, 479, 74, 1, Smoke::mf_ctor, 64, 8},	//522 QsciLexerCSS::QsciLexerCSS(QObject*)
    {59, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//523 QsciLexerCSS::language() const
    {59, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//524 QsciLexerCSS::lexer() const
    {59, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//525 QsciLexerCSS::blockEnd(int*) const
    {59, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//526 QsciLexerCSS::blockStart(int*) const
    {59, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//527 QsciLexerCSS::wordCharacters() const
    {59, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//528 QsciLexerCSS::defaultColor(int) const
    {59, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//529 QsciLexerCSS::defaultFont(int) const
    {59, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//530 QsciLexerCSS::keywords(int) const
    {59, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//531 QsciLexerCSS::description(int) const
    {59, 1186, 0, 0, Smoke::mf_virtual, 0, 18},	//532 QsciLexerCSS::refreshProperties()
    {59, 986, 0, 0, Smoke::mf_const, 191, 19},	//533 QsciLexerCSS::foldComments() const
    {59, 987, 0, 0, Smoke::mf_const, 191, 20},	//534 QsciLexerCSS::foldCompact() const
    {59, 1359, 16, 1, 0, 0, 21},	//535 QsciLexerCSS::setHSSLanguage(bool)
    {59, 230, 0, 0, Smoke::mf_const, 191, 22},	//536 QsciLexerCSS::HSSLanguage() const
    {59, 1416, 16, 1, 0, 0, 23},	//537 QsciLexerCSS::setLessLanguage(bool)
    {59, 328, 0, 0, Smoke::mf_const, 191, 24},	//538 QsciLexerCSS::LessLanguage() const
    {59, 1480, 16, 1, 0, 0, 25},	//539 QsciLexerCSS::setSCSSLanguage(bool)
    {59, 624, 0, 0, Smoke::mf_const, 191, 26},	//540 QsciLexerCSS::SCSSLanguage() const
    {59, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//541 QsciLexerCSS::setFoldComments(bool)
    {59, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//542 QsciLexerCSS::setFoldCompact(bool)
    {59, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 29},	//543 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {59, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//544 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {59, 1587, 12, 1, Smoke::mf_static, 41, 31},	//545 QsciLexerCSS::tr(const char*)
    {59, 1591, 12, 1, Smoke::mf_static, 41, 32},	//546 QsciLexerCSS::trUtf8(const char*)
    {59, 479, 0, 0, Smoke::mf_ctor, 64, 33},	//547 QsciLexerCSS::QsciLexerCSS()
    {59, 842, 0, 0, Smoke::mf_const, 215, 34},	//548 QsciLexerCSS::blockEnd() const
    {59, 845, 0, 0, Smoke::mf_const, 215, 35},	//549 QsciLexerCSS::blockStart() const
    {59, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 36},	//550 QsciLexerCSS::staticMetaObject() const
    {59, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//551 QsciLexerCSS::Default (enum)
    {59, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//552 QsciLexerCSS::Tag (enum)
    {59, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//553 QsciLexerCSS::ClassSelector (enum)
    {59, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//554 QsciLexerCSS::PseudoClass (enum)
    {59, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//555 QsciLexerCSS::UnknownPseudoClass (enum)
    {59, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//556 QsciLexerCSS::Operator (enum)
    {59, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//557 QsciLexerCSS::CSS1Property (enum)
    {59, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//558 QsciLexerCSS::UnknownProperty (enum)
    {59, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//559 QsciLexerCSS::Value (enum)
    {59, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//560 QsciLexerCSS::Comment (enum)
    {59, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//561 QsciLexerCSS::IDSelector (enum)
    {59, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//562 QsciLexerCSS::Important (enum)
    {59, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//563 QsciLexerCSS::AtRule (enum)
    {59, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//564 QsciLexerCSS::DoubleQuotedString (enum)
    {59, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//565 QsciLexerCSS::SingleQuotedString (enum)
    {59, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//566 QsciLexerCSS::CSS2Property (enum)
    {59, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//567 QsciLexerCSS::Attribute (enum)
    {59, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//568 QsciLexerCSS::CSS3Property (enum)
    {59, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//569 QsciLexerCSS::PseudoElement (enum)
    {59, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//570 QsciLexerCSS::ExtendedCSSProperty (enum)
    {59, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//571 QsciLexerCSS::ExtendedPseudoClass (enum)
    {59, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//572 QsciLexerCSS::ExtendedPseudoElement (enum)
    {59, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//573 QsciLexerCSS::MediaRule (enum)
    {59, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//574 QsciLexerCSS::Variable (enum)
    {59, 1644, 0, 0, Smoke::mf_dtor, 0, 61 },	//575 QsciLexerCSS::~QsciLexerCSS()
    {60, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//576 QsciLexerCSharp::metaObject() const
    {60, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//577 QsciLexerCSharp::qt_metacast(const char*)
    {60, 1587, 42, 2, Smoke::mf_static, 41, 3},	//578 QsciLexerCSharp::tr(const char*, const char*)
    {60, 1591, 42, 2, Smoke::mf_static, 41, 4},	//579 QsciLexerCSharp::trUtf8(const char*, const char*)
    {60, 1587, 45, 3, Smoke::mf_static, 41, 5},	//580 QsciLexerCSharp::tr(const char*, const char*, int)
    {60, 1591, 45, 3, Smoke::mf_static, 41, 6},	//581 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {60, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//582 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {60, 481, 74, 1, Smoke::mf_ctor, 65, 8},	//583 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {60, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//584 QsciLexerCSharp::language() const
    {60, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//585 QsciLexerCSharp::defaultColor(int) const
    {60, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 11},	//586 QsciLexerCSharp::defaultEolFill(int) const
    {60, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//587 QsciLexerCSharp::defaultFont(int) const
    {60, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//588 QsciLexerCSharp::defaultPaper(int) const
    {60, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//589 QsciLexerCSharp::keywords(int) const
    {60, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//590 QsciLexerCSharp::description(int) const
    {60, 1587, 12, 1, Smoke::mf_static, 41, 16},	//591 QsciLexerCSharp::tr(const char*)
    {60, 1591, 12, 1, Smoke::mf_static, 41, 17},	//592 QsciLexerCSharp::trUtf8(const char*)
    {60, 481, 0, 0, Smoke::mf_ctor, 65, 18},	//593 QsciLexerCSharp::QsciLexerCSharp()
    {60, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//594 QsciLexerCSharp::staticMetaObject() const
    {60, 1645, 0, 0, Smoke::mf_dtor, 0, 20 },	//595 QsciLexerCSharp::~QsciLexerCSharp()
    {61, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//596 QsciLexerCustom::metaObject() const
    {61, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//597 QsciLexerCustom::qt_metacast(const char*)
    {61, 1587, 42, 2, Smoke::mf_static, 41, 3},	//598 QsciLexerCustom::tr(const char*, const char*)
    {61, 1591, 42, 2, Smoke::mf_static, 41, 4},	//599 QsciLexerCustom::trUtf8(const char*, const char*)
    {61, 1587, 45, 3, Smoke::mf_static, 41, 5},	//600 QsciLexerCustom::tr(const char*, const char*, int)
    {61, 1591, 45, 3, Smoke::mf_static, 41, 6},	//601 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {61, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//602 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {61, 483, 74, 1, Smoke::mf_ctor, 66, 8},	//603 QsciLexerCustom::QsciLexerCustom(QObject*)
    {61, 1503, 99, 2, 0, 0, 9},	//604 QsciLexerCustom::setStyling(int, int)
    {61, 1503, 102, 2, 0, 0, 10},	//605 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {61, 1559, 99, 2, 0, 0, 11},	//606 QsciLexerCustom::startStyling(int, int)
    {61, 1568, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//607 QsciLexerCustom::styleText(int, int) [pure virtual]
    {61, 1310, 82, 1, Smoke::mf_virtual, 0, 13},	//608 QsciLexerCustom::setEditor(QsciScintilla*)
    {61, 1565, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//609 QsciLexerCustom::styleBitsNeeded() const
    {61, 1587, 12, 1, Smoke::mf_static, 41, 15},	//610 QsciLexerCustom::tr(const char*)
    {61, 1591, 12, 1, Smoke::mf_static, 41, 16},	//611 QsciLexerCustom::trUtf8(const char*)
    {61, 483, 0, 0, Smoke::mf_ctor, 66, 17},	//612 QsciLexerCustom::QsciLexerCustom()
    {61, 1559, 18, 1, 0, 0, 18},	//613 QsciLexerCustom::startStyling(int)
    {61, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//614 QsciLexerCustom::staticMetaObject() const
    {61, 1646, 0, 0, Smoke::mf_dtor, 0, 20 },	//615 QsciLexerCustom::~QsciLexerCustom()
    {62, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//616 QsciLexerD::metaObject() const
    {62, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//617 QsciLexerD::qt_metacast(const char*)
    {62, 1587, 42, 2, Smoke::mf_static, 41, 3},	//618 QsciLexerD::tr(const char*, const char*)
    {62, 1591, 42, 2, Smoke::mf_static, 41, 4},	//619 QsciLexerD::trUtf8(const char*, const char*)
    {62, 1587, 45, 3, Smoke::mf_static, 41, 5},	//620 QsciLexerD::tr(const char*, const char*, int)
    {62, 1591, 45, 3, Smoke::mf_static, 41, 6},	//621 QsciLexerD::trUtf8(const char*, const char*, int)
    {62, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//622 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {62, 485, 74, 1, Smoke::mf_ctor, 67, 8},	//623 QsciLexerD::QsciLexerD(QObject*)
    {62, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//624 QsciLexerD::language() const
    {62, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//625 QsciLexerD::lexer() const
    {62, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//626 QsciLexerD::autoCompletionWordSeparators() const
    {62, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//627 QsciLexerD::blockEnd(int*) const
    {62, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//628 QsciLexerD::blockStart(int*) const
    {62, 847, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//629 QsciLexerD::blockStartKeyword(int*) const
    {62, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//630 QsciLexerD::braceStyle() const
    {62, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//631 QsciLexerD::wordCharacters() const
    {62, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//632 QsciLexerD::defaultColor(int) const
    {62, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 18},	//633 QsciLexerD::defaultEolFill(int) const
    {62, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 19},	//634 QsciLexerD::defaultFont(int) const
    {62, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 20},	//635 QsciLexerD::defaultPaper(int) const
    {62, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 21},	//636 QsciLexerD::keywords(int) const
    {62, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 22},	//637 QsciLexerD::description(int) const
    {62, 1186, 0, 0, Smoke::mf_virtual, 0, 23},	//638 QsciLexerD::refreshProperties()
    {62, 984, 0, 0, Smoke::mf_const, 191, 24},	//639 QsciLexerD::foldAtElse() const
    {62, 986, 0, 0, Smoke::mf_const, 191, 25},	//640 QsciLexerD::foldComments() const
    {62, 987, 0, 0, Smoke::mf_const, 191, 26},	//641 QsciLexerD::foldCompact() const
    {62, 1327, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//642 QsciLexerD::setFoldAtElse(bool)
    {62, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//643 QsciLexerD::setFoldComments(bool)
    {62, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//644 QsciLexerD::setFoldCompact(bool)
    {62, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//645 QsciLexerD::readProperties(QSettings&, const QString&)
    {62, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 31},	//646 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {62, 1587, 12, 1, Smoke::mf_static, 41, 32},	//647 QsciLexerD::tr(const char*)
    {62, 1591, 12, 1, Smoke::mf_static, 41, 33},	//648 QsciLexerD::trUtf8(const char*)
    {62, 485, 0, 0, Smoke::mf_ctor, 67, 34},	//649 QsciLexerD::QsciLexerD()
    {62, 842, 0, 0, Smoke::mf_const, 215, 35},	//650 QsciLexerD::blockEnd() const
    {62, 845, 0, 0, Smoke::mf_const, 215, 36},	//651 QsciLexerD::blockStart() const
    {62, 847, 0, 0, Smoke::mf_const, 215, 37},	//652 QsciLexerD::blockStartKeyword() const
    {62, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 38},	//653 QsciLexerD::staticMetaObject() const
    {62, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//654 QsciLexerD::Default (enum)
    {62, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//655 QsciLexerD::Comment (enum)
    {62, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//656 QsciLexerD::CommentLine (enum)
    {62, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//657 QsciLexerD::CommentDoc (enum)
    {62, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//658 QsciLexerD::CommentNested (enum)
    {62, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//659 QsciLexerD::Number (enum)
    {62, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//660 QsciLexerD::Keyword (enum)
    {62, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//661 QsciLexerD::KeywordSecondary (enum)
    {62, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//662 QsciLexerD::KeywordDoc (enum)
    {62, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//663 QsciLexerD::Typedefs (enum)
    {62, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//664 QsciLexerD::String (enum)
    {62, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//665 QsciLexerD::UnclosedString (enum)
    {62, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//666 QsciLexerD::Character (enum)
    {62, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//667 QsciLexerD::Operator (enum)
    {62, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//668 QsciLexerD::Identifier (enum)
    {62, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//669 QsciLexerD::CommentLineDoc (enum)
    {62, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//670 QsciLexerD::CommentDocKeyword (enum)
    {62, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//671 QsciLexerD::CommentDocKeywordError (enum)
    {62, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//672 QsciLexerD::BackquoteString (enum)
    {62, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//673 QsciLexerD::RawString (enum)
    {62, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//674 QsciLexerD::KeywordSet5 (enum)
    {62, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//675 QsciLexerD::KeywordSet6 (enum)
    {62, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//676 QsciLexerD::KeywordSet7 (enum)
    {62, 1647, 0, 0, Smoke::mf_dtor, 0, 62 },	//677 QsciLexerD::~QsciLexerD()
    {63, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//678 QsciLexerDiff::metaObject() const
    {63, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//679 QsciLexerDiff::qt_metacast(const char*)
    {63, 1587, 42, 2, Smoke::mf_static, 41, 3},	//680 QsciLexerDiff::tr(const char*, const char*)
    {63, 1591, 42, 2, Smoke::mf_static, 41, 4},	//681 QsciLexerDiff::trUtf8(const char*, const char*)
    {63, 1587, 45, 3, Smoke::mf_static, 41, 5},	//682 QsciLexerDiff::tr(const char*, const char*, int)
    {63, 1591, 45, 3, Smoke::mf_static, 41, 6},	//683 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {63, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//684 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {63, 487, 74, 1, Smoke::mf_ctor, 68, 8},	//685 QsciLexerDiff::QsciLexerDiff(QObject*)
    {63, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//686 QsciLexerDiff::language() const
    {63, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//687 QsciLexerDiff::lexer() const
    {63, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//688 QsciLexerDiff::wordCharacters() const
    {63, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//689 QsciLexerDiff::defaultColor(int) const
    {63, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 13},	//690 QsciLexerDiff::description(int) const
    {63, 1587, 12, 1, Smoke::mf_static, 41, 14},	//691 QsciLexerDiff::tr(const char*)
    {63, 1591, 12, 1, Smoke::mf_static, 41, 15},	//692 QsciLexerDiff::trUtf8(const char*)
    {63, 487, 0, 0, Smoke::mf_ctor, 68, 16},	//693 QsciLexerDiff::QsciLexerDiff()
    {63, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 17},	//694 QsciLexerDiff::staticMetaObject() const
    {63, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 18},	//695 QsciLexerDiff::Default (enum)
    {63, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 19},	//696 QsciLexerDiff::Comment (enum)
    {63, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 20},	//697 QsciLexerDiff::Command (enum)
    {63, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 21},	//698 QsciLexerDiff::Header (enum)
    {63, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 22},	//699 QsciLexerDiff::Position (enum)
    {63, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//700 QsciLexerDiff::LineRemoved (enum)
    {63, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//701 QsciLexerDiff::LineAdded (enum)
    {63, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//702 QsciLexerDiff::LineChanged (enum)
    {63, 1648, 0, 0, Smoke::mf_dtor, 0, 26 },	//703 QsciLexerDiff::~QsciLexerDiff()
    {64, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//704 QsciLexerFortran::metaObject() const
    {64, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//705 QsciLexerFortran::qt_metacast(const char*)
    {64, 1587, 42, 2, Smoke::mf_static, 41, 3},	//706 QsciLexerFortran::tr(const char*, const char*)
    {64, 1591, 42, 2, Smoke::mf_static, 41, 4},	//707 QsciLexerFortran::trUtf8(const char*, const char*)
    {64, 1587, 45, 3, Smoke::mf_static, 41, 5},	//708 QsciLexerFortran::tr(const char*, const char*, int)
    {64, 1591, 45, 3, Smoke::mf_static, 41, 6},	//709 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {64, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//710 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {64, 489, 74, 1, Smoke::mf_ctor, 69, 8},	//711 QsciLexerFortran::QsciLexerFortran(QObject*)
    {64, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//712 QsciLexerFortran::language() const
    {64, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//713 QsciLexerFortran::lexer() const
    {64, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//714 QsciLexerFortran::keywords(int) const
    {64, 1587, 12, 1, Smoke::mf_static, 41, 12},	//715 QsciLexerFortran::tr(const char*)
    {64, 1591, 12, 1, Smoke::mf_static, 41, 13},	//716 QsciLexerFortran::trUtf8(const char*)
    {64, 489, 0, 0, Smoke::mf_ctor, 69, 14},	//717 QsciLexerFortran::QsciLexerFortran()
    {64, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 15},	//718 QsciLexerFortran::staticMetaObject() const
    {64, 1649, 0, 0, Smoke::mf_dtor, 0, 16 },	//719 QsciLexerFortran::~QsciLexerFortran()
    {65, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//720 QsciLexerFortran77::metaObject() const
    {65, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//721 QsciLexerFortran77::qt_metacast(const char*)
    {65, 1587, 42, 2, Smoke::mf_static, 41, 3},	//722 QsciLexerFortran77::tr(const char*, const char*)
    {65, 1591, 42, 2, Smoke::mf_static, 41, 4},	//723 QsciLexerFortran77::trUtf8(const char*, const char*)
    {65, 1587, 45, 3, Smoke::mf_static, 41, 5},	//724 QsciLexerFortran77::tr(const char*, const char*, int)
    {65, 1591, 45, 3, Smoke::mf_static, 41, 6},	//725 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {65, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//726 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {65, 491, 74, 1, Smoke::mf_ctor, 70, 8},	//727 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {65, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//728 QsciLexerFortran77::language() const
    {65, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//729 QsciLexerFortran77::lexer() const
    {65, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//730 QsciLexerFortran77::braceStyle() const
    {65, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//731 QsciLexerFortran77::defaultColor(int) const
    {65, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//732 QsciLexerFortran77::defaultEolFill(int) const
    {65, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//733 QsciLexerFortran77::defaultFont(int) const
    {65, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//734 QsciLexerFortran77::defaultPaper(int) const
    {65, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//735 QsciLexerFortran77::keywords(int) const
    {65, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//736 QsciLexerFortran77::description(int) const
    {65, 1186, 0, 0, Smoke::mf_virtual, 0, 18},	//737 QsciLexerFortran77::refreshProperties()
    {65, 987, 0, 0, Smoke::mf_const, 191, 19},	//738 QsciLexerFortran77::foldCompact() const
    {65, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//739 QsciLexerFortran77::setFoldCompact(bool)
    {65, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//740 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {65, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//741 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {65, 1587, 12, 1, Smoke::mf_static, 41, 23},	//742 QsciLexerFortran77::tr(const char*)
    {65, 1591, 12, 1, Smoke::mf_static, 41, 24},	//743 QsciLexerFortran77::trUtf8(const char*)
    {65, 491, 0, 0, Smoke::mf_ctor, 70, 25},	//744 QsciLexerFortran77::QsciLexerFortran77()
    {65, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 26},	//745 QsciLexerFortran77::staticMetaObject() const
    {65, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//746 QsciLexerFortran77::Default (enum)
    {65, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//747 QsciLexerFortran77::Comment (enum)
    {65, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//748 QsciLexerFortran77::Number (enum)
    {65, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//749 QsciLexerFortran77::SingleQuotedString (enum)
    {65, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//750 QsciLexerFortran77::DoubleQuotedString (enum)
    {65, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//751 QsciLexerFortran77::UnclosedString (enum)
    {65, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//752 QsciLexerFortran77::Operator (enum)
    {65, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//753 QsciLexerFortran77::Identifier (enum)
    {65, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//754 QsciLexerFortran77::Keyword (enum)
    {65, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//755 QsciLexerFortran77::IntrinsicFunction (enum)
    {65, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//756 QsciLexerFortran77::ExtendedFunction (enum)
    {65, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//757 QsciLexerFortran77::PreProcessor (enum)
    {65, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//758 QsciLexerFortran77::DottedOperator (enum)
    {65, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//759 QsciLexerFortran77::Label (enum)
    {65, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//760 QsciLexerFortran77::Continuation (enum)
    {65, 1650, 0, 0, Smoke::mf_dtor, 0, 42 },	//761 QsciLexerFortran77::~QsciLexerFortran77()
    {66, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//762 QsciLexerHTML::metaObject() const
    {66, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//763 QsciLexerHTML::qt_metacast(const char*)
    {66, 1587, 42, 2, Smoke::mf_static, 41, 3},	//764 QsciLexerHTML::tr(const char*, const char*)
    {66, 1591, 42, 2, Smoke::mf_static, 41, 4},	//765 QsciLexerHTML::trUtf8(const char*, const char*)
    {66, 1587, 45, 3, Smoke::mf_static, 41, 5},	//766 QsciLexerHTML::tr(const char*, const char*, int)
    {66, 1591, 45, 3, Smoke::mf_static, 41, 6},	//767 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {66, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//768 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {66, 493, 74, 1, Smoke::mf_ctor, 71, 8},	//769 QsciLexerHTML::QsciLexerHTML(QObject*)
    {66, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//770 QsciLexerHTML::language() const
    {66, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//771 QsciLexerHTML::lexer() const
    {66, 827, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//772 QsciLexerHTML::autoCompletionFillups() const
    {66, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//773 QsciLexerHTML::wordCharacters() const
    {66, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//774 QsciLexerHTML::defaultColor(int) const
    {66, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//775 QsciLexerHTML::defaultEolFill(int) const
    {66, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//776 QsciLexerHTML::defaultFont(int) const
    {66, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//777 QsciLexerHTML::defaultPaper(int) const
    {66, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//778 QsciLexerHTML::keywords(int) const
    {66, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//779 QsciLexerHTML::description(int) const
    {66, 1186, 0, 0, Smoke::mf_virtual, 0, 19},	//780 QsciLexerHTML::refreshProperties()
    {66, 868, 0, 0, Smoke::mf_const, 191, 20},	//781 QsciLexerHTML::caseSensitiveTags() const
    {66, 1296, 16, 1, 0, 0, 21},	//782 QsciLexerHTML::setDjangoTemplates(bool)
    {66, 922, 0, 0, Smoke::mf_const, 191, 22},	//783 QsciLexerHTML::djangoTemplates() const
    {66, 987, 0, 0, Smoke::mf_const, 191, 23},	//784 QsciLexerHTML::foldCompact() const
    {66, 994, 0, 0, Smoke::mf_const, 191, 24},	//785 QsciLexerHTML::foldPreprocessor() const
    {66, 1349, 16, 1, 0, 0, 25},	//786 QsciLexerHTML::setFoldScriptComments(bool)
    {66, 996, 0, 0, Smoke::mf_const, 191, 26},	//787 QsciLexerHTML::foldScriptComments() const
    {66, 1351, 16, 1, 0, 0, 27},	//788 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {66, 997, 0, 0, Smoke::mf_const, 191, 28},	//789 QsciLexerHTML::foldScriptHeredocs() const
    {66, 1424, 16, 1, 0, 0, 29},	//790 QsciLexerHTML::setMakoTemplates(bool)
    {66, 1087, 0, 0, Smoke::mf_const, 191, 30},	//791 QsciLexerHTML::makoTemplates() const
    {66, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//792 QsciLexerHTML::setFoldCompact(bool)
    {66, 1345, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//793 QsciLexerHTML::setFoldPreprocessor(bool)
    {66, 1277, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//794 QsciLexerHTML::setCaseSensitiveTags(bool)
    {66, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 34},	//795 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {66, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 35},	//796 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {66, 1587, 12, 1, Smoke::mf_static, 41, 36},	//797 QsciLexerHTML::tr(const char*)
    {66, 1591, 12, 1, Smoke::mf_static, 41, 37},	//798 QsciLexerHTML::trUtf8(const char*)
    {66, 493, 0, 0, Smoke::mf_ctor, 71, 38},	//799 QsciLexerHTML::QsciLexerHTML()
    {66, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 39},	//800 QsciLexerHTML::staticMetaObject() const
    {66, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//801 QsciLexerHTML::Default (enum)
    {66, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//802 QsciLexerHTML::Tag (enum)
    {66, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//803 QsciLexerHTML::UnknownTag (enum)
    {66, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//804 QsciLexerHTML::Attribute (enum)
    {66, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//805 QsciLexerHTML::UnknownAttribute (enum)
    {66, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//806 QsciLexerHTML::HTMLNumber (enum)
    {66, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//807 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {66, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//808 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {66, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//809 QsciLexerHTML::OtherInTag (enum)
    {66, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//810 QsciLexerHTML::HTMLComment (enum)
    {66, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//811 QsciLexerHTML::Entity (enum)
    {66, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//812 QsciLexerHTML::XMLTagEnd (enum)
    {66, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//813 QsciLexerHTML::XMLStart (enum)
    {66, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//814 QsciLexerHTML::XMLEnd (enum)
    {66, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//815 QsciLexerHTML::Script (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//816 QsciLexerHTML::ASPAtStart (enum)
    {66, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//817 QsciLexerHTML::ASPStart (enum)
    {66, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//818 QsciLexerHTML::CDATA (enum)
    {66, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//819 QsciLexerHTML::PHPStart (enum)
    {66, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//820 QsciLexerHTML::HTMLValue (enum)
    {66, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//821 QsciLexerHTML::ASPXCComment (enum)
    {66, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//822 QsciLexerHTML::SGMLDefault (enum)
    {66, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//823 QsciLexerHTML::SGMLCommand (enum)
    {66, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//824 QsciLexerHTML::SGMLParameter (enum)
    {66, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//825 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {66, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//826 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {66, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//827 QsciLexerHTML::SGMLError (enum)
    {66, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//828 QsciLexerHTML::SGMLSpecial (enum)
    {66, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//829 QsciLexerHTML::SGMLEntity (enum)
    {66, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//830 QsciLexerHTML::SGMLComment (enum)
    {66, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//831 QsciLexerHTML::SGMLParameterComment (enum)
    {66, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//832 QsciLexerHTML::SGMLBlockDefault (enum)
    {66, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//833 QsciLexerHTML::JavaScriptStart (enum)
    {66, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//834 QsciLexerHTML::JavaScriptDefault (enum)
    {66, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//835 QsciLexerHTML::JavaScriptComment (enum)
    {66, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//836 QsciLexerHTML::JavaScriptCommentLine (enum)
    {66, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//837 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {66, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//838 QsciLexerHTML::JavaScriptNumber (enum)
    {66, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//839 QsciLexerHTML::JavaScriptWord (enum)
    {66, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//840 QsciLexerHTML::JavaScriptKeyword (enum)
    {66, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//841 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {66, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//842 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {66, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 82},	//843 QsciLexerHTML::JavaScriptSymbol (enum)
    {66, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 83},	//844 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {66, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 84},	//845 QsciLexerHTML::JavaScriptRegex (enum)
    {66, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 85},	//846 QsciLexerHTML::ASPJavaScriptStart (enum)
    {66, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 86},	//847 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 87},	//848 QsciLexerHTML::ASPJavaScriptComment (enum)
    {66, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 88},	//849 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 89},	//850 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 90},	//851 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {66, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 91},	//852 QsciLexerHTML::ASPJavaScriptWord (enum)
    {66, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//853 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {66, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//854 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {66, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//855 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {66, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//856 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {66, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//857 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {66, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//858 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {66, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//859 QsciLexerHTML::VBScriptStart (enum)
    {66, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//860 QsciLexerHTML::VBScriptDefault (enum)
    {66, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//861 QsciLexerHTML::VBScriptComment (enum)
    {66, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//862 QsciLexerHTML::VBScriptNumber (enum)
    {66, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//863 QsciLexerHTML::VBScriptKeyword (enum)
    {66, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//864 QsciLexerHTML::VBScriptString (enum)
    {66, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//865 QsciLexerHTML::VBScriptIdentifier (enum)
    {66, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//866 QsciLexerHTML::VBScriptUnclosedString (enum)
    {66, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//867 QsciLexerHTML::ASPVBScriptStart (enum)
    {66, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//868 QsciLexerHTML::ASPVBScriptDefault (enum)
    {66, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//869 QsciLexerHTML::ASPVBScriptComment (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//870 QsciLexerHTML::ASPVBScriptNumber (enum)
    {66, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//871 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {66, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//872 QsciLexerHTML::ASPVBScriptString (enum)
    {66, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 112},	//873 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {66, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 113},	//874 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {66, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 114},	//875 QsciLexerHTML::PythonStart (enum)
    {66, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 115},	//876 QsciLexerHTML::PythonDefault (enum)
    {66, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 116},	//877 QsciLexerHTML::PythonComment (enum)
    {66, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 117},	//878 QsciLexerHTML::PythonNumber (enum)
    {66, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 118},	//879 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {66, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 119},	//880 QsciLexerHTML::PythonSingleQuotedString (enum)
    {66, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 120},	//881 QsciLexerHTML::PythonKeyword (enum)
    {66, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 121},	//882 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {66, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 122},	//883 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {66, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 123},	//884 QsciLexerHTML::PythonClassName (enum)
    {66, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 124},	//885 QsciLexerHTML::PythonFunctionMethodName (enum)
    {66, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 125},	//886 QsciLexerHTML::PythonOperator (enum)
    {66, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 126},	//887 QsciLexerHTML::PythonIdentifier (enum)
    {66, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 127},	//888 QsciLexerHTML::ASPPythonStart (enum)
    {66, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 128},	//889 QsciLexerHTML::ASPPythonDefault (enum)
    {66, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 129},	//890 QsciLexerHTML::ASPPythonComment (enum)
    {66, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 130},	//891 QsciLexerHTML::ASPPythonNumber (enum)
    {66, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 131},	//892 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {66, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 132},	//893 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {66, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 133},	//894 QsciLexerHTML::ASPPythonKeyword (enum)
    {66, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 134},	//895 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {66, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 135},	//896 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {66, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 136},	//897 QsciLexerHTML::ASPPythonClassName (enum)
    {66, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 137},	//898 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {66, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 138},	//899 QsciLexerHTML::ASPPythonOperator (enum)
    {66, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 139},	//900 QsciLexerHTML::ASPPythonIdentifier (enum)
    {66, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 140},	//901 QsciLexerHTML::PHPDefault (enum)
    {66, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 141},	//902 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {66, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 142},	//903 QsciLexerHTML::PHPSingleQuotedString (enum)
    {66, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 143},	//904 QsciLexerHTML::PHPKeyword (enum)
    {66, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 144},	//905 QsciLexerHTML::PHPNumber (enum)
    {66, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 145},	//906 QsciLexerHTML::PHPVariable (enum)
    {66, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 146},	//907 QsciLexerHTML::PHPComment (enum)
    {66, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 147},	//908 QsciLexerHTML::PHPCommentLine (enum)
    {66, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 148},	//909 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {66, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 149},	//910 QsciLexerHTML::PHPOperator (enum)
    {66, 1651, 0, 0, Smoke::mf_dtor, 0, 150 },	//911 QsciLexerHTML::~QsciLexerHTML()
    {67, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//912 QsciLexerIDL::metaObject() const
    {67, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//913 QsciLexerIDL::qt_metacast(const char*)
    {67, 1587, 42, 2, Smoke::mf_static, 41, 3},	//914 QsciLexerIDL::tr(const char*, const char*)
    {67, 1591, 42, 2, Smoke::mf_static, 41, 4},	//915 QsciLexerIDL::trUtf8(const char*, const char*)
    {67, 1587, 45, 3, Smoke::mf_static, 41, 5},	//916 QsciLexerIDL::tr(const char*, const char*, int)
    {67, 1591, 45, 3, Smoke::mf_static, 41, 6},	//917 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {67, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//918 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {67, 495, 74, 1, Smoke::mf_ctor, 72, 8},	//919 QsciLexerIDL::QsciLexerIDL(QObject*)
    {67, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//920 QsciLexerIDL::language() const
    {67, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//921 QsciLexerIDL::defaultColor(int) const
    {67, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//922 QsciLexerIDL::keywords(int) const
    {67, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 12},	//923 QsciLexerIDL::description(int) const
    {67, 1587, 12, 1, Smoke::mf_static, 41, 13},	//924 QsciLexerIDL::tr(const char*)
    {67, 1591, 12, 1, Smoke::mf_static, 41, 14},	//925 QsciLexerIDL::trUtf8(const char*)
    {67, 495, 0, 0, Smoke::mf_ctor, 72, 15},	//926 QsciLexerIDL::QsciLexerIDL()
    {67, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 16},	//927 QsciLexerIDL::staticMetaObject() const
    {67, 1652, 0, 0, Smoke::mf_dtor, 0, 17 },	//928 QsciLexerIDL::~QsciLexerIDL()
    {68, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//929 QsciLexerJava::metaObject() const
    {68, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//930 QsciLexerJava::qt_metacast(const char*)
    {68, 1587, 42, 2, Smoke::mf_static, 41, 3},	//931 QsciLexerJava::tr(const char*, const char*)
    {68, 1591, 42, 2, Smoke::mf_static, 41, 4},	//932 QsciLexerJava::trUtf8(const char*, const char*)
    {68, 1587, 45, 3, Smoke::mf_static, 41, 5},	//933 QsciLexerJava::tr(const char*, const char*, int)
    {68, 1591, 45, 3, Smoke::mf_static, 41, 6},	//934 QsciLexerJava::trUtf8(const char*, const char*, int)
    {68, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//935 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {68, 497, 74, 1, Smoke::mf_ctor, 73, 8},	//936 QsciLexerJava::QsciLexerJava(QObject*)
    {68, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//937 QsciLexerJava::language() const
    {68, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//938 QsciLexerJava::keywords(int) const
    {68, 1587, 12, 1, Smoke::mf_static, 41, 11},	//939 QsciLexerJava::tr(const char*)
    {68, 1591, 12, 1, Smoke::mf_static, 41, 12},	//940 QsciLexerJava::trUtf8(const char*)
    {68, 497, 0, 0, Smoke::mf_ctor, 73, 13},	//941 QsciLexerJava::QsciLexerJava()
    {68, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 14},	//942 QsciLexerJava::staticMetaObject() const
    {68, 1653, 0, 0, Smoke::mf_dtor, 0, 15 },	//943 QsciLexerJava::~QsciLexerJava()
    {69, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//944 QsciLexerJavaScript::metaObject() const
    {69, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//945 QsciLexerJavaScript::qt_metacast(const char*)
    {69, 1587, 42, 2, Smoke::mf_static, 41, 3},	//946 QsciLexerJavaScript::tr(const char*, const char*)
    {69, 1591, 42, 2, Smoke::mf_static, 41, 4},	//947 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {69, 1587, 45, 3, Smoke::mf_static, 41, 5},	//948 QsciLexerJavaScript::tr(const char*, const char*, int)
    {69, 1591, 45, 3, Smoke::mf_static, 41, 6},	//949 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {69, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//950 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {69, 499, 74, 1, Smoke::mf_ctor, 74, 8},	//951 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {69, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//952 QsciLexerJavaScript::language() const
    {69, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 10},	//953 QsciLexerJavaScript::defaultColor(int) const
    {69, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 11},	//954 QsciLexerJavaScript::defaultEolFill(int) const
    {69, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 12},	//955 QsciLexerJavaScript::defaultFont(int) const
    {69, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//956 QsciLexerJavaScript::defaultPaper(int) const
    {69, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//957 QsciLexerJavaScript::keywords(int) const
    {69, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 15},	//958 QsciLexerJavaScript::description(int) const
    {69, 1587, 12, 1, Smoke::mf_static, 41, 16},	//959 QsciLexerJavaScript::tr(const char*)
    {69, 1591, 12, 1, Smoke::mf_static, 41, 17},	//960 QsciLexerJavaScript::trUtf8(const char*)
    {69, 499, 0, 0, Smoke::mf_ctor, 74, 18},	//961 QsciLexerJavaScript::QsciLexerJavaScript()
    {69, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 19},	//962 QsciLexerJavaScript::staticMetaObject() const
    {69, 1654, 0, 0, Smoke::mf_dtor, 0, 20 },	//963 QsciLexerJavaScript::~QsciLexerJavaScript()
    {70, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//964 QsciLexerLua::metaObject() const
    {70, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//965 QsciLexerLua::qt_metacast(const char*)
    {70, 1587, 42, 2, Smoke::mf_static, 41, 3},	//966 QsciLexerLua::tr(const char*, const char*)
    {70, 1591, 42, 2, Smoke::mf_static, 41, 4},	//967 QsciLexerLua::trUtf8(const char*, const char*)
    {70, 1587, 45, 3, Smoke::mf_static, 41, 5},	//968 QsciLexerLua::tr(const char*, const char*, int)
    {70, 1591, 45, 3, Smoke::mf_static, 41, 6},	//969 QsciLexerLua::trUtf8(const char*, const char*, int)
    {70, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//970 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {70, 501, 74, 1, Smoke::mf_ctor, 75, 8},	//971 QsciLexerLua::QsciLexerLua(QObject*)
    {70, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//972 QsciLexerLua::language() const
    {70, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//973 QsciLexerLua::lexer() const
    {70, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//974 QsciLexerLua::autoCompletionWordSeparators() const
    {70, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//975 QsciLexerLua::blockStart(int*) const
    {70, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 13},	//976 QsciLexerLua::braceStyle() const
    {70, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//977 QsciLexerLua::defaultColor(int) const
    {70, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 15},	//978 QsciLexerLua::defaultEolFill(int) const
    {70, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 16},	//979 QsciLexerLua::defaultFont(int) const
    {70, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 17},	//980 QsciLexerLua::defaultPaper(int) const
    {70, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 18},	//981 QsciLexerLua::keywords(int) const
    {70, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 19},	//982 QsciLexerLua::description(int) const
    {70, 1186, 0, 0, Smoke::mf_virtual, 0, 20},	//983 QsciLexerLua::refreshProperties()
    {70, 987, 0, 0, Smoke::mf_const, 191, 21},	//984 QsciLexerLua::foldCompact() const
    {70, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//985 QsciLexerLua::setFoldCompact(bool)
    {70, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 23},	//986 QsciLexerLua::readProperties(QSettings&, const QString&)
    {70, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//987 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {70, 1587, 12, 1, Smoke::mf_static, 41, 25},	//988 QsciLexerLua::tr(const char*)
    {70, 1591, 12, 1, Smoke::mf_static, 41, 26},	//989 QsciLexerLua::trUtf8(const char*)
    {70, 501, 0, 0, Smoke::mf_ctor, 75, 27},	//990 QsciLexerLua::QsciLexerLua()
    {70, 845, 0, 0, Smoke::mf_const, 215, 28},	//991 QsciLexerLua::blockStart() const
    {70, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//992 QsciLexerLua::staticMetaObject() const
    {70, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//993 QsciLexerLua::Default (enum)
    {70, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//994 QsciLexerLua::Comment (enum)
    {70, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//995 QsciLexerLua::LineComment (enum)
    {70, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//996 QsciLexerLua::Number (enum)
    {70, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//997 QsciLexerLua::Keyword (enum)
    {70, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//998 QsciLexerLua::String (enum)
    {70, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//999 QsciLexerLua::Character (enum)
    {70, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1000 QsciLexerLua::LiteralString (enum)
    {70, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1001 QsciLexerLua::Preprocessor (enum)
    {70, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1002 QsciLexerLua::Operator (enum)
    {70, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1003 QsciLexerLua::Identifier (enum)
    {70, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1004 QsciLexerLua::UnclosedString (enum)
    {70, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1005 QsciLexerLua::BasicFunctions (enum)
    {70, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1006 QsciLexerLua::StringTableMathsFunctions (enum)
    {70, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1007 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {70, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1008 QsciLexerLua::KeywordSet5 (enum)
    {70, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1009 QsciLexerLua::KeywordSet6 (enum)
    {70, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1010 QsciLexerLua::KeywordSet7 (enum)
    {70, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1011 QsciLexerLua::KeywordSet8 (enum)
    {70, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1012 QsciLexerLua::Label (enum)
    {70, 1655, 0, 0, Smoke::mf_dtor, 0, 50 },	//1013 QsciLexerLua::~QsciLexerLua()
    {71, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1014 QsciLexerMakefile::metaObject() const
    {71, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1015 QsciLexerMakefile::qt_metacast(const char*)
    {71, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1016 QsciLexerMakefile::tr(const char*, const char*)
    {71, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1017 QsciLexerMakefile::trUtf8(const char*, const char*)
    {71, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1018 QsciLexerMakefile::tr(const char*, const char*, int)
    {71, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1019 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {71, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1020 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {71, 503, 74, 1, Smoke::mf_ctor, 76, 8},	//1021 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {71, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1022 QsciLexerMakefile::language() const
    {71, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1023 QsciLexerMakefile::lexer() const
    {71, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1024 QsciLexerMakefile::wordCharacters() const
    {71, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1025 QsciLexerMakefile::defaultColor(int) const
    {71, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1026 QsciLexerMakefile::defaultEolFill(int) const
    {71, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1027 QsciLexerMakefile::defaultFont(int) const
    {71, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1028 QsciLexerMakefile::defaultPaper(int) const
    {71, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1029 QsciLexerMakefile::description(int) const
    {71, 1587, 12, 1, Smoke::mf_static, 41, 17},	//1030 QsciLexerMakefile::tr(const char*)
    {71, 1591, 12, 1, Smoke::mf_static, 41, 18},	//1031 QsciLexerMakefile::trUtf8(const char*)
    {71, 503, 0, 0, Smoke::mf_ctor, 76, 19},	//1032 QsciLexerMakefile::QsciLexerMakefile()
    {71, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 20},	//1033 QsciLexerMakefile::staticMetaObject() const
    {71, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 21},	//1034 QsciLexerMakefile::Default (enum)
    {71, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 22},	//1035 QsciLexerMakefile::Comment (enum)
    {71, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 23},	//1036 QsciLexerMakefile::Preprocessor (enum)
    {71, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 24},	//1037 QsciLexerMakefile::Variable (enum)
    {71, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 25},	//1038 QsciLexerMakefile::Operator (enum)
    {71, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//1039 QsciLexerMakefile::Target (enum)
    {71, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1040 QsciLexerMakefile::Error (enum)
    {71, 1656, 0, 0, Smoke::mf_dtor, 0, 28 },	//1041 QsciLexerMakefile::~QsciLexerMakefile()
    {72, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1042 QsciLexerPOV::metaObject() const
    {72, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1043 QsciLexerPOV::qt_metacast(const char*)
    {72, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1044 QsciLexerPOV::tr(const char*, const char*)
    {72, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1045 QsciLexerPOV::trUtf8(const char*, const char*)
    {72, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1046 QsciLexerPOV::tr(const char*, const char*, int)
    {72, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1047 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {72, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1048 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {72, 505, 74, 1, Smoke::mf_ctor, 77, 8},	//1049 QsciLexerPOV::QsciLexerPOV(QObject*)
    {72, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1050 QsciLexerPOV::language() const
    {72, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1051 QsciLexerPOV::lexer() const
    {72, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1052 QsciLexerPOV::braceStyle() const
    {72, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1053 QsciLexerPOV::wordCharacters() const
    {72, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 13},	//1054 QsciLexerPOV::defaultColor(int) const
    {72, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 14},	//1055 QsciLexerPOV::defaultEolFill(int) const
    {72, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 15},	//1056 QsciLexerPOV::defaultFont(int) const
    {72, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1057 QsciLexerPOV::defaultPaper(int) const
    {72, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 17},	//1058 QsciLexerPOV::keywords(int) const
    {72, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 18},	//1059 QsciLexerPOV::description(int) const
    {72, 1186, 0, 0, Smoke::mf_virtual, 0, 19},	//1060 QsciLexerPOV::refreshProperties()
    {72, 986, 0, 0, Smoke::mf_const, 191, 20},	//1061 QsciLexerPOV::foldComments() const
    {72, 987, 0, 0, Smoke::mf_const, 191, 21},	//1062 QsciLexerPOV::foldCompact() const
    {72, 988, 0, 0, Smoke::mf_const, 191, 22},	//1063 QsciLexerPOV::foldDirectives() const
    {72, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1064 QsciLexerPOV::setFoldComments(bool)
    {72, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1065 QsciLexerPOV::setFoldCompact(bool)
    {72, 1335, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1066 QsciLexerPOV::setFoldDirectives(bool)
    {72, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1067 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {72, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1068 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {72, 1587, 12, 1, Smoke::mf_static, 41, 28},	//1069 QsciLexerPOV::tr(const char*)
    {72, 1591, 12, 1, Smoke::mf_static, 41, 29},	//1070 QsciLexerPOV::trUtf8(const char*)
    {72, 505, 0, 0, Smoke::mf_ctor, 77, 30},	//1071 QsciLexerPOV::QsciLexerPOV()
    {72, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 31},	//1072 QsciLexerPOV::staticMetaObject() const
    {72, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1073 QsciLexerPOV::Default (enum)
    {72, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1074 QsciLexerPOV::Comment (enum)
    {72, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1075 QsciLexerPOV::CommentLine (enum)
    {72, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1076 QsciLexerPOV::Number (enum)
    {72, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1077 QsciLexerPOV::Operator (enum)
    {72, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1078 QsciLexerPOV::Identifier (enum)
    {72, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1079 QsciLexerPOV::String (enum)
    {72, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1080 QsciLexerPOV::UnclosedString (enum)
    {72, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1081 QsciLexerPOV::Directive (enum)
    {72, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1082 QsciLexerPOV::BadDirective (enum)
    {72, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1083 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {72, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1084 QsciLexerPOV::TypesModifiersItems (enum)
    {72, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1085 QsciLexerPOV::PredefinedIdentifiers (enum)
    {72, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1086 QsciLexerPOV::PredefinedFunctions (enum)
    {72, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1087 QsciLexerPOV::KeywordSet6 (enum)
    {72, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1088 QsciLexerPOV::KeywordSet7 (enum)
    {72, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1089 QsciLexerPOV::KeywordSet8 (enum)
    {72, 1657, 0, 0, Smoke::mf_dtor, 0, 49 },	//1090 QsciLexerPOV::~QsciLexerPOV()
    {73, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1091 QsciLexerPascal::metaObject() const
    {73, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1092 QsciLexerPascal::qt_metacast(const char*)
    {73, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1093 QsciLexerPascal::tr(const char*, const char*)
    {73, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1094 QsciLexerPascal::trUtf8(const char*, const char*)
    {73, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1095 QsciLexerPascal::tr(const char*, const char*, int)
    {73, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1096 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {73, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1097 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {73, 507, 74, 1, Smoke::mf_ctor, 78, 8},	//1098 QsciLexerPascal::QsciLexerPascal(QObject*)
    {73, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1099 QsciLexerPascal::language() const
    {73, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1100 QsciLexerPascal::lexer() const
    {73, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1101 QsciLexerPascal::autoCompletionWordSeparators() const
    {73, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1102 QsciLexerPascal::blockEnd(int*) const
    {73, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1103 QsciLexerPascal::blockStart(int*) const
    {73, 847, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1104 QsciLexerPascal::blockStartKeyword(int*) const
    {73, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 15},	//1105 QsciLexerPascal::braceStyle() const
    {73, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1106 QsciLexerPascal::defaultColor(int) const
    {73, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 17},	//1107 QsciLexerPascal::defaultEolFill(int) const
    {73, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1108 QsciLexerPascal::defaultFont(int) const
    {73, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1109 QsciLexerPascal::defaultPaper(int) const
    {73, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1110 QsciLexerPascal::keywords(int) const
    {73, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1111 QsciLexerPascal::description(int) const
    {73, 1186, 0, 0, Smoke::mf_virtual, 0, 22},	//1112 QsciLexerPascal::refreshProperties()
    {73, 986, 0, 0, Smoke::mf_const, 191, 23},	//1113 QsciLexerPascal::foldComments() const
    {73, 987, 0, 0, Smoke::mf_const, 191, 24},	//1114 QsciLexerPascal::foldCompact() const
    {73, 994, 0, 0, Smoke::mf_const, 191, 25},	//1115 QsciLexerPascal::foldPreprocessor() const
    {73, 1497, 16, 1, 0, 0, 26},	//1116 QsciLexerPascal::setSmartHighlighting(bool)
    {73, 1556, 0, 0, Smoke::mf_const, 191, 27},	//1117 QsciLexerPascal::smartHighlighting() const
    {73, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1118 QsciLexerPascal::setFoldComments(bool)
    {73, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1119 QsciLexerPascal::setFoldCompact(bool)
    {73, 1345, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//1120 QsciLexerPascal::setFoldPreprocessor(bool)
    {73, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 31},	//1121 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {73, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 32},	//1122 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {73, 1587, 12, 1, Smoke::mf_static, 41, 33},	//1123 QsciLexerPascal::tr(const char*)
    {73, 1591, 12, 1, Smoke::mf_static, 41, 34},	//1124 QsciLexerPascal::trUtf8(const char*)
    {73, 507, 0, 0, Smoke::mf_ctor, 78, 35},	//1125 QsciLexerPascal::QsciLexerPascal()
    {73, 842, 0, 0, Smoke::mf_const, 215, 36},	//1126 QsciLexerPascal::blockEnd() const
    {73, 845, 0, 0, Smoke::mf_const, 215, 37},	//1127 QsciLexerPascal::blockStart() const
    {73, 847, 0, 0, Smoke::mf_const, 215, 38},	//1128 QsciLexerPascal::blockStartKeyword() const
    {73, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 39},	//1129 QsciLexerPascal::staticMetaObject() const
    {73, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1130 QsciLexerPascal::Default (enum)
    {73, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1131 QsciLexerPascal::Identifier (enum)
    {73, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1132 QsciLexerPascal::Comment (enum)
    {73, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1133 QsciLexerPascal::CommentParenthesis (enum)
    {73, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1134 QsciLexerPascal::CommentLine (enum)
    {73, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1135 QsciLexerPascal::PreProcessor (enum)
    {73, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1136 QsciLexerPascal::PreProcessorParenthesis (enum)
    {73, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1137 QsciLexerPascal::Number (enum)
    {73, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1138 QsciLexerPascal::HexNumber (enum)
    {73, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1139 QsciLexerPascal::Keyword (enum)
    {73, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1140 QsciLexerPascal::SingleQuotedString (enum)
    {73, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1141 QsciLexerPascal::UnclosedString (enum)
    {73, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1142 QsciLexerPascal::Character (enum)
    {73, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1143 QsciLexerPascal::Operator (enum)
    {73, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1144 QsciLexerPascal::Asm (enum)
    {73, 1658, 0, 0, Smoke::mf_dtor, 0, 55 },	//1145 QsciLexerPascal::~QsciLexerPascal()
    {74, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1146 QsciLexerPerl::metaObject() const
    {74, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1147 QsciLexerPerl::qt_metacast(const char*)
    {74, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1148 QsciLexerPerl::tr(const char*, const char*)
    {74, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1149 QsciLexerPerl::trUtf8(const char*, const char*)
    {74, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1150 QsciLexerPerl::tr(const char*, const char*, int)
    {74, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1151 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {74, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1152 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {74, 509, 74, 1, Smoke::mf_ctor, 79, 8},	//1153 QsciLexerPerl::QsciLexerPerl(QObject*)
    {74, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1154 QsciLexerPerl::language() const
    {74, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1155 QsciLexerPerl::lexer() const
    {74, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1156 QsciLexerPerl::autoCompletionWordSeparators() const
    {74, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1157 QsciLexerPerl::blockEnd(int*) const
    {74, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1158 QsciLexerPerl::blockStart(int*) const
    {74, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1159 QsciLexerPerl::braceStyle() const
    {74, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1160 QsciLexerPerl::wordCharacters() const
    {74, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 16},	//1161 QsciLexerPerl::defaultColor(int) const
    {74, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 17},	//1162 QsciLexerPerl::defaultEolFill(int) const
    {74, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 18},	//1163 QsciLexerPerl::defaultFont(int) const
    {74, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 19},	//1164 QsciLexerPerl::defaultPaper(int) const
    {74, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1165 QsciLexerPerl::keywords(int) const
    {74, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1166 QsciLexerPerl::description(int) const
    {74, 1186, 0, 0, Smoke::mf_virtual, 0, 22},	//1167 QsciLexerPerl::refreshProperties()
    {74, 1327, 16, 1, 0, 0, 23},	//1168 QsciLexerPerl::setFoldAtElse(bool)
    {74, 984, 0, 0, Smoke::mf_const, 191, 24},	//1169 QsciLexerPerl::foldAtElse() const
    {74, 986, 0, 0, Smoke::mf_const, 191, 25},	//1170 QsciLexerPerl::foldComments() const
    {74, 987, 0, 0, Smoke::mf_const, 191, 26},	//1171 QsciLexerPerl::foldCompact() const
    {74, 1343, 16, 1, 0, 0, 27},	//1172 QsciLexerPerl::setFoldPackages(bool)
    {74, 993, 0, 0, Smoke::mf_const, 191, 28},	//1173 QsciLexerPerl::foldPackages() const
    {74, 1341, 16, 1, 0, 0, 29},	//1174 QsciLexerPerl::setFoldPODBlocks(bool)
    {74, 992, 0, 0, Smoke::mf_const, 191, 30},	//1175 QsciLexerPerl::foldPODBlocks() const
    {74, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//1176 QsciLexerPerl::setFoldComments(bool)
    {74, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1177 QsciLexerPerl::setFoldCompact(bool)
    {74, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 33},	//1178 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {74, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 34},	//1179 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {74, 1587, 12, 1, Smoke::mf_static, 41, 35},	//1180 QsciLexerPerl::tr(const char*)
    {74, 1591, 12, 1, Smoke::mf_static, 41, 36},	//1181 QsciLexerPerl::trUtf8(const char*)
    {74, 509, 0, 0, Smoke::mf_ctor, 79, 37},	//1182 QsciLexerPerl::QsciLexerPerl()
    {74, 842, 0, 0, Smoke::mf_const, 215, 38},	//1183 QsciLexerPerl::blockEnd() const
    {74, 845, 0, 0, Smoke::mf_const, 215, 39},	//1184 QsciLexerPerl::blockStart() const
    {74, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 40},	//1185 QsciLexerPerl::staticMetaObject() const
    {74, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1186 QsciLexerPerl::Default (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1187 QsciLexerPerl::Error (enum)
    {74, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1188 QsciLexerPerl::Comment (enum)
    {74, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1189 QsciLexerPerl::POD (enum)
    {74, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1190 QsciLexerPerl::Number (enum)
    {74, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1191 QsciLexerPerl::Keyword (enum)
    {74, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1192 QsciLexerPerl::DoubleQuotedString (enum)
    {74, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1193 QsciLexerPerl::SingleQuotedString (enum)
    {74, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1194 QsciLexerPerl::Operator (enum)
    {74, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1195 QsciLexerPerl::Identifier (enum)
    {74, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1196 QsciLexerPerl::Scalar (enum)
    {74, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1197 QsciLexerPerl::Array (enum)
    {74, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1198 QsciLexerPerl::Hash (enum)
    {74, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1199 QsciLexerPerl::SymbolTable (enum)
    {74, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1200 QsciLexerPerl::Regex (enum)
    {74, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1201 QsciLexerPerl::Substitution (enum)
    {74, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1202 QsciLexerPerl::Backticks (enum)
    {74, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1203 QsciLexerPerl::DataSection (enum)
    {74, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1204 QsciLexerPerl::HereDocumentDelimiter (enum)
    {74, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1205 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1206 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {74, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1207 QsciLexerPerl::BacktickHereDocument (enum)
    {74, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1208 QsciLexerPerl::QuotedStringQ (enum)
    {74, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//1209 QsciLexerPerl::QuotedStringQQ (enum)
    {74, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//1210 QsciLexerPerl::QuotedStringQX (enum)
    {74, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 66},	//1211 QsciLexerPerl::QuotedStringQR (enum)
    {74, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 67},	//1212 QsciLexerPerl::QuotedStringQW (enum)
    {74, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 68},	//1213 QsciLexerPerl::PODVerbatim (enum)
    {74, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 69},	//1214 QsciLexerPerl::SubroutinePrototype (enum)
    {74, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 70},	//1215 QsciLexerPerl::FormatIdentifier (enum)
    {74, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 71},	//1216 QsciLexerPerl::FormatBody (enum)
    {74, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 72},	//1217 QsciLexerPerl::DoubleQuotedStringVar (enum)
    {74, 729, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 73},	//1218 QsciLexerPerl::Translation (enum)
    {74, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 74},	//1219 QsciLexerPerl::RegexVar (enum)
    {74, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 75},	//1220 QsciLexerPerl::SubstitutionVar (enum)
    {74, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 76},	//1221 QsciLexerPerl::BackticksVar (enum)
    {74, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 77},	//1222 QsciLexerPerl::DoubleQuotedHereDocumentVar (enum)
    {74, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 78},	//1223 QsciLexerPerl::BacktickHereDocumentVar (enum)
    {74, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 79},	//1224 QsciLexerPerl::QuotedStringQQVar (enum)
    {74, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 80},	//1225 QsciLexerPerl::QuotedStringQXVar (enum)
    {74, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 81},	//1226 QsciLexerPerl::QuotedStringQRVar (enum)
    {74, 1659, 0, 0, Smoke::mf_dtor, 0, 82 },	//1227 QsciLexerPerl::~QsciLexerPerl()
    {75, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1228 QsciLexerPostScript::metaObject() const
    {75, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1229 QsciLexerPostScript::qt_metacast(const char*)
    {75, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1230 QsciLexerPostScript::tr(const char*, const char*)
    {75, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1231 QsciLexerPostScript::trUtf8(const char*, const char*)
    {75, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1232 QsciLexerPostScript::tr(const char*, const char*, int)
    {75, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1233 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {75, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1234 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {75, 511, 74, 1, Smoke::mf_ctor, 80, 8},	//1235 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {75, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1236 QsciLexerPostScript::language() const
    {75, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1237 QsciLexerPostScript::lexer() const
    {75, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1238 QsciLexerPostScript::braceStyle() const
    {75, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1239 QsciLexerPostScript::defaultColor(int) const
    {75, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1240 QsciLexerPostScript::defaultFont(int) const
    {75, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1241 QsciLexerPostScript::defaultPaper(int) const
    {75, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1242 QsciLexerPostScript::keywords(int) const
    {75, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1243 QsciLexerPostScript::description(int) const
    {75, 1186, 0, 0, Smoke::mf_virtual, 0, 17},	//1244 QsciLexerPostScript::refreshProperties()
    {75, 1586, 0, 0, Smoke::mf_const, 191, 18},	//1245 QsciLexerPostScript::tokenize() const
    {75, 1071, 0, 0, Smoke::mf_const, 217, 19},	//1246 QsciLexerPostScript::level() const
    {75, 987, 0, 0, Smoke::mf_const, 191, 20},	//1247 QsciLexerPostScript::foldCompact() const
    {75, 984, 0, 0, Smoke::mf_const, 191, 21},	//1248 QsciLexerPostScript::foldAtElse() const
    {75, 1516, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1249 QsciLexerPostScript::setTokenize(bool)
    {75, 1418, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1250 QsciLexerPostScript::setLevel(int)
    {75, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1251 QsciLexerPostScript::setFoldCompact(bool)
    {75, 1327, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1252 QsciLexerPostScript::setFoldAtElse(bool)
    {75, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1253 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {75, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1254 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {75, 1587, 12, 1, Smoke::mf_static, 41, 28},	//1255 QsciLexerPostScript::tr(const char*)
    {75, 1591, 12, 1, Smoke::mf_static, 41, 29},	//1256 QsciLexerPostScript::trUtf8(const char*)
    {75, 511, 0, 0, Smoke::mf_ctor, 80, 30},	//1257 QsciLexerPostScript::QsciLexerPostScript()
    {75, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 31},	//1258 QsciLexerPostScript::staticMetaObject() const
    {75, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1259 QsciLexerPostScript::Default (enum)
    {75, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1260 QsciLexerPostScript::Comment (enum)
    {75, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1261 QsciLexerPostScript::DSCComment (enum)
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1262 QsciLexerPostScript::DSCCommentValue (enum)
    {75, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1263 QsciLexerPostScript::Number (enum)
    {75, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1264 QsciLexerPostScript::Name (enum)
    {75, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1265 QsciLexerPostScript::Keyword (enum)
    {75, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1266 QsciLexerPostScript::Literal (enum)
    {75, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1267 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {75, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1268 QsciLexerPostScript::ArrayParenthesis (enum)
    {75, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1269 QsciLexerPostScript::DictionaryParenthesis (enum)
    {75, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1270 QsciLexerPostScript::ProcedureParenthesis (enum)
    {75, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1271 QsciLexerPostScript::Text (enum)
    {75, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1272 QsciLexerPostScript::HexString (enum)
    {75, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1273 QsciLexerPostScript::Base85String (enum)
    {75, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1274 QsciLexerPostScript::BadStringCharacter (enum)
    {75, 1660, 0, 0, Smoke::mf_dtor, 0, 48 },	//1275 QsciLexerPostScript::~QsciLexerPostScript()
    {76, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1276 QsciLexerProperties::metaObject() const
    {76, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1277 QsciLexerProperties::qt_metacast(const char*)
    {76, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1278 QsciLexerProperties::tr(const char*, const char*)
    {76, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1279 QsciLexerProperties::trUtf8(const char*, const char*)
    {76, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1280 QsciLexerProperties::tr(const char*, const char*, int)
    {76, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1281 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {76, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1282 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {76, 513, 74, 1, Smoke::mf_ctor, 81, 8},	//1283 QsciLexerProperties::QsciLexerProperties(QObject*)
    {76, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1284 QsciLexerProperties::language() const
    {76, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1285 QsciLexerProperties::lexer() const
    {76, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1286 QsciLexerProperties::wordCharacters() const
    {76, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1287 QsciLexerProperties::defaultColor(int) const
    {76, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1288 QsciLexerProperties::defaultEolFill(int) const
    {76, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1289 QsciLexerProperties::defaultFont(int) const
    {76, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1290 QsciLexerProperties::defaultPaper(int) const
    {76, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1291 QsciLexerProperties::description(int) const
    {76, 1186, 0, 0, Smoke::mf_virtual, 0, 17},	//1292 QsciLexerProperties::refreshProperties()
    {76, 987, 0, 0, Smoke::mf_const, 191, 18},	//1293 QsciLexerProperties::foldCompact() const
    {76, 1412, 16, 1, 0, 0, 19},	//1294 QsciLexerProperties::setInitialSpaces(bool)
    {76, 1040, 0, 0, Smoke::mf_const, 191, 20},	//1295 QsciLexerProperties::initialSpaces() const
    {76, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1296 QsciLexerProperties::setFoldCompact(bool)
    {76, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//1297 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {76, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 23},	//1298 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {76, 1587, 12, 1, Smoke::mf_static, 41, 24},	//1299 QsciLexerProperties::tr(const char*)
    {76, 1591, 12, 1, Smoke::mf_static, 41, 25},	//1300 QsciLexerProperties::trUtf8(const char*)
    {76, 513, 0, 0, Smoke::mf_ctor, 81, 26},	//1301 QsciLexerProperties::QsciLexerProperties()
    {76, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 27},	//1302 QsciLexerProperties::staticMetaObject() const
    {76, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1303 QsciLexerProperties::Default (enum)
    {76, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1304 QsciLexerProperties::Comment (enum)
    {76, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1305 QsciLexerProperties::Section (enum)
    {76, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1306 QsciLexerProperties::Assignment (enum)
    {76, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1307 QsciLexerProperties::DefaultValue (enum)
    {76, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1308 QsciLexerProperties::Key (enum)
    {76, 1661, 0, 0, Smoke::mf_dtor, 0, 34 },	//1309 QsciLexerProperties::~QsciLexerProperties()
    {77, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1310 QsciLexerPython::metaObject() const
    {77, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1311 QsciLexerPython::qt_metacast(const char*)
    {77, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1312 QsciLexerPython::tr(const char*, const char*)
    {77, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1313 QsciLexerPython::trUtf8(const char*, const char*)
    {77, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1314 QsciLexerPython::tr(const char*, const char*, int)
    {77, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1315 QsciLexerPython::trUtf8(const char*, const char*, int)
    {77, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1316 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {77, 515, 74, 1, Smoke::mf_ctor, 82, 8},	//1317 QsciLexerPython::QsciLexerPython(QObject*)
    {77, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1318 QsciLexerPython::language() const
    {77, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1319 QsciLexerPython::lexer() const
    {77, 836, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 42, 11},	//1320 QsciLexerPython::autoCompletionWordSeparators() const
    {77, 844, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 12},	//1321 QsciLexerPython::blockLookback() const
    {77, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1322 QsciLexerPython::blockStart(int*) const
    {77, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1323 QsciLexerPython::braceStyle() const
    {77, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1324 QsciLexerPython::defaultColor(int) const
    {77, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 16},	//1325 QsciLexerPython::defaultEolFill(int) const
    {77, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1326 QsciLexerPython::defaultFont(int) const
    {77, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1327 QsciLexerPython::defaultPaper(int) const
    {77, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 19},	//1328 QsciLexerPython::indentationGuideView() const
    {77, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 20},	//1329 QsciLexerPython::keywords(int) const
    {77, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 21},	//1330 QsciLexerPython::description(int) const
    {77, 1186, 0, 0, Smoke::mf_virtual, 0, 22},	//1331 QsciLexerPython::refreshProperties()
    {77, 986, 0, 0, Smoke::mf_const, 191, 23},	//1332 QsciLexerPython::foldComments() const
    {77, 1333, 16, 1, 0, 0, 24},	//1333 QsciLexerPython::setFoldCompact(bool)
    {77, 987, 0, 0, Smoke::mf_const, 191, 25},	//1334 QsciLexerPython::foldCompact() const
    {77, 995, 0, 0, Smoke::mf_const, 191, 26},	//1335 QsciLexerPython::foldQuotes() const
    {77, 1028, 0, 0, Smoke::mf_const, 83, 27},	//1336 QsciLexerPython::indentationWarning() const
    {77, 1369, 16, 1, 0, 0, 28},	//1337 QsciLexerPython::setHighlightSubidentifiers(bool)
    {77, 1019, 0, 0, Smoke::mf_const, 191, 29},	//1338 QsciLexerPython::highlightSubidentifiers() const
    {77, 1499, 16, 1, 0, 0, 30},	//1339 QsciLexerPython::setStringsOverNewlineAllowed(bool)
    {77, 1563, 0, 0, Smoke::mf_const, 191, 31},	//1340 QsciLexerPython::stringsOverNewlineAllowed() const
    {77, 1526, 16, 1, 0, 0, 32},	//1341 QsciLexerPython::setV2UnicodeAllowed(bool)
    {77, 1602, 0, 0, Smoke::mf_const, 191, 33},	//1342 QsciLexerPython::v2UnicodeAllowed() const
    {77, 1528, 16, 1, 0, 0, 34},	//1343 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {77, 1603, 0, 0, Smoke::mf_const, 191, 35},	//1344 QsciLexerPython::v3BinaryOctalAllowed() const
    {77, 1530, 16, 1, 0, 0, 36},	//1345 QsciLexerPython::setV3BytesAllowed(bool)
    {77, 1604, 0, 0, Smoke::mf_const, 191, 37},	//1346 QsciLexerPython::v3BytesAllowed() const
    {77, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 38},	//1347 QsciLexerPython::setFoldComments(bool)
    {77, 1347, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 39},	//1348 QsciLexerPython::setFoldQuotes(bool)
    {77, 1391, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//1349 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {77, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 41},	//1350 QsciLexerPython::readProperties(QSettings&, const QString&)
    {77, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 42},	//1351 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {77, 1587, 12, 1, Smoke::mf_static, 41, 43},	//1352 QsciLexerPython::tr(const char*)
    {77, 1591, 12, 1, Smoke::mf_static, 41, 44},	//1353 QsciLexerPython::trUtf8(const char*)
    {77, 515, 0, 0, Smoke::mf_ctor, 82, 45},	//1354 QsciLexerPython::QsciLexerPython()
    {77, 845, 0, 0, Smoke::mf_const, 215, 46},	//1355 QsciLexerPython::blockStart() const
    {77, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 47},	//1356 QsciLexerPython::staticMetaObject() const
    {77, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1357 QsciLexerPython::Default (enum)
    {77, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1358 QsciLexerPython::Comment (enum)
    {77, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1359 QsciLexerPython::Number (enum)
    {77, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1360 QsciLexerPython::DoubleQuotedString (enum)
    {77, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1361 QsciLexerPython::SingleQuotedString (enum)
    {77, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1362 QsciLexerPython::Keyword (enum)
    {77, 734, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1363 QsciLexerPython::TripleSingleQuotedString (enum)
    {77, 732, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1364 QsciLexerPython::TripleDoubleQuotedString (enum)
    {77, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1365 QsciLexerPython::ClassName (enum)
    {77, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1366 QsciLexerPython::FunctionMethodName (enum)
    {77, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1367 QsciLexerPython::Operator (enum)
    {77, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1368 QsciLexerPython::Identifier (enum)
    {77, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1369 QsciLexerPython::CommentBlock (enum)
    {77, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1370 QsciLexerPython::UnclosedString (enum)
    {77, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1371 QsciLexerPython::HighlightedIdentifier (enum)
    {77, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1372 QsciLexerPython::Decorator (enum)
    {77, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 64},	//1373 QsciLexerPython::NoWarning (enum)
    {77, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 65},	//1374 QsciLexerPython::Inconsistent (enum)
    {77, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 66},	//1375 QsciLexerPython::TabsAfterSpaces (enum)
    {77, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 67},	//1376 QsciLexerPython::Spaces (enum)
    {77, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 68},	//1377 QsciLexerPython::Tabs (enum)
    {77, 1662, 0, 0, Smoke::mf_dtor, 0, 69 },	//1378 QsciLexerPython::~QsciLexerPython()
    {78, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1379 QsciLexerRuby::metaObject() const
    {78, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1380 QsciLexerRuby::qt_metacast(const char*)
    {78, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1381 QsciLexerRuby::tr(const char*, const char*)
    {78, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1382 QsciLexerRuby::trUtf8(const char*, const char*)
    {78, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1383 QsciLexerRuby::tr(const char*, const char*, int)
    {78, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1384 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {78, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1385 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {78, 517, 74, 1, Smoke::mf_ctor, 84, 8},	//1386 QsciLexerRuby::QsciLexerRuby(QObject*)
    {78, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1387 QsciLexerRuby::language() const
    {78, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1388 QsciLexerRuby::lexer() const
    {78, 842, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1389 QsciLexerRuby::blockEnd(int*) const
    {78, 845, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1390 QsciLexerRuby::blockStart(int*) const
    {78, 847, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1391 QsciLexerRuby::blockStartKeyword(int*) const
    {78, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 14},	//1392 QsciLexerRuby::braceStyle() const
    {78, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1393 QsciLexerRuby::defaultColor(int) const
    {78, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 16},	//1394 QsciLexerRuby::defaultEolFill(int) const
    {78, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 17},	//1395 QsciLexerRuby::defaultFont(int) const
    {78, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 18},	//1396 QsciLexerRuby::defaultPaper(int) const
    {78, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 19},	//1397 QsciLexerRuby::keywords(int) const
    {78, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 20},	//1398 QsciLexerRuby::description(int) const
    {78, 1186, 0, 0, Smoke::mf_virtual, 0, 21},	//1399 QsciLexerRuby::refreshProperties()
    {78, 1331, 16, 1, 0, 0, 22},	//1400 QsciLexerRuby::setFoldComments(bool)
    {78, 986, 0, 0, Smoke::mf_const, 191, 23},	//1401 QsciLexerRuby::foldComments() const
    {78, 1333, 16, 1, 0, 0, 24},	//1402 QsciLexerRuby::setFoldCompact(bool)
    {78, 987, 0, 0, Smoke::mf_const, 191, 25},	//1403 QsciLexerRuby::foldCompact() const
    {78, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 26},	//1404 QsciLexerRuby::readProperties(QSettings&, const QString&)
    {78, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 27},	//1405 QsciLexerRuby::writeProperties(QSettings&, const QString&) const
    {78, 1587, 12, 1, Smoke::mf_static, 41, 28},	//1406 QsciLexerRuby::tr(const char*)
    {78, 1591, 12, 1, Smoke::mf_static, 41, 29},	//1407 QsciLexerRuby::trUtf8(const char*)
    {78, 517, 0, 0, Smoke::mf_ctor, 84, 30},	//1408 QsciLexerRuby::QsciLexerRuby()
    {78, 842, 0, 0, Smoke::mf_const, 215, 31},	//1409 QsciLexerRuby::blockEnd() const
    {78, 845, 0, 0, Smoke::mf_const, 215, 32},	//1410 QsciLexerRuby::blockStart() const
    {78, 847, 0, 0, Smoke::mf_const, 215, 33},	//1411 QsciLexerRuby::blockStartKeyword() const
    {78, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 34},	//1412 QsciLexerRuby::staticMetaObject() const
    {78, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1413 QsciLexerRuby::Default (enum)
    {78, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1414 QsciLexerRuby::Error (enum)
    {78, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1415 QsciLexerRuby::Comment (enum)
    {78, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1416 QsciLexerRuby::POD (enum)
    {78, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1417 QsciLexerRuby::Number (enum)
    {78, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1418 QsciLexerRuby::Keyword (enum)
    {78, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1419 QsciLexerRuby::DoubleQuotedString (enum)
    {78, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1420 QsciLexerRuby::SingleQuotedString (enum)
    {78, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1421 QsciLexerRuby::ClassName (enum)
    {78, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1422 QsciLexerRuby::FunctionMethodName (enum)
    {78, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1423 QsciLexerRuby::Operator (enum)
    {78, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1424 QsciLexerRuby::Identifier (enum)
    {78, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1425 QsciLexerRuby::Regex (enum)
    {78, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1426 QsciLexerRuby::Global (enum)
    {78, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1427 QsciLexerRuby::Symbol (enum)
    {78, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1428 QsciLexerRuby::ModuleName (enum)
    {78, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1429 QsciLexerRuby::InstanceVariable (enum)
    {78, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1430 QsciLexerRuby::ClassVariable (enum)
    {78, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1431 QsciLexerRuby::Backticks (enum)
    {78, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1432 QsciLexerRuby::DataSection (enum)
    {78, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1433 QsciLexerRuby::HereDocumentDelimiter (enum)
    {78, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1434 QsciLexerRuby::HereDocument (enum)
    {78, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1435 QsciLexerRuby::PercentStringq (enum)
    {78, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1436 QsciLexerRuby::PercentStringQ (enum)
    {78, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1437 QsciLexerRuby::PercentStringx (enum)
    {78, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1438 QsciLexerRuby::PercentStringr (enum)
    {78, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1439 QsciLexerRuby::PercentStringw (enum)
    {78, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1440 QsciLexerRuby::DemotedKeyword (enum)
    {78, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 63},	//1441 QsciLexerRuby::Stdin (enum)
    {78, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 64},	//1442 QsciLexerRuby::Stdout (enum)
    {78, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 65},	//1443 QsciLexerRuby::Stderr (enum)
    {78, 1663, 0, 0, Smoke::mf_dtor, 0, 66 },	//1444 QsciLexerRuby::~QsciLexerRuby()
    {79, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1445 QsciLexerSQL::metaObject() const
    {79, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1446 QsciLexerSQL::qt_metacast(const char*)
    {79, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1447 QsciLexerSQL::tr(const char*, const char*)
    {79, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1448 QsciLexerSQL::trUtf8(const char*, const char*)
    {79, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1449 QsciLexerSQL::tr(const char*, const char*, int)
    {79, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1450 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {79, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1451 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {79, 519, 74, 1, Smoke::mf_ctor, 85, 8},	//1452 QsciLexerSQL::QsciLexerSQL(QObject*)
    {79, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1453 QsciLexerSQL::language() const
    {79, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1454 QsciLexerSQL::lexer() const
    {79, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1455 QsciLexerSQL::braceStyle() const
    {79, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1456 QsciLexerSQL::defaultColor(int) const
    {79, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1457 QsciLexerSQL::defaultEolFill(int) const
    {79, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1458 QsciLexerSQL::defaultFont(int) const
    {79, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1459 QsciLexerSQL::defaultPaper(int) const
    {79, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1460 QsciLexerSQL::keywords(int) const
    {79, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1461 QsciLexerSQL::description(int) const
    {79, 1186, 0, 0, Smoke::mf_virtual, 0, 18},	//1462 QsciLexerSQL::refreshProperties()
    {79, 839, 0, 0, Smoke::mf_const, 191, 19},	//1463 QsciLexerSQL::backslashEscapes() const
    {79, 1302, 16, 1, 0, 0, 20},	//1464 QsciLexerSQL::setDottedWords(bool)
    {79, 925, 0, 0, Smoke::mf_const, 191, 21},	//1465 QsciLexerSQL::dottedWords() const
    {79, 1327, 16, 1, 0, 0, 22},	//1466 QsciLexerSQL::setFoldAtElse(bool)
    {79, 984, 0, 0, Smoke::mf_const, 191, 23},	//1467 QsciLexerSQL::foldAtElse() const
    {79, 986, 0, 0, Smoke::mf_const, 191, 24},	//1468 QsciLexerSQL::foldComments() const
    {79, 987, 0, 0, Smoke::mf_const, 191, 25},	//1469 QsciLexerSQL::foldCompact() const
    {79, 1339, 16, 1, 0, 0, 26},	//1470 QsciLexerSQL::setFoldOnlyBegin(bool)
    {79, 991, 0, 0, Smoke::mf_const, 191, 27},	//1471 QsciLexerSQL::foldOnlyBegin() const
    {79, 1361, 16, 1, 0, 0, 28},	//1472 QsciLexerSQL::setHashComments(bool)
    {79, 1013, 0, 0, Smoke::mf_const, 191, 29},	//1473 QsciLexerSQL::hashComments() const
    {79, 1476, 16, 1, 0, 0, 30},	//1474 QsciLexerSQL::setQuotedIdentifiers(bool)
    {79, 1173, 0, 0, Smoke::mf_const, 191, 31},	//1475 QsciLexerSQL::quotedIdentifiers() const
    {79, 1251, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1476 QsciLexerSQL::setBackslashEscapes(bool)
    {79, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1477 QsciLexerSQL::setFoldComments(bool)
    {79, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1478 QsciLexerSQL::setFoldCompact(bool)
    {79, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 35},	//1479 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {79, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 36},	//1480 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {79, 1587, 12, 1, Smoke::mf_static, 41, 37},	//1481 QsciLexerSQL::tr(const char*)
    {79, 1591, 12, 1, Smoke::mf_static, 41, 38},	//1482 QsciLexerSQL::trUtf8(const char*)
    {79, 519, 0, 0, Smoke::mf_ctor, 85, 39},	//1483 QsciLexerSQL::QsciLexerSQL()
    {79, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 40},	//1484 QsciLexerSQL::staticMetaObject() const
    {79, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1485 QsciLexerSQL::Default (enum)
    {79, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1486 QsciLexerSQL::Comment (enum)
    {79, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1487 QsciLexerSQL::CommentLine (enum)
    {79, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1488 QsciLexerSQL::CommentDoc (enum)
    {79, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1489 QsciLexerSQL::Number (enum)
    {79, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1490 QsciLexerSQL::Keyword (enum)
    {79, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1491 QsciLexerSQL::DoubleQuotedString (enum)
    {79, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1492 QsciLexerSQL::SingleQuotedString (enum)
    {79, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1493 QsciLexerSQL::PlusKeyword (enum)
    {79, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1494 QsciLexerSQL::PlusPrompt (enum)
    {79, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 51},	//1495 QsciLexerSQL::Operator (enum)
    {79, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 52},	//1496 QsciLexerSQL::Identifier (enum)
    {79, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 53},	//1497 QsciLexerSQL::PlusComment (enum)
    {79, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 54},	//1498 QsciLexerSQL::CommentLineHash (enum)
    {79, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 55},	//1499 QsciLexerSQL::CommentDocKeyword (enum)
    {79, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 56},	//1500 QsciLexerSQL::CommentDocKeywordError (enum)
    {79, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 57},	//1501 QsciLexerSQL::KeywordSet5 (enum)
    {79, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 58},	//1502 QsciLexerSQL::KeywordSet6 (enum)
    {79, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 59},	//1503 QsciLexerSQL::KeywordSet7 (enum)
    {79, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 60},	//1504 QsciLexerSQL::KeywordSet8 (enum)
    {79, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 61},	//1505 QsciLexerSQL::QuotedIdentifier (enum)
    {79, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 62},	//1506 QsciLexerSQL::QuotedOperator (enum)
    {79, 1664, 0, 0, Smoke::mf_dtor, 0, 63 },	//1507 QsciLexerSQL::~QsciLexerSQL()
    {80, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1508 QsciLexerTCL::metaObject() const
    {80, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1509 QsciLexerTCL::qt_metacast(const char*)
    {80, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1510 QsciLexerTCL::tr(const char*, const char*)
    {80, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1511 QsciLexerTCL::trUtf8(const char*, const char*)
    {80, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1512 QsciLexerTCL::tr(const char*, const char*, int)
    {80, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1513 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {80, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1514 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {80, 521, 74, 1, Smoke::mf_ctor, 86, 8},	//1515 QsciLexerTCL::QsciLexerTCL(QObject*)
    {80, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1516 QsciLexerTCL::language() const
    {80, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1517 QsciLexerTCL::lexer() const
    {80, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1518 QsciLexerTCL::braceStyle() const
    {80, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1519 QsciLexerTCL::defaultColor(int) const
    {80, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1520 QsciLexerTCL::defaultEolFill(int) const
    {80, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1521 QsciLexerTCL::defaultFont(int) const
    {80, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1522 QsciLexerTCL::defaultPaper(int) const
    {80, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1523 QsciLexerTCL::keywords(int) const
    {80, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1524 QsciLexerTCL::description(int) const
    {80, 1186, 0, 0, Smoke::mf_virtual, 0, 18},	//1525 QsciLexerTCL::refreshProperties()
    {80, 1331, 16, 1, 0, 0, 19},	//1526 QsciLexerTCL::setFoldComments(bool)
    {80, 986, 0, 0, Smoke::mf_const, 191, 20},	//1527 QsciLexerTCL::foldComments() const
    {80, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//1528 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {80, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 22},	//1529 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {80, 1587, 12, 1, Smoke::mf_static, 41, 23},	//1530 QsciLexerTCL::tr(const char*)
    {80, 1591, 12, 1, Smoke::mf_static, 41, 24},	//1531 QsciLexerTCL::trUtf8(const char*)
    {80, 521, 0, 0, Smoke::mf_ctor, 86, 25},	//1532 QsciLexerTCL::QsciLexerTCL()
    {80, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 26},	//1533 QsciLexerTCL::staticMetaObject() const
    {80, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1534 QsciLexerTCL::Default (enum)
    {80, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1535 QsciLexerTCL::Comment (enum)
    {80, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1536 QsciLexerTCL::CommentLine (enum)
    {80, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1537 QsciLexerTCL::Number (enum)
    {80, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1538 QsciLexerTCL::QuotedKeyword (enum)
    {80, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1539 QsciLexerTCL::QuotedString (enum)
    {80, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1540 QsciLexerTCL::Operator (enum)
    {80, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1541 QsciLexerTCL::Identifier (enum)
    {80, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1542 QsciLexerTCL::Substitution (enum)
    {80, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1543 QsciLexerTCL::SubstitutionBrace (enum)
    {80, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1544 QsciLexerTCL::Modifier (enum)
    {80, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1545 QsciLexerTCL::ExpandKeyword (enum)
    {80, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1546 QsciLexerTCL::TCLKeyword (enum)
    {80, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1547 QsciLexerTCL::TkKeyword (enum)
    {80, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1548 QsciLexerTCL::ITCLKeyword (enum)
    {80, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1549 QsciLexerTCL::TkCommand (enum)
    {80, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1550 QsciLexerTCL::KeywordSet6 (enum)
    {80, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1551 QsciLexerTCL::KeywordSet7 (enum)
    {80, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1552 QsciLexerTCL::KeywordSet8 (enum)
    {80, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1553 QsciLexerTCL::KeywordSet9 (enum)
    {80, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1554 QsciLexerTCL::CommentBox (enum)
    {80, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1555 QsciLexerTCL::CommentBlock (enum)
    {80, 1665, 0, 0, Smoke::mf_dtor, 0, 49 },	//1556 QsciLexerTCL::~QsciLexerTCL()
    {81, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1557 QsciLexerTeX::metaObject() const
    {81, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1558 QsciLexerTeX::qt_metacast(const char*)
    {81, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1559 QsciLexerTeX::tr(const char*, const char*)
    {81, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1560 QsciLexerTeX::trUtf8(const char*, const char*)
    {81, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1561 QsciLexerTeX::tr(const char*, const char*, int)
    {81, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1562 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {81, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1563 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {81, 523, 74, 1, Smoke::mf_ctor, 87, 8},	//1564 QsciLexerTeX::QsciLexerTeX(QObject*)
    {81, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1565 QsciLexerTeX::language() const
    {81, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1566 QsciLexerTeX::lexer() const
    {81, 1618, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1567 QsciLexerTeX::wordCharacters() const
    {81, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1568 QsciLexerTeX::defaultColor(int) const
    {81, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 13},	//1569 QsciLexerTeX::keywords(int) const
    {81, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 14},	//1570 QsciLexerTeX::description(int) const
    {81, 1186, 0, 0, Smoke::mf_virtual, 0, 15},	//1571 QsciLexerTeX::refreshProperties()
    {81, 1331, 16, 1, 0, 0, 16},	//1572 QsciLexerTeX::setFoldComments(bool)
    {81, 986, 0, 0, Smoke::mf_const, 191, 17},	//1573 QsciLexerTeX::foldComments() const
    {81, 1333, 16, 1, 0, 0, 18},	//1574 QsciLexerTeX::setFoldCompact(bool)
    {81, 987, 0, 0, Smoke::mf_const, 191, 19},	//1575 QsciLexerTeX::foldCompact() const
    {81, 1472, 16, 1, 0, 0, 20},	//1576 QsciLexerTeX::setProcessComments(bool)
    {81, 1165, 0, 0, Smoke::mf_const, 191, 21},	//1577 QsciLexerTeX::processComments() const
    {81, 1474, 16, 1, 0, 0, 22},	//1578 QsciLexerTeX::setProcessIf(bool)
    {81, 1166, 0, 0, Smoke::mf_const, 191, 23},	//1579 QsciLexerTeX::processIf() const
    {81, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 24},	//1580 QsciLexerTeX::readProperties(QSettings&, const QString&)
    {81, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 25},	//1581 QsciLexerTeX::writeProperties(QSettings&, const QString&) const
    {81, 1587, 12, 1, Smoke::mf_static, 41, 26},	//1582 QsciLexerTeX::tr(const char*)
    {81, 1591, 12, 1, Smoke::mf_static, 41, 27},	//1583 QsciLexerTeX::trUtf8(const char*)
    {81, 523, 0, 0, Smoke::mf_ctor, 87, 28},	//1584 QsciLexerTeX::QsciLexerTeX()
    {81, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 29},	//1585 QsciLexerTeX::staticMetaObject() const
    {81, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1586 QsciLexerTeX::Default (enum)
    {81, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1587 QsciLexerTeX::Special (enum)
    {81, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1588 QsciLexerTeX::Group (enum)
    {81, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1589 QsciLexerTeX::Symbol (enum)
    {81, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1590 QsciLexerTeX::Command (enum)
    {81, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1591 QsciLexerTeX::Text (enum)
    {81, 1666, 0, 0, Smoke::mf_dtor, 0, 36 },	//1592 QsciLexerTeX::~QsciLexerTeX()
    {82, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1593 QsciLexerVHDL::metaObject() const
    {82, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1594 QsciLexerVHDL::qt_metacast(const char*)
    {82, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1595 QsciLexerVHDL::tr(const char*, const char*)
    {82, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1596 QsciLexerVHDL::trUtf8(const char*, const char*)
    {82, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1597 QsciLexerVHDL::tr(const char*, const char*, int)
    {82, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1598 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {82, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1599 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {82, 525, 74, 1, Smoke::mf_ctor, 88, 8},	//1600 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {82, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1601 QsciLexerVHDL::language() const
    {82, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1602 QsciLexerVHDL::lexer() const
    {82, 852, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 217, 11},	//1603 QsciLexerVHDL::braceStyle() const
    {82, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 12},	//1604 QsciLexerVHDL::defaultColor(int) const
    {82, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 13},	//1605 QsciLexerVHDL::defaultEolFill(int) const
    {82, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 14},	//1606 QsciLexerVHDL::defaultFont(int) const
    {82, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 15},	//1607 QsciLexerVHDL::defaultPaper(int) const
    {82, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 16},	//1608 QsciLexerVHDL::keywords(int) const
    {82, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 17},	//1609 QsciLexerVHDL::description(int) const
    {82, 1186, 0, 0, Smoke::mf_virtual, 0, 18},	//1610 QsciLexerVHDL::refreshProperties()
    {82, 986, 0, 0, Smoke::mf_const, 191, 19},	//1611 QsciLexerVHDL::foldComments() const
    {82, 987, 0, 0, Smoke::mf_const, 191, 20},	//1612 QsciLexerVHDL::foldCompact() const
    {82, 984, 0, 0, Smoke::mf_const, 191, 21},	//1613 QsciLexerVHDL::foldAtElse() const
    {82, 983, 0, 0, Smoke::mf_const, 191, 22},	//1614 QsciLexerVHDL::foldAtBegin() const
    {82, 985, 0, 0, Smoke::mf_const, 191, 23},	//1615 QsciLexerVHDL::foldAtParenthesis() const
    {82, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1616 QsciLexerVHDL::setFoldComments(bool)
    {82, 1333, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1617 QsciLexerVHDL::setFoldCompact(bool)
    {82, 1327, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1618 QsciLexerVHDL::setFoldAtElse(bool)
    {82, 1325, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1619 QsciLexerVHDL::setFoldAtBegin(bool)
    {82, 1329, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1620 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {82, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 29},	//1621 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {82, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 30},	//1622 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {82, 1587, 12, 1, Smoke::mf_static, 41, 31},	//1623 QsciLexerVHDL::tr(const char*)
    {82, 1591, 12, 1, Smoke::mf_static, 41, 32},	//1624 QsciLexerVHDL::trUtf8(const char*)
    {82, 525, 0, 0, Smoke::mf_ctor, 88, 33},	//1625 QsciLexerVHDL::QsciLexerVHDL()
    {82, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 34},	//1626 QsciLexerVHDL::staticMetaObject() const
    {82, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1627 QsciLexerVHDL::Default (enum)
    {82, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 36},	//1628 QsciLexerVHDL::Comment (enum)
    {82, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 37},	//1629 QsciLexerVHDL::CommentLine (enum)
    {82, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 38},	//1630 QsciLexerVHDL::Number (enum)
    {82, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 39},	//1631 QsciLexerVHDL::String (enum)
    {82, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 40},	//1632 QsciLexerVHDL::Operator (enum)
    {82, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 41},	//1633 QsciLexerVHDL::Identifier (enum)
    {82, 738, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 42},	//1634 QsciLexerVHDL::UnclosedString (enum)
    {82, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 43},	//1635 QsciLexerVHDL::Keyword (enum)
    {82, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 44},	//1636 QsciLexerVHDL::StandardOperator (enum)
    {82, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 45},	//1637 QsciLexerVHDL::Attribute (enum)
    {82, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 46},	//1638 QsciLexerVHDL::StandardFunction (enum)
    {82, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 47},	//1639 QsciLexerVHDL::StandardPackage (enum)
    {82, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 48},	//1640 QsciLexerVHDL::StandardType (enum)
    {82, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 49},	//1641 QsciLexerVHDL::KeywordSet7 (enum)
    {82, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 50},	//1642 QsciLexerVHDL::CommentBlock (enum)
    {82, 1667, 0, 0, Smoke::mf_dtor, 0, 51 },	//1643 QsciLexerVHDL::~QsciLexerVHDL()
    {83, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1644 QsciLexerXML::metaObject() const
    {83, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1645 QsciLexerXML::qt_metacast(const char*)
    {83, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1646 QsciLexerXML::tr(const char*, const char*)
    {83, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1647 QsciLexerXML::trUtf8(const char*, const char*)
    {83, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1648 QsciLexerXML::tr(const char*, const char*, int)
    {83, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1649 QsciLexerXML::trUtf8(const char*, const char*, int)
    {83, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1650 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {83, 527, 74, 1, Smoke::mf_ctor, 89, 8},	//1651 QsciLexerXML::QsciLexerXML(QObject*)
    {83, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1652 QsciLexerXML::language() const
    {83, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1653 QsciLexerXML::lexer() const
    {83, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1654 QsciLexerXML::defaultColor(int) const
    {83, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//1655 QsciLexerXML::defaultEolFill(int) const
    {83, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1656 QsciLexerXML::defaultFont(int) const
    {83, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1657 QsciLexerXML::defaultPaper(int) const
    {83, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1658 QsciLexerXML::keywords(int) const
    {83, 1186, 0, 0, Smoke::mf_virtual, 0, 16},	//1659 QsciLexerXML::refreshProperties()
    {83, 1482, 16, 1, 0, 0, 17},	//1660 QsciLexerXML::setScriptsStyled(bool)
    {83, 1212, 0, 0, Smoke::mf_const, 191, 18},	//1661 QsciLexerXML::scriptsStyled() const
    {83, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 19},	//1662 QsciLexerXML::readProperties(QSettings&, const QString&)
    {83, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//1663 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {83, 1587, 12, 1, Smoke::mf_static, 41, 21},	//1664 QsciLexerXML::tr(const char*)
    {83, 1591, 12, 1, Smoke::mf_static, 41, 22},	//1665 QsciLexerXML::trUtf8(const char*)
    {83, 527, 0, 0, Smoke::mf_ctor, 89, 23},	//1666 QsciLexerXML::QsciLexerXML()
    {83, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 24},	//1667 QsciLexerXML::staticMetaObject() const
    {83, 1668, 0, 0, Smoke::mf_dtor, 0, 25 },	//1668 QsciLexerXML::~QsciLexerXML()
    {84, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1669 QsciLexerYAML::metaObject() const
    {84, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1670 QsciLexerYAML::qt_metacast(const char*)
    {84, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1671 QsciLexerYAML::tr(const char*, const char*)
    {84, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1672 QsciLexerYAML::trUtf8(const char*, const char*)
    {84, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1673 QsciLexerYAML::tr(const char*, const char*, int)
    {84, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1674 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {84, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1675 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {84, 529, 74, 1, Smoke::mf_ctor, 90, 8},	//1676 QsciLexerYAML::QsciLexerYAML(QObject*)
    {84, 1067, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1677 QsciLexerYAML::language() const
    {84, 1072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 10},	//1678 QsciLexerYAML::lexer() const
    {84, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 11},	//1679 QsciLexerYAML::defaultColor(int) const
    {84, 910, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 12},	//1680 QsciLexerYAML::defaultEolFill(int) const
    {84, 912, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 14, 13},	//1681 QsciLexerYAML::defaultFont(int) const
    {84, 914, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 6, 14},	//1682 QsciLexerYAML::defaultPaper(int) const
    {84, 1065, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 15},	//1683 QsciLexerYAML::keywords(int) const
    {84, 918, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 16},	//1684 QsciLexerYAML::description(int) const
    {84, 1186, 0, 0, Smoke::mf_virtual, 0, 17},	//1685 QsciLexerYAML::refreshProperties()
    {84, 986, 0, 0, Smoke::mf_const, 191, 18},	//1686 QsciLexerYAML::foldComments() const
    {84, 1331, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1687 QsciLexerYAML::setFoldComments(bool)
    {84, 1176, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 191, 20},	//1688 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {84, 1623, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 21},	//1689 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {84, 1587, 12, 1, Smoke::mf_static, 41, 22},	//1690 QsciLexerYAML::tr(const char*)
    {84, 1591, 12, 1, Smoke::mf_static, 41, 23},	//1691 QsciLexerYAML::trUtf8(const char*)
    {84, 529, 0, 0, Smoke::mf_ctor, 90, 24},	//1692 QsciLexerYAML::QsciLexerYAML()
    {84, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 25},	//1693 QsciLexerYAML::staticMetaObject() const
    {84, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 26},	//1694 QsciLexerYAML::Default (enum)
    {84, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 27},	//1695 QsciLexerYAML::Comment (enum)
    {84, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 28},	//1696 QsciLexerYAML::Identifier (enum)
    {84, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 29},	//1697 QsciLexerYAML::Keyword (enum)
    {84, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 30},	//1698 QsciLexerYAML::Number (enum)
    {84, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 31},	//1699 QsciLexerYAML::Reference (enum)
    {84, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 32},	//1700 QsciLexerYAML::DocumentDelimiter (enum)
    {84, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 33},	//1701 QsciLexerYAML::TextBlockMarker (enum)
    {84, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 34},	//1702 QsciLexerYAML::SyntaxErrorMarker (enum)
    {84, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 35},	//1703 QsciLexerYAML::Operator (enum)
    {84, 1669, 0, 0, Smoke::mf_dtor, 0, 36 },	//1704 QsciLexerYAML::~QsciLexerYAML()
    {85, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1705 QsciMacro::metaObject() const
    {85, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1706 QsciMacro::qt_metacast(const char*)
    {85, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1707 QsciMacro::tr(const char*, const char*)
    {85, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1708 QsciMacro::trUtf8(const char*, const char*)
    {85, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1709 QsciMacro::tr(const char*, const char*, int)
    {85, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1710 QsciMacro::trUtf8(const char*, const char*, int)
    {85, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1711 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {85, 531, 82, 1, Smoke::mf_ctor, 91, 8},	//1712 QsciMacro::QsciMacro(QsciScintilla*)
    {85, 531, 107, 2, Smoke::mf_ctor, 91, 9},	//1713 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {85, 873, 0, 0, 0, 0, 10},	//1714 QsciMacro::clear()
    {85, 1082, 55, 1, 0, 191, 11},	//1715 QsciMacro::load(const QString&)
    {85, 1209, 0, 0, Smoke::mf_const, 41, 12},	//1716 QsciMacro::save() const
    {85, 1156, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1717 QsciMacro::play()
    {85, 1558, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1718 QsciMacro::startRecording()
    {85, 939, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1719 QsciMacro::endRecording()
    {85, 1587, 12, 1, Smoke::mf_static, 41, 16},	//1720 QsciMacro::tr(const char*)
    {85, 1591, 12, 1, Smoke::mf_static, 41, 17},	//1721 QsciMacro::trUtf8(const char*)
    {85, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 18},	//1722 QsciMacro::staticMetaObject() const
    {85, 1670, 0, 0, Smoke::mf_dtor, 0, 19 },	//1723 QsciMacro::~QsciMacro()
    {86, 534, 110, 1, Smoke::mf_ctor, 92, 1},	//1724 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {86, 1004, 112, 4, Smoke::mf_virtual, 0, 2},	//1725 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {86, 1086, 0, 0, Smoke::mf_const, 217, 3},	//1726 QsciPrinter::magnification() const
    {86, 1422, 18, 1, Smoke::mf_virtual, 0, 4},	//1727 QsciPrinter::setMagnification(int)
    {86, 1161, 117, 3, Smoke::mf_virtual, 217, 5},	//1728 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {86, 1620, 0, 0, Smoke::mf_const, 110, 6},	//1729 QsciPrinter::wrapMode() const
    {86, 1546, 121, 1, Smoke::mf_virtual, 0, 7},	//1730 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {86, 534, 0, 0, Smoke::mf_ctor, 92, 8},	//1731 QsciPrinter::QsciPrinter()
    {86, 1161, 123, 1, 0, 217, 9},	//1732 QsciPrinter::printRange(QsciScintillaBase*)
    {86, 1161, 125, 2, 0, 217, 10},	//1733 QsciPrinter::printRange(QsciScintillaBase*, int)
    {86, 1671, 0, 0, Smoke::mf_dtor, 0, 11 },	//1734 QsciPrinter::~QsciPrinter()
    {87, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//1735 QsciScintilla::metaObject() const
    {87, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//1736 QsciScintilla::qt_metacast(const char*)
    {87, 1587, 42, 2, Smoke::mf_static, 41, 3},	//1737 QsciScintilla::tr(const char*, const char*)
    {87, 1591, 42, 2, Smoke::mf_static, 41, 4},	//1738 QsciScintilla::trUtf8(const char*, const char*)
    {87, 1587, 45, 3, Smoke::mf_static, 41, 5},	//1739 QsciScintilla::tr(const char*, const char*, int)
    {87, 1591, 45, 3, Smoke::mf_static, 41, 6},	//1740 QsciScintilla::trUtf8(const char*, const char*, int)
    {87, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//1741 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {87, 536, 128, 1, Smoke::mf_ctor, 93, 8},	//1742 QsciScintilla::QsciScintilla(QWidget*)
    {87, 813, 130, 3, Smoke::mf_virtual, 42, 9},	//1743 QsciScintilla::apiContext(int, int&, int&)
    {87, 805, 134, 3, 0, 0, 10},	//1744 QsciScintilla::annotate(int, const QString&, int)
    {87, 805, 138, 3, 0, 0, 11},	//1745 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {87, 805, 142, 2, 0, 0, 12},	//1746 QsciScintilla::annotate(int, const QsciStyledText&)
    {87, 805, 145, 2, 0, 0, 13},	//1747 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {87, 810, 18, 1, Smoke::mf_const, 41, 14},	//1748 QsciScintilla::annotation(int) const
    {87, 812, 0, 0, Smoke::mf_const, 94, 15},	//1749 QsciScintilla::annotationDisplay() const
    {87, 875, 18, 1, 0, 0, 16},	//1750 QsciScintilla::clearAnnotations(int)
    {87, 826, 0, 0, Smoke::mf_const, 191, 17},	//1751 QsciScintilla::autoCompletionCaseSensitivity() const
    {87, 828, 0, 0, Smoke::mf_const, 191, 18},	//1752 QsciScintilla::autoCompletionFillupsEnabled() const
    {87, 829, 0, 0, Smoke::mf_const, 191, 19},	//1753 QsciScintilla::autoCompletionReplaceWord() const
    {87, 832, 0, 0, Smoke::mf_const, 191, 20},	//1754 QsciScintilla::autoCompletionShowSingle() const
    {87, 833, 0, 0, Smoke::mf_const, 95, 21},	//1755 QsciScintilla::autoCompletionSource() const
    {87, 834, 0, 0, Smoke::mf_const, 217, 22},	//1756 QsciScintilla::autoCompletionThreshold() const
    {87, 835, 0, 0, Smoke::mf_const, 96, 23},	//1757 QsciScintilla::autoCompletionUseSingle() const
    {87, 837, 0, 0, Smoke::mf_const, 191, 24},	//1758 QsciScintilla::autoIndent() const
    {87, 840, 0, 0, Smoke::mf_const, 191, 25},	//1759 QsciScintilla::backspaceUnindents() const
    {87, 841, 0, 0, 0, 0, 26},	//1760 QsciScintilla::beginUndoAction()
    {87, 851, 0, 0, Smoke::mf_const, 97, 27},	//1761 QsciScintilla::braceMatching() const
    {87, 853, 99, 2, Smoke::mf_const, 3, 28},	//1762 QsciScintilla::bytes(int, int) const
    {87, 860, 0, 0, Smoke::mf_const, 98, 29},	//1763 QsciScintilla::callTipsPosition() const
    {87, 861, 0, 0, Smoke::mf_const, 99, 30},	//1764 QsciScintilla::callTipsStyle() const
    {87, 862, 0, 0, Smoke::mf_const, 217, 31},	//1765 QsciScintilla::callTipsVisible() const
    {87, 865, 0, 0, 0, 0, 32},	//1766 QsciScintilla::cancelList()
    {87, 867, 0, 0, Smoke::mf_const, 191, 33},	//1767 QsciScintilla::caseSensitive() const
    {87, 878, 0, 0, 0, 0, 34},	//1768 QsciScintilla::clearFolds()
    {87, 879, 148, 5, 0, 0, 35},	//1769 QsciScintilla::clearIndicatorRange(int, int, int, int, int)
    {87, 884, 0, 0, 0, 0, 36},	//1770 QsciScintilla::clearRegisteredImages()
    {87, 886, 0, 0, Smoke::mf_const, 6, 37},	//1771 QsciScintilla::color() const
    {87, 897, 0, 0, Smoke::mf_const, 20, 38},	//1772 QsciScintilla::contractedFolds() const
    {87, 898, 154, 1, 0, 0, 39},	//1773 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {87, 903, 0, 0, 0, 22, 40},	//1774 QsciScintilla::createStandardContextMenu()
    {87, 923, 0, 0, Smoke::mf_const, 56, 41},	//1775 QsciScintilla::document() const
    {87, 940, 0, 0, 0, 0, 42},	//1776 QsciScintilla::endUndoAction()
    {87, 934, 0, 0, Smoke::mf_const, 6, 43},	//1777 QsciScintilla::edgeColor() const
    {87, 935, 0, 0, Smoke::mf_const, 217, 44},	//1778 QsciScintilla::edgeColumn() const
    {87, 936, 0, 0, Smoke::mf_const, 100, 45},	//1779 QsciScintilla::edgeMode() const
    {87, 1356, 40, 1, 0, 0, 46},	//1780 QsciScintilla::setFont(const QFont&)
    {87, 949, 0, 0, Smoke::mf_const, 101, 47},	//1781 QsciScintilla::eolMode() const
    {87, 950, 0, 0, Smoke::mf_const, 191, 48},	//1782 QsciScintilla::eolVisibility() const
    {87, 955, 0, 0, Smoke::mf_const, 217, 49},	//1783 QsciScintilla::extraAscent() const
    {87, 956, 0, 0, Smoke::mf_const, 217, 50},	//1784 QsciScintilla::extraDescent() const
    {87, 957, 148, 5, 0, 0, 51},	//1785 QsciScintilla::fillIndicatorRange(int, int, int, int, int)
    {87, 961, 156, 10, Smoke::mf_virtual, 191, 52},	//1786 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool, bool)
    {87, 968, 167, 7, Smoke::mf_virtual, 191, 53},	//1787 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool, bool)
    {87, 973, 0, 0, Smoke::mf_virtual, 191, 54},	//1788 QsciScintilla::findNext()
    {87, 974, 0, 0, Smoke::mf_const, 217, 55},	//1789 QsciScintilla::firstVisibleLine() const
    {87, 998, 0, 0, Smoke::mf_const, 102, 56},	//1790 QsciScintilla::folding() const
    {87, 1008, 175, 2, Smoke::mf_const, 0, 57},	//1791 QsciScintilla::getCursorPosition(int*, int*) const
    {87, 1010, 178, 4, Smoke::mf_const, 0, 58},	//1792 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {87, 1012, 0, 0, Smoke::mf_const, 191, 59},	//1793 QsciScintilla::hasSelectedText() const
    {87, 1024, 18, 1, Smoke::mf_const, 217, 60},	//1794 QsciScintilla::indentation(int) const
    {87, 1027, 0, 0, Smoke::mf_const, 191, 61},	//1795 QsciScintilla::indentationGuides() const
    {87, 1030, 0, 0, Smoke::mf_const, 191, 62},	//1796 QsciScintilla::indentationsUseTabs() const
    {87, 1029, 0, 0, Smoke::mf_const, 217, 63},	//1797 QsciScintilla::indentationWidth() const
    {87, 1033, 183, 2, 0, 217, 64},	//1798 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle, int)
    {87, 1036, 18, 1, Smoke::mf_const, 191, 65},	//1799 QsciScintilla::indicatorDrawUnder(int) const
    {87, 1050, 0, 0, Smoke::mf_const, 191, 66},	//1800 QsciScintilla::isCallTipActive() const
    {87, 1051, 0, 0, Smoke::mf_const, 191, 67},	//1801 QsciScintilla::isListActive() const
    {87, 1052, 0, 0, Smoke::mf_const, 191, 68},	//1802 QsciScintilla::isModified() const
    {87, 1055, 0, 0, Smoke::mf_const, 191, 69},	//1803 QsciScintilla::isReadOnly() const
    {87, 1056, 0, 0, Smoke::mf_const, 191, 70},	//1804 QsciScintilla::isRedoAvailable() const
    {87, 1057, 0, 0, Smoke::mf_const, 191, 71},	//1805 QsciScintilla::isUndoAvailable() const
    {87, 1058, 0, 0, Smoke::mf_const, 191, 72},	//1806 QsciScintilla::isUtf8() const
    {87, 1059, 186, 1, Smoke::mf_const, 191, 73},	//1807 QsciScintilla::isWordCharacter(char) const
    {87, 1074, 188, 1, Smoke::mf_const, 217, 74},	//1808 QsciScintilla::lineAt(const QPoint&) const
    {87, 1076, 190, 3, Smoke::mf_const, 0, 75},	//1809 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {87, 1078, 18, 1, Smoke::mf_const, 217, 76},	//1810 QsciScintilla::lineLength(int) const
    {87, 1080, 0, 0, Smoke::mf_const, 217, 77},	//1811 QsciScintilla::lines() const
    {87, 1070, 0, 0, Smoke::mf_const, 217, 78},	//1812 QsciScintilla::length() const
    {87, 1072, 0, 0, Smoke::mf_const, 59, 79},	//1813 QsciScintilla::lexer() const
    {87, 1088, 18, 1, Smoke::mf_const, 6, 80},	//1814 QsciScintilla::marginBackgroundColor(int) const
    {87, 1092, 18, 1, Smoke::mf_const, 191, 81},	//1815 QsciScintilla::marginLineNumbers(int) const
    {87, 1094, 18, 1, Smoke::mf_const, 217, 82},	//1816 QsciScintilla::marginMarkerMask(int) const
    {87, 1096, 0, 0, Smoke::mf_const, 217, 83},	//1817 QsciScintilla::marginOptions() const
    {87, 1099, 18, 1, Smoke::mf_const, 191, 84},	//1818 QsciScintilla::marginSensitivity(int) const
    {87, 1101, 18, 1, Smoke::mf_const, 105, 85},	//1819 QsciScintilla::marginType(int) const
    {87, 1103, 18, 1, Smoke::mf_const, 217, 86},	//1820 QsciScintilla::marginWidth(int) const
    {87, 1105, 0, 0, Smoke::mf_const, 217, 87},	//1821 QsciScintilla::margins() const
    {87, 1108, 194, 2, 0, 217, 88},	//1822 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {87, 1108, 197, 2, 0, 217, 89},	//1823 QsciScintilla::markerDefine(char, int)
    {87, 1108, 200, 2, 0, 217, 90},	//1824 QsciScintilla::markerDefine(const QPixmap&, int)
    {87, 1108, 203, 2, 0, 217, 91},	//1825 QsciScintilla::markerDefine(const QImage&, int)
    {87, 1106, 99, 2, 0, 217, 92},	//1826 QsciScintilla::markerAdd(int, int)
    {87, 1126, 18, 1, Smoke::mf_const, 221, 93},	//1827 QsciScintilla::markersAtLine(int) const
    {87, 1113, 99, 2, 0, 0, 94},	//1828 QsciScintilla::markerDelete(int, int)
    {87, 1116, 18, 1, 0, 0, 95},	//1829 QsciScintilla::markerDeleteAll(int)
    {87, 1118, 18, 1, 0, 0, 96},	//1830 QsciScintilla::markerDeleteHandle(int)
    {87, 1124, 18, 1, Smoke::mf_const, 217, 97},	//1831 QsciScintilla::markerLine(int) const
    {87, 1120, 206, 2, Smoke::mf_const, 217, 98},	//1832 QsciScintilla::markerFindNext(int, unsigned int) const
    {87, 1122, 206, 2, Smoke::mf_const, 217, 99},	//1833 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {87, 1146, 0, 0, Smoke::mf_const, 191, 100},	//1834 QsciScintilla::overwriteMode() const
    {87, 1151, 0, 0, Smoke::mf_const, 6, 101},	//1835 QsciScintilla::paper() const
    {87, 1158, 99, 2, Smoke::mf_const, 217, 102},	//1836 QsciScintilla::positionFromLineIndex(int, int) const
    {87, 1174, 209, 1, 0, 191, 103},	//1837 QsciScintilla::read(QIODevice*)
    {87, 1181, 99, 2, Smoke::mf_virtual, 0, 104},	//1838 QsciScintilla::recolor(int, int)
    {87, 1187, 211, 2, 0, 0, 105},	//1839 QsciScintilla::registerImage(int, const QPixmap&)
    {87, 1187, 214, 2, 0, 0, 106},	//1840 QsciScintilla::registerImage(int, const QImage&)
    {87, 1192, 55, 1, Smoke::mf_virtual, 0, 107},	//1841 QsciScintilla::replace(const QString&)
    {87, 1200, 0, 0, 0, 0, 108},	//1842 QsciScintilla::resetFoldMarginColors()
    {87, 1201, 0, 0, 0, 0, 109},	//1843 QsciScintilla::resetHotspotBackgroundColor()
    {87, 1202, 0, 0, 0, 0, 110},	//1844 QsciScintilla::resetHotspotForegroundColor()
    {87, 1215, 0, 0, Smoke::mf_const, 217, 111},	//1845 QsciScintilla::scrollWidth() const
    {87, 1216, 0, 0, Smoke::mf_const, 191, 112},	//1846 QsciScintilla::scrollWidthTracking() const
    {87, 1337, 217, 2, 0, 0, 113},	//1847 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {87, 1227, 220, 1, 0, 0, 114},	//1848 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {87, 1233, 16, 1, 0, 0, 115},	//1849 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {87, 1231, 12, 1, 0, 0, 116},	//1850 QsciScintilla::setAutoCompletionFillups(const char*)
    {87, 1245, 222, 1, 0, 0, 117},	//1851 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {87, 1257, 80, 1, 0, 0, 118},	//1852 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {87, 1259, 80, 1, 0, 0, 119},	//1853 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {87, 1261, 80, 1, 0, 0, 120},	//1854 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {87, 1263, 224, 1, 0, 0, 121},	//1855 QsciScintilla::setCallTipsPosition(QsciScintilla::CallTipsPosition)
    {87, 1265, 226, 1, 0, 0, 122},	//1856 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {87, 1267, 18, 1, 0, 0, 123},	//1857 QsciScintilla::setCallTipsVisible(int)
    {87, 1284, 228, 1, 0, 0, 124},	//1858 QsciScintilla::setContractedFolds(const QList<int>&)
    {87, 1298, 72, 1, 0, 0, 125},	//1859 QsciScintilla::setDocument(const QsciDocument&)
    {87, 802, 230, 2, 0, 0, 126},	//1860 QsciScintilla::addEdgeColumn(int, const QColor&)
    {87, 877, 0, 0, 0, 0, 127},	//1861 QsciScintilla::clearEdgeColumns()
    {87, 1304, 80, 1, 0, 0, 128},	//1862 QsciScintilla::setEdgeColor(const QColor&)
    {87, 1306, 18, 1, 0, 0, 129},	//1863 QsciScintilla::setEdgeColumn(int)
    {87, 1308, 233, 1, 0, 0, 130},	//1864 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {87, 1323, 18, 1, 0, 0, 131},	//1865 QsciScintilla::setFirstVisibleLine(int)
    {87, 1397, 87, 2, 0, 0, 132},	//1866 QsciScintilla::setIndicatorDrawUnder(bool, int)
    {87, 1400, 84, 2, 0, 0, 133},	//1867 QsciScintilla::setIndicatorForegroundColor(const QColor&, int)
    {87, 1403, 84, 2, 0, 0, 134},	//1868 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&, int)
    {87, 1406, 183, 2, 0, 0, 135},	//1869 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle, int)
    {87, 1409, 84, 2, 0, 0, 136},	//1870 QsciScintilla::setIndicatorOutlineColor(const QColor&, int)
    {87, 1426, 230, 2, 0, 0, 137},	//1871 QsciScintilla::setMarginBackgroundColor(int, const QColor&)
    {87, 1432, 18, 1, 0, 0, 138},	//1872 QsciScintilla::setMarginOptions(int)
    {87, 1436, 134, 3, 0, 0, 139},	//1873 QsciScintilla::setMarginText(int, const QString&, int)
    {87, 1436, 138, 3, 0, 0, 140},	//1874 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {87, 1436, 142, 2, 0, 0, 141},	//1875 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {87, 1436, 145, 2, 0, 0, 142},	//1876 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {87, 1441, 235, 2, 0, 0, 143},	//1877 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {87, 882, 18, 1, 0, 0, 144},	//1878 QsciScintilla::clearMarginText(int)
    {87, 1445, 18, 1, 0, 0, 145},	//1879 QsciScintilla::setMargins(int)
    {87, 1453, 84, 2, 0, 0, 146},	//1880 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {87, 1456, 84, 2, 0, 0, 147},	//1881 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {87, 1459, 80, 1, 0, 0, 148},	//1882 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {87, 1461, 80, 1, 0, 0, 149},	//1883 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {87, 1463, 18, 1, 0, 0, 150},	//1884 QsciScintilla::setMatchedBraceIndicator(int)
    {87, 1203, 0, 0, 0, 0, 151},	//1885 QsciScintilla::resetMatchedBraceIndicator()
    {87, 1485, 18, 1, 0, 0, 152},	//1886 QsciScintilla::setScrollWidth(int)
    {87, 1487, 16, 1, 0, 0, 153},	//1887 QsciScintilla::setScrollWidthTracking(bool)
    {87, 1506, 238, 1, 0, 0, 154},	//1888 QsciScintilla::setTabDrawMode(QsciScintilla::TabDrawMode)
    {87, 1518, 80, 1, 0, 0, 155},	//1889 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {87, 1520, 80, 1, 0, 0, 156},	//1890 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {87, 1522, 18, 1, 0, 0, 157},	//1891 QsciScintilla::setUnmatchedBraceIndicator(int)
    {87, 1206, 0, 0, 0, 0, 158},	//1892 QsciScintilla::resetUnmatchedBraceIndicator()
    {87, 1548, 240, 3, 0, 0, 159},	//1893 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {87, 1220, 0, 0, Smoke::mf_const, 41, 160},	//1894 QsciScintilla::selectedText() const
    {87, 1222, 0, 0, Smoke::mf_const, 191, 161},	//1895 QsciScintilla::selectionToEol() const
    {87, 1375, 80, 1, 0, 0, 162},	//1896 QsciScintilla::setHotspotBackgroundColor(const QColor&)
    {87, 1377, 80, 1, 0, 0, 163},	//1897 QsciScintilla::setHotspotForegroundColor(const QColor&)
    {87, 1379, 16, 1, 0, 0, 164},	//1898 QsciScintilla::setHotspotUnderline(bool)
    {87, 1381, 16, 1, 0, 0, 165},	//1899 QsciScintilla::setHotspotWrap(bool)
    {87, 1495, 16, 1, 0, 0, 166},	//1900 QsciScintilla::setSelectionToEol(bool)
    {87, 1319, 18, 1, 0, 0, 167},	//1901 QsciScintilla::setExtraAscent(int)
    {87, 1321, 18, 1, 0, 0, 168},	//1902 QsciScintilla::setExtraDescent(int)
    {87, 1467, 16, 1, 0, 0, 169},	//1903 QsciScintilla::setOverwriteMode(bool)
    {87, 1536, 80, 1, 0, 0, 170},	//1904 QsciScintilla::setWhitespaceBackgroundColor(const QColor&)
    {87, 1538, 80, 1, 0, 0, 171},	//1905 QsciScintilla::setWhitespaceForegroundColor(const QColor&)
    {87, 1540, 18, 1, 0, 0, 172},	//1906 QsciScintilla::setWhitespaceSize(int)
    {87, 1544, 244, 1, 0, 0, 173},	//1907 QsciScintilla::setWrapIndentMode(QsciScintilla::WrapIndentMode)
    {87, 1553, 246, 2, 0, 0, 174},	//1908 QsciScintilla::showUserList(int, const QStringList&)
    {87, 1557, 0, 0, Smoke::mf_const, 55, 175},	//1909 QsciScintilla::standardCommands() const
    {87, 1570, 0, 0, Smoke::mf_const, 107, 176},	//1910 QsciScintilla::tabDrawMode() const
    {87, 1571, 0, 0, Smoke::mf_const, 191, 177},	//1911 QsciScintilla::tabIndents() const
    {87, 1572, 0, 0, Smoke::mf_const, 217, 178},	//1912 QsciScintilla::tabWidth() const
    {87, 1574, 0, 0, Smoke::mf_const, 41, 179},	//1913 QsciScintilla::text() const
    {87, 1574, 18, 1, Smoke::mf_const, 41, 180},	//1914 QsciScintilla::text(int) const
    {87, 1574, 99, 2, Smoke::mf_const, 41, 181},	//1915 QsciScintilla::text(int, int) const
    {87, 1581, 18, 1, Smoke::mf_const, 217, 182},	//1916 QsciScintilla::textHeight(int) const
    {87, 1611, 0, 0, Smoke::mf_const, 217, 183},	//1917 QsciScintilla::whitespaceSize() const
    {87, 1612, 0, 0, Smoke::mf_const, 108, 184},	//1918 QsciScintilla::whitespaceVisibility() const
    {87, 1614, 99, 2, Smoke::mf_const, 41, 185},	//1919 QsciScintilla::wordAtLineIndex(int, int) const
    {87, 1616, 188, 1, Smoke::mf_const, 41, 186},	//1920 QsciScintilla::wordAtPoint(const QPoint&) const
    {87, 1618, 0, 0, Smoke::mf_const, 215, 187},	//1921 QsciScintilla::wordCharacters() const
    {87, 1620, 0, 0, Smoke::mf_const, 110, 188},	//1922 QsciScintilla::wrapMode() const
    {87, 1619, 0, 0, Smoke::mf_const, 109, 189},	//1923 QsciScintilla::wrapIndentMode() const
    {87, 1621, 209, 1, Smoke::mf_const, 191, 190},	//1924 QsciScintilla::write(QIODevice*) const
    {87, 819, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1925 QsciScintilla::append(const QString&)
    {87, 824, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1926 QsciScintilla::autoCompleteFromAll()
    {87, 823, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1927 QsciScintilla::autoCompleteFromAPIs()
    {87, 825, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1928 QsciScintilla::autoCompleteFromDocument()
    {87, 857, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1929 QsciScintilla::callTip()
    {87, 873, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1930 QsciScintilla::clear()
    {87, 900, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1931 QsciScintilla::copy()
    {87, 907, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1932 QsciScintilla::cut()
    {87, 941, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1933 QsciScintilla::ensureCursorVisible()
    {87, 942, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1934 QsciScintilla::ensureLineVisible(int)
    {87, 981, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1935 QsciScintilla::foldAll(bool)
    {87, 989, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1936 QsciScintilla::foldLine(int)
    {87, 1022, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1937 QsciScintilla::indent(int)
    {87, 1045, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1938 QsciScintilla::insert(const QString&)
    {87, 1047, 249, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1939 QsciScintilla::insertAt(const QString&, int, int)
    {87, 1143, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1940 QsciScintilla::moveToMatchingBrace()
    {87, 1155, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 207},	//1941 QsciScintilla::paste()
    {87, 1184, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 208},	//1942 QsciScintilla::redo()
    {87, 1191, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 209},	//1943 QsciScintilla::removeSelectedText()
    {87, 1196, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 210},	//1944 QsciScintilla::replaceSelectedText(const QString&)
    {87, 1204, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 211},	//1945 QsciScintilla::resetSelectionBackgroundColor()
    {87, 1205, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 212},	//1946 QsciScintilla::resetSelectionForegroundColor()
    {87, 1217, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 213},	//1947 QsciScintilla::selectAll(bool)
    {87, 1219, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 214},	//1948 QsciScintilla::selectToMatchingBrace()
    {87, 1229, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 215},	//1949 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {87, 1235, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 216},	//1950 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {87, 1237, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 217},	//1951 QsciScintilla::setAutoCompletionShowSingle(bool)
    {87, 1239, 253, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 218},	//1952 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {87, 1241, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 219},	//1953 QsciScintilla::setAutoCompletionThreshold(int)
    {87, 1243, 255, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 220},	//1954 QsciScintilla::setAutoCompletionUseSingle(QsciScintilla::AutoCompletionUseSingle)
    {87, 1247, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 221},	//1955 QsciScintilla::setAutoIndent(bool)
    {87, 1255, 257, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 222},	//1956 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {87, 1253, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 223},	//1957 QsciScintilla::setBackspaceUnindents(bool)
    {87, 1269, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 224},	//1958 QsciScintilla::setCaretForegroundColor(const QColor&)
    {87, 1271, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 225},	//1959 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {87, 1273, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 226},	//1960 QsciScintilla::setCaretLineVisible(bool)
    {87, 1275, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 227},	//1961 QsciScintilla::setCaretWidth(int)
    {87, 1281, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 228},	//1962 QsciScintilla::setColor(const QColor&)
    {87, 1286, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 229},	//1963 QsciScintilla::setCursorPosition(int, int)
    {87, 1315, 154, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 230},	//1964 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {87, 1317, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 231},	//1965 QsciScintilla::setEolVisibility(bool)
    {87, 1353, 259, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 232},	//1966 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {87, 1383, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 233},	//1967 QsciScintilla::setIndentation(int, int)
    {87, 1385, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 234},	//1968 QsciScintilla::setIndentationGuides(bool)
    {87, 1387, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 235},	//1969 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {87, 1389, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 236},	//1970 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {87, 1395, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 237},	//1971 QsciScintilla::setIndentationsUseTabs(bool)
    {87, 1393, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 238},	//1972 QsciScintilla::setIndentationWidth(int)
    {87, 1420, 53, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 239},	//1973 QsciScintilla::setLexer(QsciLexer*)
    {87, 1447, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 240},	//1974 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {87, 1449, 40, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 241},	//1975 QsciScintilla::setMarginsFont(const QFont&)
    {87, 1451, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 242},	//1976 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {87, 1428, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 243},	//1977 QsciScintilla::setMarginLineNumbers(int, bool)
    {87, 1430, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 244},	//1978 QsciScintilla::setMarginMarkerMask(int, int)
    {87, 1434, 262, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 245},	//1979 QsciScintilla::setMarginSensitivity(int, bool)
    {87, 1443, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 246},	//1980 QsciScintilla::setMarginWidth(int, int)
    {87, 1443, 265, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 247},	//1981 QsciScintilla::setMarginWidth(int, const QString&)
    {87, 1465, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 248},	//1982 QsciScintilla::setModified(bool)
    {87, 1469, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 249},	//1983 QsciScintilla::setPaper(const QColor&)
    {87, 1478, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 250},	//1984 QsciScintilla::setReadOnly(bool)
    {87, 1489, 268, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 251},	//1985 QsciScintilla::setSelection(int, int, int, int)
    {87, 1491, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 252},	//1986 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {87, 1493, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 253},	//1987 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {87, 1508, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 254},	//1988 QsciScintilla::setTabIndents(bool)
    {87, 1510, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 255},	//1989 QsciScintilla::setTabWidth(int)
    {87, 1512, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 256},	//1990 QsciScintilla::setText(const QString&)
    {87, 1524, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 257},	//1991 QsciScintilla::setUtf8(bool)
    {87, 1542, 273, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 258},	//1992 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {87, 1546, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 259},	//1993 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {87, 1595, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 260},	//1994 QsciScintilla::undo()
    {87, 1596, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 261},	//1995 QsciScintilla::unindent(int)
    {87, 1629, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 262},	//1996 QsciScintilla::zoomIn(int)
    {87, 1629, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 263},	//1997 QsciScintilla::zoomIn()
    {87, 1631, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 264},	//1998 QsciScintilla::zoomOut(int)
    {87, 1631, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 265},	//1999 QsciScintilla::zoomOut()
    {87, 1633, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 266},	//2000 QsciScintilla::zoomTo(int)
    {87, 904, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 267},	//2001 QsciScintilla::cursorPositionChanged(int, int)
    {87, 901, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 268},	//2002 QsciScintilla::copyAvailable(bool)
    {87, 1031, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 269},	//2003 QsciScintilla::indicatorClicked(int, int, Qt::KeyboardModifiers)
    {87, 1038, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 270},	//2004 QsciScintilla::indicatorReleased(int, int, Qt::KeyboardModifiers)
    {87, 1081, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 271},	//2005 QsciScintilla::linesChanged()
    {87, 1090, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 272},	//2006 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {87, 1097, 275, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 273},	//2007 QsciScintilla::marginRightClicked(int, int, Qt::KeyboardModifiers)
    {87, 1131, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 274},	//2008 QsciScintilla::modificationAttempted()
    {87, 1132, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 275},	//2009 QsciScintilla::modificationChanged(bool)
    {87, 1221, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 276},	//2010 QsciScintilla::selectionChanged()
    {87, 1580, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 277},	//2011 QsciScintilla::textChanged()
    {87, 1600, 265, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 278},	//2012 QsciScintilla::userListActivated(int, const QString&)
    {87, 951, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 279},	//2013 QsciScintilla::event(QEvent*)
    {87, 869, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 280},	//2014 QsciScintilla::changeEvent(QEvent*)
    {87, 895, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 281},	//2015 QsciScintilla::contextMenuEvent(QContextMenuEvent*)
    {87, 1587, 12, 1, Smoke::mf_static, 41, 282},	//2016 QsciScintilla::tr(const char*)
    {87, 1591, 12, 1, Smoke::mf_static, 41, 283},	//2017 QsciScintilla::trUtf8(const char*)
    {87, 536, 0, 0, Smoke::mf_ctor, 93, 284},	//2018 QsciScintilla::QsciScintilla()
    {87, 875, 0, 0, 0, 0, 285},	//2019 QsciScintilla::clearAnnotations()
    {87, 961, 281, 5, 0, 191, 286},	//2020 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {87, 961, 287, 6, 0, 191, 287},	//2021 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {87, 961, 294, 7, 0, 191, 288},	//2022 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {87, 961, 302, 8, 0, 191, 289},	//2023 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {87, 961, 311, 9, 0, 191, 290},	//2024 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {87, 968, 321, 4, 0, 191, 291},	//2025 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool)
    {87, 968, 281, 5, 0, 191, 292},	//2026 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool)
    {87, 968, 287, 6, 0, 191, 293},	//2027 QsciScintilla::findFirstInSelection(const QString&, bool, bool, bool, bool, bool)
    {87, 1033, 326, 1, 0, 217, 294},	//2028 QsciScintilla::indicatorDefine(QsciScintilla::IndicatorStyle)
    {87, 1108, 328, 1, 0, 217, 295},	//2029 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {87, 1108, 186, 1, 0, 217, 296},	//2030 QsciScintilla::markerDefine(char)
    {87, 1108, 330, 1, 0, 217, 297},	//2031 QsciScintilla::markerDefine(const QPixmap&)
    {87, 1108, 332, 1, 0, 217, 298},	//2032 QsciScintilla::markerDefine(const QImage&)
    {87, 1113, 18, 1, 0, 0, 299},	//2033 QsciScintilla::markerDelete(int)
    {87, 1116, 0, 0, 0, 0, 300},	//2034 QsciScintilla::markerDeleteAll()
    {87, 1181, 0, 0, 0, 0, 301},	//2035 QsciScintilla::recolor()
    {87, 1181, 18, 1, 0, 0, 302},	//2036 QsciScintilla::recolor(int)
    {87, 1397, 16, 1, 0, 0, 303},	//2037 QsciScintilla::setIndicatorDrawUnder(bool)
    {87, 1400, 80, 1, 0, 0, 304},	//2038 QsciScintilla::setIndicatorForegroundColor(const QColor&)
    {87, 1403, 80, 1, 0, 0, 305},	//2039 QsciScintilla::setIndicatorHoverForegroundColor(const QColor&)
    {87, 1406, 326, 1, 0, 0, 306},	//2040 QsciScintilla::setIndicatorHoverStyle(QsciScintilla::IndicatorStyle)
    {87, 1409, 80, 1, 0, 0, 307},	//2041 QsciScintilla::setIndicatorOutlineColor(const QColor&)
    {87, 882, 0, 0, 0, 0, 308},	//2042 QsciScintilla::clearMarginText()
    {87, 1453, 80, 1, 0, 0, 309},	//2043 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {87, 1456, 80, 1, 0, 0, 310},	//2044 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {87, 1548, 334, 1, 0, 0, 311},	//2045 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {87, 1548, 336, 2, 0, 0, 312},	//2046 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {87, 981, 0, 0, Smoke::mf_slot, 0, 313},	//2047 QsciScintilla::foldAll()
    {87, 1217, 0, 0, Smoke::mf_slot, 0, 314},	//2048 QsciScintilla::selectAll()
    {87, 1353, 339, 1, Smoke::mf_slot, 0, 315},	//2049 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {87, 1420, 0, 0, Smoke::mf_slot, 0, 316},	//2050 QsciScintilla::setLexer()
    {87, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 317},	//2051 QsciScintilla::staticMetaObject() const
    {87, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 318},	//2052 QsciScintilla::MoNone (enum)
    {87, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 319},	//2053 QsciScintilla::MoSublineSelect (enum)
    {87, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 320},	//2054 QsciScintilla::AnnotationHidden (enum)
    {87, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 321},	//2055 QsciScintilla::AnnotationStandard (enum)
    {87, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 322},	//2056 QsciScintilla::AnnotationBoxed (enum)
    {87, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 323},	//2057 QsciScintilla::AnnotationIndented (enum)
    {87, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 324},	//2058 QsciScintilla::AcusNever (enum)
    {87, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 325},	//2059 QsciScintilla::AcusExplicit (enum)
    {87, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 326},	//2060 QsciScintilla::AcusAlways (enum)
    {87, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 327},	//2061 QsciScintilla::AcsNone (enum)
    {87, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 328},	//2062 QsciScintilla::AcsAll (enum)
    {87, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 329},	//2063 QsciScintilla::AcsDocument (enum)
    {87, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 330},	//2064 QsciScintilla::AcsAPIs (enum)
    {87, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 331},	//2065 QsciScintilla::NoBraceMatch (enum)
    {87, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 332},	//2066 QsciScintilla::StrictBraceMatch (enum)
    {87, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 333},	//2067 QsciScintilla::SloppyBraceMatch (enum)
    {87, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 334},	//2068 QsciScintilla::CallTipsBelowText (enum)
    {87, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 335},	//2069 QsciScintilla::CallTipsAboveText (enum)
    {87, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 336},	//2070 QsciScintilla::CallTipsNone (enum)
    {87, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 337},	//2071 QsciScintilla::CallTipsNoContext (enum)
    {87, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 338},	//2072 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {87, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 339},	//2073 QsciScintilla::CallTipsContext (enum)
    {87, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 340},	//2074 QsciScintilla::EdgeNone (enum)
    {87, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 341},	//2075 QsciScintilla::EdgeLine (enum)
    {87, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 342},	//2076 QsciScintilla::EdgeBackground (enum)
    {87, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 343},	//2077 QsciScintilla::EdgeMultipleLines (enum)
    {87, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 344},	//2078 QsciScintilla::EolWindows (enum)
    {87, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 345},	//2079 QsciScintilla::EolUnix (enum)
    {87, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 346},	//2080 QsciScintilla::EolMac (enum)
    {87, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 347},	//2081 QsciScintilla::NoFoldStyle (enum)
    {87, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 348},	//2082 QsciScintilla::PlainFoldStyle (enum)
    {87, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 349},	//2083 QsciScintilla::CircledFoldStyle (enum)
    {87, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 350},	//2084 QsciScintilla::BoxedFoldStyle (enum)
    {87, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 351},	//2085 QsciScintilla::CircledTreeFoldStyle (enum)
    {87, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 352},	//2086 QsciScintilla::BoxedTreeFoldStyle (enum)
    {87, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 353},	//2087 QsciScintilla::PlainIndicator (enum)
    {87, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 354},	//2088 QsciScintilla::SquiggleIndicator (enum)
    {87, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 355},	//2089 QsciScintilla::TTIndicator (enum)
    {87, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 356},	//2090 QsciScintilla::DiagonalIndicator (enum)
    {87, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 357},	//2091 QsciScintilla::StrikeIndicator (enum)
    {87, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 358},	//2092 QsciScintilla::HiddenIndicator (enum)
    {87, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 359},	//2093 QsciScintilla::BoxIndicator (enum)
    {87, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 360},	//2094 QsciScintilla::RoundBoxIndicator (enum)
    {87, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 361},	//2095 QsciScintilla::StraightBoxIndicator (enum)
    {87, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 362},	//2096 QsciScintilla::FullBoxIndicator (enum)
    {87, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 363},	//2097 QsciScintilla::DashesIndicator (enum)
    {87, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 364},	//2098 QsciScintilla::DotsIndicator (enum)
    {87, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 365},	//2099 QsciScintilla::SquiggleLowIndicator (enum)
    {87, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 366},	//2100 QsciScintilla::DotBoxIndicator (enum)
    {87, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 367},	//2101 QsciScintilla::SquigglePixmapIndicator (enum)
    {87, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 368},	//2102 QsciScintilla::ThickCompositionIndicator (enum)
    {87, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 369},	//2103 QsciScintilla::ThinCompositionIndicator (enum)
    {87, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 370},	//2104 QsciScintilla::TextColorIndicator (enum)
    {87, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 371},	//2105 QsciScintilla::TriangleIndicator (enum)
    {87, 730, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 372},	//2106 QsciScintilla::TriangleCharacterIndicator (enum)
    {87, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 373},	//2107 QsciScintilla::MoNone (enum)
    {87, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 374},	//2108 QsciScintilla::MoSublineSelect (enum)
    {87, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 375},	//2109 QsciScintilla::SymbolMargin (enum)
    {87, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 376},	//2110 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {87, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 377},	//2111 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {87, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 378},	//2112 QsciScintilla::NumberMargin (enum)
    {87, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 379},	//2113 QsciScintilla::TextMargin (enum)
    {87, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 380},	//2114 QsciScintilla::TextMarginRightJustified (enum)
    {87, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 381},	//2115 QsciScintilla::SymbolMarginColor (enum)
    {87, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 382},	//2116 QsciScintilla::Circle (enum)
    {87, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 383},	//2117 QsciScintilla::Rectangle (enum)
    {87, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 384},	//2118 QsciScintilla::RightTriangle (enum)
    {87, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 385},	//2119 QsciScintilla::SmallRectangle (enum)
    {87, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 386},	//2120 QsciScintilla::RightArrow (enum)
    {87, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 387},	//2121 QsciScintilla::Invisible (enum)
    {87, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 388},	//2122 QsciScintilla::DownTriangle (enum)
    {87, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 389},	//2123 QsciScintilla::Minus (enum)
    {87, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 390},	//2124 QsciScintilla::Plus (enum)
    {87, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 391},	//2125 QsciScintilla::VerticalLine (enum)
    {87, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 392},	//2126 QsciScintilla::BottomLeftCorner (enum)
    {87, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 393},	//2127 QsciScintilla::LeftSideSplitter (enum)
    {87, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 394},	//2128 QsciScintilla::BoxedPlus (enum)
    {87, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 395},	//2129 QsciScintilla::BoxedPlusConnected (enum)
    {87, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 396},	//2130 QsciScintilla::BoxedMinus (enum)
    {87, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 397},	//2131 QsciScintilla::BoxedMinusConnected (enum)
    {87, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 398},	//2132 QsciScintilla::RoundedBottomLeftCorner (enum)
    {87, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 399},	//2133 QsciScintilla::LeftSideRoundedSplitter (enum)
    {87, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 400},	//2134 QsciScintilla::CircledPlus (enum)
    {87, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 401},	//2135 QsciScintilla::CircledPlusConnected (enum)
    {87, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 402},	//2136 QsciScintilla::CircledMinus (enum)
    {87, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 403},	//2137 QsciScintilla::CircledMinusConnected (enum)
    {87, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 404},	//2138 QsciScintilla::Background (enum)
    {87, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 405},	//2139 QsciScintilla::ThreeDots (enum)
    {87, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 406},	//2140 QsciScintilla::ThreeRightArrows (enum)
    {87, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 407},	//2141 QsciScintilla::FullRectangle (enum)
    {87, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 408},	//2142 QsciScintilla::LeftRectangle (enum)
    {87, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 409},	//2143 QsciScintilla::Underline (enum)
    {87, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 410},	//2144 QsciScintilla::Bookmark (enum)
    {87, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 411},	//2145 QsciScintilla::TabLongArrow (enum)
    {87, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 412},	//2146 QsciScintilla::TabStrikeOut (enum)
    {87, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 413},	//2147 QsciScintilla::WsInvisible (enum)
    {87, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 414},	//2148 QsciScintilla::WsVisible (enum)
    {87, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 415},	//2149 QsciScintilla::WsVisibleAfterIndent (enum)
    {87, 793, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 416},	//2150 QsciScintilla::WsVisibleOnlyInIndent (enum)
    {87, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 417},	//2151 QsciScintilla::WrapNone (enum)
    {87, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 418},	//2152 QsciScintilla::WrapWord (enum)
    {87, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 419},	//2153 QsciScintilla::WrapCharacter (enum)
    {87, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 420},	//2154 QsciScintilla::WrapWhitespace (enum)
    {87, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 421},	//2155 QsciScintilla::WrapFlagNone (enum)
    {87, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 422},	//2156 QsciScintilla::WrapFlagByText (enum)
    {87, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 423},	//2157 QsciScintilla::WrapFlagByBorder (enum)
    {87, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 424},	//2158 QsciScintilla::WrapFlagInMargin (enum)
    {87, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 425},	//2159 QsciScintilla::WrapIndentFixed (enum)
    {87, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 426},	//2160 QsciScintilla::WrapIndentSame (enum)
    {87, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 427},	//2161 QsciScintilla::WrapIndentIndented (enum)
    {87, 1672, 0, 0, Smoke::mf_dtor, 0, 428 },	//2162 QsciScintilla::~QsciScintilla()
    {88, 1128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 202, 1},	//2163 QsciScintillaBase::metaObject() const
    {88, 1171, 12, 1, Smoke::mf_virtual, 223, 2},	//2164 QsciScintillaBase::qt_metacast(const char*)
    {88, 1587, 42, 2, Smoke::mf_static, 41, 3},	//2165 QsciScintillaBase::tr(const char*, const char*)
    {88, 1591, 42, 2, Smoke::mf_static, 41, 4},	//2166 QsciScintillaBase::trUtf8(const char*, const char*)
    {88, 1587, 45, 3, Smoke::mf_static, 41, 5},	//2167 QsciScintillaBase::tr(const char*, const char*, int)
    {88, 1591, 45, 3, Smoke::mf_static, 41, 6},	//2168 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {88, 1169, 49, 3, Smoke::mf_virtual, 217, 7},	//2169 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {88, 538, 128, 1, Smoke::mf_ctor, 112, 8},	//2170 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {88, 1157, 0, 0, Smoke::mf_static, 112, 9},	//2171 QsciScintillaBase::pool()
    {88, 1194, 341, 1, 0, 0, 10},	//2172 QsciScintillaBase::replaceHorizontalScrollBar(QScrollBar*)
    {88, 1198, 341, 1, 0, 0, 11},	//2173 QsciScintillaBase::replaceVerticalScrollBar(QScrollBar*)
    {88, 652, 343, 3, Smoke::mf_const, 220, 12},	//2174 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {88, 652, 347, 3, Smoke::mf_const, 220, 13},	//2175 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {88, 652, 351, 3, Smoke::mf_const, 220, 14},	//2176 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {88, 652, 355, 2, Smoke::mf_const, 220, 15},	//2177 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {88, 652, 358, 3, Smoke::mf_const, 220, 16},	//2178 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {88, 652, 362, 2, Smoke::mf_const, 220, 17},	//2179 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {88, 652, 365, 2, Smoke::mf_const, 220, 18},	//2180 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {88, 652, 368, 4, Smoke::mf_const, 220, 19},	//2181 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {88, 652, 373, 3, Smoke::mf_const, 220, 20},	//2182 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {88, 652, 377, 2, Smoke::mf_const, 220, 21},	//2183 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {88, 652, 380, 6, Smoke::mf_const, 220, 22},	//2184 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {88, 652, 387, 3, Smoke::mf_const, 220, 23},	//2185 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {88, 652, 391, 3, Smoke::mf_const, 220, 24},	//2186 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    {88, 660, 395, 1, Smoke::mf_const, 223, 25},	//2187 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {88, 891, 397, 2, Smoke::mf_static, 217, 26},	//2188 QsciScintillaBase::commandKey(int, int&)
    {88, 455, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2189 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {88, 573, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2190 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {88, 574, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2191 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {88, 575, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2192 QsciScintillaBase::SCN_AUTOCCOMPLETED(const char*, int, int, int)
    {88, 577, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2193 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int, int, int)
    {88, 577, 405, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//2194 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {88, 572, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2195 QsciScintillaBase::SCEN_CHANGE()
    {88, 580, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2196 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {88, 582, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//2197 QsciScintillaBase::SCN_CHARADDED(int)
    {88, 584, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//2198 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {88, 586, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//2199 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {88, 588, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2200 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {88, 590, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2201 QsciScintillaBase::SCN_FOCUSIN()
    {88, 591, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2202 QsciScintillaBase::SCN_FOCUSOUT()
    {88, 592, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2203 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {88, 594, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2204 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {88, 596, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2205 QsciScintillaBase::SCN_HOTSPOTRELEASECLICK(int, int)
    {88, 598, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2206 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {88, 600, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2207 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {88, 602, 347, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2208 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {88, 604, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2209 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {88, 606, 408, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//2210 QsciScintillaBase::SCN_MARGINRIGHTCLICK(int, int, int)
    {88, 608, 412, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//2211 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {88, 610, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//2212 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {88, 611, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//2213 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {88, 613, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//2214 QsciScintillaBase::SCN_PAINTED()
    {88, 614, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//2215 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {88, 615, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//2216 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {88, 616, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//2217 QsciScintillaBase::SCN_STYLENEEDED(int)
    {88, 618, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//2218 QsciScintillaBase::SCN_UPDATEUI(int)
    {88, 620, 400, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//2219 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int, int, int)
    {88, 620, 405, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//2220 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {88, 623, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//2221 QsciScintillaBase::SCN_ZOOM()
    {88, 863, 423, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 191, 60},	//2222 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {88, 1006, 425, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 3, 61},	//2223 QsciScintillaBase::fromMimeData(const QMimeData*, bool&) const
    {88, 1584, 428, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 24, 62},	//2224 QsciScintillaBase::toMimeData(const QByteArray&, bool) const
    {88, 895, 279, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2225 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {88, 926, 431, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2226 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {88, 928, 433, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//2227 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {88, 930, 435, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//2228 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {88, 932, 437, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//2229 QsciScintillaBase::dropEvent(QDropEvent*)
    {88, 975, 439, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2230 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {88, 979, 439, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2231 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {88, 977, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 191, 70},	//2232 QsciScintillaBase::focusNextPrevChild(bool)
    {88, 1062, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//2233 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {88, 1041, 441, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2234 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {88, 1043, 443, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 48, 73},	//2235 QsciScintillaBase::inputMethodQuery(Qt::InputMethodQuery) const
    {88, 1134, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//2236 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {88, 1136, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//2237 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {88, 1138, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 76},	//2238 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {88, 1140, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 77},	//2239 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {88, 1148, 447, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//2240 QsciScintillaBase::paintEvent(QPaintEvent*)
    {88, 1207, 449, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//2241 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {88, 1213, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//2242 QsciScintillaBase::scrollContentsBy(int, int)
    {88, 1484, 0, 0, Smoke::mf_protected, 0, 81},	//2243 QsciScintillaBase::setScrollBars()
    {88, 1577, 55, 1, Smoke::mf_const|Smoke::mf_protected, 3, 82},	//2244 QsciScintillaBase::textAsBytes(const QString&) const
    {88, 855, 12, 1, Smoke::mf_const|Smoke::mf_protected, 41, 83},	//2245 QsciScintillaBase::bytesAsText(const char*) const
    {88, 1587, 12, 1, Smoke::mf_static, 41, 84},	//2246 QsciScintillaBase::tr(const char*)
    {88, 1591, 12, 1, Smoke::mf_static, 41, 85},	//2247 QsciScintillaBase::trUtf8(const char*)
    {88, 538, 0, 0, Smoke::mf_ctor, 112, 86},	//2248 QsciScintillaBase::QsciScintillaBase()
    {88, 652, 395, 1, Smoke::mf_const, 220, 87},	//2249 QsciScintillaBase::SendScintilla(unsigned int) const
    {88, 652, 451, 2, Smoke::mf_const, 220, 88},	//2250 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {88, 1562, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 201, 89},	//2251 QsciScintillaBase::staticMetaObject() const
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 90},	//2252 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 91},	//2253 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 92},	//2254 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 93},	//2255 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 94},	//2256 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 95},	//2257 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 96},	//2258 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 97},	//2259 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 98},	//2260 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 99},	//2261 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 100},	//2262 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 101},	//2263 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 102},	//2264 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 103},	//2265 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 104},	//2266 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 105},	//2267 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 106},	//2268 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 107},	//2269 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 108},	//2270 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 109},	//2271 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 110},	//2272 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 111},	//2273 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 112},	//2274 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 113},	//2275 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 114},	//2276 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 115},	//2277 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 116},	//2278 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 117},	//2279 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 118},	//2280 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 119},	//2281 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 120},	//2282 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 121},	//2283 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 122},	//2284 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 123},	//2285 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 124},	//2286 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 125},	//2287 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 126},	//2288 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 127},	//2289 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 128},	//2290 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 129},	//2291 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 130},	//2292 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 131},	//2293 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 132},	//2294 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 133},	//2295 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 134},	//2296 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 135},	//2297 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 136},	//2298 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 137},	//2299 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 138},	//2300 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 139},	//2301 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 140},	//2302 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 141},	//2303 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 142},	//2304 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 143},	//2305 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 144},	//2306 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 145},	//2307 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 146},	//2308 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 147},	//2309 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 148},	//2310 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 149},	//2311 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 150},	//2312 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 151},	//2313 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 152},	//2314 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 153},	//2315 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 154},	//2316 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 155},	//2317 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 156},	//2318 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 157},	//2319 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 158},	//2320 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 159},	//2321 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 160},	//2322 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 161},	//2323 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 162},	//2324 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 163},	//2325 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 164},	//2326 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 165},	//2327 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 166},	//2328 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 167},	//2329 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 168},	//2330 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 169},	//2331 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 170},	//2332 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 171},	//2333 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 172},	//2334 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 173},	//2335 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 174},	//2336 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 175},	//2337 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 176},	//2338 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 177},	//2339 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 178},	//2340 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 179},	//2341 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 180},	//2342 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 181},	//2343 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 182},	//2344 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 183},	//2345 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 184},	//2346 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 185},	//2347 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 186},	//2348 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 187},	//2349 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 188},	//2350 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 189},	//2351 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 190},	//2352 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 191},	//2353 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 192},	//2354 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 193},	//2355 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 194},	//2356 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 195},	//2357 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 196},	//2358 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 197},	//2359 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 198},	//2360 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 199},	//2361 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 200},	//2362 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 201},	//2363 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 202},	//2364 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 203},	//2365 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 204},	//2366 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 205},	//2367 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 206},	//2368 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 207},	//2369 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 208},	//2370 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 209},	//2371 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 210},	//2372 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 211},	//2373 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 212},	//2374 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 213},	//2375 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 214},	//2376 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 215},	//2377 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 216},	//2378 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 217},	//2379 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 218},	//2380 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 219},	//2381 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 220},	//2382 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 221},	//2383 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 222},	//2384 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 223},	//2385 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 224},	//2386 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 225},	//2387 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 226},	//2388 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 227},	//2389 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 228},	//2390 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 229},	//2391 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 230},	//2392 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 231},	//2393 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 232},	//2394 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 233},	//2395 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 234},	//2396 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 235},	//2397 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 236},	//2398 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 237},	//2399 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 238},	//2400 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 239},	//2401 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 240},	//2402 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 241},	//2403 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 242},	//2404 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 243},	//2405 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 244},	//2406 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 245},	//2407 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 246},	//2408 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 247},	//2409 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 248},	//2410 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 249},	//2411 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 250},	//2412 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 251},	//2413 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 252},	//2414 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 253},	//2415 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 254},	//2416 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 255},	//2417 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 256},	//2418 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 257},	//2419 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 258},	//2420 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 259},	//2421 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 260},	//2422 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 261},	//2423 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 262},	//2424 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 263},	//2425 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 264},	//2426 QsciScintillaBase::SC_ORDER_PRESORTED (enum)
    {88, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 265},	//2427 QsciScintillaBase::SC_ORDER_PERFORMSORT (enum)
    {88, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 266},	//2428 QsciScintillaBase::SC_ORDER_CUSTOM (enum)
    {88, 1673, 0, 0, Smoke::mf_dtor, 0, 267 },	//2429 QsciScintillaBase::~QsciScintillaBase()
    {89, 540, 18, 1, Smoke::mf_ctor, 113, 1},	//2430 QsciStyle::QsciStyle(int)
    {89, 540, 454, 6, Smoke::mf_ctor, 113, 2},	//2431 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {89, 821, 123, 1, Smoke::mf_const, 0, 3},	//2432 QsciStyle::apply(QsciScintillaBase*) const
    {89, 1564, 0, 0, Smoke::mf_const, 217, 4},	//2433 QsciStyle::style() const
    {89, 1294, 55, 1, 0, 0, 5},	//2434 QsciStyle::setDescription(const QString&)
    {89, 918, 0, 0, Smoke::mf_const, 41, 6},	//2435 QsciStyle::description() const
    {89, 1281, 80, 1, 0, 0, 7},	//2436 QsciStyle::setColor(const QColor&)
    {89, 886, 0, 0, Smoke::mf_const, 6, 8},	//2437 QsciStyle::color() const
    {89, 1469, 80, 1, 0, 0, 9},	//2438 QsciStyle::setPaper(const QColor&)
    {89, 1151, 0, 0, Smoke::mf_const, 6, 10},	//2439 QsciStyle::paper() const
    {89, 1356, 40, 1, 0, 0, 11},	//2440 QsciStyle::setFont(const QFont&)
    {89, 999, 0, 0, Smoke::mf_const, 14, 12},	//2441 QsciStyle::font() const
    {89, 1312, 16, 1, 0, 0, 13},	//2442 QsciStyle::setEolFill(bool)
    {89, 945, 0, 0, Smoke::mf_const, 191, 14},	//2443 QsciStyle::eolFill() const
    {89, 1514, 461, 1, 0, 0, 15},	//2444 QsciStyle::setTextCase(QsciStyle::TextCase)
    {89, 1579, 0, 0, Smoke::mf_const, 114, 16},	//2445 QsciStyle::textCase() const
    {89, 1534, 16, 1, 0, 0, 17},	//2446 QsciStyle::setVisible(bool)
    {89, 1609, 0, 0, Smoke::mf_const, 191, 18},	//2447 QsciStyle::visible() const
    {89, 1279, 16, 1, 0, 0, 19},	//2448 QsciStyle::setChangeable(bool)
    {89, 871, 0, 0, Smoke::mf_const, 191, 20},	//2449 QsciStyle::changeable() const
    {89, 1373, 16, 1, 0, 0, 21},	//2450 QsciStyle::setHotspot(bool)
    {89, 1021, 0, 0, Smoke::mf_const, 191, 22},	//2451 QsciStyle::hotspot() const
    {89, 1185, 0, 0, 0, 0, 23},	//2452 QsciStyle::refresh()
    {89, 540, 463, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 24},	//2453 QsciStyle::QsciStyle(const QsciStyle&)
    {89, 540, 0, 0, Smoke::mf_ctor, 113, 25},	//2454 QsciStyle::QsciStyle()
    {89, 540, 465, 5, Smoke::mf_ctor, 113, 26},	//2455 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {89, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//2456 QsciStyle::OriginalCase (enum)
    {89, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//2457 QsciStyle::UpperCase (enum)
    {89, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//2458 QsciStyle::LowerCase (enum)
    {89, 1674, 0, 0, Smoke::mf_dtor, 0, 30 },	//2459 QsciStyle::~QsciStyle()
    {90, 545, 471, 2, Smoke::mf_ctor, 116, 1},	//2460 QsciStyledText::QsciStyledText(const QString&, int)
    {90, 545, 474, 2, Smoke::mf_ctor, 116, 2},	//2461 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {90, 821, 123, 1, Smoke::mf_const, 0, 3},	//2462 QsciStyledText::apply(QsciScintillaBase*) const
    {90, 1574, 0, 0, Smoke::mf_const, 209, 4},	//2463 QsciStyledText::text() const
    {90, 1564, 0, 0, Smoke::mf_const, 217, 5},	//2464 QsciStyledText::style() const
    {90, 545, 477, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 116, 6},	//2465 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {90, 1675, 0, 0, Smoke::mf_dtor, 0, 7 },	//2466 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    2428,  // QsciScintillaBase::SC_ORDER_CUSTOM
    0,
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    2427,  // QsciScintillaBase::SC_ORDER_PERFORMSORT
    0,
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    2426,  // QsciScintillaBase::SC_ORDER_PRESORTED
    0,
    2177,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    2179,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    2180,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    2250,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    2182,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    2185,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    2186,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QImage&) const
    0,
    2174,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    2175,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    2176,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    2178,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    2107,  // QsciScintilla::MoNone
    2107,  // QsciScintilla::MoNone
    0,
    2108,  // QsciScintilla::MoSublineSelect
    2108,  // QsciScintilla::MoSublineSelect
    0,
    2031,  // QsciScintilla::markerDefine(const QPixmap&)
    2032,  // QsciScintilla::markerDefine(const QImage&)
    0,
    1824,  // QsciScintilla::markerDefine(const QPixmap&, int)
    1825,  // QsciScintilla::markerDefine(const QImage&, int)
    0,
    2029,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    2030,  // QsciScintilla::markerDefine(char)
    0,
    1822,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1823,  // QsciScintilla::markerDefine(char, int)
    0,
    1839,  // QsciScintilla::registerImage(int, const QPixmap&)
    1840,  // QsciScintilla::registerImage(int, const QImage&)
    0,
    1980,  // QsciScintilla::setMarginWidth(int, int)
    1981,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {17, 457, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {17, 458, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {17, 459, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {17, 460, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {17, 461, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {49, 463, 53},	// QsciAPIs::QsciAPIs#
    {49, 801, 54},	// QsciAPIs::add$
    {49, 815, 69},	// QsciAPIs::apiPreparationCancelled
    {49, 816, 71},	// QsciAPIs::apiPreparationFinished
    {49, 817, 70},	// QsciAPIs::apiPreparationStarted
    {49, 831, 65},	// QsciAPIs::autoCompletionSelected$
    {49, 859, 66},	// QsciAPIs::callTips?$$?
    {49, 866, 59},	// QsciAPIs::cancelPreparation
    {49, 873, 55},	// QsciAPIs::clear
    {49, 916, 60},	// QsciAPIs::defaultPreparedName
    {49, 952, 67},	// QsciAPIs::event#
    {49, 1049, 68},	// QsciAPIs::installedAPIFiles
    {49, 1053, 74},	// QsciAPIs::isPrepared
    {49, 1054, 61},	// QsciAPIs::isPrepared$
    {49, 1083, 56},	// QsciAPIs::load$
    {49, 1084, 75},	// QsciAPIs::loadPrepared
    {49, 1085, 62},	// QsciAPIs::loadPrepared$
    {49, 1128, 46},	// QsciAPIs::metaObject
    {49, 1160, 58},	// QsciAPIs::prepare
    {49, 1170, 52},	// QsciAPIs::qt_metacall$$?
    {49, 1172, 47},	// QsciAPIs::qt_metacast$
    {49, 1190, 57},	// QsciAPIs::remove$
    {49, 1210, 76},	// QsciAPIs::savePrepared
    {49, 1211, 63},	// QsciAPIs::savePrepared$
    {49, 1562, 77},	// QsciAPIs::staticMetaObject
    {49, 1588, 72},	// QsciAPIs::tr$
    {49, 1589, 48},	// QsciAPIs::tr$$
    {49, 1590, 50},	// QsciAPIs::tr$$$
    {49, 1592, 73},	// QsciAPIs::trUtf8$
    {49, 1593, 49},	// QsciAPIs::trUtf8$$
    {49, 1594, 51},	// QsciAPIs::trUtf8$$$
    {49, 1599, 64},	// QsciAPIs::updateAutoCompletionList??
    {49, 1635, 78},	// QsciAPIs::~QsciAPIs
    {50, 465, 86},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {50, 831, 89},	// QsciAbstractAPIs::autoCompletionSelected$
    {50, 859, 90},	// QsciAbstractAPIs::callTips?$$?
    {50, 1072, 87},	// QsciAbstractAPIs::lexer
    {50, 1128, 79},	// QsciAbstractAPIs::metaObject
    {50, 1170, 85},	// QsciAbstractAPIs::qt_metacall$$?
    {50, 1172, 80},	// QsciAbstractAPIs::qt_metacast$
    {50, 1562, 93},	// QsciAbstractAPIs::staticMetaObject
    {50, 1588, 91},	// QsciAbstractAPIs::tr$
    {50, 1589, 81},	// QsciAbstractAPIs::tr$$
    {50, 1590, 83},	// QsciAbstractAPIs::tr$$$
    {50, 1592, 92},	// QsciAbstractAPIs::trUtf8$
    {50, 1593, 82},	// QsciAbstractAPIs::trUtf8$$
    {50, 1594, 84},	// QsciAbstractAPIs::trUtf8$$$
    {50, 1599, 88},	// QsciAbstractAPIs::updateAutoCompletionList??
    {50, 1636, 94},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {51, 82, 195},	// QsciCommand::Backtab
    {51, 116, 196},	// QsciCommand::Cancel
    {51, 118, 118},	// QsciCommand::CharLeft
    {51, 119, 119},	// QsciCommand::CharLeftExtend
    {51, 120, 120},	// QsciCommand::CharLeftRectExtend
    {51, 121, 121},	// QsciCommand::CharRight
    {51, 122, 122},	// QsciCommand::CharRightExtend
    {51, 123, 123},	// QsciCommand::CharRightRectExtend
    {51, 162, 169},	// QsciCommand::Delete
    {51, 163, 170},	// QsciCommand::DeleteBack
    {51, 164, 171},	// QsciCommand::DeleteBackNotLine
    {51, 165, 175},	// QsciCommand::DeleteLineLeft
    {51, 166, 176},	// QsciCommand::DeleteLineRight
    {51, 167, 172},	// QsciCommand::DeleteWordLeft
    {51, 168, 173},	// QsciCommand::DeleteWordRight
    {51, 169, 174},	// QsciCommand::DeleteWordRightEnd
    {51, 177, 157},	// QsciCommand::DocumentEnd
    {51, 178, 158},	// QsciCommand::DocumentEndExtend
    {51, 179, 155},	// QsciCommand::DocumentStart
    {51, 180, 156},	// QsciCommand::DocumentStartExtend
    {51, 199, 191},	// QsciCommand::EditToggleOvertype
    {51, 220, 193},	// QsciCommand::Formfeed
    {51, 247, 136},	// QsciCommand::Home
    {51, 248, 139},	// QsciCommand::HomeDisplay
    {51, 249, 140},	// QsciCommand::HomeDisplayExtend
    {51, 250, 137},	// QsciCommand::HomeExtend
    {51, 251, 138},	// QsciCommand::HomeRectExtend
    {51, 252, 141},	// QsciCommand::HomeWrap
    {51, 253, 142},	// QsciCommand::HomeWrapExtend
    {51, 333, 179},	// QsciCommand::LineCopy
    {51, 334, 178},	// QsciCommand::LineCut
    {51, 335, 177},	// QsciCommand::LineDelete
    {51, 336, 103},	// QsciCommand::LineDown
    {51, 337, 104},	// QsciCommand::LineDownExtend
    {51, 338, 105},	// QsciCommand::LineDownRectExtend
    {51, 339, 181},	// QsciCommand::LineDuplicate
    {51, 340, 148},	// QsciCommand::LineEnd
    {51, 341, 151},	// QsciCommand::LineEndDisplay
    {51, 342, 152},	// QsciCommand::LineEndDisplayExtend
    {51, 343, 149},	// QsciCommand::LineEndExtend
    {51, 344, 150},	// QsciCommand::LineEndRectExtend
    {51, 345, 153},	// QsciCommand::LineEndWrap
    {51, 346, 154},	// QsciCommand::LineEndWrapExtend
    {51, 348, 106},	// QsciCommand::LineScrollDown
    {51, 349, 110},	// QsciCommand::LineScrollUp
    {51, 350, 180},	// QsciCommand::LineTranspose
    {51, 351, 107},	// QsciCommand::LineUp
    {51, 352, 108},	// QsciCommand::LineUpExtend
    {51, 353, 109},	// QsciCommand::LineUpRectExtend
    {51, 368, 184},	// QsciCommand::MoveSelectedLinesDown
    {51, 369, 183},	// QsciCommand::MoveSelectedLinesUp
    {51, 374, 192},	// QsciCommand::Newline
    {51, 399, 162},	// QsciCommand::PageDown
    {51, 400, 163},	// QsciCommand::PageDownExtend
    {51, 401, 164},	// QsciCommand::PageDownRectExtend
    {51, 403, 159},	// QsciCommand::PageUp
    {51, 404, 160},	// QsciCommand::PageUpExtend
    {51, 405, 161},	// QsciCommand::PageUpRectExtend
    {51, 407, 114},	// QsciCommand::ParaDown
    {51, 408, 115},	// QsciCommand::ParaDownExtend
    {51, 409, 116},	// QsciCommand::ParaUp
    {51, 410, 117},	// QsciCommand::ParaUpExtend
    {51, 412, 190},	// QsciCommand::Paste
    {51, 564, 198},	// QsciCommand::Redo
    {51, 642, 112},	// QsciCommand::ScrollToEnd
    {51, 643, 111},	// QsciCommand::ScrollToStart
    {51, 645, 182},	// QsciCommand::SelectAll
    {51, 647, 189},	// QsciCommand::SelectionCopy
    {51, 648, 188},	// QsciCommand::SelectionCut
    {51, 649, 185},	// QsciCommand::SelectionDuplicate
    {51, 650, 186},	// QsciCommand::SelectionLowerCase
    {51, 651, 187},	// QsciCommand::SelectionUpperCase
    {51, 689, 167},	// QsciCommand::StutteredPageDown
    {51, 690, 168},	// QsciCommand::StutteredPageDownExtend
    {51, 691, 165},	// QsciCommand::StutteredPageUp
    {51, 692, 166},	// QsciCommand::StutteredPageUpExtend
    {51, 708, 194},	// QsciCommand::Tab
    {51, 740, 197},	// QsciCommand::Undo
    {51, 755, 143},	// QsciCommand::VCHome
    {51, 756, 144},	// QsciCommand::VCHomeExtend
    {51, 757, 145},	// QsciCommand::VCHomeRectExtend
    {51, 758, 146},	// QsciCommand::VCHomeWrap
    {51, 759, 147},	// QsciCommand::VCHomeWrapExtend
    {51, 764, 113},	// QsciCommand::VerticalCentreCaret
    {51, 767, 124},	// QsciCommand::WordLeft
    {51, 768, 128},	// QsciCommand::WordLeftEnd
    {51, 769, 129},	// QsciCommand::WordLeftEndExtend
    {51, 770, 125},	// QsciCommand::WordLeftExtend
    {51, 771, 132},	// QsciCommand::WordPartLeft
    {51, 772, 133},	// QsciCommand::WordPartLeftExtend
    {51, 773, 134},	// QsciCommand::WordPartRight
    {51, 774, 135},	// QsciCommand::WordPartRightExtend
    {51, 775, 126},	// QsciCommand::WordRight
    {51, 776, 130},	// QsciCommand::WordRightEnd
    {51, 777, 131},	// QsciCommand::WordRightEndExtend
    {51, 778, 127},	// QsciCommand::WordRightExtend
    {51, 797, 199},	// QsciCommand::ZoomIn
    {51, 798, 200},	// QsciCommand::ZoomOut
    {51, 804, 100},	// QsciCommand::alternateKey
    {51, 890, 95},	// QsciCommand::command
    {51, 918, 102},	// QsciCommand::description
    {51, 954, 96},	// QsciCommand::execute
    {51, 1061, 99},	// QsciCommand::key
    {51, 1226, 98},	// QsciCommand::setAlternateKey$
    {51, 1415, 97},	// QsciCommand::setKey$
    {51, 1606, 101},	// QsciCommand::validKey$
    {51, 1637, 201},	// QsciCommand::~QsciCommand
    {52, 850, 207},	// QsciCommandSet::boundTo$
    {52, 874, 206},	// QsciCommandSet::clearAlternateKeys
    {52, 881, 205},	// QsciCommandSet::clearKeys
    {52, 893, 204},	// QsciCommandSet::commands
    {52, 960, 208},	// QsciCommandSet::find$
    {52, 1179, 209},	// QsciCommandSet::readSettings#
    {52, 1180, 202},	// QsciCommandSet::readSettings#$
    {52, 1626, 210},	// QsciCommandSet::writeSettings#
    {52, 1627, 203},	// QsciCommandSet::writeSettings#$
    {53, 466, 211},	// QsciDocument::QsciDocument
    {53, 467, 212},	// QsciDocument::QsciDocument#
    {53, 1145, 213},	// QsciDocument::operator=#
    {53, 1638, 214},	// QsciDocument::~QsciDocument
    {54, 468, 276},	// QsciLexer::QsciLexer
    {54, 469, 222},	// QsciLexer::QsciLexer#
    {54, 818, 226},	// QsciLexer::apis
    {54, 827, 227},	// QsciLexer::autoCompletionFillups
    {54, 836, 228},	// QsciLexer::autoCompletionWordSeparators
    {54, 838, 229},	// QsciLexer::autoIndentStyle
    {54, 842, 277},	// QsciLexer::blockEnd
    {54, 843, 230},	// QsciLexer::blockEnd$
    {54, 844, 231},	// QsciLexer::blockLookback
    {54, 845, 278},	// QsciLexer::blockStart
    {54, 846, 232},	// QsciLexer::blockStart$
    {54, 847, 279},	// QsciLexer::blockStartKeyword
    {54, 848, 233},	// QsciLexer::blockStartKeyword$
    {54, 852, 234},	// QsciLexer::braceStyle
    {54, 867, 235},	// QsciLexer::caseSensitive
    {54, 887, 236},	// QsciLexer::color$
    {54, 889, 267},	// QsciLexer::colorChanged#$
    {54, 908, 244},	// QsciLexer::defaultColor
    {54, 909, 245},	// QsciLexer::defaultColor$
    {54, 911, 246},	// QsciLexer::defaultEolFill$
    {54, 912, 247},	// QsciLexer::defaultFont
    {54, 913, 248},	// QsciLexer::defaultFont$
    {54, 914, 249},	// QsciLexer::defaultPaper
    {54, 915, 250},	// QsciLexer::defaultPaper$
    {54, 917, 241},	// QsciLexer::defaultStyle
    {54, 919, 242},	// QsciLexer::description$
    {54, 937, 251},	// QsciLexer::editor
    {54, 946, 237},	// QsciLexer::eolFill$
    {54, 948, 268},	// QsciLexer::eolFillChanged$$
    {54, 1000, 238},	// QsciLexer::font$
    {54, 1003, 269},	// QsciLexer::fontChanged#$
    {54, 1026, 239},	// QsciLexer::indentationGuideView
    {54, 1066, 240},	// QsciLexer::keywords$
    {54, 1067, 223},	// QsciLexer::language
    {54, 1072, 224},	// QsciLexer::lexer
    {54, 1073, 225},	// QsciLexer::lexerId
    {54, 1128, 215},	// QsciLexer::metaObject
    {54, 1152, 243},	// QsciLexer::paper$
    {54, 1154, 270},	// QsciLexer::paperChanged#$
    {54, 1168, 271},	// QsciLexer::propertyChanged$$
    {54, 1170, 221},	// QsciLexer::qt_metacall$$?
    {54, 1172, 216},	// QsciLexer::qt_metacast$
    {54, 1177, 272},	// QsciLexer::readProperties#$
    {54, 1179, 280},	// QsciLexer::readSettings#
    {54, 1180, 257},	// QsciLexer::readSettings#$
    {54, 1186, 258},	// QsciLexer::refreshProperties
    {54, 1224, 252},	// QsciLexer::setAPIs#
    {54, 1250, 262},	// QsciLexer::setAutoIndentStyle$
    {54, 1282, 282},	// QsciLexer::setColor#
    {54, 1283, 263},	// QsciLexer::setColor#$
    {54, 1289, 253},	// QsciLexer::setDefaultColor#
    {54, 1291, 254},	// QsciLexer::setDefaultFont#
    {54, 1293, 255},	// QsciLexer::setDefaultPaper#
    {54, 1311, 256},	// QsciLexer::setEditor#
    {54, 1313, 283},	// QsciLexer::setEolFill$
    {54, 1314, 264},	// QsciLexer::setEolFill$$
    {54, 1357, 284},	// QsciLexer::setFont#
    {54, 1358, 265},	// QsciLexer::setFont#$
    {54, 1470, 285},	// QsciLexer::setPaper#
    {54, 1471, 266},	// QsciLexer::setPaper#$
    {54, 1562, 286},	// QsciLexer::staticMetaObject
    {54, 1565, 259},	// QsciLexer::styleBitsNeeded
    {54, 1588, 274},	// QsciLexer::tr$
    {54, 1589, 217},	// QsciLexer::tr$$
    {54, 1590, 219},	// QsciLexer::tr$$$
    {54, 1592, 275},	// QsciLexer::trUtf8$
    {54, 1593, 218},	// QsciLexer::trUtf8$$
    {54, 1594, 220},	// QsciLexer::trUtf8$$$
    {54, 1618, 260},	// QsciLexer::wordCharacters
    {54, 1624, 273},	// QsciLexer::writeProperties#$
    {54, 1626, 281},	// QsciLexer::writeSettings#
    {54, 1627, 261},	// QsciLexer::writeSettings#$
    {54, 1639, 287},	// QsciLexer::~QsciLexer
    {55, 85, 328},	// QsciLexerBash::Backticks
    {55, 139, 319},	// QsciLexerBash::Comment
    {55, 160, 317},	// QsciLexerBash::Default
    {55, 186, 322},	// QsciLexerBash::DoubleQuotedString
    {55, 206, 318},	// QsciLexerBash::Error
    {55, 240, 329},	// QsciLexerBash::HereDocumentDelimiter
    {55, 256, 325},	// QsciLexerBash::Identifier
    {55, 308, 321},	// QsciLexerBash::Keyword
    {55, 379, 320},	// QsciLexerBash::Number
    {55, 383, 324},	// QsciLexerBash::Operator
    {55, 411, 327},	// QsciLexerBash::ParameterExpansion
    {55, 470, 315},	// QsciLexerBash::QsciLexerBash
    {55, 471, 295},	// QsciLexerBash::QsciLexerBash#
    {55, 639, 326},	// QsciLexerBash::Scalar
    {55, 664, 330},	// QsciLexerBash::SingleQuotedHereDocument
    {55, 665, 323},	// QsciLexerBash::SingleQuotedString
    {55, 852, 298},	// QsciLexerBash::braceStyle
    {55, 909, 300},	// QsciLexerBash::defaultColor$
    {55, 911, 301},	// QsciLexerBash::defaultEolFill$
    {55, 913, 302},	// QsciLexerBash::defaultFont$
    {55, 915, 303},	// QsciLexerBash::defaultPaper$
    {55, 919, 305},	// QsciLexerBash::description$
    {55, 986, 307},	// QsciLexerBash::foldComments
    {55, 987, 308},	// QsciLexerBash::foldCompact
    {55, 1066, 304},	// QsciLexerBash::keywords$
    {55, 1067, 296},	// QsciLexerBash::language
    {55, 1072, 297},	// QsciLexerBash::lexer
    {55, 1128, 288},	// QsciLexerBash::metaObject
    {55, 1170, 294},	// QsciLexerBash::qt_metacall$$?
    {55, 1172, 289},	// QsciLexerBash::qt_metacast$
    {55, 1177, 311},	// QsciLexerBash::readProperties#$
    {55, 1186, 306},	// QsciLexerBash::refreshProperties
    {55, 1332, 309},	// QsciLexerBash::setFoldComments$
    {55, 1334, 310},	// QsciLexerBash::setFoldCompact$
    {55, 1562, 316},	// QsciLexerBash::staticMetaObject
    {55, 1588, 313},	// QsciLexerBash::tr$
    {55, 1589, 290},	// QsciLexerBash::tr$$
    {55, 1590, 292},	// QsciLexerBash::tr$$$
    {55, 1592, 314},	// QsciLexerBash::trUtf8$
    {55, 1593, 291},	// QsciLexerBash::trUtf8$$
    {55, 1594, 293},	// QsciLexerBash::trUtf8$$$
    {55, 1618, 299},	// QsciLexerBash::wordCharacters
    {55, 1624, 312},	// QsciLexerBash::writeProperties#$
    {55, 1640, 331},	// QsciLexerBash::~QsciLexerBash
    {56, 139, 355},	// QsciLexerBatch::Comment
    {56, 160, 354},	// QsciLexerBatch::Default
    {56, 214, 359},	// QsciLexerBatch::ExternalCommand
    {56, 244, 358},	// QsciLexerBatch::HideCommandChar
    {56, 308, 356},	// QsciLexerBatch::Keyword
    {56, 318, 357},	// QsciLexerBatch::Label
    {56, 383, 361},	// QsciLexerBatch::Operator
    {56, 472, 352},	// QsciLexerBatch::QsciLexerBatch
    {56, 473, 339},	// QsciLexerBatch::QsciLexerBatch#
    {56, 762, 360},	// QsciLexerBatch::Variable
    {56, 867, 343},	// QsciLexerBatch::caseSensitive
    {56, 909, 344},	// QsciLexerBatch::defaultColor$
    {56, 911, 345},	// QsciLexerBatch::defaultEolFill$
    {56, 913, 346},	// QsciLexerBatch::defaultFont$
    {56, 915, 347},	// QsciLexerBatch::defaultPaper$
    {56, 919, 349},	// QsciLexerBatch::description$
    {56, 1066, 348},	// QsciLexerBatch::keywords$
    {56, 1067, 340},	// QsciLexerBatch::language
    {56, 1072, 341},	// QsciLexerBatch::lexer
    {56, 1128, 332},	// QsciLexerBatch::metaObject
    {56, 1170, 338},	// QsciLexerBatch::qt_metacall$$?
    {56, 1172, 333},	// QsciLexerBatch::qt_metacast$
    {56, 1562, 353},	// QsciLexerBatch::staticMetaObject
    {56, 1588, 350},	// QsciLexerBatch::tr$
    {56, 1589, 334},	// QsciLexerBatch::tr$$
    {56, 1590, 336},	// QsciLexerBatch::tr$$$
    {56, 1592, 351},	// QsciLexerBatch::trUtf8$
    {56, 1593, 335},	// QsciLexerBatch::trUtf8$$
    {56, 1594, 337},	// QsciLexerBatch::trUtf8$$$
    {56, 1618, 342},	// QsciLexerBatch::wordCharacters
    {56, 1641, 362},	// QsciLexerBatch::~QsciLexerBatch
    {57, 91, 397},	// QsciLexerCMake::BlockForeach
    {57, 92, 398},	// QsciLexerCMake::BlockIf
    {57, 93, 399},	// QsciLexerCMake::BlockMacro
    {57, 94, 396},	// QsciLexerCMake::BlockWhile
    {57, 139, 388},	// QsciLexerCMake::Comment
    {57, 160, 387},	// QsciLexerCMake::Default
    {57, 223, 392},	// QsciLexerCMake::Function
    {57, 312, 395},	// QsciLexerCMake::KeywordSet3
    {57, 318, 394},	// QsciLexerCMake::Label
    {57, 379, 401},	// QsciLexerCMake::Number
    {57, 474, 385},	// QsciLexerCMake::QsciLexerCMake
    {57, 475, 370},	// QsciLexerCMake::QsciLexerCMake#
    {57, 684, 389},	// QsciLexerCMake::String
    {57, 685, 390},	// QsciLexerCMake::StringLeftQuote
    {57, 686, 391},	// QsciLexerCMake::StringRightQuote
    {57, 688, 400},	// QsciLexerCMake::StringVariable
    {57, 762, 393},	// QsciLexerCMake::Variable
    {57, 909, 373},	// QsciLexerCMake::defaultColor$
    {57, 913, 374},	// QsciLexerCMake::defaultFont$
    {57, 915, 375},	// QsciLexerCMake::defaultPaper$
    {57, 919, 377},	// QsciLexerCMake::description$
    {57, 984, 379},	// QsciLexerCMake::foldAtElse
    {57, 1066, 376},	// QsciLexerCMake::keywords$
    {57, 1067, 371},	// QsciLexerCMake::language
    {57, 1072, 372},	// QsciLexerCMake::lexer
    {57, 1128, 363},	// QsciLexerCMake::metaObject
    {57, 1170, 369},	// QsciLexerCMake::qt_metacall$$?
    {57, 1172, 364},	// QsciLexerCMake::qt_metacast$
    {57, 1177, 381},	// QsciLexerCMake::readProperties#$
    {57, 1186, 378},	// QsciLexerCMake::refreshProperties
    {57, 1328, 380},	// QsciLexerCMake::setFoldAtElse$
    {57, 1562, 386},	// QsciLexerCMake::staticMetaObject
    {57, 1588, 383},	// QsciLexerCMake::tr$
    {57, 1589, 365},	// QsciLexerCMake::tr$$
    {57, 1590, 367},	// QsciLexerCMake::tr$$$
    {57, 1592, 384},	// QsciLexerCMake::trUtf8$
    {57, 1593, 366},	// QsciLexerCMake::trUtf8$$
    {57, 1594, 368},	// QsciLexerCMake::trUtf8$$$
    {57, 1624, 382},	// QsciLexerCMake::writeProperties#$
    {57, 1642, 402},	// QsciLexerCMake::~QsciLexerCMake
    {58, 139, 460},	// QsciLexerCPP::Comment
    {58, 142, 464},	// QsciLexerCPP::CommentDoc
    {58, 143, 492},	// QsciLexerCPP::CommentDocKeyword
    {58, 144, 494},	// QsciLexerCPP::CommentDocKeywordError
    {58, 145, 462},	// QsciLexerCPP::CommentLine
    {58, 146, 488},	// QsciLexerCPP::CommentLineDoc
    {58, 160, 458},	// QsciLexerCPP::Default
    {58, 186, 470},	// QsciLexerCPP::DoubleQuotedString
    {58, 207, 512},	// QsciLexerCPP::EscapeSequence
    {58, 226, 496},	// QsciLexerCPP::GlobalClass
    {58, 237, 502},	// QsciLexerCPP::HashQuotedString
    {58, 256, 480},	// QsciLexerCPP::Identifier
    {58, 261, 461},	// QsciLexerCPP::InactiveComment
    {58, 262, 465},	// QsciLexerCPP::InactiveCommentDoc
    {58, 263, 493},	// QsciLexerCPP::InactiveCommentDocKeyword
    {58, 264, 495},	// QsciLexerCPP::InactiveCommentDocKeywordError
    {58, 265, 463},	// QsciLexerCPP::InactiveCommentLine
    {58, 266, 489},	// QsciLexerCPP::InactiveCommentLineDoc
    {58, 267, 459},	// QsciLexerCPP::InactiveDefault
    {58, 268, 471},	// QsciLexerCPP::InactiveDoubleQuotedString
    {58, 269, 513},	// QsciLexerCPP::InactiveEscapeSequence
    {58, 270, 497},	// QsciLexerCPP::InactiveGlobalClass
    {58, 271, 503},	// QsciLexerCPP::InactiveHashQuotedString
    {58, 272, 481},	// QsciLexerCPP::InactiveIdentifier
    {58, 273, 469},	// QsciLexerCPP::InactiveKeyword
    {58, 274, 491},	// QsciLexerCPP::InactiveKeywordSet2
    {58, 275, 467},	// QsciLexerCPP::InactiveNumber
    {58, 276, 479},	// QsciLexerCPP::InactiveOperator
    {58, 277, 477},	// QsciLexerCPP::InactivePreProcessor
    {58, 278, 505},	// QsciLexerCPP::InactivePreProcessorComment
    {58, 279, 507},	// QsciLexerCPP::InactivePreProcessorCommentLineDoc
    {58, 280, 499},	// QsciLexerCPP::InactiveRawString
    {58, 281, 487},	// QsciLexerCPP::InactiveRegex
    {58, 282, 473},	// QsciLexerCPP::InactiveSingleQuotedString
    {58, 283, 511},	// QsciLexerCPP::InactiveTaskMarker
    {58, 284, 501},	// QsciLexerCPP::InactiveTripleQuotedVerbatimString
    {58, 285, 475},	// QsciLexerCPP::InactiveUUID
    {58, 286, 483},	// QsciLexerCPP::InactiveUnclosedString
    {58, 287, 509},	// QsciLexerCPP::InactiveUserLiteral
    {58, 288, 485},	// QsciLexerCPP::InactiveVerbatimString
    {58, 308, 468},	// QsciLexerCPP::Keyword
    {58, 311, 490},	// QsciLexerCPP::KeywordSet2
    {58, 379, 466},	// QsciLexerCPP::Number
    {58, 383, 478},	// QsciLexerCPP::Operator
    {58, 431, 476},	// QsciLexerCPP::PreProcessor
    {58, 432, 504},	// QsciLexerCPP::PreProcessorComment
    {58, 433, 506},	// QsciLexerCPP::PreProcessorCommentLineDoc
    {58, 476, 452},	// QsciLexerCPP::QsciLexerCPP
    {58, 477, 453},	// QsciLexerCPP::QsciLexerCPP#
    {58, 478, 410},	// QsciLexerCPP::QsciLexerCPP#$
    {58, 562, 498},	// QsciLexerCPP::RawString
    {58, 566, 486},	// QsciLexerCPP::Regex
    {58, 665, 472},	// QsciLexerCPP::SingleQuotedString
    {58, 716, 510},	// QsciLexerCPP::TaskMarker
    {58, 733, 500},	// QsciLexerCPP::TripleQuotedVerbatimString
    {58, 737, 474},	// QsciLexerCPP::UUID
    {58, 738, 482},	// QsciLexerCPP::UnclosedString
    {58, 746, 508},	// QsciLexerCPP::UserLiteral
    {58, 763, 484},	// QsciLexerCPP::VerbatimString
    {58, 836, 413},	// QsciLexerCPP::autoCompletionWordSeparators
    {58, 842, 454},	// QsciLexerCPP::blockEnd
    {58, 843, 414},	// QsciLexerCPP::blockEnd$
    {58, 845, 455},	// QsciLexerCPP::blockStart
    {58, 846, 415},	// QsciLexerCPP::blockStart$
    {58, 847, 456},	// QsciLexerCPP::blockStartKeyword
    {58, 848, 416},	// QsciLexerCPP::blockStartKeyword$
    {58, 852, 417},	// QsciLexerCPP::braceStyle
    {58, 909, 419},	// QsciLexerCPP::defaultColor$
    {58, 911, 420},	// QsciLexerCPP::defaultEolFill$
    {58, 913, 421},	// QsciLexerCPP::defaultFont$
    {58, 915, 422},	// QsciLexerCPP::defaultPaper$
    {58, 919, 424},	// QsciLexerCPP::description$
    {58, 924, 432},	// QsciLexerCPP::dollarsAllowed
    {58, 984, 426},	// QsciLexerCPP::foldAtElse
    {58, 986, 427},	// QsciLexerCPP::foldComments
    {58, 987, 428},	// QsciLexerCPP::foldCompact
    {58, 994, 429},	// QsciLexerCPP::foldPreprocessor
    {58, 1016, 438},	// QsciLexerCPP::highlightBackQuotedStrings
    {58, 1017, 440},	// QsciLexerCPP::highlightEscapeSequences
    {58, 1018, 436},	// QsciLexerCPP::highlightHashQuotedStrings
    {58, 1020, 434},	// QsciLexerCPP::highlightTripleQuotedStrings
    {58, 1066, 423},	// QsciLexerCPP::keywords$
    {58, 1067, 411},	// QsciLexerCPP::language
    {58, 1072, 412},	// QsciLexerCPP::lexer
    {58, 1128, 403},	// QsciLexerCPP::metaObject
    {58, 1170, 409},	// QsciLexerCPP::qt_metacall$$?
    {58, 1172, 404},	// QsciLexerCPP::qt_metacast$
    {58, 1177, 448},	// QsciLexerCPP::readProperties#$
    {58, 1186, 425},	// QsciLexerCPP::refreshProperties
    {58, 1301, 431},	// QsciLexerCPP::setDollarsAllowed$
    {58, 1328, 443},	// QsciLexerCPP::setFoldAtElse$
    {58, 1332, 444},	// QsciLexerCPP::setFoldComments$
    {58, 1334, 445},	// QsciLexerCPP::setFoldCompact$
    {58, 1346, 446},	// QsciLexerCPP::setFoldPreprocessor$
    {58, 1364, 437},	// QsciLexerCPP::setHighlightBackQuotedStrings$
    {58, 1366, 439},	// QsciLexerCPP::setHighlightEscapeSequences$
    {58, 1368, 435},	// QsciLexerCPP::setHighlightHashQuotedStrings$
    {58, 1372, 433},	// QsciLexerCPP::setHighlightTripleQuotedStrings$
    {58, 1502, 447},	// QsciLexerCPP::setStylePreprocessor$
    {58, 1533, 441},	// QsciLexerCPP::setVerbatimStringEscapeSequencesAllowed$
    {58, 1562, 457},	// QsciLexerCPP::staticMetaObject
    {58, 1567, 430},	// QsciLexerCPP::stylePreprocessor
    {58, 1588, 450},	// QsciLexerCPP::tr$
    {58, 1589, 405},	// QsciLexerCPP::tr$$
    {58, 1590, 407},	// QsciLexerCPP::tr$$$
    {58, 1592, 451},	// QsciLexerCPP::trUtf8$
    {58, 1593, 406},	// QsciLexerCPP::trUtf8$$
    {58, 1594, 408},	// QsciLexerCPP::trUtf8$$$
    {58, 1607, 442},	// QsciLexerCPP::verbatimStringEscapeSequencesAllowed
    {58, 1618, 418},	// QsciLexerCPP::wordCharacters
    {58, 1624, 449},	// QsciLexerCPP::writeProperties#$
    {58, 1643, 514},	// QsciLexerCPP::~QsciLexerCPP
    {59, 66, 563},	// QsciLexerCSS::AtRule
    {59, 67, 567},	// QsciLexerCSS::Attribute
    {59, 107, 557},	// QsciLexerCSS::CSS1Property
    {59, 108, 566},	// QsciLexerCSS::CSS2Property
    {59, 109, 568},	// QsciLexerCSS::CSS3Property
    {59, 134, 553},	// QsciLexerCSS::ClassSelector
    {59, 139, 560},	// QsciLexerCSS::Comment
    {59, 160, 551},	// QsciLexerCSS::Default
    {59, 186, 564},	// QsciLexerCSS::DoubleQuotedString
    {59, 210, 570},	// QsciLexerCSS::ExtendedCSSProperty
    {59, 212, 571},	// QsciLexerCSS::ExtendedPseudoClass
    {59, 213, 572},	// QsciLexerCSS::ExtendedPseudoElement
    {59, 230, 536},	// QsciLexerCSS::HSSLanguage
    {59, 254, 561},	// QsciLexerCSS::IDSelector
    {59, 260, 562},	// QsciLexerCSS::Important
    {59, 328, 538},	// QsciLexerCSS::LessLanguage
    {59, 360, 573},	// QsciLexerCSS::MediaRule
    {59, 383, 556},	// QsciLexerCSS::Operator
    {59, 440, 554},	// QsciLexerCSS::PseudoClass
    {59, 441, 569},	// QsciLexerCSS::PseudoElement
    {59, 479, 547},	// QsciLexerCSS::QsciLexerCSS
    {59, 480, 522},	// QsciLexerCSS::QsciLexerCSS#
    {59, 624, 540},	// QsciLexerCSS::SCSSLanguage
    {59, 665, 565},	// QsciLexerCSS::SingleQuotedString
    {59, 714, 552},	// QsciLexerCSS::Tag
    {59, 742, 558},	// QsciLexerCSS::UnknownProperty
    {59, 743, 555},	// QsciLexerCSS::UnknownPseudoClass
    {59, 761, 559},	// QsciLexerCSS::Value
    {59, 762, 574},	// QsciLexerCSS::Variable
    {59, 842, 548},	// QsciLexerCSS::blockEnd
    {59, 843, 525},	// QsciLexerCSS::blockEnd$
    {59, 845, 549},	// QsciLexerCSS::blockStart
    {59, 846, 526},	// QsciLexerCSS::blockStart$
    {59, 909, 528},	// QsciLexerCSS::defaultColor$
    {59, 913, 529},	// QsciLexerCSS::defaultFont$
    {59, 919, 531},	// QsciLexerCSS::description$
    {59, 986, 533},	// QsciLexerCSS::foldComments
    {59, 987, 534},	// QsciLexerCSS::foldCompact
    {59, 1066, 530},	// QsciLexerCSS::keywords$
    {59, 1067, 523},	// QsciLexerCSS::language
    {59, 1072, 524},	// QsciLexerCSS::lexer
    {59, 1128, 515},	// QsciLexerCSS::metaObject
    {59, 1170, 521},	// QsciLexerCSS::qt_metacall$$?
    {59, 1172, 516},	// QsciLexerCSS::qt_metacast$
    {59, 1177, 543},	// QsciLexerCSS::readProperties#$
    {59, 1186, 532},	// QsciLexerCSS::refreshProperties
    {59, 1332, 541},	// QsciLexerCSS::setFoldComments$
    {59, 1334, 542},	// QsciLexerCSS::setFoldCompact$
    {59, 1360, 535},	// QsciLexerCSS::setHSSLanguage$
    {59, 1417, 537},	// QsciLexerCSS::setLessLanguage$
    {59, 1481, 539},	// QsciLexerCSS::setSCSSLanguage$
    {59, 1562, 550},	// QsciLexerCSS::staticMetaObject
    {59, 1588, 545},	// QsciLexerCSS::tr$
    {59, 1589, 517},	// QsciLexerCSS::tr$$
    {59, 1590, 519},	// QsciLexerCSS::tr$$$
    {59, 1592, 546},	// QsciLexerCSS::trUtf8$
    {59, 1593, 518},	// QsciLexerCSS::trUtf8$$
    {59, 1594, 520},	// QsciLexerCSS::trUtf8$$$
    {59, 1618, 527},	// QsciLexerCSS::wordCharacters
    {59, 1624, 544},	// QsciLexerCSS::writeProperties#$
    {59, 1644, 575},	// QsciLexerCSS::~QsciLexerCSS
    {60, 481, 593},	// QsciLexerCSharp::QsciLexerCSharp
    {60, 482, 583},	// QsciLexerCSharp::QsciLexerCSharp#
    {60, 909, 585},	// QsciLexerCSharp::defaultColor$
    {60, 911, 586},	// QsciLexerCSharp::defaultEolFill$
    {60, 913, 587},	// QsciLexerCSharp::defaultFont$
    {60, 915, 588},	// QsciLexerCSharp::defaultPaper$
    {60, 919, 590},	// QsciLexerCSharp::description$
    {60, 1066, 589},	// QsciLexerCSharp::keywords$
    {60, 1067, 584},	// QsciLexerCSharp::language
    {60, 1128, 576},	// QsciLexerCSharp::metaObject
    {60, 1170, 582},	// QsciLexerCSharp::qt_metacall$$?
    {60, 1172, 577},	// QsciLexerCSharp::qt_metacast$
    {60, 1562, 594},	// QsciLexerCSharp::staticMetaObject
    {60, 1588, 591},	// QsciLexerCSharp::tr$
    {60, 1589, 578},	// QsciLexerCSharp::tr$$
    {60, 1590, 580},	// QsciLexerCSharp::tr$$$
    {60, 1592, 592},	// QsciLexerCSharp::trUtf8$
    {60, 1593, 579},	// QsciLexerCSharp::trUtf8$$
    {60, 1594, 581},	// QsciLexerCSharp::trUtf8$$$
    {60, 1645, 595},	// QsciLexerCSharp::~QsciLexerCSharp
    {61, 483, 612},	// QsciLexerCustom::QsciLexerCustom
    {61, 484, 603},	// QsciLexerCustom::QsciLexerCustom#
    {61, 1128, 596},	// QsciLexerCustom::metaObject
    {61, 1170, 602},	// QsciLexerCustom::qt_metacall$$?
    {61, 1172, 597},	// QsciLexerCustom::qt_metacast$
    {61, 1311, 608},	// QsciLexerCustom::setEditor#
    {61, 1504, 605},	// QsciLexerCustom::setStyling$#
    {61, 1505, 604},	// QsciLexerCustom::setStyling$$
    {61, 1560, 613},	// QsciLexerCustom::startStyling$
    {61, 1561, 606},	// QsciLexerCustom::startStyling$$
    {61, 1562, 614},	// QsciLexerCustom::staticMetaObject
    {61, 1565, 609},	// QsciLexerCustom::styleBitsNeeded
    {61, 1569, 607},	// QsciLexerCustom::styleText$$
    {61, 1588, 610},	// QsciLexerCustom::tr$
    {61, 1589, 598},	// QsciLexerCustom::tr$$
    {61, 1590, 600},	// QsciLexerCustom::tr$$$
    {61, 1592, 611},	// QsciLexerCustom::trUtf8$
    {61, 1593, 599},	// QsciLexerCustom::trUtf8$$
    {61, 1594, 601},	// QsciLexerCustom::trUtf8$$$
    {61, 1646, 615},	// QsciLexerCustom::~QsciLexerCustom
    {62, 81, 672},	// QsciLexerD::BackquoteString
    {62, 124, 666},	// QsciLexerD::Character
    {62, 139, 655},	// QsciLexerD::Comment
    {62, 142, 657},	// QsciLexerD::CommentDoc
    {62, 143, 670},	// QsciLexerD::CommentDocKeyword
    {62, 144, 671},	// QsciLexerD::CommentDocKeywordError
    {62, 145, 656},	// QsciLexerD::CommentLine
    {62, 146, 669},	// QsciLexerD::CommentLineDoc
    {62, 148, 658},	// QsciLexerD::CommentNested
    {62, 160, 654},	// QsciLexerD::Default
    {62, 256, 668},	// QsciLexerD::Identifier
    {62, 308, 660},	// QsciLexerD::Keyword
    {62, 309, 662},	// QsciLexerD::KeywordDoc
    {62, 310, 661},	// QsciLexerD::KeywordSecondary
    {62, 313, 674},	// QsciLexerD::KeywordSet5
    {62, 314, 675},	// QsciLexerD::KeywordSet6
    {62, 315, 676},	// QsciLexerD::KeywordSet7
    {62, 379, 659},	// QsciLexerD::Number
    {62, 383, 667},	// QsciLexerD::Operator
    {62, 485, 649},	// QsciLexerD::QsciLexerD
    {62, 486, 623},	// QsciLexerD::QsciLexerD#
    {62, 562, 673},	// QsciLexerD::RawString
    {62, 684, 664},	// QsciLexerD::String
    {62, 735, 663},	// QsciLexerD::Typedefs
    {62, 738, 665},	// QsciLexerD::UnclosedString
    {62, 836, 626},	// QsciLexerD::autoCompletionWordSeparators
    {62, 842, 650},	// QsciLexerD::blockEnd
    {62, 843, 627},	// QsciLexerD::blockEnd$
    {62, 845, 651},	// QsciLexerD::blockStart
    {62, 846, 628},	// QsciLexerD::blockStart$
    {62, 847, 652},	// QsciLexerD::blockStartKeyword
    {62, 848, 629},	// QsciLexerD::blockStartKeyword$
    {62, 852, 630},	// QsciLexerD::braceStyle
    {62, 909, 632},	// QsciLexerD::defaultColor$
    {62, 911, 633},	// QsciLexerD::defaultEolFill$
    {62, 913, 634},	// QsciLexerD::defaultFont$
    {62, 915, 635},	// QsciLexerD::defaultPaper$
    {62, 919, 637},	// QsciLexerD::description$
    {62, 984, 639},	// QsciLexerD::foldAtElse
    {62, 986, 640},	// QsciLexerD::foldComments
    {62, 987, 641},	// QsciLexerD::foldCompact
    {62, 1066, 636},	// QsciLexerD::keywords$
    {62, 1067, 624},	// QsciLexerD::language
    {62, 1072, 625},	// QsciLexerD::lexer
    {62, 1128, 616},	// QsciLexerD::metaObject
    {62, 1170, 622},	// QsciLexerD::qt_metacall$$?
    {62, 1172, 617},	// QsciLexerD::qt_metacast$
    {62, 1177, 645},	// QsciLexerD::readProperties#$
    {62, 1186, 638},	// QsciLexerD::refreshProperties
    {62, 1328, 642},	// QsciLexerD::setFoldAtElse$
    {62, 1332, 643},	// QsciLexerD::setFoldComments$
    {62, 1334, 644},	// QsciLexerD::setFoldCompact$
    {62, 1562, 653},	// QsciLexerD::staticMetaObject
    {62, 1588, 647},	// QsciLexerD::tr$
    {62, 1589, 618},	// QsciLexerD::tr$$
    {62, 1590, 620},	// QsciLexerD::tr$$$
    {62, 1592, 648},	// QsciLexerD::trUtf8$
    {62, 1593, 619},	// QsciLexerD::trUtf8$$
    {62, 1594, 621},	// QsciLexerD::trUtf8$$$
    {62, 1618, 631},	// QsciLexerD::wordCharacters
    {62, 1624, 646},	// QsciLexerD::writeProperties#$
    {62, 1647, 677},	// QsciLexerD::~QsciLexerD
    {63, 138, 697},	// QsciLexerDiff::Command
    {63, 139, 696},	// QsciLexerDiff::Comment
    {63, 160, 695},	// QsciLexerDiff::Default
    {63, 238, 698},	// QsciLexerDiff::Header
    {63, 330, 701},	// QsciLexerDiff::LineAdded
    {63, 331, 702},	// QsciLexerDiff::LineChanged
    {63, 347, 700},	// QsciLexerDiff::LineRemoved
    {63, 429, 699},	// QsciLexerDiff::Position
    {63, 487, 693},	// QsciLexerDiff::QsciLexerDiff
    {63, 488, 685},	// QsciLexerDiff::QsciLexerDiff#
    {63, 909, 689},	// QsciLexerDiff::defaultColor$
    {63, 919, 690},	// QsciLexerDiff::description$
    {63, 1067, 686},	// QsciLexerDiff::language
    {63, 1072, 687},	// QsciLexerDiff::lexer
    {63, 1128, 678},	// QsciLexerDiff::metaObject
    {63, 1170, 684},	// QsciLexerDiff::qt_metacall$$?
    {63, 1172, 679},	// QsciLexerDiff::qt_metacast$
    {63, 1562, 694},	// QsciLexerDiff::staticMetaObject
    {63, 1588, 691},	// QsciLexerDiff::tr$
    {63, 1589, 680},	// QsciLexerDiff::tr$$
    {63, 1590, 682},	// QsciLexerDiff::tr$$$
    {63, 1592, 692},	// QsciLexerDiff::trUtf8$
    {63, 1593, 681},	// QsciLexerDiff::trUtf8$$
    {63, 1594, 683},	// QsciLexerDiff::trUtf8$$$
    {63, 1618, 688},	// QsciLexerDiff::wordCharacters
    {63, 1648, 703},	// QsciLexerDiff::~QsciLexerDiff
    {64, 489, 717},	// QsciLexerFortran::QsciLexerFortran
    {64, 490, 711},	// QsciLexerFortran::QsciLexerFortran#
    {64, 1066, 714},	// QsciLexerFortran::keywords$
    {64, 1067, 712},	// QsciLexerFortran::language
    {64, 1072, 713},	// QsciLexerFortran::lexer
    {64, 1128, 704},	// QsciLexerFortran::metaObject
    {64, 1170, 710},	// QsciLexerFortran::qt_metacall$$?
    {64, 1172, 705},	// QsciLexerFortran::qt_metacast$
    {64, 1562, 718},	// QsciLexerFortran::staticMetaObject
    {64, 1588, 715},	// QsciLexerFortran::tr$
    {64, 1589, 706},	// QsciLexerFortran::tr$$
    {64, 1590, 708},	// QsciLexerFortran::tr$$$
    {64, 1592, 716},	// QsciLexerFortran::trUtf8$
    {64, 1593, 707},	// QsciLexerFortran::trUtf8$$
    {64, 1594, 709},	// QsciLexerFortran::trUtf8$$$
    {64, 1649, 719},	// QsciLexerFortran::~QsciLexerFortran
    {65, 139, 747},	// QsciLexerFortran77::Comment
    {65, 150, 760},	// QsciLexerFortran77::Continuation
    {65, 160, 746},	// QsciLexerFortran77::Default
    {65, 183, 758},	// QsciLexerFortran77::DottedOperator
    {65, 186, 750},	// QsciLexerFortran77::DoubleQuotedString
    {65, 211, 756},	// QsciLexerFortran77::ExtendedFunction
    {65, 256, 753},	// QsciLexerFortran77::Identifier
    {65, 292, 755},	// QsciLexerFortran77::IntrinsicFunction
    {65, 308, 754},	// QsciLexerFortran77::Keyword
    {65, 318, 759},	// QsciLexerFortran77::Label
    {65, 379, 748},	// QsciLexerFortran77::Number
    {65, 383, 752},	// QsciLexerFortran77::Operator
    {65, 431, 757},	// QsciLexerFortran77::PreProcessor
    {65, 491, 744},	// QsciLexerFortran77::QsciLexerFortran77
    {65, 492, 727},	// QsciLexerFortran77::QsciLexerFortran77#
    {65, 665, 749},	// QsciLexerFortran77::SingleQuotedString
    {65, 738, 751},	// QsciLexerFortran77::UnclosedString
    {65, 852, 730},	// QsciLexerFortran77::braceStyle
    {65, 909, 731},	// QsciLexerFortran77::defaultColor$
    {65, 911, 732},	// QsciLexerFortran77::defaultEolFill$
    {65, 913, 733},	// QsciLexerFortran77::defaultFont$
    {65, 915, 734},	// QsciLexerFortran77::defaultPaper$
    {65, 919, 736},	// QsciLexerFortran77::description$
    {65, 987, 738},	// QsciLexerFortran77::foldCompact
    {65, 1066, 735},	// QsciLexerFortran77::keywords$
    {65, 1067, 728},	// QsciLexerFortran77::language
    {65, 1072, 729},	// QsciLexerFortran77::lexer
    {65, 1128, 720},	// QsciLexerFortran77::metaObject
    {65, 1170, 726},	// QsciLexerFortran77::qt_metacall$$?
    {65, 1172, 721},	// QsciLexerFortran77::qt_metacast$
    {65, 1177, 740},	// QsciLexerFortran77::readProperties#$
    {65, 1186, 737},	// QsciLexerFortran77::refreshProperties
    {65, 1334, 739},	// QsciLexerFortran77::setFoldCompact$
    {65, 1562, 745},	// QsciLexerFortran77::staticMetaObject
    {65, 1588, 742},	// QsciLexerFortran77::tr$
    {65, 1589, 722},	// QsciLexerFortran77::tr$$
    {65, 1590, 724},	// QsciLexerFortran77::tr$$$
    {65, 1592, 743},	// QsciLexerFortran77::trUtf8$
    {65, 1593, 723},	// QsciLexerFortran77::trUtf8$$
    {65, 1594, 725},	// QsciLexerFortran77::trUtf8$$$
    {65, 1624, 741},	// QsciLexerFortran77::writeProperties#$
    {65, 1650, 761},	// QsciLexerFortran77::~QsciLexerFortran77
    {66, 11, 816},	// QsciLexerHTML::ASPAtStart
    {66, 12, 848},	// QsciLexerHTML::ASPJavaScriptComment
    {66, 13, 850},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {66, 14, 849},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {66, 15, 847},	// QsciLexerHTML::ASPJavaScriptDefault
    {66, 16, 854},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {66, 17, 853},	// QsciLexerHTML::ASPJavaScriptKeyword
    {66, 18, 851},	// QsciLexerHTML::ASPJavaScriptNumber
    {66, 19, 858},	// QsciLexerHTML::ASPJavaScriptRegex
    {66, 20, 855},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {66, 21, 846},	// QsciLexerHTML::ASPJavaScriptStart
    {66, 22, 856},	// QsciLexerHTML::ASPJavaScriptSymbol
    {66, 23, 857},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {66, 24, 852},	// QsciLexerHTML::ASPJavaScriptWord
    {66, 25, 897},	// QsciLexerHTML::ASPPythonClassName
    {66, 26, 890},	// QsciLexerHTML::ASPPythonComment
    {66, 27, 889},	// QsciLexerHTML::ASPPythonDefault
    {66, 28, 892},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {66, 29, 898},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {66, 30, 900},	// QsciLexerHTML::ASPPythonIdentifier
    {66, 31, 894},	// QsciLexerHTML::ASPPythonKeyword
    {66, 32, 891},	// QsciLexerHTML::ASPPythonNumber
    {66, 33, 899},	// QsciLexerHTML::ASPPythonOperator
    {66, 34, 893},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {66, 35, 888},	// QsciLexerHTML::ASPPythonStart
    {66, 36, 896},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {66, 37, 895},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {66, 38, 817},	// QsciLexerHTML::ASPStart
    {66, 39, 869},	// QsciLexerHTML::ASPVBScriptComment
    {66, 40, 868},	// QsciLexerHTML::ASPVBScriptDefault
    {66, 41, 873},	// QsciLexerHTML::ASPVBScriptIdentifier
    {66, 42, 871},	// QsciLexerHTML::ASPVBScriptKeyword
    {66, 43, 870},	// QsciLexerHTML::ASPVBScriptNumber
    {66, 44, 867},	// QsciLexerHTML::ASPVBScriptStart
    {66, 45, 872},	// QsciLexerHTML::ASPVBScriptString
    {66, 46, 874},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {66, 47, 821},	// QsciLexerHTML::ASPXCComment
    {66, 67, 804},	// QsciLexerHTML::Attribute
    {66, 106, 818},	// QsciLexerHTML::CDATA
    {66, 160, 801},	// QsciLexerHTML::Default
    {66, 200, 811},	// QsciLexerHTML::Entity
    {66, 231, 810},	// QsciLexerHTML::HTMLComment
    {66, 232, 807},	// QsciLexerHTML::HTMLDoubleQuotedString
    {66, 233, 806},	// QsciLexerHTML::HTMLNumber
    {66, 234, 808},	// QsciLexerHTML::HTMLSingleQuotedString
    {66, 235, 820},	// QsciLexerHTML::HTMLValue
    {66, 294, 835},	// QsciLexerHTML::JavaScriptComment
    {66, 295, 837},	// QsciLexerHTML::JavaScriptCommentDoc
    {66, 296, 836},	// QsciLexerHTML::JavaScriptCommentLine
    {66, 297, 834},	// QsciLexerHTML::JavaScriptDefault
    {66, 298, 841},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {66, 299, 840},	// QsciLexerHTML::JavaScriptKeyword
    {66, 300, 838},	// QsciLexerHTML::JavaScriptNumber
    {66, 301, 845},	// QsciLexerHTML::JavaScriptRegex
    {66, 302, 842},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {66, 303, 833},	// QsciLexerHTML::JavaScriptStart
    {66, 304, 843},	// QsciLexerHTML::JavaScriptSymbol
    {66, 305, 844},	// QsciLexerHTML::JavaScriptUnclosedString
    {66, 306, 839},	// QsciLexerHTML::JavaScriptWord
    {66, 385, 809},	// QsciLexerHTML::OtherInTag
    {66, 386, 907},	// QsciLexerHTML::PHPComment
    {66, 387, 908},	// QsciLexerHTML::PHPCommentLine
    {66, 388, 901},	// QsciLexerHTML::PHPDefault
    {66, 389, 902},	// QsciLexerHTML::PHPDoubleQuotedString
    {66, 390, 909},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {66, 391, 904},	// QsciLexerHTML::PHPKeyword
    {66, 392, 905},	// QsciLexerHTML::PHPNumber
    {66, 393, 910},	// QsciLexerHTML::PHPOperator
    {66, 394, 903},	// QsciLexerHTML::PHPSingleQuotedString
    {66, 395, 819},	// QsciLexerHTML::PHPStart
    {66, 396, 906},	// QsciLexerHTML::PHPVariable
    {66, 442, 884},	// QsciLexerHTML::PythonClassName
    {66, 443, 877},	// QsciLexerHTML::PythonComment
    {66, 444, 876},	// QsciLexerHTML::PythonDefault
    {66, 445, 879},	// QsciLexerHTML::PythonDoubleQuotedString
    {66, 446, 885},	// QsciLexerHTML::PythonFunctionMethodName
    {66, 447, 887},	// QsciLexerHTML::PythonIdentifier
    {66, 448, 881},	// QsciLexerHTML::PythonKeyword
    {66, 449, 878},	// QsciLexerHTML::PythonNumber
    {66, 450, 886},	// QsciLexerHTML::PythonOperator
    {66, 451, 880},	// QsciLexerHTML::PythonSingleQuotedString
    {66, 452, 875},	// QsciLexerHTML::PythonStart
    {66, 453, 883},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {66, 454, 882},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {66, 493, 799},	// QsciLexerHTML::QsciLexerHTML
    {66, 494, 769},	// QsciLexerHTML::QsciLexerHTML#
    {66, 628, 832},	// QsciLexerHTML::SGMLBlockDefault
    {66, 629, 823},	// QsciLexerHTML::SGMLCommand
    {66, 630, 830},	// QsciLexerHTML::SGMLComment
    {66, 631, 822},	// QsciLexerHTML::SGMLDefault
    {66, 632, 825},	// QsciLexerHTML::SGMLDoubleQuotedString
    {66, 633, 829},	// QsciLexerHTML::SGMLEntity
    {66, 634, 827},	// QsciLexerHTML::SGMLError
    {66, 635, 824},	// QsciLexerHTML::SGMLParameter
    {66, 636, 831},	// QsciLexerHTML::SGMLParameterComment
    {66, 637, 826},	// QsciLexerHTML::SGMLSingleQuotedString
    {66, 638, 828},	// QsciLexerHTML::SGMLSpecial
    {66, 641, 815},	// QsciLexerHTML::Script
    {66, 714, 802},	// QsciLexerHTML::Tag
    {66, 741, 805},	// QsciLexerHTML::UnknownAttribute
    {66, 744, 803},	// QsciLexerHTML::UnknownTag
    {66, 747, 861},	// QsciLexerHTML::VBScriptComment
    {66, 748, 860},	// QsciLexerHTML::VBScriptDefault
    {66, 749, 865},	// QsciLexerHTML::VBScriptIdentifier
    {66, 750, 863},	// QsciLexerHTML::VBScriptKeyword
    {66, 751, 862},	// QsciLexerHTML::VBScriptNumber
    {66, 752, 859},	// QsciLexerHTML::VBScriptStart
    {66, 753, 864},	// QsciLexerHTML::VBScriptString
    {66, 754, 866},	// QsciLexerHTML::VBScriptUnclosedString
    {66, 794, 814},	// QsciLexerHTML::XMLEnd
    {66, 795, 813},	// QsciLexerHTML::XMLStart
    {66, 796, 812},	// QsciLexerHTML::XMLTagEnd
    {66, 827, 772},	// QsciLexerHTML::autoCompletionFillups
    {66, 868, 781},	// QsciLexerHTML::caseSensitiveTags
    {66, 909, 774},	// QsciLexerHTML::defaultColor$
    {66, 911, 775},	// QsciLexerHTML::defaultEolFill$
    {66, 913, 776},	// QsciLexerHTML::defaultFont$
    {66, 915, 777},	// QsciLexerHTML::defaultPaper$
    {66, 919, 779},	// QsciLexerHTML::description$
    {66, 922, 783},	// QsciLexerHTML::djangoTemplates
    {66, 987, 784},	// QsciLexerHTML::foldCompact
    {66, 994, 785},	// QsciLexerHTML::foldPreprocessor
    {66, 996, 787},	// QsciLexerHTML::foldScriptComments
    {66, 997, 789},	// QsciLexerHTML::foldScriptHeredocs
    {66, 1066, 778},	// QsciLexerHTML::keywords$
    {66, 1067, 770},	// QsciLexerHTML::language
    {66, 1072, 771},	// QsciLexerHTML::lexer
    {66, 1087, 791},	// QsciLexerHTML::makoTemplates
    {66, 1128, 762},	// QsciLexerHTML::metaObject
    {66, 1170, 768},	// QsciLexerHTML::qt_metacall$$?
    {66, 1172, 763},	// QsciLexerHTML::qt_metacast$
    {66, 1177, 795},	// QsciLexerHTML::readProperties#$
    {66, 1186, 780},	// QsciLexerHTML::refreshProperties
    {66, 1278, 794},	// QsciLexerHTML::setCaseSensitiveTags$
    {66, 1297, 782},	// QsciLexerHTML::setDjangoTemplates$
    {66, 1334, 792},	// QsciLexerHTML::setFoldCompact$
    {66, 1346, 793},	// QsciLexerHTML::setFoldPreprocessor$
    {66, 1350, 786},	// QsciLexerHTML::setFoldScriptComments$
    {66, 1352, 788},	// QsciLexerHTML::setFoldScriptHeredocs$
    {66, 1425, 790},	// QsciLexerHTML::setMakoTemplates$
    {66, 1562, 800},	// QsciLexerHTML::staticMetaObject
    {66, 1588, 797},	// QsciLexerHTML::tr$
    {66, 1589, 764},	// QsciLexerHTML::tr$$
    {66, 1590, 766},	// QsciLexerHTML::tr$$$
    {66, 1592, 798},	// QsciLexerHTML::trUtf8$
    {66, 1593, 765},	// QsciLexerHTML::trUtf8$$
    {66, 1594, 767},	// QsciLexerHTML::trUtf8$$$
    {66, 1618, 773},	// QsciLexerHTML::wordCharacters
    {66, 1624, 796},	// QsciLexerHTML::writeProperties#$
    {66, 1651, 911},	// QsciLexerHTML::~QsciLexerHTML
    {67, 495, 926},	// QsciLexerIDL::QsciLexerIDL
    {67, 496, 919},	// QsciLexerIDL::QsciLexerIDL#
    {67, 909, 921},	// QsciLexerIDL::defaultColor$
    {67, 919, 923},	// QsciLexerIDL::description$
    {67, 1066, 922},	// QsciLexerIDL::keywords$
    {67, 1067, 920},	// QsciLexerIDL::language
    {67, 1128, 912},	// QsciLexerIDL::metaObject
    {67, 1170, 918},	// QsciLexerIDL::qt_metacall$$?
    {67, 1172, 913},	// QsciLexerIDL::qt_metacast$
    {67, 1562, 927},	// QsciLexerIDL::staticMetaObject
    {67, 1588, 924},	// QsciLexerIDL::tr$
    {67, 1589, 914},	// QsciLexerIDL::tr$$
    {67, 1590, 916},	// QsciLexerIDL::tr$$$
    {67, 1592, 925},	// QsciLexerIDL::trUtf8$
    {67, 1593, 915},	// QsciLexerIDL::trUtf8$$
    {67, 1594, 917},	// QsciLexerIDL::trUtf8$$$
    {67, 1652, 928},	// QsciLexerIDL::~QsciLexerIDL
    {68, 497, 941},	// QsciLexerJava::QsciLexerJava
    {68, 498, 936},	// QsciLexerJava::QsciLexerJava#
    {68, 1066, 938},	// QsciLexerJava::keywords$
    {68, 1067, 937},	// QsciLexerJava::language
    {68, 1128, 929},	// QsciLexerJava::metaObject
    {68, 1170, 935},	// QsciLexerJava::qt_metacall$$?
    {68, 1172, 930},	// QsciLexerJava::qt_metacast$
    {68, 1562, 942},	// QsciLexerJava::staticMetaObject
    {68, 1588, 939},	// QsciLexerJava::tr$
    {68, 1589, 931},	// QsciLexerJava::tr$$
    {68, 1590, 933},	// QsciLexerJava::tr$$$
    {68, 1592, 940},	// QsciLexerJava::trUtf8$
    {68, 1593, 932},	// QsciLexerJava::trUtf8$$
    {68, 1594, 934},	// QsciLexerJava::trUtf8$$$
    {68, 1653, 943},	// QsciLexerJava::~QsciLexerJava
    {69, 499, 961},	// QsciLexerJavaScript::QsciLexerJavaScript
    {69, 500, 951},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {69, 909, 953},	// QsciLexerJavaScript::defaultColor$
    {69, 911, 954},	// QsciLexerJavaScript::defaultEolFill$
    {69, 913, 955},	// QsciLexerJavaScript::defaultFont$
    {69, 915, 956},	// QsciLexerJavaScript::defaultPaper$
    {69, 919, 958},	// QsciLexerJavaScript::description$
    {69, 1066, 957},	// QsciLexerJavaScript::keywords$
    {69, 1067, 952},	// QsciLexerJavaScript::language
    {69, 1128, 944},	// QsciLexerJavaScript::metaObject
    {69, 1170, 950},	// QsciLexerJavaScript::qt_metacall$$?
    {69, 1172, 945},	// QsciLexerJavaScript::qt_metacast$
    {69, 1562, 962},	// QsciLexerJavaScript::staticMetaObject
    {69, 1588, 959},	// QsciLexerJavaScript::tr$
    {69, 1589, 946},	// QsciLexerJavaScript::tr$$
    {69, 1590, 948},	// QsciLexerJavaScript::tr$$$
    {69, 1592, 960},	// QsciLexerJavaScript::trUtf8$
    {69, 1593, 947},	// QsciLexerJavaScript::trUtf8$$
    {69, 1594, 949},	// QsciLexerJavaScript::trUtf8$$$
    {69, 1654, 963},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {70, 90, 1005},	// QsciLexerLua::BasicFunctions
    {70, 124, 999},	// QsciLexerLua::Character
    {70, 139, 994},	// QsciLexerLua::Comment
    {70, 151, 1007},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {70, 160, 993},	// QsciLexerLua::Default
    {70, 256, 1003},	// QsciLexerLua::Identifier
    {70, 308, 997},	// QsciLexerLua::Keyword
    {70, 313, 1008},	// QsciLexerLua::KeywordSet5
    {70, 314, 1009},	// QsciLexerLua::KeywordSet6
    {70, 315, 1010},	// QsciLexerLua::KeywordSet7
    {70, 316, 1011},	// QsciLexerLua::KeywordSet8
    {70, 318, 1012},	// QsciLexerLua::Label
    {70, 332, 995},	// QsciLexerLua::LineComment
    {70, 355, 1000},	// QsciLexerLua::LiteralString
    {70, 379, 996},	// QsciLexerLua::Number
    {70, 383, 1002},	// QsciLexerLua::Operator
    {70, 437, 1001},	// QsciLexerLua::Preprocessor
    {70, 501, 990},	// QsciLexerLua::QsciLexerLua
    {70, 502, 971},	// QsciLexerLua::QsciLexerLua#
    {70, 684, 998},	// QsciLexerLua::String
    {70, 687, 1006},	// QsciLexerLua::StringTableMathsFunctions
    {70, 738, 1004},	// QsciLexerLua::UnclosedString
    {70, 836, 974},	// QsciLexerLua::autoCompletionWordSeparators
    {70, 845, 991},	// QsciLexerLua::blockStart
    {70, 846, 975},	// QsciLexerLua::blockStart$
    {70, 852, 976},	// QsciLexerLua::braceStyle
    {70, 909, 977},	// QsciLexerLua::defaultColor$
    {70, 911, 978},	// QsciLexerLua::defaultEolFill$
    {70, 913, 979},	// QsciLexerLua::defaultFont$
    {70, 915, 980},	// QsciLexerLua::defaultPaper$
    {70, 919, 982},	// QsciLexerLua::description$
    {70, 987, 984},	// QsciLexerLua::foldCompact
    {70, 1066, 981},	// QsciLexerLua::keywords$
    {70, 1067, 972},	// QsciLexerLua::language
    {70, 1072, 973},	// QsciLexerLua::lexer
    {70, 1128, 964},	// QsciLexerLua::metaObject
    {70, 1170, 970},	// QsciLexerLua::qt_metacall$$?
    {70, 1172, 965},	// QsciLexerLua::qt_metacast$
    {70, 1177, 986},	// QsciLexerLua::readProperties#$
    {70, 1186, 983},	// QsciLexerLua::refreshProperties
    {70, 1334, 985},	// QsciLexerLua::setFoldCompact$
    {70, 1562, 992},	// QsciLexerLua::staticMetaObject
    {70, 1588, 988},	// QsciLexerLua::tr$
    {70, 1589, 966},	// QsciLexerLua::tr$$
    {70, 1590, 968},	// QsciLexerLua::tr$$$
    {70, 1592, 989},	// QsciLexerLua::trUtf8$
    {70, 1593, 967},	// QsciLexerLua::trUtf8$$
    {70, 1594, 969},	// QsciLexerLua::trUtf8$$$
    {70, 1624, 987},	// QsciLexerLua::writeProperties#$
    {70, 1655, 1013},	// QsciLexerLua::~QsciLexerLua
    {71, 139, 1035},	// QsciLexerMakefile::Comment
    {71, 160, 1034},	// QsciLexerMakefile::Default
    {71, 206, 1040},	// QsciLexerMakefile::Error
    {71, 383, 1038},	// QsciLexerMakefile::Operator
    {71, 437, 1036},	// QsciLexerMakefile::Preprocessor
    {71, 503, 1032},	// QsciLexerMakefile::QsciLexerMakefile
    {71, 504, 1021},	// QsciLexerMakefile::QsciLexerMakefile#
    {71, 715, 1039},	// QsciLexerMakefile::Target
    {71, 762, 1037},	// QsciLexerMakefile::Variable
    {71, 909, 1025},	// QsciLexerMakefile::defaultColor$
    {71, 911, 1026},	// QsciLexerMakefile::defaultEolFill$
    {71, 913, 1027},	// QsciLexerMakefile::defaultFont$
    {71, 915, 1028},	// QsciLexerMakefile::defaultPaper$
    {71, 919, 1029},	// QsciLexerMakefile::description$
    {71, 1067, 1022},	// QsciLexerMakefile::language
    {71, 1072, 1023},	// QsciLexerMakefile::lexer
    {71, 1128, 1014},	// QsciLexerMakefile::metaObject
    {71, 1170, 1020},	// QsciLexerMakefile::qt_metacall$$?
    {71, 1172, 1015},	// QsciLexerMakefile::qt_metacast$
    {71, 1562, 1033},	// QsciLexerMakefile::staticMetaObject
    {71, 1588, 1030},	// QsciLexerMakefile::tr$
    {71, 1589, 1016},	// QsciLexerMakefile::tr$$
    {71, 1590, 1018},	// QsciLexerMakefile::tr$$$
    {71, 1592, 1031},	// QsciLexerMakefile::trUtf8$
    {71, 1593, 1017},	// QsciLexerMakefile::trUtf8$$
    {71, 1594, 1019},	// QsciLexerMakefile::trUtf8$$$
    {71, 1618, 1024},	// QsciLexerMakefile::wordCharacters
    {71, 1656, 1041},	// QsciLexerMakefile::~QsciLexerMakefile
    {72, 87, 1082},	// QsciLexerPOV::BadDirective
    {72, 139, 1074},	// QsciLexerPOV::Comment
    {72, 145, 1075},	// QsciLexerPOV::CommentLine
    {72, 160, 1073},	// QsciLexerPOV::Default
    {72, 175, 1081},	// QsciLexerPOV::Directive
    {72, 256, 1078},	// QsciLexerPOV::Identifier
    {72, 314, 1087},	// QsciLexerPOV::KeywordSet6
    {72, 315, 1088},	// QsciLexerPOV::KeywordSet7
    {72, 316, 1089},	// QsciLexerPOV::KeywordSet8
    {72, 379, 1076},	// QsciLexerPOV::Number
    {72, 381, 1083},	// QsciLexerPOV::ObjectsCSGAppearance
    {72, 383, 1077},	// QsciLexerPOV::Operator
    {72, 435, 1086},	// QsciLexerPOV::PredefinedFunctions
    {72, 436, 1085},	// QsciLexerPOV::PredefinedIdentifiers
    {72, 505, 1071},	// QsciLexerPOV::QsciLexerPOV
    {72, 506, 1049},	// QsciLexerPOV::QsciLexerPOV#
    {72, 684, 1079},	// QsciLexerPOV::String
    {72, 736, 1084},	// QsciLexerPOV::TypesModifiersItems
    {72, 738, 1080},	// QsciLexerPOV::UnclosedString
    {72, 852, 1052},	// QsciLexerPOV::braceStyle
    {72, 909, 1054},	// QsciLexerPOV::defaultColor$
    {72, 911, 1055},	// QsciLexerPOV::defaultEolFill$
    {72, 913, 1056},	// QsciLexerPOV::defaultFont$
    {72, 915, 1057},	// QsciLexerPOV::defaultPaper$
    {72, 919, 1059},	// QsciLexerPOV::description$
    {72, 986, 1061},	// QsciLexerPOV::foldComments
    {72, 987, 1062},	// QsciLexerPOV::foldCompact
    {72, 988, 1063},	// QsciLexerPOV::foldDirectives
    {72, 1066, 1058},	// QsciLexerPOV::keywords$
    {72, 1067, 1050},	// QsciLexerPOV::language
    {72, 1072, 1051},	// QsciLexerPOV::lexer
    {72, 1128, 1042},	// QsciLexerPOV::metaObject
    {72, 1170, 1048},	// QsciLexerPOV::qt_metacall$$?
    {72, 1172, 1043},	// QsciLexerPOV::qt_metacast$
    {72, 1177, 1067},	// QsciLexerPOV::readProperties#$
    {72, 1186, 1060},	// QsciLexerPOV::refreshProperties
    {72, 1332, 1064},	// QsciLexerPOV::setFoldComments$
    {72, 1334, 1065},	// QsciLexerPOV::setFoldCompact$
    {72, 1336, 1066},	// QsciLexerPOV::setFoldDirectives$
    {72, 1562, 1072},	// QsciLexerPOV::staticMetaObject
    {72, 1588, 1069},	// QsciLexerPOV::tr$
    {72, 1589, 1044},	// QsciLexerPOV::tr$$
    {72, 1590, 1046},	// QsciLexerPOV::tr$$$
    {72, 1592, 1070},	// QsciLexerPOV::trUtf8$
    {72, 1593, 1045},	// QsciLexerPOV::trUtf8$$
    {72, 1594, 1047},	// QsciLexerPOV::trUtf8$$$
    {72, 1618, 1053},	// QsciLexerPOV::wordCharacters
    {72, 1624, 1068},	// QsciLexerPOV::writeProperties#$
    {72, 1657, 1090},	// QsciLexerPOV::~QsciLexerPOV
    {73, 64, 1144},	// QsciLexerPascal::Asm
    {73, 124, 1142},	// QsciLexerPascal::Character
    {73, 139, 1132},	// QsciLexerPascal::Comment
    {73, 145, 1134},	// QsciLexerPascal::CommentLine
    {73, 149, 1133},	// QsciLexerPascal::CommentParenthesis
    {73, 160, 1130},	// QsciLexerPascal::Default
    {73, 241, 1138},	// QsciLexerPascal::HexNumber
    {73, 256, 1131},	// QsciLexerPascal::Identifier
    {73, 308, 1139},	// QsciLexerPascal::Keyword
    {73, 379, 1137},	// QsciLexerPascal::Number
    {73, 383, 1143},	// QsciLexerPascal::Operator
    {73, 431, 1135},	// QsciLexerPascal::PreProcessor
    {73, 434, 1136},	// QsciLexerPascal::PreProcessorParenthesis
    {73, 507, 1125},	// QsciLexerPascal::QsciLexerPascal
    {73, 508, 1098},	// QsciLexerPascal::QsciLexerPascal#
    {73, 665, 1140},	// QsciLexerPascal::SingleQuotedString
    {73, 738, 1141},	// QsciLexerPascal::UnclosedString
    {73, 836, 1101},	// QsciLexerPascal::autoCompletionWordSeparators
    {73, 842, 1126},	// QsciLexerPascal::blockEnd
    {73, 843, 1102},	// QsciLexerPascal::blockEnd$
    {73, 845, 1127},	// QsciLexerPascal::blockStart
    {73, 846, 1103},	// QsciLexerPascal::blockStart$
    {73, 847, 1128},	// QsciLexerPascal::blockStartKeyword
    {73, 848, 1104},	// QsciLexerPascal::blockStartKeyword$
    {73, 852, 1105},	// QsciLexerPascal::braceStyle
    {73, 909, 1106},	// QsciLexerPascal::defaultColor$
    {73, 911, 1107},	// QsciLexerPascal::defaultEolFill$
    {73, 913, 1108},	// QsciLexerPascal::defaultFont$
    {73, 915, 1109},	// QsciLexerPascal::defaultPaper$
    {73, 919, 1111},	// QsciLexerPascal::description$
    {73, 986, 1113},	// QsciLexerPascal::foldComments
    {73, 987, 1114},	// QsciLexerPascal::foldCompact
    {73, 994, 1115},	// QsciLexerPascal::foldPreprocessor
    {73, 1066, 1110},	// QsciLexerPascal::keywords$
    {73, 1067, 1099},	// QsciLexerPascal::language
    {73, 1072, 1100},	// QsciLexerPascal::lexer
    {73, 1128, 1091},	// QsciLexerPascal::metaObject
    {73, 1170, 1097},	// QsciLexerPascal::qt_metacall$$?
    {73, 1172, 1092},	// QsciLexerPascal::qt_metacast$
    {73, 1177, 1121},	// QsciLexerPascal::readProperties#$
    {73, 1186, 1112},	// QsciLexerPascal::refreshProperties
    {73, 1332, 1118},	// QsciLexerPascal::setFoldComments$
    {73, 1334, 1119},	// QsciLexerPascal::setFoldCompact$
    {73, 1346, 1120},	// QsciLexerPascal::setFoldPreprocessor$
    {73, 1498, 1116},	// QsciLexerPascal::setSmartHighlighting$
    {73, 1556, 1117},	// QsciLexerPascal::smartHighlighting
    {73, 1562, 1129},	// QsciLexerPascal::staticMetaObject
    {73, 1588, 1123},	// QsciLexerPascal::tr$
    {73, 1589, 1093},	// QsciLexerPascal::tr$$
    {73, 1590, 1095},	// QsciLexerPascal::tr$$$
    {73, 1592, 1124},	// QsciLexerPascal::trUtf8$
    {73, 1593, 1094},	// QsciLexerPascal::trUtf8$$
    {73, 1594, 1096},	// QsciLexerPascal::trUtf8$$$
    {73, 1624, 1122},	// QsciLexerPascal::writeProperties#$
    {73, 1658, 1145},	// QsciLexerPascal::~QsciLexerPascal
    {74, 62, 1197},	// QsciLexerPerl::Array
    {74, 83, 1207},	// QsciLexerPerl::BacktickHereDocument
    {74, 84, 1223},	// QsciLexerPerl::BacktickHereDocumentVar
    {74, 85, 1202},	// QsciLexerPerl::Backticks
    {74, 86, 1221},	// QsciLexerPerl::BackticksVar
    {74, 139, 1188},	// QsciLexerPerl::Comment
    {74, 158, 1203},	// QsciLexerPerl::DataSection
    {74, 160, 1186},	// QsciLexerPerl::Default
    {74, 184, 1206},	// QsciLexerPerl::DoubleQuotedHereDocument
    {74, 185, 1222},	// QsciLexerPerl::DoubleQuotedHereDocumentVar
    {74, 186, 1192},	// QsciLexerPerl::DoubleQuotedString
    {74, 187, 1217},	// QsciLexerPerl::DoubleQuotedStringVar
    {74, 206, 1187},	// QsciLexerPerl::Error
    {74, 218, 1216},	// QsciLexerPerl::FormatBody
    {74, 219, 1215},	// QsciLexerPerl::FormatIdentifier
    {74, 236, 1198},	// QsciLexerPerl::Hash
    {74, 240, 1204},	// QsciLexerPerl::HereDocumentDelimiter
    {74, 256, 1195},	// QsciLexerPerl::Identifier
    {74, 308, 1191},	// QsciLexerPerl::Keyword
    {74, 379, 1190},	// QsciLexerPerl::Number
    {74, 383, 1194},	// QsciLexerPerl::Operator
    {74, 397, 1189},	// QsciLexerPerl::POD
    {74, 398, 1213},	// QsciLexerPerl::PODVerbatim
    {74, 509, 1182},	// QsciLexerPerl::QsciLexerPerl
    {74, 510, 1153},	// QsciLexerPerl::QsciLexerPerl#
    {74, 553, 1208},	// QsciLexerPerl::QuotedStringQ
    {74, 554, 1209},	// QsciLexerPerl::QuotedStringQQ
    {74, 555, 1224},	// QsciLexerPerl::QuotedStringQQVar
    {74, 556, 1211},	// QsciLexerPerl::QuotedStringQR
    {74, 557, 1226},	// QsciLexerPerl::QuotedStringQRVar
    {74, 558, 1212},	// QsciLexerPerl::QuotedStringQW
    {74, 559, 1210},	// QsciLexerPerl::QuotedStringQX
    {74, 560, 1225},	// QsciLexerPerl::QuotedStringQXVar
    {74, 566, 1200},	// QsciLexerPerl::Regex
    {74, 567, 1219},	// QsciLexerPerl::RegexVar
    {74, 639, 1196},	// QsciLexerPerl::Scalar
    {74, 664, 1205},	// QsciLexerPerl::SingleQuotedHereDocument
    {74, 665, 1193},	// QsciLexerPerl::SingleQuotedString
    {74, 694, 1214},	// QsciLexerPerl::SubroutinePrototype
    {74, 695, 1201},	// QsciLexerPerl::Substitution
    {74, 697, 1220},	// QsciLexerPerl::SubstitutionVar
    {74, 704, 1199},	// QsciLexerPerl::SymbolTable
    {74, 729, 1218},	// QsciLexerPerl::Translation
    {74, 836, 1156},	// QsciLexerPerl::autoCompletionWordSeparators
    {74, 842, 1183},	// QsciLexerPerl::blockEnd
    {74, 843, 1157},	// QsciLexerPerl::blockEnd$
    {74, 845, 1184},	// QsciLexerPerl::blockStart
    {74, 846, 1158},	// QsciLexerPerl::blockStart$
    {74, 852, 1159},	// QsciLexerPerl::braceStyle
    {74, 909, 1161},	// QsciLexerPerl::defaultColor$
    {74, 911, 1162},	// QsciLexerPerl::defaultEolFill$
    {74, 913, 1163},	// QsciLexerPerl::defaultFont$
    {74, 915, 1164},	// QsciLexerPerl::defaultPaper$
    {74, 919, 1166},	// QsciLexerPerl::description$
    {74, 984, 1169},	// QsciLexerPerl::foldAtElse
    {74, 986, 1170},	// QsciLexerPerl::foldComments
    {74, 987, 1171},	// QsciLexerPerl::foldCompact
    {74, 992, 1175},	// QsciLexerPerl::foldPODBlocks
    {74, 993, 1173},	// QsciLexerPerl::foldPackages
    {74, 1066, 1165},	// QsciLexerPerl::keywords$
    {74, 1067, 1154},	// QsciLexerPerl::language
    {74, 1072, 1155},	// QsciLexerPerl::lexer
    {74, 1128, 1146},	// QsciLexerPerl::metaObject
    {74, 1170, 1152},	// QsciLexerPerl::qt_metacall$$?
    {74, 1172, 1147},	// QsciLexerPerl::qt_metacast$
    {74, 1177, 1178},	// QsciLexerPerl::readProperties#$
    {74, 1186, 1167},	// QsciLexerPerl::refreshProperties
    {74, 1328, 1168},	// QsciLexerPerl::setFoldAtElse$
    {74, 1332, 1176},	// QsciLexerPerl::setFoldComments$
    {74, 1334, 1177},	// QsciLexerPerl::setFoldCompact$
    {74, 1342, 1174},	// QsciLexerPerl::setFoldPODBlocks$
    {74, 1344, 1172},	// QsciLexerPerl::setFoldPackages$
    {74, 1562, 1185},	// QsciLexerPerl::staticMetaObject
    {74, 1588, 1180},	// QsciLexerPerl::tr$
    {74, 1589, 1148},	// QsciLexerPerl::tr$$
    {74, 1590, 1150},	// QsciLexerPerl::tr$$$
    {74, 1592, 1181},	// QsciLexerPerl::trUtf8$
    {74, 1593, 1149},	// QsciLexerPerl::trUtf8$$
    {74, 1594, 1151},	// QsciLexerPerl::trUtf8$$$
    {74, 1618, 1160},	// QsciLexerPerl::wordCharacters
    {74, 1624, 1179},	// QsciLexerPerl::writeProperties#$
    {74, 1659, 1227},	// QsciLexerPerl::~QsciLexerPerl
    {75, 63, 1268},	// QsciLexerPostScript::ArrayParenthesis
    {75, 88, 1274},	// QsciLexerPostScript::BadStringCharacter
    {75, 89, 1273},	// QsciLexerPostScript::Base85String
    {75, 139, 1260},	// QsciLexerPostScript::Comment
    {75, 155, 1261},	// QsciLexerPostScript::DSCComment
    {75, 156, 1262},	// QsciLexerPostScript::DSCCommentValue
    {75, 160, 1259},	// QsciLexerPostScript::Default
    {75, 173, 1269},	// QsciLexerPostScript::DictionaryParenthesis
    {75, 242, 1272},	// QsciLexerPostScript::HexString
    {75, 259, 1267},	// QsciLexerPostScript::ImmediateEvalLiteral
    {75, 308, 1265},	// QsciLexerPostScript::Keyword
    {75, 354, 1266},	// QsciLexerPostScript::Literal
    {75, 372, 1264},	// QsciLexerPostScript::Name
    {75, 379, 1263},	// QsciLexerPostScript::Number
    {75, 439, 1270},	// QsciLexerPostScript::ProcedureParenthesis
    {75, 511, 1257},	// QsciLexerPostScript::QsciLexerPostScript
    {75, 512, 1235},	// QsciLexerPostScript::QsciLexerPostScript#
    {75, 717, 1271},	// QsciLexerPostScript::Text
    {75, 852, 1238},	// QsciLexerPostScript::braceStyle
    {75, 909, 1239},	// QsciLexerPostScript::defaultColor$
    {75, 913, 1240},	// QsciLexerPostScript::defaultFont$
    {75, 915, 1241},	// QsciLexerPostScript::defaultPaper$
    {75, 919, 1243},	// QsciLexerPostScript::description$
    {75, 984, 1248},	// QsciLexerPostScript::foldAtElse
    {75, 987, 1247},	// QsciLexerPostScript::foldCompact
    {75, 1066, 1242},	// QsciLexerPostScript::keywords$
    {75, 1067, 1236},	// QsciLexerPostScript::language
    {75, 1071, 1246},	// QsciLexerPostScript::level
    {75, 1072, 1237},	// QsciLexerPostScript::lexer
    {75, 1128, 1228},	// QsciLexerPostScript::metaObject
    {75, 1170, 1234},	// QsciLexerPostScript::qt_metacall$$?
    {75, 1172, 1229},	// QsciLexerPostScript::qt_metacast$
    {75, 1177, 1253},	// QsciLexerPostScript::readProperties#$
    {75, 1186, 1244},	// QsciLexerPostScript::refreshProperties
    {75, 1328, 1252},	// QsciLexerPostScript::setFoldAtElse$
    {75, 1334, 1251},	// QsciLexerPostScript::setFoldCompact$
    {75, 1419, 1250},	// QsciLexerPostScript::setLevel$
    {75, 1517, 1249},	// QsciLexerPostScript::setTokenize$
    {75, 1562, 1258},	// QsciLexerPostScript::staticMetaObject
    {75, 1586, 1245},	// QsciLexerPostScript::tokenize
    {75, 1588, 1255},	// QsciLexerPostScript::tr$
    {75, 1589, 1230},	// QsciLexerPostScript::tr$$
    {75, 1590, 1232},	// QsciLexerPostScript::tr$$$
    {75, 1592, 1256},	// QsciLexerPostScript::trUtf8$
    {75, 1593, 1231},	// QsciLexerPostScript::trUtf8$$
    {75, 1594, 1233},	// QsciLexerPostScript::trUtf8$$$
    {75, 1624, 1254},	// QsciLexerPostScript::writeProperties#$
    {75, 1660, 1275},	// QsciLexerPostScript::~QsciLexerPostScript
    {76, 65, 1306},	// QsciLexerProperties::Assignment
    {76, 139, 1304},	// QsciLexerProperties::Comment
    {76, 160, 1303},	// QsciLexerProperties::Default
    {76, 161, 1307},	// QsciLexerProperties::DefaultValue
    {76, 307, 1308},	// QsciLexerProperties::Key
    {76, 513, 1301},	// QsciLexerProperties::QsciLexerProperties
    {76, 514, 1283},	// QsciLexerProperties::QsciLexerProperties#
    {76, 644, 1305},	// QsciLexerProperties::Section
    {76, 909, 1287},	// QsciLexerProperties::defaultColor$
    {76, 911, 1288},	// QsciLexerProperties::defaultEolFill$
    {76, 913, 1289},	// QsciLexerProperties::defaultFont$
    {76, 915, 1290},	// QsciLexerProperties::defaultPaper$
    {76, 919, 1291},	// QsciLexerProperties::description$
    {76, 987, 1293},	// QsciLexerProperties::foldCompact
    {76, 1040, 1295},	// QsciLexerProperties::initialSpaces
    {76, 1067, 1284},	// QsciLexerProperties::language
    {76, 1072, 1285},	// QsciLexerProperties::lexer
    {76, 1128, 1276},	// QsciLexerProperties::metaObject
    {76, 1170, 1282},	// QsciLexerProperties::qt_metacall$$?
    {76, 1172, 1277},	// QsciLexerProperties::qt_metacast$
    {76, 1177, 1297},	// QsciLexerProperties::readProperties#$
    {76, 1186, 1292},	// QsciLexerProperties::refreshProperties
    {76, 1334, 1296},	// QsciLexerProperties::setFoldCompact$
    {76, 1413, 1294},	// QsciLexerProperties::setInitialSpaces$
    {76, 1562, 1302},	// QsciLexerProperties::staticMetaObject
    {76, 1588, 1299},	// QsciLexerProperties::tr$
    {76, 1589, 1278},	// QsciLexerProperties::tr$$
    {76, 1590, 1280},	// QsciLexerProperties::tr$$$
    {76, 1592, 1300},	// QsciLexerProperties::trUtf8$
    {76, 1593, 1279},	// QsciLexerProperties::trUtf8$$
    {76, 1594, 1281},	// QsciLexerProperties::trUtf8$$$
    {76, 1618, 1286},	// QsciLexerProperties::wordCharacters
    {76, 1624, 1298},	// QsciLexerProperties::writeProperties#$
    {76, 1661, 1309},	// QsciLexerProperties::~QsciLexerProperties
    {77, 133, 1365},	// QsciLexerPython::ClassName
    {77, 139, 1358},	// QsciLexerPython::Comment
    {77, 140, 1369},	// QsciLexerPython::CommentBlock
    {77, 159, 1372},	// QsciLexerPython::Decorator
    {77, 160, 1357},	// QsciLexerPython::Default
    {77, 186, 1360},	// QsciLexerPython::DoubleQuotedString
    {77, 224, 1366},	// QsciLexerPython::FunctionMethodName
    {77, 246, 1371},	// QsciLexerPython::HighlightedIdentifier
    {77, 256, 1368},	// QsciLexerPython::Identifier
    {77, 290, 1374},	// QsciLexerPython::Inconsistent
    {77, 308, 1362},	// QsciLexerPython::Keyword
    {77, 378, 1373},	// QsciLexerPython::NoWarning
    {77, 379, 1359},	// QsciLexerPython::Number
    {77, 383, 1367},	// QsciLexerPython::Operator
    {77, 515, 1354},	// QsciLexerPython::QsciLexerPython
    {77, 516, 1317},	// QsciLexerPython::QsciLexerPython#
    {77, 665, 1361},	// QsciLexerPython::SingleQuotedString
    {77, 669, 1376},	// QsciLexerPython::Spaces
    {77, 712, 1377},	// QsciLexerPython::Tabs
    {77, 713, 1375},	// QsciLexerPython::TabsAfterSpaces
    {77, 732, 1364},	// QsciLexerPython::TripleDoubleQuotedString
    {77, 734, 1363},	// QsciLexerPython::TripleSingleQuotedString
    {77, 738, 1370},	// QsciLexerPython::UnclosedString
    {77, 836, 1320},	// QsciLexerPython::autoCompletionWordSeparators
    {77, 844, 1321},	// QsciLexerPython::blockLookback
    {77, 845, 1355},	// QsciLexerPython::blockStart
    {77, 846, 1322},	// QsciLexerPython::blockStart$
    {77, 852, 1323},	// QsciLexerPython::braceStyle
    {77, 909, 1324},	// QsciLexerPython::defaultColor$
    {77, 911, 1325},	// QsciLexerPython::defaultEolFill$
    {77, 913, 1326},	// QsciLexerPython::defaultFont$
    {77, 915, 1327},	// QsciLexerPython::defaultPaper$
    {77, 919, 1330},	// QsciLexerPython::description$
    {77, 986, 1332},	// QsciLexerPython::foldComments
    {77, 987, 1334},	// QsciLexerPython::foldCompact
    {77, 995, 1335},	// QsciLexerPython::foldQuotes
    {77, 1019, 1338},	// QsciLexerPython::highlightSubidentifiers
    {77, 1026, 1328},	// QsciLexerPython::indentationGuideView
    {77, 1028, 1336},	// QsciLexerPython::indentationWarning
    {77, 1066, 1329},	// QsciLexerPython::keywords$
    {77, 1067, 1318},	// QsciLexerPython::language
    {77, 1072, 1319},	// QsciLexerPython::lexer
    {77, 1128, 1310},	// QsciLexerPython::metaObject
    {77, 1170, 1316},	// QsciLexerPython::qt_metacall$$?
    {77, 1172, 1311},	// QsciLexerPython::qt_metacast$
    {77, 1177, 1350},	// QsciLexerPython::readProperties#$
    {77, 1186, 1331},	// QsciLexerPython::refreshProperties
    {77, 1332, 1347},	// QsciLexerPython::setFoldComments$
    {77, 1334, 1333},	// QsciLexerPython::setFoldCompact$
    {77, 1348, 1348},	// QsciLexerPython::setFoldQuotes$
    {77, 1370, 1337},	// QsciLexerPython::setHighlightSubidentifiers$
    {77, 1392, 1349},	// QsciLexerPython::setIndentationWarning$
    {77, 1500, 1339},	// QsciLexerPython::setStringsOverNewlineAllowed$
    {77, 1527, 1341},	// QsciLexerPython::setV2UnicodeAllowed$
    {77, 1529, 1343},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {77, 1531, 1345},	// QsciLexerPython::setV3BytesAllowed$
    {77, 1562, 1356},	// QsciLexerPython::staticMetaObject
    {77, 1563, 1340},	// QsciLexerPython::stringsOverNewlineAllowed
    {77, 1588, 1352},	// QsciLexerPython::tr$
    {77, 1589, 1312},	// QsciLexerPython::tr$$
    {77, 1590, 1314},	// QsciLexerPython::tr$$$
    {77, 1592, 1353},	// QsciLexerPython::trUtf8$
    {77, 1593, 1313},	// QsciLexerPython::trUtf8$$
    {77, 1594, 1315},	// QsciLexerPython::trUtf8$$$
    {77, 1602, 1342},	// QsciLexerPython::v2UnicodeAllowed
    {77, 1603, 1344},	// QsciLexerPython::v3BinaryOctalAllowed
    {77, 1604, 1346},	// QsciLexerPython::v3BytesAllowed
    {77, 1624, 1351},	// QsciLexerPython::writeProperties#$
    {77, 1662, 1378},	// QsciLexerPython::~QsciLexerPython
    {78, 85, 1431},	// QsciLexerRuby::Backticks
    {78, 133, 1421},	// QsciLexerRuby::ClassName
    {78, 135, 1430},	// QsciLexerRuby::ClassVariable
    {78, 139, 1415},	// QsciLexerRuby::Comment
    {78, 158, 1432},	// QsciLexerRuby::DataSection
    {78, 160, 1413},	// QsciLexerRuby::Default
    {78, 170, 1440},	// QsciLexerRuby::DemotedKeyword
    {78, 186, 1419},	// QsciLexerRuby::DoubleQuotedString
    {78, 206, 1414},	// QsciLexerRuby::Error
    {78, 224, 1422},	// QsciLexerRuby::FunctionMethodName
    {78, 225, 1426},	// QsciLexerRuby::Global
    {78, 239, 1434},	// QsciLexerRuby::HereDocument
    {78, 240, 1433},	// QsciLexerRuby::HereDocumentDelimiter
    {78, 256, 1424},	// QsciLexerRuby::Identifier
    {78, 291, 1429},	// QsciLexerRuby::InstanceVariable
    {78, 308, 1418},	// QsciLexerRuby::Keyword
    {78, 367, 1428},	// QsciLexerRuby::ModuleName
    {78, 379, 1417},	// QsciLexerRuby::Number
    {78, 383, 1423},	// QsciLexerRuby::Operator
    {78, 397, 1416},	// QsciLexerRuby::POD
    {78, 414, 1436},	// QsciLexerRuby::PercentStringQ
    {78, 415, 1435},	// QsciLexerRuby::PercentStringq
    {78, 416, 1438},	// QsciLexerRuby::PercentStringr
    {78, 417, 1439},	// QsciLexerRuby::PercentStringw
    {78, 418, 1437},	// QsciLexerRuby::PercentStringx
    {78, 517, 1408},	// QsciLexerRuby::QsciLexerRuby
    {78, 518, 1386},	// QsciLexerRuby::QsciLexerRuby#
    {78, 566, 1425},	// QsciLexerRuby::Regex
    {78, 665, 1420},	// QsciLexerRuby::SingleQuotedString
    {78, 678, 1443},	// QsciLexerRuby::Stderr
    {78, 679, 1441},	// QsciLexerRuby::Stdin
    {78, 680, 1442},	// QsciLexerRuby::Stdout
    {78, 699, 1427},	// QsciLexerRuby::Symbol
    {78, 842, 1409},	// QsciLexerRuby::blockEnd
    {78, 843, 1389},	// QsciLexerRuby::blockEnd$
    {78, 845, 1410},	// QsciLexerRuby::blockStart
    {78, 846, 1390},	// QsciLexerRuby::blockStart$
    {78, 847, 1411},	// QsciLexerRuby::blockStartKeyword
    {78, 848, 1391},	// QsciLexerRuby::blockStartKeyword$
    {78, 852, 1392},	// QsciLexerRuby::braceStyle
    {78, 909, 1393},	// QsciLexerRuby::defaultColor$
    {78, 911, 1394},	// QsciLexerRuby::defaultEolFill$
    {78, 913, 1395},	// QsciLexerRuby::defaultFont$
    {78, 915, 1396},	// QsciLexerRuby::defaultPaper$
    {78, 919, 1398},	// QsciLexerRuby::description$
    {78, 986, 1401},	// QsciLexerRuby::foldComments
    {78, 987, 1403},	// QsciLexerRuby::foldCompact
    {78, 1066, 1397},	// QsciLexerRuby::keywords$
    {78, 1067, 1387},	// QsciLexerRuby::language
    {78, 1072, 1388},	// QsciLexerRuby::lexer
    {78, 1128, 1379},	// QsciLexerRuby::metaObject
    {78, 1170, 1385},	// QsciLexerRuby::qt_metacall$$?
    {78, 1172, 1380},	// QsciLexerRuby::qt_metacast$
    {78, 1177, 1404},	// QsciLexerRuby::readProperties#$
    {78, 1186, 1399},	// QsciLexerRuby::refreshProperties
    {78, 1332, 1400},	// QsciLexerRuby::setFoldComments$
    {78, 1334, 1402},	// QsciLexerRuby::setFoldCompact$
    {78, 1562, 1412},	// QsciLexerRuby::staticMetaObject
    {78, 1588, 1406},	// QsciLexerRuby::tr$
    {78, 1589, 1381},	// QsciLexerRuby::tr$$
    {78, 1590, 1383},	// QsciLexerRuby::tr$$$
    {78, 1592, 1407},	// QsciLexerRuby::trUtf8$
    {78, 1593, 1382},	// QsciLexerRuby::trUtf8$$
    {78, 1594, 1384},	// QsciLexerRuby::trUtf8$$$
    {78, 1624, 1405},	// QsciLexerRuby::writeProperties#$
    {78, 1663, 1444},	// QsciLexerRuby::~QsciLexerRuby
    {79, 139, 1486},	// QsciLexerSQL::Comment
    {79, 142, 1488},	// QsciLexerSQL::CommentDoc
    {79, 143, 1499},	// QsciLexerSQL::CommentDocKeyword
    {79, 144, 1500},	// QsciLexerSQL::CommentDocKeywordError
    {79, 145, 1487},	// QsciLexerSQL::CommentLine
    {79, 147, 1498},	// QsciLexerSQL::CommentLineHash
    {79, 160, 1485},	// QsciLexerSQL::Default
    {79, 186, 1491},	// QsciLexerSQL::DoubleQuotedString
    {79, 256, 1496},	// QsciLexerSQL::Identifier
    {79, 308, 1490},	// QsciLexerSQL::Keyword
    {79, 313, 1501},	// QsciLexerSQL::KeywordSet5
    {79, 314, 1502},	// QsciLexerSQL::KeywordSet6
    {79, 315, 1503},	// QsciLexerSQL::KeywordSet7
    {79, 316, 1504},	// QsciLexerSQL::KeywordSet8
    {79, 379, 1489},	// QsciLexerSQL::Number
    {79, 383, 1495},	// QsciLexerSQL::Operator
    {79, 424, 1497},	// QsciLexerSQL::PlusComment
    {79, 425, 1493},	// QsciLexerSQL::PlusKeyword
    {79, 426, 1494},	// QsciLexerSQL::PlusPrompt
    {79, 519, 1483},	// QsciLexerSQL::QsciLexerSQL
    {79, 520, 1452},	// QsciLexerSQL::QsciLexerSQL#
    {79, 549, 1505},	// QsciLexerSQL::QuotedIdentifier
    {79, 551, 1506},	// QsciLexerSQL::QuotedOperator
    {79, 665, 1492},	// QsciLexerSQL::SingleQuotedString
    {79, 839, 1463},	// QsciLexerSQL::backslashEscapes
    {79, 852, 1455},	// QsciLexerSQL::braceStyle
    {79, 909, 1456},	// QsciLexerSQL::defaultColor$
    {79, 911, 1457},	// QsciLexerSQL::defaultEolFill$
    {79, 913, 1458},	// QsciLexerSQL::defaultFont$
    {79, 915, 1459},	// QsciLexerSQL::defaultPaper$
    {79, 919, 1461},	// QsciLexerSQL::description$
    {79, 925, 1465},	// QsciLexerSQL::dottedWords
    {79, 984, 1467},	// QsciLexerSQL::foldAtElse
    {79, 986, 1468},	// QsciLexerSQL::foldComments
    {79, 987, 1469},	// QsciLexerSQL::foldCompact
    {79, 991, 1471},	// QsciLexerSQL::foldOnlyBegin
    {79, 1013, 1473},	// QsciLexerSQL::hashComments
    {79, 1066, 1460},	// QsciLexerSQL::keywords$
    {79, 1067, 1453},	// QsciLexerSQL::language
    {79, 1072, 1454},	// QsciLexerSQL::lexer
    {79, 1128, 1445},	// QsciLexerSQL::metaObject
    {79, 1170, 1451},	// QsciLexerSQL::qt_metacall$$?
    {79, 1172, 1446},	// QsciLexerSQL::qt_metacast$
    {79, 1173, 1475},	// QsciLexerSQL::quotedIdentifiers
    {79, 1177, 1479},	// QsciLexerSQL::readProperties#$
    {79, 1186, 1462},	// QsciLexerSQL::refreshProperties
    {79, 1252, 1476},	// QsciLexerSQL::setBackslashEscapes$
    {79, 1303, 1464},	// QsciLexerSQL::setDottedWords$
    {79, 1328, 1466},	// QsciLexerSQL::setFoldAtElse$
    {79, 1332, 1477},	// QsciLexerSQL::setFoldComments$
    {79, 1334, 1478},	// QsciLexerSQL::setFoldCompact$
    {79, 1340, 1470},	// QsciLexerSQL::setFoldOnlyBegin$
    {79, 1362, 1472},	// QsciLexerSQL::setHashComments$
    {79, 1477, 1474},	// QsciLexerSQL::setQuotedIdentifiers$
    {79, 1562, 1484},	// QsciLexerSQL::staticMetaObject
    {79, 1588, 1481},	// QsciLexerSQL::tr$
    {79, 1589, 1447},	// QsciLexerSQL::tr$$
    {79, 1590, 1449},	// QsciLexerSQL::tr$$$
    {79, 1592, 1482},	// QsciLexerSQL::trUtf8$
    {79, 1593, 1448},	// QsciLexerSQL::trUtf8$$
    {79, 1594, 1450},	// QsciLexerSQL::trUtf8$$$
    {79, 1624, 1480},	// QsciLexerSQL::writeProperties#$
    {79, 1664, 1507},	// QsciLexerSQL::~QsciLexerSQL
    {80, 139, 1535},	// QsciLexerTCL::Comment
    {80, 140, 1555},	// QsciLexerTCL::CommentBlock
    {80, 141, 1554},	// QsciLexerTCL::CommentBox
    {80, 145, 1536},	// QsciLexerTCL::CommentLine
    {80, 160, 1534},	// QsciLexerTCL::Default
    {80, 209, 1545},	// QsciLexerTCL::ExpandKeyword
    {80, 255, 1548},	// QsciLexerTCL::ITCLKeyword
    {80, 256, 1541},	// QsciLexerTCL::Identifier
    {80, 314, 1550},	// QsciLexerTCL::KeywordSet6
    {80, 315, 1551},	// QsciLexerTCL::KeywordSet7
    {80, 316, 1552},	// QsciLexerTCL::KeywordSet8
    {80, 317, 1553},	// QsciLexerTCL::KeywordSet9
    {80, 366, 1544},	// QsciLexerTCL::Modifier
    {80, 379, 1537},	// QsciLexerTCL::Number
    {80, 383, 1540},	// QsciLexerTCL::Operator
    {80, 521, 1532},	// QsciLexerTCL::QsciLexerTCL
    {80, 522, 1515},	// QsciLexerTCL::QsciLexerTCL#
    {80, 550, 1538},	// QsciLexerTCL::QuotedKeyword
    {80, 552, 1539},	// QsciLexerTCL::QuotedString
    {80, 695, 1542},	// QsciLexerTCL::Substitution
    {80, 696, 1543},	// QsciLexerTCL::SubstitutionBrace
    {80, 706, 1546},	// QsciLexerTCL::TCLKeyword
    {80, 726, 1549},	// QsciLexerTCL::TkCommand
    {80, 727, 1547},	// QsciLexerTCL::TkKeyword
    {80, 852, 1518},	// QsciLexerTCL::braceStyle
    {80, 909, 1519},	// QsciLexerTCL::defaultColor$
    {80, 911, 1520},	// QsciLexerTCL::defaultEolFill$
    {80, 913, 1521},	// QsciLexerTCL::defaultFont$
    {80, 915, 1522},	// QsciLexerTCL::defaultPaper$
    {80, 919, 1524},	// QsciLexerTCL::description$
    {80, 986, 1527},	// QsciLexerTCL::foldComments
    {80, 1066, 1523},	// QsciLexerTCL::keywords$
    {80, 1067, 1516},	// QsciLexerTCL::language
    {80, 1072, 1517},	// QsciLexerTCL::lexer
    {80, 1128, 1508},	// QsciLexerTCL::metaObject
    {80, 1170, 1514},	// QsciLexerTCL::qt_metacall$$?
    {80, 1172, 1509},	// QsciLexerTCL::qt_metacast$
    {80, 1177, 1528},	// QsciLexerTCL::readProperties#$
    {80, 1186, 1525},	// QsciLexerTCL::refreshProperties
    {80, 1332, 1526},	// QsciLexerTCL::setFoldComments$
    {80, 1562, 1533},	// QsciLexerTCL::staticMetaObject
    {80, 1588, 1530},	// QsciLexerTCL::tr$
    {80, 1589, 1510},	// QsciLexerTCL::tr$$
    {80, 1590, 1512},	// QsciLexerTCL::tr$$$
    {80, 1592, 1531},	// QsciLexerTCL::trUtf8$
    {80, 1593, 1511},	// QsciLexerTCL::trUtf8$$
    {80, 1594, 1513},	// QsciLexerTCL::trUtf8$$$
    {80, 1624, 1529},	// QsciLexerTCL::writeProperties#$
    {80, 1665, 1556},	// QsciLexerTCL::~QsciLexerTCL
    {81, 138, 1590},	// QsciLexerTeX::Command
    {81, 160, 1586},	// QsciLexerTeX::Default
    {81, 228, 1588},	// QsciLexerTeX::Group
    {81, 523, 1584},	// QsciLexerTeX::QsciLexerTeX
    {81, 524, 1564},	// QsciLexerTeX::QsciLexerTeX#
    {81, 670, 1587},	// QsciLexerTeX::Special
    {81, 699, 1589},	// QsciLexerTeX::Symbol
    {81, 717, 1591},	// QsciLexerTeX::Text
    {81, 909, 1568},	// QsciLexerTeX::defaultColor$
    {81, 919, 1570},	// QsciLexerTeX::description$
    {81, 986, 1573},	// QsciLexerTeX::foldComments
    {81, 987, 1575},	// QsciLexerTeX::foldCompact
    {81, 1066, 1569},	// QsciLexerTeX::keywords$
    {81, 1067, 1565},	// QsciLexerTeX::language
    {81, 1072, 1566},	// QsciLexerTeX::lexer
    {81, 1128, 1557},	// QsciLexerTeX::metaObject
    {81, 1165, 1577},	// QsciLexerTeX::processComments
    {81, 1166, 1579},	// QsciLexerTeX::processIf
    {81, 1170, 1563},	// QsciLexerTeX::qt_metacall$$?
    {81, 1172, 1558},	// QsciLexerTeX::qt_metacast$
    {81, 1177, 1580},	// QsciLexerTeX::readProperties#$
    {81, 1186, 1571},	// QsciLexerTeX::refreshProperties
    {81, 1332, 1572},	// QsciLexerTeX::setFoldComments$
    {81, 1334, 1574},	// QsciLexerTeX::setFoldCompact$
    {81, 1473, 1576},	// QsciLexerTeX::setProcessComments$
    {81, 1475, 1578},	// QsciLexerTeX::setProcessIf$
    {81, 1562, 1585},	// QsciLexerTeX::staticMetaObject
    {81, 1588, 1582},	// QsciLexerTeX::tr$
    {81, 1589, 1559},	// QsciLexerTeX::tr$$
    {81, 1590, 1561},	// QsciLexerTeX::tr$$$
    {81, 1592, 1583},	// QsciLexerTeX::trUtf8$
    {81, 1593, 1560},	// QsciLexerTeX::trUtf8$$
    {81, 1594, 1562},	// QsciLexerTeX::trUtf8$$$
    {81, 1618, 1567},	// QsciLexerTeX::wordCharacters
    {81, 1624, 1581},	// QsciLexerTeX::writeProperties#$
    {81, 1666, 1592},	// QsciLexerTeX::~QsciLexerTeX
    {82, 67, 1637},	// QsciLexerVHDL::Attribute
    {82, 139, 1628},	// QsciLexerVHDL::Comment
    {82, 140, 1642},	// QsciLexerVHDL::CommentBlock
    {82, 145, 1629},	// QsciLexerVHDL::CommentLine
    {82, 160, 1627},	// QsciLexerVHDL::Default
    {82, 256, 1633},	// QsciLexerVHDL::Identifier
    {82, 308, 1635},	// QsciLexerVHDL::Keyword
    {82, 315, 1641},	// QsciLexerVHDL::KeywordSet7
    {82, 379, 1630},	// QsciLexerVHDL::Number
    {82, 383, 1632},	// QsciLexerVHDL::Operator
    {82, 525, 1625},	// QsciLexerVHDL::QsciLexerVHDL
    {82, 526, 1600},	// QsciLexerVHDL::QsciLexerVHDL#
    {82, 674, 1638},	// QsciLexerVHDL::StandardFunction
    {82, 675, 1636},	// QsciLexerVHDL::StandardOperator
    {82, 676, 1639},	// QsciLexerVHDL::StandardPackage
    {82, 677, 1640},	// QsciLexerVHDL::StandardType
    {82, 684, 1631},	// QsciLexerVHDL::String
    {82, 738, 1634},	// QsciLexerVHDL::UnclosedString
    {82, 852, 1603},	// QsciLexerVHDL::braceStyle
    {82, 909, 1604},	// QsciLexerVHDL::defaultColor$
    {82, 911, 1605},	// QsciLexerVHDL::defaultEolFill$
    {82, 913, 1606},	// QsciLexerVHDL::defaultFont$
    {82, 915, 1607},	// QsciLexerVHDL::defaultPaper$
    {82, 919, 1609},	// QsciLexerVHDL::description$
    {82, 983, 1614},	// QsciLexerVHDL::foldAtBegin
    {82, 984, 1613},	// QsciLexerVHDL::foldAtElse
    {82, 985, 1615},	// QsciLexerVHDL::foldAtParenthesis
    {82, 986, 1611},	// QsciLexerVHDL::foldComments
    {82, 987, 1612},	// QsciLexerVHDL::foldCompact
    {82, 1066, 1608},	// QsciLexerVHDL::keywords$
    {82, 1067, 1601},	// QsciLexerVHDL::language
    {82, 1072, 1602},	// QsciLexerVHDL::lexer
    {82, 1128, 1593},	// QsciLexerVHDL::metaObject
    {82, 1170, 1599},	// QsciLexerVHDL::qt_metacall$$?
    {82, 1172, 1594},	// QsciLexerVHDL::qt_metacast$
    {82, 1177, 1621},	// QsciLexerVHDL::readProperties#$
    {82, 1186, 1610},	// QsciLexerVHDL::refreshProperties
    {82, 1326, 1619},	// QsciLexerVHDL::setFoldAtBegin$
    {82, 1328, 1618},	// QsciLexerVHDL::setFoldAtElse$
    {82, 1330, 1620},	// QsciLexerVHDL::setFoldAtParenthesis$
    {82, 1332, 1616},	// QsciLexerVHDL::setFoldComments$
    {82, 1334, 1617},	// QsciLexerVHDL::setFoldCompact$
    {82, 1562, 1626},	// QsciLexerVHDL::staticMetaObject
    {82, 1588, 1623},	// QsciLexerVHDL::tr$
    {82, 1589, 1595},	// QsciLexerVHDL::tr$$
    {82, 1590, 1597},	// QsciLexerVHDL::tr$$$
    {82, 1592, 1624},	// QsciLexerVHDL::trUtf8$
    {82, 1593, 1596},	// QsciLexerVHDL::trUtf8$$
    {82, 1594, 1598},	// QsciLexerVHDL::trUtf8$$$
    {82, 1624, 1622},	// QsciLexerVHDL::writeProperties#$
    {82, 1667, 1643},	// QsciLexerVHDL::~QsciLexerVHDL
    {83, 527, 1666},	// QsciLexerXML::QsciLexerXML
    {83, 528, 1651},	// QsciLexerXML::QsciLexerXML#
    {83, 909, 1654},	// QsciLexerXML::defaultColor$
    {83, 911, 1655},	// QsciLexerXML::defaultEolFill$
    {83, 913, 1656},	// QsciLexerXML::defaultFont$
    {83, 915, 1657},	// QsciLexerXML::defaultPaper$
    {83, 1066, 1658},	// QsciLexerXML::keywords$
    {83, 1067, 1652},	// QsciLexerXML::language
    {83, 1072, 1653},	// QsciLexerXML::lexer
    {83, 1128, 1644},	// QsciLexerXML::metaObject
    {83, 1170, 1650},	// QsciLexerXML::qt_metacall$$?
    {83, 1172, 1645},	// QsciLexerXML::qt_metacast$
    {83, 1177, 1662},	// QsciLexerXML::readProperties#$
    {83, 1186, 1659},	// QsciLexerXML::refreshProperties
    {83, 1212, 1661},	// QsciLexerXML::scriptsStyled
    {83, 1483, 1660},	// QsciLexerXML::setScriptsStyled$
    {83, 1562, 1667},	// QsciLexerXML::staticMetaObject
    {83, 1588, 1664},	// QsciLexerXML::tr$
    {83, 1589, 1646},	// QsciLexerXML::tr$$
    {83, 1590, 1648},	// QsciLexerXML::tr$$$
    {83, 1592, 1665},	// QsciLexerXML::trUtf8$
    {83, 1593, 1647},	// QsciLexerXML::trUtf8$$
    {83, 1594, 1649},	// QsciLexerXML::trUtf8$$$
    {83, 1624, 1663},	// QsciLexerXML::writeProperties#$
    {83, 1668, 1668},	// QsciLexerXML::~QsciLexerXML
    {84, 139, 1695},	// QsciLexerYAML::Comment
    {84, 160, 1694},	// QsciLexerYAML::Default
    {84, 176, 1700},	// QsciLexerYAML::DocumentDelimiter
    {84, 256, 1696},	// QsciLexerYAML::Identifier
    {84, 308, 1697},	// QsciLexerYAML::Keyword
    {84, 379, 1698},	// QsciLexerYAML::Number
    {84, 383, 1703},	// QsciLexerYAML::Operator
    {84, 529, 1692},	// QsciLexerYAML::QsciLexerYAML
    {84, 530, 1676},	// QsciLexerYAML::QsciLexerYAML#
    {84, 565, 1699},	// QsciLexerYAML::Reference
    {84, 705, 1702},	// QsciLexerYAML::SyntaxErrorMarker
    {84, 718, 1701},	// QsciLexerYAML::TextBlockMarker
    {84, 909, 1679},	// QsciLexerYAML::defaultColor$
    {84, 911, 1680},	// QsciLexerYAML::defaultEolFill$
    {84, 913, 1681},	// QsciLexerYAML::defaultFont$
    {84, 915, 1682},	// QsciLexerYAML::defaultPaper$
    {84, 919, 1684},	// QsciLexerYAML::description$
    {84, 986, 1686},	// QsciLexerYAML::foldComments
    {84, 1066, 1683},	// QsciLexerYAML::keywords$
    {84, 1067, 1677},	// QsciLexerYAML::language
    {84, 1072, 1678},	// QsciLexerYAML::lexer
    {84, 1128, 1669},	// QsciLexerYAML::metaObject
    {84, 1170, 1675},	// QsciLexerYAML::qt_metacall$$?
    {84, 1172, 1670},	// QsciLexerYAML::qt_metacast$
    {84, 1177, 1688},	// QsciLexerYAML::readProperties#$
    {84, 1186, 1685},	// QsciLexerYAML::refreshProperties
    {84, 1332, 1687},	// QsciLexerYAML::setFoldComments$
    {84, 1562, 1693},	// QsciLexerYAML::staticMetaObject
    {84, 1588, 1690},	// QsciLexerYAML::tr$
    {84, 1589, 1671},	// QsciLexerYAML::tr$$
    {84, 1590, 1673},	// QsciLexerYAML::tr$$$
    {84, 1592, 1691},	// QsciLexerYAML::trUtf8$
    {84, 1593, 1672},	// QsciLexerYAML::trUtf8$$
    {84, 1594, 1674},	// QsciLexerYAML::trUtf8$$$
    {84, 1624, 1689},	// QsciLexerYAML::writeProperties#$
    {84, 1669, 1704},	// QsciLexerYAML::~QsciLexerYAML
    {85, 532, 1712},	// QsciMacro::QsciMacro#
    {85, 533, 1713},	// QsciMacro::QsciMacro$#
    {85, 873, 1714},	// QsciMacro::clear
    {85, 939, 1719},	// QsciMacro::endRecording
    {85, 1083, 1715},	// QsciMacro::load$
    {85, 1128, 1705},	// QsciMacro::metaObject
    {85, 1156, 1717},	// QsciMacro::play
    {85, 1170, 1711},	// QsciMacro::qt_metacall$$?
    {85, 1172, 1706},	// QsciMacro::qt_metacast$
    {85, 1209, 1716},	// QsciMacro::save
    {85, 1558, 1718},	// QsciMacro::startRecording
    {85, 1562, 1722},	// QsciMacro::staticMetaObject
    {85, 1588, 1720},	// QsciMacro::tr$
    {85, 1589, 1707},	// QsciMacro::tr$$
    {85, 1590, 1709},	// QsciMacro::tr$$$
    {85, 1592, 1721},	// QsciMacro::trUtf8$
    {85, 1593, 1708},	// QsciMacro::trUtf8$$
    {85, 1594, 1710},	// QsciMacro::trUtf8$$$
    {85, 1670, 1723},	// QsciMacro::~QsciMacro
    {86, 534, 1731},	// QsciPrinter::QsciPrinter
    {86, 535, 1724},	// QsciPrinter::QsciPrinter$
    {86, 1005, 1725},	// QsciPrinter::formatPage#$#$
    {86, 1086, 1726},	// QsciPrinter::magnification
    {86, 1162, 1732},	// QsciPrinter::printRange#
    {86, 1163, 1733},	// QsciPrinter::printRange#$
    {86, 1164, 1728},	// QsciPrinter::printRange#$$
    {86, 1423, 1727},	// QsciPrinter::setMagnification$
    {86, 1547, 1730},	// QsciPrinter::setWrapMode$
    {86, 1620, 1729},	// QsciPrinter::wrapMode
    {86, 1671, 1734},	// QsciPrinter::~QsciPrinter
    {87, 49, 2064},	// QsciScintilla::AcsAPIs
    {87, 50, 2062},	// QsciScintilla::AcsAll
    {87, 51, 2063},	// QsciScintilla::AcsDocument
    {87, 52, 2061},	// QsciScintilla::AcsNone
    {87, 54, 2060},	// QsciScintilla::AcusAlways
    {87, 55, 2059},	// QsciScintilla::AcusExplicit
    {87, 56, 2058},	// QsciScintilla::AcusNever
    {87, 58, 2056},	// QsciScintilla::AnnotationBoxed
    {87, 59, 2054},	// QsciScintilla::AnnotationHidden
    {87, 60, 2057},	// QsciScintilla::AnnotationIndented
    {87, 61, 2055},	// QsciScintilla::AnnotationStandard
    {87, 80, 2138},	// QsciScintilla::Background
    {87, 95, 2144},	// QsciScintilla::Bookmark
    {87, 96, 2126},	// QsciScintilla::BottomLeftCorner
    {87, 98, 2093},	// QsciScintilla::BoxIndicator
    {87, 99, 2084},	// QsciScintilla::BoxedFoldStyle
    {87, 100, 2130},	// QsciScintilla::BoxedMinus
    {87, 101, 2131},	// QsciScintilla::BoxedMinusConnected
    {87, 102, 2128},	// QsciScintilla::BoxedPlus
    {87, 103, 2129},	// QsciScintilla::BoxedPlusConnected
    {87, 104, 2086},	// QsciScintilla::BoxedTreeFoldStyle
    {87, 110, 2069},	// QsciScintilla::CallTipsAboveText
    {87, 111, 2068},	// QsciScintilla::CallTipsBelowText
    {87, 112, 2073},	// QsciScintilla::CallTipsContext
    {87, 113, 2072},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {87, 114, 2071},	// QsciScintilla::CallTipsNoContext
    {87, 115, 2070},	// QsciScintilla::CallTipsNone
    {87, 126, 2116},	// QsciScintilla::Circle
    {87, 127, 2083},	// QsciScintilla::CircledFoldStyle
    {87, 128, 2136},	// QsciScintilla::CircledMinus
    {87, 129, 2137},	// QsciScintilla::CircledMinusConnected
    {87, 130, 2134},	// QsciScintilla::CircledPlus
    {87, 131, 2135},	// QsciScintilla::CircledPlusConnected
    {87, 132, 2085},	// QsciScintilla::CircledTreeFoldStyle
    {87, 157, 2097},	// QsciScintilla::DashesIndicator
    {87, 172, 2090},	// QsciScintilla::DiagonalIndicator
    {87, 181, 2100},	// QsciScintilla::DotBoxIndicator
    {87, 182, 2098},	// QsciScintilla::DotsIndicator
    {87, 188, 2122},	// QsciScintilla::DownTriangle
    {87, 195, 2076},	// QsciScintilla::EdgeBackground
    {87, 196, 2075},	// QsciScintilla::EdgeLine
    {87, 197, 2077},	// QsciScintilla::EdgeMultipleLines
    {87, 198, 2074},	// QsciScintilla::EdgeNone
    {87, 203, 2080},	// QsciScintilla::EolMac
    {87, 204, 2079},	// QsciScintilla::EolUnix
    {87, 205, 2078},	// QsciScintilla::EolWindows
    {87, 221, 2096},	// QsciScintilla::FullBoxIndicator
    {87, 222, 2141},	// QsciScintilla::FullRectangle
    {87, 243, 2092},	// QsciScintilla::HiddenIndicator
    {87, 293, 2121},	// QsciScintilla::Invisible
    {87, 324, 2142},	// QsciScintilla::LeftRectangle
    {87, 325, 2133},	// QsciScintilla::LeftSideRoundedSplitter
    {87, 326, 2127},	// QsciScintilla::LeftSideSplitter
    {87, 363, 2123},	// QsciScintilla::Minus
    {87, 364, -195},	// QsciScintilla::MoNone
    {87, 365, -198},	// QsciScintilla::MoSublineSelect
    {87, 375, 2065},	// QsciScintilla::NoBraceMatch
    {87, 376, 2081},	// QsciScintilla::NoFoldStyle
    {87, 380, 2112},	// QsciScintilla::NumberMargin
    {87, 421, 2082},	// QsciScintilla::PlainFoldStyle
    {87, 422, 2087},	// QsciScintilla::PlainIndicator
    {87, 423, 2124},	// QsciScintilla::Plus
    {87, 536, 2018},	// QsciScintilla::QsciScintilla
    {87, 537, 1742},	// QsciScintilla::QsciScintilla#
    {87, 563, 2117},	// QsciScintilla::Rectangle
    {87, 568, 2120},	// QsciScintilla::RightArrow
    {87, 569, 2118},	// QsciScintilla::RightTriangle
    {87, 570, 2094},	// QsciScintilla::RoundBoxIndicator
    {87, 571, 2132},	// QsciScintilla::RoundedBottomLeftCorner
    {87, 666, 2067},	// QsciScintilla::SloppyBraceMatch
    {87, 668, 2119},	// QsciScintilla::SmallRectangle
    {87, 671, 2088},	// QsciScintilla::SquiggleIndicator
    {87, 672, 2099},	// QsciScintilla::SquiggleLowIndicator
    {87, 673, 2101},	// QsciScintilla::SquigglePixmapIndicator
    {87, 681, 2095},	// QsciScintilla::StraightBoxIndicator
    {87, 682, 2066},	// QsciScintilla::StrictBraceMatch
    {87, 683, 2091},	// QsciScintilla::StrikeIndicator
    {87, 700, 2109},	// QsciScintilla::SymbolMargin
    {87, 701, 2115},	// QsciScintilla::SymbolMarginColor
    {87, 702, 2111},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {87, 703, 2110},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {87, 707, 2089},	// QsciScintilla::TTIndicator
    {87, 709, 2145},	// QsciScintilla::TabLongArrow
    {87, 710, 2146},	// QsciScintilla::TabStrikeOut
    {87, 719, 2104},	// QsciScintilla::TextColorIndicator
    {87, 720, 2113},	// QsciScintilla::TextMargin
    {87, 721, 2114},	// QsciScintilla::TextMarginRightJustified
    {87, 722, 2102},	// QsciScintilla::ThickCompositionIndicator
    {87, 723, 2103},	// QsciScintilla::ThinCompositionIndicator
    {87, 724, 2139},	// QsciScintilla::ThreeDots
    {87, 725, 2140},	// QsciScintilla::ThreeRightArrows
    {87, 730, 2106},	// QsciScintilla::TriangleCharacterIndicator
    {87, 731, 2105},	// QsciScintilla::TriangleIndicator
    {87, 739, 2143},	// QsciScintilla::Underline
    {87, 765, 2125},	// QsciScintilla::VerticalLine
    {87, 779, 2153},	// QsciScintilla::WrapCharacter
    {87, 780, 2157},	// QsciScintilla::WrapFlagByBorder
    {87, 781, 2156},	// QsciScintilla::WrapFlagByText
    {87, 782, 2158},	// QsciScintilla::WrapFlagInMargin
    {87, 783, 2155},	// QsciScintilla::WrapFlagNone
    {87, 784, 2159},	// QsciScintilla::WrapIndentFixed
    {87, 785, 2161},	// QsciScintilla::WrapIndentIndented
    {87, 786, 2160},	// QsciScintilla::WrapIndentSame
    {87, 787, 2151},	// QsciScintilla::WrapNone
    {87, 788, 2154},	// QsciScintilla::WrapWhitespace
    {87, 789, 2152},	// QsciScintilla::WrapWord
    {87, 790, 2147},	// QsciScintilla::WsInvisible
    {87, 791, 2148},	// QsciScintilla::WsVisible
    {87, 792, 2149},	// QsciScintilla::WsVisibleAfterIndent
    {87, 793, 2150},	// QsciScintilla::WsVisibleOnlyInIndent
    {87, 803, 1860},	// QsciScintilla::addEdgeColumn$#
    {87, 806, 1746},	// QsciScintilla::annotate$#
    {87, 807, 1745},	// QsciScintilla::annotate$$#
    {87, 808, 1744},	// QsciScintilla::annotate$$$
    {87, 809, 1747},	// QsciScintilla::annotate$?
    {87, 811, 1748},	// QsciScintilla::annotation$
    {87, 812, 1749},	// QsciScintilla::annotationDisplay
    {87, 814, 1743},	// QsciScintilla::apiContext$$$
    {87, 820, 1925},	// QsciScintilla::append$
    {87, 823, 1927},	// QsciScintilla::autoCompleteFromAPIs
    {87, 824, 1926},	// QsciScintilla::autoCompleteFromAll
    {87, 825, 1928},	// QsciScintilla::autoCompleteFromDocument
    {87, 826, 1751},	// QsciScintilla::autoCompletionCaseSensitivity
    {87, 828, 1752},	// QsciScintilla::autoCompletionFillupsEnabled
    {87, 829, 1753},	// QsciScintilla::autoCompletionReplaceWord
    {87, 832, 1754},	// QsciScintilla::autoCompletionShowSingle
    {87, 833, 1755},	// QsciScintilla::autoCompletionSource
    {87, 834, 1756},	// QsciScintilla::autoCompletionThreshold
    {87, 835, 1757},	// QsciScintilla::autoCompletionUseSingle
    {87, 837, 1758},	// QsciScintilla::autoIndent
    {87, 840, 1759},	// QsciScintilla::backspaceUnindents
    {87, 841, 1760},	// QsciScintilla::beginUndoAction
    {87, 851, 1761},	// QsciScintilla::braceMatching
    {87, 854, 1762},	// QsciScintilla::bytes$$
    {87, 857, 1929},	// QsciScintilla::callTip
    {87, 860, 1763},	// QsciScintilla::callTipsPosition
    {87, 861, 1764},	// QsciScintilla::callTipsStyle
    {87, 862, 1765},	// QsciScintilla::callTipsVisible
    {87, 865, 1766},	// QsciScintilla::cancelList
    {87, 867, 1767},	// QsciScintilla::caseSensitive
    {87, 870, 2014},	// QsciScintilla::changeEvent#
    {87, 873, 1930},	// QsciScintilla::clear
    {87, 875, 2019},	// QsciScintilla::clearAnnotations
    {87, 876, 1750},	// QsciScintilla::clearAnnotations$
    {87, 877, 1861},	// QsciScintilla::clearEdgeColumns
    {87, 878, 1768},	// QsciScintilla::clearFolds
    {87, 880, 1769},	// QsciScintilla::clearIndicatorRange$$$$$
    {87, 882, 2042},	// QsciScintilla::clearMarginText
    {87, 883, 1878},	// QsciScintilla::clearMarginText$
    {87, 884, 1770},	// QsciScintilla::clearRegisteredImages
    {87, 886, 1771},	// QsciScintilla::color
    {87, 896, 2015},	// QsciScintilla::contextMenuEvent#
    {87, 897, 1772},	// QsciScintilla::contractedFolds
    {87, 899, 1773},	// QsciScintilla::convertEols$
    {87, 900, 1931},	// QsciScintilla::copy
    {87, 902, 2002},	// QsciScintilla::copyAvailable$
    {87, 903, 1774},	// QsciScintilla::createStandardContextMenu
    {87, 905, 2001},	// QsciScintilla::cursorPositionChanged$$
    {87, 907, 1932},	// QsciScintilla::cut
    {87, 923, 1775},	// QsciScintilla::document
    {87, 934, 1777},	// QsciScintilla::edgeColor
    {87, 935, 1778},	// QsciScintilla::edgeColumn
    {87, 936, 1779},	// QsciScintilla::edgeMode
    {87, 940, 1776},	// QsciScintilla::endUndoAction
    {87, 941, 1933},	// QsciScintilla::ensureCursorVisible
    {87, 943, 1934},	// QsciScintilla::ensureLineVisible$
    {87, 949, 1781},	// QsciScintilla::eolMode
    {87, 950, 1782},	// QsciScintilla::eolVisibility
    {87, 952, 2013},	// QsciScintilla::event#
    {87, 955, 1783},	// QsciScintilla::extraAscent
    {87, 956, 1784},	// QsciScintilla::extraDescent
    {87, 958, 1785},	// QsciScintilla::fillIndicatorRange$$$$$
    {87, 962, 2020},	// QsciScintilla::findFirst$$$$$
    {87, 963, 2021},	// QsciScintilla::findFirst$$$$$$
    {87, 964, 2022},	// QsciScintilla::findFirst$$$$$$$
    {87, 965, 2023},	// QsciScintilla::findFirst$$$$$$$$
    {87, 966, 2024},	// QsciScintilla::findFirst$$$$$$$$$
    {87, 967, 1786},	// QsciScintilla::findFirst$$$$$$$$$$
    {87, 969, 2025},	// QsciScintilla::findFirstInSelection$$$$
    {87, 970, 2026},	// QsciScintilla::findFirstInSelection$$$$$
    {87, 971, 2027},	// QsciScintilla::findFirstInSelection$$$$$$
    {87, 972, 1787},	// QsciScintilla::findFirstInSelection$$$$$$$
    {87, 973, 1788},	// QsciScintilla::findNext
    {87, 974, 1789},	// QsciScintilla::firstVisibleLine
    {87, 981, 2047},	// QsciScintilla::foldAll
    {87, 982, 1935},	// QsciScintilla::foldAll$
    {87, 990, 1936},	// QsciScintilla::foldLine$
    {87, 998, 1790},	// QsciScintilla::folding
    {87, 1009, 1791},	// QsciScintilla::getCursorPosition$$
    {87, 1011, 1792},	// QsciScintilla::getSelection$$$$
    {87, 1012, 1793},	// QsciScintilla::hasSelectedText
    {87, 1023, 1937},	// QsciScintilla::indent$
    {87, 1025, 1794},	// QsciScintilla::indentation$
    {87, 1027, 1795},	// QsciScintilla::indentationGuides
    {87, 1029, 1797},	// QsciScintilla::indentationWidth
    {87, 1030, 1796},	// QsciScintilla::indentationsUseTabs
    {87, 1032, 2003},	// QsciScintilla::indicatorClicked$$$
    {87, 1034, 2028},	// QsciScintilla::indicatorDefine$
    {87, 1035, 1798},	// QsciScintilla::indicatorDefine$$
    {87, 1037, 1799},	// QsciScintilla::indicatorDrawUnder$
    {87, 1039, 2004},	// QsciScintilla::indicatorReleased$$$
    {87, 1046, 1938},	// QsciScintilla::insert$
    {87, 1048, 1939},	// QsciScintilla::insertAt$$$
    {87, 1050, 1800},	// QsciScintilla::isCallTipActive
    {87, 1051, 1801},	// QsciScintilla::isListActive
    {87, 1052, 1802},	// QsciScintilla::isModified
    {87, 1055, 1803},	// QsciScintilla::isReadOnly
    {87, 1056, 1804},	// QsciScintilla::isRedoAvailable
    {87, 1057, 1805},	// QsciScintilla::isUndoAvailable
    {87, 1058, 1806},	// QsciScintilla::isUtf8
    {87, 1060, 1807},	// QsciScintilla::isWordCharacter$
    {87, 1070, 1812},	// QsciScintilla::length
    {87, 1072, 1813},	// QsciScintilla::lexer
    {87, 1075, 1808},	// QsciScintilla::lineAt#
    {87, 1077, 1809},	// QsciScintilla::lineIndexFromPosition$$$
    {87, 1079, 1810},	// QsciScintilla::lineLength$
    {87, 1080, 1811},	// QsciScintilla::lines
    {87, 1081, 2005},	// QsciScintilla::linesChanged
    {87, 1089, 1814},	// QsciScintilla::marginBackgroundColor$
    {87, 1091, 2006},	// QsciScintilla::marginClicked$$$
    {87, 1093, 1815},	// QsciScintilla::marginLineNumbers$
    {87, 1095, 1816},	// QsciScintilla::marginMarkerMask$
    {87, 1096, 1817},	// QsciScintilla::marginOptions
    {87, 1098, 2007},	// QsciScintilla::marginRightClicked$$$
    {87, 1100, 1818},	// QsciScintilla::marginSensitivity$
    {87, 1102, 1819},	// QsciScintilla::marginType$
    {87, 1104, 1820},	// QsciScintilla::marginWidth$
    {87, 1105, 1821},	// QsciScintilla::margins
    {87, 1107, 1826},	// QsciScintilla::markerAdd$$
    {87, 1109, -201},	// QsciScintilla::markerDefine#
    {87, 1110, -204},	// QsciScintilla::markerDefine#$
    {87, 1111, -207},	// QsciScintilla::markerDefine$
    {87, 1112, -210},	// QsciScintilla::markerDefine$$
    {87, 1114, 2033},	// QsciScintilla::markerDelete$
    {87, 1115, 1828},	// QsciScintilla::markerDelete$$
    {87, 1116, 2034},	// QsciScintilla::markerDeleteAll
    {87, 1117, 1829},	// QsciScintilla::markerDeleteAll$
    {87, 1119, 1830},	// QsciScintilla::markerDeleteHandle$
    {87, 1121, 1832},	// QsciScintilla::markerFindNext$$
    {87, 1123, 1833},	// QsciScintilla::markerFindPrevious$$
    {87, 1125, 1831},	// QsciScintilla::markerLine$
    {87, 1127, 1827},	// QsciScintilla::markersAtLine$
    {87, 1128, 1735},	// QsciScintilla::metaObject
    {87, 1131, 2008},	// QsciScintilla::modificationAttempted
    {87, 1133, 2009},	// QsciScintilla::modificationChanged$
    {87, 1143, 1940},	// QsciScintilla::moveToMatchingBrace
    {87, 1146, 1834},	// QsciScintilla::overwriteMode
    {87, 1151, 1835},	// QsciScintilla::paper
    {87, 1155, 1941},	// QsciScintilla::paste
    {87, 1159, 1836},	// QsciScintilla::positionFromLineIndex$$
    {87, 1170, 1741},	// QsciScintilla::qt_metacall$$?
    {87, 1172, 1736},	// QsciScintilla::qt_metacast$
    {87, 1175, 1837},	// QsciScintilla::read#
    {87, 1181, 2035},	// QsciScintilla::recolor
    {87, 1182, 2036},	// QsciScintilla::recolor$
    {87, 1183, 1838},	// QsciScintilla::recolor$$
    {87, 1184, 1942},	// QsciScintilla::redo
    {87, 1188, -213},	// QsciScintilla::registerImage$#
    {87, 1191, 1943},	// QsciScintilla::removeSelectedText
    {87, 1193, 1841},	// QsciScintilla::replace$
    {87, 1197, 1944},	// QsciScintilla::replaceSelectedText$
    {87, 1200, 1842},	// QsciScintilla::resetFoldMarginColors
    {87, 1201, 1843},	// QsciScintilla::resetHotspotBackgroundColor
    {87, 1202, 1844},	// QsciScintilla::resetHotspotForegroundColor
    {87, 1203, 1885},	// QsciScintilla::resetMatchedBraceIndicator
    {87, 1204, 1945},	// QsciScintilla::resetSelectionBackgroundColor
    {87, 1205, 1946},	// QsciScintilla::resetSelectionForegroundColor
    {87, 1206, 1892},	// QsciScintilla::resetUnmatchedBraceIndicator
    {87, 1215, 1845},	// QsciScintilla::scrollWidth
    {87, 1216, 1846},	// QsciScintilla::scrollWidthTracking
    {87, 1217, 2048},	// QsciScintilla::selectAll
    {87, 1218, 1947},	// QsciScintilla::selectAll$
    {87, 1219, 1948},	// QsciScintilla::selectToMatchingBrace
    {87, 1220, 1894},	// QsciScintilla::selectedText
    {87, 1221, 2010},	// QsciScintilla::selectionChanged
    {87, 1222, 1895},	// QsciScintilla::selectionToEol
    {87, 1228, 1848},	// QsciScintilla::setAnnotationDisplay$
    {87, 1230, 1949},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {87, 1232, 1850},	// QsciScintilla::setAutoCompletionFillups$
    {87, 1234, 1849},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {87, 1236, 1950},	// QsciScintilla::setAutoCompletionReplaceWord$
    {87, 1238, 1951},	// QsciScintilla::setAutoCompletionShowSingle$
    {87, 1240, 1952},	// QsciScintilla::setAutoCompletionSource$
    {87, 1242, 1953},	// QsciScintilla::setAutoCompletionThreshold$
    {87, 1244, 1954},	// QsciScintilla::setAutoCompletionUseSingle$
    {87, 1246, 1851},	// QsciScintilla::setAutoCompletionWordSeparators?
    {87, 1248, 1955},	// QsciScintilla::setAutoIndent$
    {87, 1254, 1957},	// QsciScintilla::setBackspaceUnindents$
    {87, 1256, 1956},	// QsciScintilla::setBraceMatching$
    {87, 1258, 1852},	// QsciScintilla::setCallTipsBackgroundColor#
    {87, 1260, 1853},	// QsciScintilla::setCallTipsForegroundColor#
    {87, 1262, 1854},	// QsciScintilla::setCallTipsHighlightColor#
    {87, 1264, 1855},	// QsciScintilla::setCallTipsPosition$
    {87, 1266, 1856},	// QsciScintilla::setCallTipsStyle$
    {87, 1268, 1857},	// QsciScintilla::setCallTipsVisible$
    {87, 1270, 1958},	// QsciScintilla::setCaretForegroundColor#
    {87, 1272, 1959},	// QsciScintilla::setCaretLineBackgroundColor#
    {87, 1274, 1960},	// QsciScintilla::setCaretLineVisible$
    {87, 1276, 1961},	// QsciScintilla::setCaretWidth$
    {87, 1282, 1962},	// QsciScintilla::setColor#
    {87, 1285, 1858},	// QsciScintilla::setContractedFolds?
    {87, 1287, 1963},	// QsciScintilla::setCursorPosition$$
    {87, 1299, 1859},	// QsciScintilla::setDocument#
    {87, 1305, 1862},	// QsciScintilla::setEdgeColor#
    {87, 1307, 1863},	// QsciScintilla::setEdgeColumn$
    {87, 1309, 1864},	// QsciScintilla::setEdgeMode$
    {87, 1316, 1964},	// QsciScintilla::setEolMode$
    {87, 1318, 1965},	// QsciScintilla::setEolVisibility$
    {87, 1320, 1901},	// QsciScintilla::setExtraAscent$
    {87, 1322, 1902},	// QsciScintilla::setExtraDescent$
    {87, 1324, 1865},	// QsciScintilla::setFirstVisibleLine$
    {87, 1338, 1847},	// QsciScintilla::setFoldMarginColors##
    {87, 1354, 2049},	// QsciScintilla::setFolding$
    {87, 1355, 1966},	// QsciScintilla::setFolding$$
    {87, 1357, 1780},	// QsciScintilla::setFont#
    {87, 1376, 1896},	// QsciScintilla::setHotspotBackgroundColor#
    {87, 1378, 1897},	// QsciScintilla::setHotspotForegroundColor#
    {87, 1380, 1898},	// QsciScintilla::setHotspotUnderline$
    {87, 1382, 1899},	// QsciScintilla::setHotspotWrap$
    {87, 1384, 1967},	// QsciScintilla::setIndentation$$
    {87, 1386, 1968},	// QsciScintilla::setIndentationGuides$
    {87, 1388, 1969},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {87, 1390, 1970},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {87, 1394, 1972},	// QsciScintilla::setIndentationWidth$
    {87, 1396, 1971},	// QsciScintilla::setIndentationsUseTabs$
    {87, 1398, 2037},	// QsciScintilla::setIndicatorDrawUnder$
    {87, 1399, 1866},	// QsciScintilla::setIndicatorDrawUnder$$
    {87, 1401, 2038},	// QsciScintilla::setIndicatorForegroundColor#
    {87, 1402, 1867},	// QsciScintilla::setIndicatorForegroundColor#$
    {87, 1404, 2039},	// QsciScintilla::setIndicatorHoverForegroundColor#
    {87, 1405, 1868},	// QsciScintilla::setIndicatorHoverForegroundColor#$
    {87, 1407, 2040},	// QsciScintilla::setIndicatorHoverStyle$
    {87, 1408, 1869},	// QsciScintilla::setIndicatorHoverStyle$$
    {87, 1410, 2041},	// QsciScintilla::setIndicatorOutlineColor#
    {87, 1411, 1870},	// QsciScintilla::setIndicatorOutlineColor#$
    {87, 1420, 2050},	// QsciScintilla::setLexer
    {87, 1421, 1973},	// QsciScintilla::setLexer#
    {87, 1427, 1871},	// QsciScintilla::setMarginBackgroundColor$#
    {87, 1429, 1977},	// QsciScintilla::setMarginLineNumbers$$
    {87, 1431, 1978},	// QsciScintilla::setMarginMarkerMask$$
    {87, 1433, 1872},	// QsciScintilla::setMarginOptions$
    {87, 1435, 1979},	// QsciScintilla::setMarginSensitivity$$
    {87, 1437, 1875},	// QsciScintilla::setMarginText$#
    {87, 1438, 1874},	// QsciScintilla::setMarginText$$#
    {87, 1439, 1873},	// QsciScintilla::setMarginText$$$
    {87, 1440, 1876},	// QsciScintilla::setMarginText$?
    {87, 1442, 1877},	// QsciScintilla::setMarginType$$
    {87, 1444, -216},	// QsciScintilla::setMarginWidth$$
    {87, 1446, 1879},	// QsciScintilla::setMargins$
    {87, 1448, 1974},	// QsciScintilla::setMarginsBackgroundColor#
    {87, 1450, 1975},	// QsciScintilla::setMarginsFont#
    {87, 1452, 1976},	// QsciScintilla::setMarginsForegroundColor#
    {87, 1454, 2043},	// QsciScintilla::setMarkerBackgroundColor#
    {87, 1455, 1880},	// QsciScintilla::setMarkerBackgroundColor#$
    {87, 1457, 2044},	// QsciScintilla::setMarkerForegroundColor#
    {87, 1458, 1881},	// QsciScintilla::setMarkerForegroundColor#$
    {87, 1460, 1882},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {87, 1462, 1883},	// QsciScintilla::setMatchedBraceForegroundColor#
    {87, 1464, 1884},	// QsciScintilla::setMatchedBraceIndicator$
    {87, 1466, 1982},	// QsciScintilla::setModified$
    {87, 1468, 1903},	// QsciScintilla::setOverwriteMode$
    {87, 1470, 1983},	// QsciScintilla::setPaper#
    {87, 1479, 1984},	// QsciScintilla::setReadOnly$
    {87, 1486, 1886},	// QsciScintilla::setScrollWidth$
    {87, 1488, 1887},	// QsciScintilla::setScrollWidthTracking$
    {87, 1490, 1985},	// QsciScintilla::setSelection$$$$
    {87, 1492, 1986},	// QsciScintilla::setSelectionBackgroundColor#
    {87, 1494, 1987},	// QsciScintilla::setSelectionForegroundColor#
    {87, 1496, 1900},	// QsciScintilla::setSelectionToEol$
    {87, 1507, 1888},	// QsciScintilla::setTabDrawMode$
    {87, 1509, 1988},	// QsciScintilla::setTabIndents$
    {87, 1511, 1989},	// QsciScintilla::setTabWidth$
    {87, 1513, 1990},	// QsciScintilla::setText$
    {87, 1519, 1889},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {87, 1521, 1890},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {87, 1523, 1891},	// QsciScintilla::setUnmatchedBraceIndicator$
    {87, 1525, 1991},	// QsciScintilla::setUtf8$
    {87, 1537, 1904},	// QsciScintilla::setWhitespaceBackgroundColor#
    {87, 1539, 1905},	// QsciScintilla::setWhitespaceForegroundColor#
    {87, 1541, 1906},	// QsciScintilla::setWhitespaceSize$
    {87, 1543, 1992},	// QsciScintilla::setWhitespaceVisibility$
    {87, 1545, 1907},	// QsciScintilla::setWrapIndentMode$
    {87, 1547, 1993},	// QsciScintilla::setWrapMode$
    {87, 1549, 2045},	// QsciScintilla::setWrapVisualFlags$
    {87, 1550, 2046},	// QsciScintilla::setWrapVisualFlags$$
    {87, 1551, 1893},	// QsciScintilla::setWrapVisualFlags$$$
    {87, 1554, 1908},	// QsciScintilla::showUserList$?
    {87, 1557, 1909},	// QsciScintilla::standardCommands
    {87, 1562, 2051},	// QsciScintilla::staticMetaObject
    {87, 1570, 1910},	// QsciScintilla::tabDrawMode
    {87, 1571, 1911},	// QsciScintilla::tabIndents
    {87, 1572, 1912},	// QsciScintilla::tabWidth
    {87, 1574, 1913},	// QsciScintilla::text
    {87, 1575, 1914},	// QsciScintilla::text$
    {87, 1576, 1915},	// QsciScintilla::text$$
    {87, 1580, 2011},	// QsciScintilla::textChanged
    {87, 1582, 1916},	// QsciScintilla::textHeight$
    {87, 1588, 2016},	// QsciScintilla::tr$
    {87, 1589, 1737},	// QsciScintilla::tr$$
    {87, 1590, 1739},	// QsciScintilla::tr$$$
    {87, 1592, 2017},	// QsciScintilla::trUtf8$
    {87, 1593, 1738},	// QsciScintilla::trUtf8$$
    {87, 1594, 1740},	// QsciScintilla::trUtf8$$$
    {87, 1595, 1994},	// QsciScintilla::undo
    {87, 1597, 1995},	// QsciScintilla::unindent$
    {87, 1601, 2012},	// QsciScintilla::userListActivated$$
    {87, 1611, 1917},	// QsciScintilla::whitespaceSize
    {87, 1612, 1918},	// QsciScintilla::whitespaceVisibility
    {87, 1615, 1919},	// QsciScintilla::wordAtLineIndex$$
    {87, 1617, 1920},	// QsciScintilla::wordAtPoint#
    {87, 1618, 1921},	// QsciScintilla::wordCharacters
    {87, 1619, 1923},	// QsciScintilla::wrapIndentMode
    {87, 1620, 1922},	// QsciScintilla::wrapMode
    {87, 1622, 1924},	// QsciScintilla::write#
    {87, 1629, 1997},	// QsciScintilla::zoomIn
    {87, 1630, 1996},	// QsciScintilla::zoomIn$
    {87, 1631, 1999},	// QsciScintilla::zoomOut
    {87, 1632, 1998},	// QsciScintilla::zoomOut$
    {87, 1634, 2000},	// QsciScintilla::zoomTo$
    {87, 1672, 2162},	// QsciScintilla::~QsciScintilla
    {88, 456, 2189},	// QsciScintillaBase::QSCN_SELCHANGED$
    {88, 538, 2248},	// QsciScintillaBase::QsciScintillaBase
    {88, 539, 2170},	// QsciScintillaBase::QsciScintillaBase#
    {88, 572, 2195},	// QsciScintillaBase::SCEN_CHANGE
    {88, 573, 2190},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {88, 574, 2191},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {88, 576, 2192},	// QsciScintillaBase::SCN_AUTOCCOMPLETED$$$$
    {88, 578, 2194},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {88, 579, 2193},	// QsciScintillaBase::SCN_AUTOCSELECTION$$$$
    {88, 581, 2196},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {88, 583, 2197},	// QsciScintillaBase::SCN_CHARADDED$
    {88, 585, 2198},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {88, 587, 2199},	// QsciScintillaBase::SCN_DWELLEND$$$
    {88, 589, 2200},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {88, 590, 2201},	// QsciScintillaBase::SCN_FOCUSIN
    {88, 591, 2202},	// QsciScintillaBase::SCN_FOCUSOUT
    {88, 593, 2203},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {88, 595, 2204},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {88, 597, 2205},	// QsciScintillaBase::SCN_HOTSPOTRELEASECLICK$$
    {88, 599, 2206},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {88, 601, 2207},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {88, 603, 2208},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {88, 605, 2209},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {88, 607, 2210},	// QsciScintillaBase::SCN_MARGINRIGHTCLICK$$$
    {88, 609, 2211},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {88, 610, 2212},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {88, 612, 2213},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {88, 613, 2214},	// QsciScintillaBase::SCN_PAINTED
    {88, 614, 2215},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {88, 615, 2216},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {88, 617, 2217},	// QsciScintillaBase::SCN_STYLENEEDED$
    {88, 619, 2218},	// QsciScintillaBase::SCN_UPDATEUI$
    {88, 621, 2220},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {88, 622, 2219},	// QsciScintillaBase::SCN_USERLISTSELECTION$$$$
    {88, 623, 2221},	// QsciScintillaBase::SCN_ZOOM
    {88, 625, -1},	// QsciScintillaBase::SC_ORDER_CUSTOM
    {88, 626, -61},	// QsciScintillaBase::SC_ORDER_PERFORMSORT
    {88, 627, -121},	// QsciScintillaBase::SC_ORDER_PRESORTED
    {88, 653, 2249},	// QsciScintillaBase::SendScintilla$
    {88, 654, 2183},	// QsciScintillaBase::SendScintilla$#
    {88, 655, -181},	// QsciScintillaBase::SendScintilla$$
    {88, 656, -186},	// QsciScintillaBase::SendScintilla$$#
    {88, 657, 2184},	// QsciScintillaBase::SendScintilla$$##$$
    {88, 658, -190},	// QsciScintillaBase::SendScintilla$$$
    {88, 659, 2181},	// QsciScintillaBase::SendScintilla$$$$
    {88, 661, 2187},	// QsciScintillaBase::SendScintillaPtrResult$
    {88, 856, 2245},	// QsciScintillaBase::bytesAsText$
    {88, 864, 2222},	// QsciScintillaBase::canInsertFromMimeData#
    {88, 892, 2188},	// QsciScintillaBase::commandKey$$
    {88, 896, 2225},	// QsciScintillaBase::contextMenuEvent#
    {88, 927, 2226},	// QsciScintillaBase::dragEnterEvent#
    {88, 929, 2227},	// QsciScintillaBase::dragLeaveEvent#
    {88, 931, 2228},	// QsciScintillaBase::dragMoveEvent#
    {88, 933, 2229},	// QsciScintillaBase::dropEvent#
    {88, 976, 2230},	// QsciScintillaBase::focusInEvent#
    {88, 978, 2232},	// QsciScintillaBase::focusNextPrevChild$
    {88, 980, 2231},	// QsciScintillaBase::focusOutEvent#
    {88, 1007, 2223},	// QsciScintillaBase::fromMimeData#$
    {88, 1042, 2234},	// QsciScintillaBase::inputMethodEvent#
    {88, 1044, 2235},	// QsciScintillaBase::inputMethodQuery$
    {88, 1063, 2233},	// QsciScintillaBase::keyPressEvent#
    {88, 1128, 2163},	// QsciScintillaBase::metaObject
    {88, 1135, 2236},	// QsciScintillaBase::mouseDoubleClickEvent#
    {88, 1137, 2237},	// QsciScintillaBase::mouseMoveEvent#
    {88, 1139, 2238},	// QsciScintillaBase::mousePressEvent#
    {88, 1141, 2239},	// QsciScintillaBase::mouseReleaseEvent#
    {88, 1149, 2240},	// QsciScintillaBase::paintEvent#
    {88, 1157, 2171},	// QsciScintillaBase::pool
    {88, 1170, 2169},	// QsciScintillaBase::qt_metacall$$?
    {88, 1172, 2164},	// QsciScintillaBase::qt_metacast$
    {88, 1195, 2172},	// QsciScintillaBase::replaceHorizontalScrollBar#
    {88, 1199, 2173},	// QsciScintillaBase::replaceVerticalScrollBar#
    {88, 1208, 2241},	// QsciScintillaBase::resizeEvent#
    {88, 1214, 2242},	// QsciScintillaBase::scrollContentsBy$$
    {88, 1484, 2243},	// QsciScintillaBase::setScrollBars
    {88, 1562, 2251},	// QsciScintillaBase::staticMetaObject
    {88, 1578, 2244},	// QsciScintillaBase::textAsBytes$
    {88, 1585, 2224},	// QsciScintillaBase::toMimeData#$
    {88, 1588, 2246},	// QsciScintillaBase::tr$
    {88, 1589, 2165},	// QsciScintillaBase::tr$$
    {88, 1590, 2167},	// QsciScintillaBase::tr$$$
    {88, 1592, 2247},	// QsciScintillaBase::trUtf8$
    {88, 1593, 2166},	// QsciScintillaBase::trUtf8$$
    {88, 1594, 2168},	// QsciScintillaBase::trUtf8$$$
    {88, 1673, 2429},	// QsciScintillaBase::~QsciScintillaBase
    {89, 357, 2458},	// QsciStyle::LowerCase
    {89, 384, 2456},	// QsciStyle::OriginalCase
    {89, 540, 2454},	// QsciStyle::QsciStyle
    {89, 541, 2453},	// QsciStyle::QsciStyle#
    {89, 542, 2430},	// QsciStyle::QsciStyle$
    {89, 543, 2455},	// QsciStyle::QsciStyle$$###
    {89, 544, 2431},	// QsciStyle::QsciStyle$$###$
    {89, 745, 2457},	// QsciStyle::UpperCase
    {89, 822, 2432},	// QsciStyle::apply#
    {89, 871, 2449},	// QsciStyle::changeable
    {89, 886, 2437},	// QsciStyle::color
    {89, 918, 2435},	// QsciStyle::description
    {89, 945, 2443},	// QsciStyle::eolFill
    {89, 999, 2441},	// QsciStyle::font
    {89, 1021, 2451},	// QsciStyle::hotspot
    {89, 1151, 2439},	// QsciStyle::paper
    {89, 1185, 2452},	// QsciStyle::refresh
    {89, 1280, 2448},	// QsciStyle::setChangeable$
    {89, 1282, 2436},	// QsciStyle::setColor#
    {89, 1295, 2434},	// QsciStyle::setDescription$
    {89, 1313, 2442},	// QsciStyle::setEolFill$
    {89, 1357, 2440},	// QsciStyle::setFont#
    {89, 1374, 2450},	// QsciStyle::setHotspot$
    {89, 1470, 2438},	// QsciStyle::setPaper#
    {89, 1515, 2444},	// QsciStyle::setTextCase$
    {89, 1535, 2446},	// QsciStyle::setVisible$
    {89, 1564, 2433},	// QsciStyle::style
    {89, 1579, 2445},	// QsciStyle::textCase
    {89, 1609, 2447},	// QsciStyle::visible
    {89, 1674, 2459},	// QsciStyle::~QsciStyle
    {90, 546, 2465},	// QsciStyledText::QsciStyledText#
    {90, 547, 2461},	// QsciStyledText::QsciStyledText$#
    {90, 548, 2460},	// QsciStyledText::QsciStyledText$$
    {90, 822, 2462},	// QsciStyledText::apply#
    {90, 1564, 2464},	// QsciStyledText::style
    {90, 1574, 2463},	// QsciStyledText::text
    {90, 1675, 2466},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 90,
        __smokeqsci::methods, 2467,
        __smokeqsci::methodMaps, 2237,
        __smokeqsci::methodNames, 1675,
        __smokeqsci::types, 225,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
